/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This is GNU Go, a Go program. Contact gnugo@gnu.org, or see       *
 * http://www.gnu.org/software/gnugo/ for more information.          *
 *                                                                   *
 * Copyright 1999, 2000, 2001, 2002, 2003 and 2004                   *
 * by the Free Software Foundation.                                  *
 *                                                                   *
 * This program is free software; you can redistribute it and/or     *
 * modify it under the terms of the GNU General Public License as    *
 * published by the Free Software Foundation - version 2             *
 *                                                                   *
 * This program is distributed in the hope that it will be useful,   *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     *
 * GNU General Public License in file COPYING for more details.      *
 *                                                                   *
 * You should have received a copy of the GNU General Public         *
 * License along with this program; if not, write to the Free        *
 * Software Foundation, Inc., 59 Temple Place - Suite 330,           *
 * Boston, MA 02111, USA.                                            *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <stdio.h> /* for NULL */
#include "liberty.h"
#include "patterns.h"

static struct corner_pattern joseki[1517];

static int
autohelperjoseki157(int trans, int move, int color, int action)
{
  int A, B;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(647, trans, move);
  B = AFFINE_TRANSFORM(684, trans, move);

  return !play_attack_defend_n(OTHER_COLOR(color), 1, 1, A, B);
}

static int
autohelperjoseki175(int trans, int move, int color, int action)
{
  int A;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(649, trans, move);

  return (whose_moyo(OPPOSITE_INFLUENCE(color), A) == color);
}

static int
autohelperjoseki176(int trans, int move, int color, int action)
{
  int A;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(687, trans, move);

  return !dragon_weak(A) || (dragon[A].status == DEAD);
}

static int
autohelperjoseki243(int trans, int move, int color, int action)
{
  int A;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(721, trans, move);

  return  !(whose_territory(OPPOSITE_INFLUENCE(color), A) == color);
}

static int
autohelperjoseki565(int trans, int move, int color, int action)
{
  int A, B, C;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(758, trans, move);
  B = AFFINE_TRANSFORM(683, trans, move);
  C = AFFINE_TRANSFORM(722, trans, move);

  return !play_attack_defend_n(color, 1, 3, move, A, B, C);
}

static int
autohelperjoseki573(int trans, int move, int color, int action)
{
  int A, B, C;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(610, trans, move);
  B = AFFINE_TRANSFORM(609, trans, move);
  C = AFFINE_TRANSFORM(648, trans, move);

  return !play_attack_defend_n(color, 1, 3, A, move, B, C);
}

static int
autohelperjoseki1043(int trans, int move, int color, int action)
{
  int A, B, C, D, E, F, G, H, I, J, K, L, M;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(572, trans, move);
  B = AFFINE_TRANSFORM(536, trans, move);
  C = AFFINE_TRANSFORM(571, trans, move);
  D = AFFINE_TRANSFORM(537, trans, move);
  E = AFFINE_TRANSFORM(575, trans, move);
  F = AFFINE_TRANSFORM(538, trans, move);
  G = AFFINE_TRANSFORM(683, trans, move);
  H = AFFINE_TRANSFORM(648, trans, move);
  I = AFFINE_TRANSFORM(611, trans, move);
  J = AFFINE_TRANSFORM(576, trans, move);
  K = AFFINE_TRANSFORM(612, trans, move);
  L = AFFINE_TRANSFORM(649, trans, move);
  M = AFFINE_TRANSFORM(613, trans, move);

  return  play_attack_defend_n(OTHER_COLOR(color), 1, 13, A, B, C, D, E, F, G, H, I, J, K, L, M, M);
}

static int
autohelperjoseki1253(int trans, int move, int color, int action)
{
  int A;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(758, trans, move);

  return !(whose_area(OPPOSITE_INFLUENCE(color), A) == OTHER_COLOR(color));
}

static int
autohelperjoseki1512(int trans, int move, int color, int action)
{
  int A;
  UNUSED(color);
  UNUSED(action);

  A = AFFINE_TRANSFORM(430, trans, move);

  return !DEFEND_MACRO(A);
}

static int
autohelperjoseki1514(int trans, int move, int color, int action)
{
  UNUSED(trans);
  UNUSED(color);
  UNUSED(action);

  UNUSED(move);

  return safe_move(move, color);
}

static struct pattern_attribute attributes[] = {
#ifdef HAVE_TRANSPARENT_UNIONS
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=0.015000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=-0.020000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=-0.020000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=6.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=3.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=5.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=5.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=5.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=5.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=5.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=8.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=10.000000}},
  {LAST_ATTRIBUTE,{.offset=0}},
  {SHAPE,{.value=5.000000}},
  {LAST_ATTRIBUTE,{.offset=0}}
#else
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,0.015000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,-0.020000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,-0.020000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,6.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,3.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,5.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,5.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,5.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,5.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,5.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,8.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,10.000000,0},
  {LAST_ATTRIBUTE,0.0,0},
  {SHAPE,5.000000,0},
  {LAST_ATTRIBUTE,0.0,0}
#endif
};

static struct corner_pattern joseki[] = {
  {915,0,0x840010,"JHK1",attributes+0,0,NULL},
  {915,0,0x820010,"JHK2",attributes+0,0,NULL},
  {876,0,0x820010,"JHK3",attributes+0,0,NULL},
  {876,0,0x900010,"JHK4",attributes+0,0,NULL},
  {915,0,0x820010,"JHK5",attributes+0,0,NULL},
  {915,0,0x820010,"JHK6",attributes+0,0,NULL},
  {915,0,0x820010,"JHK7",attributes+0,0,NULL},
  {915,0,0x820010,"JHK8",attributes+0,0,NULL},
  {915,0,0x1800010,"JHK9",attributes+0,0,NULL},
  {915,0,0x820010,"JHK10",attributes+0,0,NULL},
  {915,0,0x820010,"JHK11",attributes+0,0,NULL},
  {877,0,0x820010,"JHK12",attributes+0,0,NULL},
  {915,0,0x1800010,"JHK13",attributes+0,0,NULL},
  {877,0,0x820010,"JHK14",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK15",attributes+0,0,NULL},
  {915,0,0x820010,"JHK16",attributes+0,0,NULL},
  {914,0,0x820010,"JHK17",attributes+0,0,NULL},
  {914,0,0x820010,"JHK18",attributes+0,0,NULL},
  {914,0,0x820010,"JHK19",attributes+0,0,NULL},
  {914,0,0x820010,"JHK20",attributes+0,0,NULL},
  {914,0,0x820010,"JHK21",attributes+0,0,NULL},
  {914,0,0x820010,"JHK22",attributes+0,0,NULL},
  {915,0,0x820010,"JHK23",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK24",attributes+0,0,NULL},
  {914,0,0xa00010,"JHK25",attributes+0,0,NULL},
  {951,0,0x820010,"JHK26",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK27",attributes+0,0,NULL},
  {949,0,0x900010,"JHK28",attributes+0,0,NULL},
  {949,0,0x900010,"JHK29",attributes+0,0,NULL},
  {949,0,0x820010,"JHK30",attributes+0,0,NULL},
  {949,0,0x900010,"JHK31",attributes+0,0,NULL},
  {949,0,0x900010,"JHK32",attributes+0,0,NULL},
  {949,0,0x900010,"JHK33",attributes+0,0,NULL},
  {986,0,0x900010,"JHK34",attributes+0,0,NULL},
  {951,0,0x820010,"JHK35",attributes+0,0,NULL},
  {878,0,0x1800010,"JHK36",attributes+0,0,NULL},
  {915,0,0x820010,"JHK37",attributes+0,0,NULL},
  {916,0,0x820010,"JHK38",attributes+0,0,NULL},
  {917,0,0x1800010,"JHK39",attributes+0,0,NULL},
  {916,0,0x820010,"JHK40",attributes+0,0,NULL},
  {916,0,0x820010,"JHK41",attributes+0,0,NULL},
  {917,0,0x820010,"JHK42",attributes+0,0,NULL},
  {918,0,0x820010,"JHK43",attributes+0,0,NULL},
  {918,0,0x820010,"JHK44",attributes+0,0,NULL},
  {918,0,0x820010,"JHK45",attributes+0,0,NULL},
  {917,0,0x820010,"JHK46",attributes+0,0,NULL},
  {917,0,0x820010,"JHK47",attributes+0,0,NULL},
  {917,0,0x820010,"JHK48",attributes+0,0,NULL},
  {916,0,0x820010,"JHK49",attributes+0,0,NULL},
  {916,0,0x820010,"JHK50",attributes+0,0,NULL},
  {916,0,0x820010,"JHK51",attributes+0,0,NULL},
  {953,0,0x820010,"JHK52",attributes+0,0,NULL},
  {953,0,0x820010,"JHK53",attributes+0,0,NULL},
  {953,0,0x820010,"JHK54",attributes+0,0,NULL},
  {953,0,0x820010,"JHK55",attributes+0,0,NULL},
  {953,0,0x820010,"JHK56",attributes+0,0,NULL},
  {953,0,0x820010,"JHK57",attributes+0,0,NULL},
  {953,0,0x820010,"JHK58",attributes+0,0,NULL},
  {953,0,0x820010,"JHK59",attributes+0,0,NULL},
  {953,0,0x820010,"JHK60",attributes+0,0,NULL},
  {953,0,0x820010,"JHK61",attributes+0,0,NULL},
  {953,0,0x820010,"JHK62",attributes+0,0,NULL},
  {953,0,0x820010,"JHK63",attributes+0,0,NULL},
  {954,0,0x820010,"JHK64",attributes+0,0,NULL},
  {954,0,0x820010,"JHK65",attributes+0,0,NULL},
  {992,0,0x820010,"JHK66",attributes+0,0,NULL},
  {992,0,0x820010,"JHK67",attributes+0,0,NULL},
  {954,0,0x820010,"JHK68",attributes+0,0,NULL},
  {954,0,0x820010,"JHK69",attributes+0,0,NULL},
  {954,0,0x820010,"JHK70",attributes+0,0,NULL},
  {954,0,0x820010,"JHK71",attributes+0,0,NULL},
  {954,0,0x820010,"JHK72",attributes+0,0,NULL},
  {954,0,0x820010,"JHK73",attributes+0,0,NULL},
  {954,0,0x820010,"JHK74",attributes+0,0,NULL},
  {956,0,0x820010,"JHK75",attributes+0,0,NULL},
  {954,0,0x820010,"JHK76",attributes+0,0,NULL},
  {953,0,0x820010,"JHK77",attributes+0,0,NULL},
  {953,0,0x820010,"JHK78",attributes+0,0,NULL},
  {953,0,0x820010,"JHK79",attributes+0,0,NULL},
  {953,0,0x820010,"JHK80",attributes+0,0,NULL},
  {990,0,0x820010,"JHK81",attributes+0,0,NULL},
  {952,0,0x820010,"JHK82",attributes+0,0,NULL},
  {1027,0,0x820010,"JHK83",attributes+0,0,NULL},
  {1027,0,0x820010,"JHK84",attributes+0,0,NULL},
  {1027,0,0x820010,"JHK85",attributes+0,0,NULL},
  {1027,0,0x820010,"JHK86",attributes+0,0,NULL},
  {1028,0,0x820010,"JHK87",attributes+0,0,NULL},
  {954,0,0x820010,"JHK88",attributes+0,0,NULL},
  {954,0,0x820010,"JHK89",attributes+0,0,NULL},
  {954,0,0x820010,"JHK90",attributes+0,0,NULL},
  {953,0,0x820010,"JHK91",attributes+0,0,NULL},
  {954,0,0x820010,"JHK92",attributes+0,0,NULL},
  {953,0,0x820010,"JHK93",attributes+0,0,NULL},
  {953,0,0x820010,"JHK94",attributes+0,0,NULL},
  {953,0,0x820010,"JHK95",attributes+0,0,NULL},
  {953,0,0x820010,"JHK96",attributes+0,0,NULL},
  {914,0,0x820010,"JHK97",attributes+0,0,NULL},
  {914,0,0x820010,"JHK98",attributes+0,0,NULL},
  {914,0,0x820010,"JHK99",attributes+0,0,NULL},
  {988,0,0x880010,"JHK100",attributes+0,0,NULL},
  {989,0,0x820010,"JHK101",attributes+0,0,NULL},
  {989,0,0x820010,"JHK102",attributes+0,0,NULL},
  {989,0,0x820010,"JHK103",attributes+0,0,NULL},
  {989,0,0x820010,"JHK104",attributes+0,0,NULL},
  {988,0,0x820010,"JHK105",attributes+0,0,NULL},
  {915,0,0x1800010,"JHK106",attributes+0,0,NULL},
  {988,0,0x820010,"JHK107",attributes+0,0,NULL},
  {951,0,0x820010,"JHK108",attributes+0,0,NULL},
  {951,0,0x820010,"JHK109",attributes+0,0,NULL},
  {951,0,0x820010,"JHK110",attributes+0,0,NULL},
  {951,0,0x820010,"JHK111",attributes+0,0,NULL},
  {951,0,0x820010,"JHK112",attributes+0,0,NULL},
  {951,0,0x820010,"JHK113",attributes+0,0,NULL},
  {951,0,0x820010,"JHK114",attributes+0,0,NULL},
  {951,0,0x820010,"JHK115",attributes+0,0,NULL},
  {951,0,0x820010,"JHK116",attributes+0,0,NULL},
  {951,0,0x820010,"JHK117",attributes+0,0,NULL},
  {951,0,0x820010,"JHK118",attributes+0,0,NULL},
  {951,0,0x820010,"JHK119",attributes+0,0,NULL},
  {951,0,0x820010,"JHK120",attributes+0,0,NULL},
  {951,0,0x1800010,"JHK121",attributes+0,0,NULL},
  {951,0,0x1800010,"JHK122",attributes+0,0,NULL},
  {951,0,0x820010,"JHK123",attributes+0,0,NULL},
  {951,0,0x820010,"JHK124",attributes+0,0,NULL},
  {951,0,0x820010,"JHK125",attributes+0,0,NULL},
  {988,0,0x820010,"JHK126",attributes+0,0,NULL},
  {951,0,0x820010,"JHK127",attributes+0,0,NULL},
  {951,0,0x1800010,"JHK128",attributes+0,0,NULL},
  {951,0,0x1800010,"JHK129",attributes+0,0,NULL},
  {951,0,0x820010,"JHK130",attributes+0,0,NULL},
  {951,0,0x820010,"JHK131",attributes+0,0,NULL},
  {951,0,0x820010,"JHK132",attributes+0,0,NULL},
  {951,0,0x820010,"JHK133",attributes+0,0,NULL},
  {951,0,0x820010,"JHK134",attributes+0,0,NULL},
  {951,0,0x840010,"JHK135",attributes+0,0,NULL},
  {951,0,0x820010,"JHK136",attributes+0,0,NULL},
  {951,0,0x820010,"JHK137",attributes+0,0,NULL},
  {951,0,0x820010,"JHK138",attributes+0,0,NULL},
  {951,0,0x820010,"JHK139",attributes+0,0,NULL},
  {951,0,0x820010,"JHK140",attributes+0,0,NULL},
  {951,0,0x820010,"JHK141",attributes+0,0,NULL},
  {951,0,0x820010,"JHK142",attributes+0,0,NULL},
  {951,0,0x820010,"JHK143",attributes+0,0,NULL},
  {951,0,0x820010,"JHK144",attributes+0,0,NULL},
  {951,0,0x820010,"JHK145",attributes+0,0,NULL},
  {951,0,0x820010,"JHK146",attributes+0,0,NULL},
  {987,0,0x840010,"JHK147",attributes+0,0,NULL},
  {1061,0,0x880010,"JHK148",attributes+0,0,NULL},
  {1061,0,0x820010,"JHK149",attributes+0,0,NULL},
  {1061,0,0x820010,"JHK150",attributes+0,0,NULL},
  {915,0,0x840010,"JHK151",attributes+0,0,NULL},
  {914,0,0x840010,"JHK152",attributes+0,0,NULL},
  {915,0,0x820010,"JHK153",attributes+0,0,NULL},
  {915,0,0x820010,"JHK154",attributes+0,0,NULL},
  {915,0,0x820010,"JHK155",attributes+0,0,NULL},
  {915,0,0x820010,"JHK156",attributes+0,0,NULL},
  {952,0,0x820010,"JHK157",attributes+0,0,NULL},
  {915,0,0x820010,"JHK158",attributes+0,1,autohelperjoseki157},
  {915,0,0x820010,"JHK159",attributes+0,0,NULL},
  {915,0,0x820010,"JHK160",attributes+0,0,NULL},
  {915,0,0x820010,"JHK161",attributes+0,0,NULL},
  {915,0,0x820010,"JHK162",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK163",attributes+0,0,NULL},
  {952,0,0x820010,"JHK164",attributes+0,0,NULL},
  {952,0,0x820010,"JHK165",attributes+0,0,NULL},
  {952,0,0x820010,"JHK166",attributes+0,0,NULL},
  {952,0,0x840010,"JHK167",attributes+0,0,NULL},
  {952,0,0x820010,"JHK168",attributes+0,0,NULL},
  {952,0,0x820010,"JHK169",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK170",attributes+0,0,NULL},
  {915,0,0x820010,"JHK171",attributes+0,0,NULL},
  {913,0,0x820010,"JHK172",attributes+0,0,NULL},
  {878,0,0x820010,"JHK173",attributes+0,0,NULL},
  {878,0,0x880010,"JHK174",attributes+0,0,NULL},
  {1098,0,0x820010,"JHK175",attributes+0,0,NULL},
  {915,0,0x820010,"JHK176",attributes+0,1,autohelperjoseki175},
  {949,0,0x880010,"JHK177",attributes+0,1,autohelperjoseki176},
  {911,0,0x820010,"JHK178",attributes+0,0,NULL},
  {838,0,0x820010,"JHK179",attributes+0,0,NULL},
  {838,0,0x820010,"JHK180",attributes+0,0,NULL},
  {838,0,0x820010,"JHK181",attributes+0,0,NULL},
  {838,0,0x820010,"JHK182",attributes+0,0,NULL},
  {838,0,0x820010,"JHK183",attributes+0,0,NULL},
  {838,0,0x820010,"JHK184",attributes+0,0,NULL},
  {838,0,0x820010,"JHK185",attributes+0,0,NULL},
  {838,0,0x820010,"JHK186",attributes+0,0,NULL},
  {879,0,0x820010,"JHK187",attributes+0,0,NULL},
  {879,0,0x820010,"JHK188",attributes+0,0,NULL},
  {912,0,0x820010,"JHK189",attributes+0,0,NULL},
  {912,0,0x820010,"JHK190",attributes+0,0,NULL},
  {913,0,0x820010,"JHK191",attributes+0,0,NULL},
  {875,0,0x900010,"JHK192",attributes+0,0,NULL},
  {950,0,0x820010,"JHK193",attributes+0,0,NULL},
  {875,0,0x1800010,"JHK194",attributes+0,0,NULL},
  {875,0,0x820010,"JHK195",attributes+0,0,NULL},
  {875,0,0x820010,"JHK196",attributes+0,0,NULL},
  {875,0,0x820010,"JHK197",attributes+0,0,NULL},
  {875,0,0x820010,"JHK198",attributes+0,0,NULL},
  {876,0,0x820010,"JHK199",attributes+0,0,NULL},
  {875,0,0x820010,"JHK200",attributes+0,0,NULL},
  {913,0,0x820010,"JHK201",attributes+0,0,NULL},
  {876,0,0x820010,"JHK202",attributes+0,0,NULL},
  {913,0,0x820010,"JHK203",attributes+0,0,NULL},
  {913,0,0x820010,"JHK204",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK205",attributes+0,0,NULL},
  {913,0,0x820010,"JHK206",attributes+0,0,NULL},
  {914,0,0x820010,"JHK207",attributes+0,0,NULL},
  {913,0,0x820010,"JHK208",attributes+0,0,NULL},
  {914,0,0x820010,"JHK209",attributes+0,0,NULL},
  {914,0,0x820010,"JHK210",attributes+0,0,NULL},
  {914,0,0x820010,"JHK211",attributes+0,0,NULL},
  {911,0,0x820010,"JHK212",attributes+0,0,NULL},
  {911,0,0x820010,"JHK213",attributes+0,0,NULL},
  {911,0,0x820010,"JHK214",attributes+0,0,NULL},
  {913,0,0x1800010,"JHK215",attributes+0,0,NULL},
  {913,0,0x820010,"JHK216",attributes+0,0,NULL},
  {912,0,0x820010,"JHK217",attributes+0,0,NULL},
  {838,0,0x900010,"JHK218",attributes+0,0,NULL},
  {875,0,0x820010,"JHK219",attributes+0,0,NULL},
  {913,0,0x820010,"JHK220",attributes+0,0,NULL},
  {912,0,0x820010,"JHK221",attributes+0,0,NULL},
  {875,0,0x820010,"JHK222",attributes+0,0,NULL},
  {875,0,0x820010,"JHK223",attributes+0,0,NULL},
  {912,0,0x1800010,"JHK224",attributes+0,0,NULL},
  {913,0,0x820010,"JHK225",attributes+0,0,NULL},
  {912,0,0x1800010,"JHK226",attributes+0,0,NULL},
  {912,0,0x820010,"JHK227",attributes+0,0,NULL},
  {912,0,0x820010,"JHK228",attributes+0,0,NULL},
  {912,0,0x820010,"JHK229",attributes+0,0,NULL},
  {912,0,0x820010,"JHK230",attributes+0,0,NULL},
  {912,0,0x820010,"JHK231",attributes+0,0,NULL},
  {912,0,0x820010,"JHK232",attributes+0,0,NULL},
  {912,0,0x900010,"JHK233",attributes+0,0,NULL},
  {912,0,0x820010,"JHK234",attributes+0,0,NULL},
  {912,0,0x1800010,"JHK235",attributes+0,0,NULL},
  {917,0,0x820010,"JHK236",attributes+0,0,NULL},
  {917,0,0x900010,"JHK237",attributes+0,0,NULL},
  {915,0,0x840010,"JHK238",attributes+0,0,NULL},
  {914,0,0x900010,"JHK239",attributes+0,0,NULL},
  {913,0,0x900010,"JHK240",attributes+0,0,NULL},
  {914,0,0x900010,"JHK241",attributes+0,0,NULL},
  {913,0,0x900010,"JHK242",attributes+0,0,NULL},
  {879,0,0x900010,"JHK243",attributes+0,0,NULL},
  {916,0,0x900010,"JHK244",attributes+0,1,autohelperjoseki243},
  {879,0,0x820010,"JHK245",attributes+0,0,NULL},
  {913,0,0x900010,"JHK246",attributes+0,0,NULL},
  {913,0,0x820010,"JHK247",attributes+0,0,NULL},
  {950,0,0x820010,"JHK248",attributes+0,0,NULL},
  {1059,0,0x880010,"JHK249",attributes+0,0,NULL},
  {840,0,0x1800010,"JHK250",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK251",attributes+0,0,NULL},
  {914,0,0x900010,"JHK252",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK253",attributes+0,0,NULL},
  {914,0,0x900010,"JHK254",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK255",attributes+0,0,NULL},
  {914,0,0x900010,"JHK256",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK257",attributes+0,0,NULL},
  {914,0,0x900010,"JHK258",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK259",attributes+0,0,NULL},
  {914,0,0x900010,"JHK260",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK261",attributes+0,0,NULL},
  {914,0,0x900010,"JHK262",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK263",attributes+0,0,NULL},
  {914,0,0x900010,"JHK264",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK265",attributes+0,0,NULL},
  {914,0,0x900010,"JHK266",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK267",attributes+0,0,NULL},
  {914,0,0x900010,"JHK268",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK269",attributes+0,0,NULL},
  {951,0,0x900010,"JHK270",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK271",attributes+0,0,NULL},
  {914,0,0x900010,"JHK272",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK273",attributes+0,0,NULL},
  {914,0,0x900010,"JHK274",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK275",attributes+0,0,NULL},
  {914,0,0x900010,"JHK276",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK277",attributes+0,0,NULL},
  {914,0,0x900010,"JHK278",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK279",attributes+0,0,NULL},
  {914,0,0x900010,"JHK280",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK281",attributes+0,0,NULL},
  {914,0,0x900010,"JHK282",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK283",attributes+0,0,NULL},
  {914,0,0x900010,"JHK284",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK285",attributes+0,0,NULL},
  {914,0,0x900010,"JHK286",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK287",attributes+0,0,NULL},
  {914,0,0x900010,"JHK288",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK289",attributes+0,0,NULL},
  {914,0,0x900010,"JHK290",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK291",attributes+0,0,NULL},
  {914,0,0x900010,"JHK292",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK293",attributes+0,0,NULL},
  {914,0,0x900010,"JHK294",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK295",attributes+0,0,NULL},
  {914,0,0x900010,"JHK296",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK297",attributes+0,0,NULL},
  {914,0,0x900010,"JHK298",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK299",attributes+0,0,NULL},
  {914,0,0x900010,"JHK300",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK301",attributes+0,0,NULL},
  {914,0,0x900010,"JHK302",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK303",attributes+0,0,NULL},
  {951,0,0x900010,"JHK304",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK305",attributes+0,0,NULL},
  {914,0,0x900010,"JHK306",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK307",attributes+0,0,NULL},
  {914,0,0x900010,"JHK308",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK309",attributes+0,0,NULL},
  {951,0,0x900010,"JHK310",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK311",attributes+0,0,NULL},
  {914,0,0x900010,"JHK312",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK313",attributes+0,0,NULL},
  {914,0,0x900010,"JHK314",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK315",attributes+0,0,NULL},
  {914,0,0x820010,"JHK316",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK317",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK318",attributes+0,0,NULL},
  {981,0,0x1800010,"JHK319",attributes+0,0,NULL},
  {1018,0,0x900010,"JHK320",attributes+0,0,NULL},
  {1018,0,0x1800010,"JHK321",attributes+0,0,NULL},
  {1018,0,0x900010,"JHK322",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK323",attributes+0,0,NULL},
  {914,0,0x900010,"JHK324",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK325",attributes+0,0,NULL},
  {914,0,0x900010,"JHK326",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK327",attributes+0,0,NULL},
  {914,0,0x900010,"JHK328",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK329",attributes+0,0,NULL},
  {914,0,0x900010,"JHK330",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK331",attributes+0,0,NULL},
  {914,0,0x900010,"JHK332",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK333",attributes+0,0,NULL},
  {914,0,0x900010,"JHK334",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK335",attributes+0,0,NULL},
  {914,0,0x900010,"JHK336",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK337",attributes+0,0,NULL},
  {984,0,0x1800010,"JHK338",attributes+0,0,NULL},
  {984,0,0x900010,"JHK339",attributes+0,0,NULL},
  {1019,0,0x1800010,"JHK340",attributes+0,0,NULL},
  {1018,0,0x1800010,"JHK341",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK342",attributes+0,0,NULL},
  {914,0,0x900010,"JHK343",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK344",attributes+0,0,NULL},
  {914,0,0x900010,"JHK345",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK346",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK347",attributes+0,0,NULL},
  {914,0,0x900010,"JHK348",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK349",attributes+0,0,NULL},
  {914,0,0x900010,"JHK350",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK351",attributes+0,0,NULL},
  {914,0,0x900010,"JHK352",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK353",attributes+0,0,NULL},
  {914,0,0x900010,"JHK354",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK355",attributes+0,0,NULL},
  {914,0,0x900010,"JHK356",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK357",attributes+0,0,NULL},
  {914,0,0x900010,"JHK358",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK359",attributes+0,0,NULL},
  {914,0,0x900010,"JHK360",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK361",attributes+0,0,NULL},
  {914,0,0x900010,"JHK362",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK363",attributes+0,0,NULL},
  {914,0,0x900010,"JHK364",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK365",attributes+0,0,NULL},
  {914,0,0x900010,"JHK366",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK367",attributes+0,0,NULL},
  {914,0,0x900010,"JHK368",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK369",attributes+0,0,NULL},
  {914,0,0x900010,"JHK370",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK371",attributes+0,0,NULL},
  {951,0,0x900010,"JHK372",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK373",attributes+0,0,NULL},
  {914,0,0x900010,"JHK374",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK375",attributes+0,0,NULL},
  {951,0,0x900010,"JHK376",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK377",attributes+0,0,NULL},
  {914,0,0x900010,"JHK378",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK379",attributes+0,0,NULL},
  {914,0,0x900010,"JHK380",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK381",attributes+0,0,NULL},
  {914,0,0x900010,"JHK382",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK383",attributes+0,0,NULL},
  {914,0,0x900010,"JHK384",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK385",attributes+0,0,NULL},
  {914,0,0x900010,"JHK386",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK387",attributes+0,0,NULL},
  {914,0,0x900010,"JHK388",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK389",attributes+0,0,NULL},
  {914,0,0x900010,"JHK390",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK391",attributes+0,0,NULL},
  {914,0,0x900010,"JHK392",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK393",attributes+0,0,NULL},
  {914,0,0x900010,"JHK394",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK395",attributes+0,0,NULL},
  {914,0,0x900010,"JHK396",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK397",attributes+0,0,NULL},
  {914,0,0x900010,"JHK398",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK399",attributes+0,0,NULL},
  {914,0,0x900010,"JHK400",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK401",attributes+0,0,NULL},
  {914,0,0x900010,"JHK402",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK403",attributes+0,0,NULL},
  {914,0,0x900010,"JHK404",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK405",attributes+0,0,NULL},
  {914,0,0x900010,"JHK406",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK407",attributes+0,0,NULL},
  {914,0,0x900010,"JHK408",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK409",attributes+0,0,NULL},
  {914,0,0x900010,"JHK410",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK411",attributes+0,0,NULL},
  {914,0,0x900010,"JHK412",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK413",attributes+0,0,NULL},
  {914,0,0x900010,"JHK414",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK415",attributes+0,0,NULL},
  {914,0,0x900010,"JHK416",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK417",attributes+0,0,NULL},
  {914,0,0x900010,"JHK418",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK419",attributes+0,0,NULL},
  {914,0,0x900010,"JHK420",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK421",attributes+0,0,NULL},
  {914,0,0x900010,"JHK422",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK423",attributes+0,0,NULL},
  {914,0,0x900010,"JHK424",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK425",attributes+0,0,NULL},
  {951,0,0x900010,"JHK426",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK427",attributes+0,0,NULL},
  {914,0,0x900010,"JHK428",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK429",attributes+0,0,NULL},
  {951,0,0x900010,"JHK430",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK431",attributes+0,0,NULL},
  {914,0,0x900010,"JHK432",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK433",attributes+0,0,NULL},
  {914,0,0x900010,"JHK434",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK435",attributes+0,0,NULL},
  {914,0,0x900010,"JHK436",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK437",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK438",attributes+0,0,NULL},
  {914,0,0x900010,"JHK439",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK440",attributes+0,0,NULL},
  {914,0,0x900010,"JHK441",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK442",attributes+0,0,NULL},
  {914,0,0x900010,"JHK443",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK444",attributes+0,0,NULL},
  {914,0,0x900010,"JHK445",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK446",attributes+0,0,NULL},
  {914,0,0x900010,"JHK447",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK448",attributes+0,0,NULL},
  {914,0,0x900010,"JHK449",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK450",attributes+0,0,NULL},
  {914,0,0x900010,"JHK451",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK452",attributes+0,0,NULL},
  {914,0,0x900010,"JHK453",attributes+0,0,NULL},
  {875,0,0x1800010,"JHK454",attributes+0,0,NULL},
  {875,0,0x900010,"JHK455",attributes+0,0,NULL},
  {875,0,0x1800010,"JHK456",attributes+0,0,NULL},
  {875,0,0x900010,"JHK457",attributes+0,0,NULL},
  {912,0,0x1800010,"JHK458",attributes+0,0,NULL},
  {875,0,0x900010,"JHK459",attributes+0,0,NULL},
  {879,0,0x900010,"JHK460",attributes+0,0,NULL},
  {879,0,0x900010,"JHK461",attributes+0,0,NULL},
  {914,0,0x820010,"JHK462",attributes+0,0,NULL},
  {914,0,0x820010,"JHK463",attributes+0,0,NULL},
  {914,0,0x820010,"JHK464",attributes+0,0,NULL},
  {914,0,0x820010,"JHK465",attributes+0,0,NULL},
  {914,0,0x820010,"JHK466",attributes+0,0,NULL},
  {839,0,0x820010,"JHK467",attributes+0,0,NULL},
  {877,0,0x820010,"JHK468",attributes+0,0,NULL},
  {877,0,0x820010,"JHK469",attributes+0,0,NULL},
  {914,0,0x820010,"JHK470",attributes+0,0,NULL},
  {914,0,0x820010,"JHK471",attributes+0,0,NULL},
  {914,0,0x820010,"JHK472",attributes+0,0,NULL},
  {914,0,0x820010,"JHK473",attributes+0,0,NULL},
  {914,0,0x820010,"JHK474",attributes+0,0,NULL},
  {916,0,0x820010,"JHK475",attributes+0,0,NULL},
  {1100,0,0x820010,"JHK476",attributes+0,0,NULL},
  {914,0,0x820010,"JHK477",attributes+0,0,NULL},
  {914,0,0x820010,"JHK478",attributes+0,0,NULL},
  {914,0,0x820010,"JHK479",attributes+0,0,NULL},
  {914,0,0x820010,"JHK480",attributes+0,0,NULL},
  {917,0,0x820010,"JHK481",attributes+0,0,NULL},
  {991,0,0x820010,"JHK482",attributes+0,0,NULL},
  {914,0,0x900010,"JHK483",attributes+0,0,NULL},
  {914,0,0x820010,"JHK484",attributes+0,0,NULL},
  {914,0,0x820010,"JHK485",attributes+0,0,NULL},
  {914,0,0x820010,"JHK486",attributes+0,0,NULL},
  {914,0,0x820010,"JHK487",attributes+0,0,NULL},
  {914,0,0x820010,"JHK488",attributes+0,0,NULL},
  {914,0,0x820010,"JHK489",attributes+0,0,NULL},
  {951,0,0x820010,"JHK490",attributes+0,0,NULL},
  {914,0,0x820010,"JHK491",attributes+0,0,NULL},
  {988,0,0x820010,"JHK492",attributes+0,0,NULL},
  {988,0,0x820010,"JHK493",attributes+0,0,NULL},
  {988,0,0x820010,"JHK494",attributes+0,0,NULL},
  {914,0,0x820010,"JHK495",attributes+0,0,NULL},
  {914,0,0x820010,"JHK496",attributes+0,0,NULL},
  {914,0,0x820010,"JHK497",attributes+0,0,NULL},
  {914,0,0x820010,"JHK498",attributes+0,0,NULL},
  {914,0,0x820010,"JHK499",attributes+0,0,NULL},
  {914,0,0x820010,"JHK500",attributes+0,0,NULL},
  {913,0,0x820010,"JHK501",attributes+0,0,NULL},
  {913,0,0x820010,"JHK502",attributes+0,0,NULL},
  {913,0,0x820010,"JHK503",attributes+0,0,NULL},
  {913,0,0x820010,"JHK504",attributes+0,0,NULL},
  {913,0,0x820010,"JHK505",attributes+0,0,NULL},
  {913,0,0x820010,"JHK506",attributes+0,0,NULL},
  {913,0,0x820010,"JHK507",attributes+0,0,NULL},
  {913,0,0x820010,"JHK508",attributes+0,0,NULL},
  {913,0,0x820010,"JHK509",attributes+0,0,NULL},
  {913,0,0x820010,"JHK510",attributes+0,0,NULL},
  {913,0,0x820010,"JHK511",attributes+0,0,NULL},
  {1062,0,0x820010,"JHK512",attributes+0,0,NULL},
  {1062,0,0x820010,"JHK513",attributes+0,0,NULL},
  {1062,0,0x820010,"JHK514",attributes+0,0,NULL},
  {1062,0,0x820010,"JHK515",attributes+0,0,NULL},
  {913,0,0x820010,"JHK516",attributes+0,0,NULL},
  {876,0,0x900010,"JHK517",attributes+0,0,NULL},
  {876,0,0x820010,"JHK518",attributes+0,0,NULL},
  {914,0,0x820010,"JHK519",attributes+0,0,NULL},
  {913,0,0x820010,"JHK520",attributes+0,0,NULL},
  {877,0,0x820010,"JHK521",attributes+0,0,NULL},
  {878,0,0x820010,"JHK522",attributes+0,0,NULL},
  {877,0,0x820010,"JHK523",attributes+0,0,NULL},
  {878,0,0x820010,"JHK524",attributes+0,0,NULL},
  {914,0,0x820010,"JHK525",attributes+0,0,NULL},
  {915,0,0x820010,"JHK526",attributes+0,0,NULL},
  {913,0,0x820010,"JHK527",attributes+0,0,NULL},
  {874,0,0x1800010,"JHK528",attributes+0,0,NULL},
  {874,0,0x820010,"JHK529",attributes+0,0,NULL},
  {874,0,0x1800010,"JHK530",attributes+0,0,NULL},
  {874,0,0x820010,"JHK531",attributes+0,0,NULL},
  {874,0,0x1800010,"JHK532",attributes+0,0,NULL},
  {874,0,0x820010,"JHK533",attributes+0,0,NULL},
  {874,0,0x1800010,"JHK534",attributes+0,0,NULL},
  {874,0,0x820010,"JHK535",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK536",attributes+0,0,NULL},
  {952,0,0x820010,"JHK537",attributes+0,0,NULL},
  {915,0,0x820010,"JHK538",attributes+0,0,NULL},
  {915,0,0x820010,"JHK539",attributes+0,0,NULL},
  {952,0,0x820010,"JHK540",attributes+0,0,NULL},
  {951,0,0x820010,"JHK541",attributes+0,0,NULL},
  {914,0,0x820010,"JHK542",attributes+0,0,NULL},
  {876,0,0x820010,"JHK543",attributes+0,0,NULL},
  {876,0,0x820010,"JHK544",attributes+0,0,NULL},
  {913,0,0x820010,"JHK545",attributes+0,0,NULL},
  {914,0,0x820010,"JHK546",attributes+0,0,NULL},
  {914,0,0x820010,"JHK547",attributes+0,0,NULL},
  {914,0,0x820010,"JHK548",attributes+0,0,NULL},
  {914,0,0x820010,"JHK549",attributes+0,0,NULL},
  {914,0,0x820010,"JHK550",attributes+0,0,NULL},
  {914,0,0x820010,"JHK551",attributes+0,0,NULL},
  {914,0,0x820010,"JHK552",attributes+0,0,NULL},
  {914,0,0x820010,"JHK553",attributes+0,0,NULL},
  {914,0,0x820010,"JHK554",attributes+0,0,NULL},
  {914,0,0x820010,"JHK555",attributes+0,0,NULL},
  {914,0,0x820010,"JHK556",attributes+0,0,NULL},
  {914,0,0x820010,"JHK557",attributes+0,0,NULL},
  {914,0,0x820010,"JHK558",attributes+0,0,NULL},
  {914,0,0x820010,"JHK559",attributes+0,0,NULL},
  {914,0,0x820010,"JHK560",attributes+0,0,NULL},
  {875,0,0x820010,"JHK561",attributes+0,0,NULL},
  {876,0,0x820010,"JHK562",attributes+0,0,NULL},
  {876,0,0x820010,"JHK563",attributes+0,0,NULL},
  {876,0,0x820010,"JHK564",attributes+0,0,NULL},
  {876,0,0x820010,"JHK565",attributes+0,0,NULL},
  {914,0,0x820010,"JHK566",attributes+0,1,autohelperjoseki565},
  {914,0,0x820010,"JHK567",attributes+0,0,NULL},
  {914,0,0x820010,"JHK568",attributes+0,0,NULL},
  {951,0,0x820010,"JHK569",attributes+0,0,NULL},
  {951,0,0x820010,"JHK570",attributes+0,0,NULL},
  {951,0,0x820010,"JHK571",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK572",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK573",attributes+0,0,NULL},
  {914,0,0x820010,"JHK574",attributes+0,1,autohelperjoseki573},
  {914,0,0x820010,"JHK575",attributes+0,0,NULL},
  {914,0,0x820010,"JHK576",attributes+0,0,NULL},
  {914,0,0x820010,"JHK577",attributes+0,0,NULL},
  {914,0,0x820010,"JHK578",attributes+0,0,NULL},
  {914,0,0x820010,"JHK579",attributes+0,0,NULL},
  {914,0,0x820010,"JHK580",attributes+0,0,NULL},
  {914,0,0x820010,"JHK581",attributes+0,0,NULL},
  {914,0,0x820010,"JHK582",attributes+0,0,NULL},
  {915,0,0x820010,"JHK583",attributes+0,0,NULL},
  {915,0,0x820010,"JHK584",attributes+0,0,NULL},
  {989,0,0x820010,"JHK585",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK586",attributes+0,0,NULL},
  {914,0,0x820010,"JHK587",attributes+0,0,NULL},
  {914,0,0x820010,"JHK588",attributes+0,0,NULL},
  {914,0,0x820010,"JHK589",attributes+0,0,NULL},
  {914,0,0x820010,"JHK590",attributes+0,0,NULL},
  {914,0,0x820010,"JHK591",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK592",attributes+0,0,NULL},
  {950,0,0x840010,"JHK593",attributes+0,0,NULL},
  {913,0,0x820010,"JHK594",attributes+0,0,NULL},
  {875,0,0x820010,"JHK595",attributes+0,0,NULL},
  {916,0,0x820010,"JHK596",attributes+0,0,NULL},
  {1063,0,0x840010,"JHK597",attributes+0,0,NULL},
  {1026,0,0x840010,"JHK598",attributes+0,0,NULL},
  {986,0,0x820010,"JHK599",attributes+0,0,NULL},
  {986,0,0x820010,"JHK600",attributes+0,0,NULL},
  {916,0,0x820010,"JHK601",attributes+0,0,NULL},
  {917,0,0x820010,"JHK602",attributes+0,0,NULL},
  {1062,0,0x820010,"JHK603",attributes+0,0,NULL},
  {912,0,0x820010,"JHK604",attributes+0,0,NULL},
  {912,0,0x820010,"JHK605",attributes+0,0,NULL},
  {913,0,0x820010,"JHK606",attributes+0,0,NULL},
  {875,0,0x820010,"JHK607",attributes+0,0,NULL},
  {913,0,0x820010,"JHK608",attributes+0,0,NULL},
  {875,0,0x820010,"JHK609",attributes+0,0,NULL},
  {875,0,0x820010,"JHK610",attributes+0,0,NULL},
  {875,0,0x820010,"JHK611",attributes+0,0,NULL},
  {875,0,0x820010,"JHK612",attributes+0,0,NULL},
  {876,0,0x820010,"JHK613",attributes+0,0,NULL},
  {875,0,0x820010,"JHK614",attributes+0,0,NULL},
  {913,0,0x820010,"JHK615",attributes+0,0,NULL},
  {876,0,0x820010,"JHK616",attributes+0,0,NULL},
  {913,0,0x820010,"JHK617",attributes+0,0,NULL},
  {913,0,0x820010,"JHK618",attributes+0,0,NULL},
  {914,0,0x1800010,"JHK619",attributes+0,0,NULL},
  {913,0,0x820010,"JHK620",attributes+0,0,NULL},
  {914,0,0x820010,"JHK621",attributes+0,0,NULL},
  {913,0,0x820010,"JHK622",attributes+0,0,NULL},
  {914,0,0x820010,"JHK623",attributes+0,0,NULL},
  {914,0,0x820010,"JHK624",attributes+0,0,NULL},
  {914,0,0x820010,"JHK625",attributes+0,0,NULL},
  {911,0,0x820010,"JHK626",attributes+0,0,NULL},
  {911,0,0x820010,"JHK627",attributes+0,0,NULL},
  {911,0,0x820010,"JHK628",attributes+0,0,NULL},
  {913,0,0x1800010,"JHK629",attributes+0,0,NULL},
  {875,0,0x820010,"JHK630",attributes+0,0,NULL},
  {912,0,0x820010,"JHK631",attributes+0,0,NULL},
  {875,0,0x820010,"JHK632",attributes+0,0,NULL},
  {913,0,0x820010,"JHK633",attributes+0,0,NULL},
  {912,0,0x820010,"JHK634",attributes+0,0,NULL},
  {875,0,0x820010,"JHK635",attributes+0,0,NULL},
  {875,0,0x820010,"JHK636",attributes+0,0,NULL},
  {912,0,0x1800010,"JHK637",attributes+0,0,NULL},
  {913,0,0x820010,"JHK638",attributes+0,0,NULL},
  {912,0,0x820010,"JHK639",attributes+0,0,NULL},
  {912,0,0x820010,"JHK640",attributes+0,0,NULL},
  {912,0,0x820010,"JHK641",attributes+0,0,NULL},
  {912,0,0x820010,"JHK642",attributes+0,0,NULL},
  {912,0,0x820010,"JHK643",attributes+0,0,NULL},
  {912,0,0x820010,"JHK644",attributes+0,0,NULL},
  {912,0,0x820010,"JHK645",attributes+0,0,NULL},
  {912,0,0x820010,"JHK646",attributes+0,0,NULL},
  {912,0,0x820010,"JHK647",attributes+0,0,NULL},
  {912,0,0x820010,"JHK648",attributes+0,0,NULL},
  {912,0,0x820010,"JHK649",attributes+0,0,NULL},
  {912,0,0x820010,"JHK650",attributes+0,0,NULL},
  {878,0,0x820010,"JHK651",attributes+0,0,NULL},
  {986,0,0x880010,"JHK652",attributes+0,0,NULL},
  {912,1,0x820010,"JHK653",attributes+0,0,NULL},
  {912,1,0x820010,"JHK654",attributes+0,0,NULL},
  {912,0,0x820010,"JHK655",attributes+0,0,NULL},
  {912,0,0x820010,"JHK656",attributes+0,0,NULL},
  {949,0,0x820010,"JHK657",attributes+0,0,NULL},
  {912,0,0x820010,"JHK658",attributes+0,0,NULL},
  {912,0,0x820010,"JHK659",attributes+0,0,NULL},
  {912,0,0x820010,"JHK660",attributes+0,0,NULL},
  {912,0,0x820010,"JHK661",attributes+0,0,NULL},
  {912,0,0x820010,"JHK662",attributes+0,0,NULL},
  {912,0,0x820010,"JHK663",attributes+0,0,NULL},
  {986,0,0x820010,"JHK664",attributes+0,0,NULL},
  {986,0,0x820010,"JHK665",attributes+0,0,NULL},
  {986,0,0x820010,"JHK666",attributes+0,0,NULL},
  {986,0,0x820010,"JHK667",attributes+0,0,NULL},
  {986,0,0x820010,"JHK668",attributes+0,0,NULL},
  {986,0,0x820010,"JHK669",attributes+0,0,NULL},
  {986,0,0x820010,"JHK670",attributes+0,0,NULL},
  {986,0,0x820010,"JHK671",attributes+0,0,NULL},
  {952,0,0x820010,"JHK672",attributes+0,0,NULL},
  {986,0,0x880010,"JHK673",attributes+0,0,NULL},
  {912,0,0x820010,"JHK674",attributes+0,0,NULL},
  {912,0,0x820010,"JHK675",attributes+0,0,NULL},
  {912,0,0x820010,"JHK676",attributes+0,0,NULL},
  {912,0,0x820010,"JHK677",attributes+0,0,NULL},
  {912,0,0x820010,"JHK678",attributes+0,0,NULL},
  {912,0,0x820010,"JHK679",attributes+0,0,NULL},
  {912,0,0x820010,"JHK680",attributes+0,0,NULL},
  {912,0,0x820010,"JHK681",attributes+0,0,NULL},
  {912,0,0x820010,"JHK682",attributes+0,0,NULL},
  {913,0,0x820010,"JHK683",attributes+0,0,NULL},
  {1062,0,0x820010,"JHK684",attributes+0,0,NULL},
  {950,0,0x820010,"JHK685",attributes+0,0,NULL},
  {950,0,0x900010,"JHK686",attributes+0,0,NULL},
  {950,0,0x820010,"JHK687",attributes+0,0,NULL},
  {950,0,0x820010,"JHK688",attributes+0,0,NULL},
  {950,0,0x820010,"JHK689",attributes+0,0,NULL},
  {950,0,0x900010,"JHK690",attributes+0,0,NULL},
  {950,0,0x820010,"JHK691",attributes+0,0,NULL},
  {950,0,0x820010,"JHK692",attributes+0,0,NULL},
  {1063,0,0x840010,"JHK693",attributes+0,0,NULL},
  {1063,0,0x900010,"JHK694",attributes+0,0,NULL},
  {1063,0,0x900010,"JHK695",attributes+0,0,NULL},
  {1063,0,0x840010,"JHK696",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK697",attributes+0,0,NULL},
  {1100,0,0x820010,"JHK698",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK699",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK700",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK701",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK702",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK703",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK704",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK705",attributes+0,0,NULL},
  {1063,0,0x840010,"JHK706",attributes+0,0,NULL},
  {1063,0,0x840010,"JHK707",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK708",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK709",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK710",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK711",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK712",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK713",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK714",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK715",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK716",attributes+0,0,NULL},
  {1063,0,0x840010,"JHK717",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK718",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK719",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK720",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK721",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK722",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK723",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK724",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK725",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK726",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK727",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK728",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK729",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK730",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK731",attributes+0,0,NULL},
  {1063,0,0x820010,"JHK732",attributes+0,0,NULL},
  {1063,0,0x840010,"JHK733",attributes+0,0,NULL},
  {916,0,0x820010,"JHO1",attributes+0,0,NULL},
  {914,0,0x820010,"JHO2",attributes+0,0,NULL},
  {916,0,0x900010,"JHO3",attributes+0,0,NULL},
  {953,0,0x840010,"JHO4",attributes+0,0,NULL},
  {914,0,0x820010,"JHO5",attributes+0,0,NULL},
  {914,0,0x820010,"JHO6",attributes+0,0,NULL},
  {914,0,0x820010,"JHO7",attributes+0,0,NULL},
  {914,0,0x820010,"JHO8",attributes+0,0,NULL},
  {953,0,0x820010,"JHO9",attributes+0,0,NULL},
  {913,0,0x1800010,"JHO10",attributes+0,0,NULL},
  {880,0,0x840010,"JHO11",attributes+0,0,NULL},
  {988,0,0x820010,"JHO12",attributes+0,0,NULL},
  {917,0,0x840010,"JHO13",attributes+1,0,NULL},
  {954,0,0x840010,"JHO14",attributes+0,0,NULL},
  {991,0,0x840010,"JHO15",attributes+0,0,NULL},
  {916,0,0x840010,"JHO16",attributes+3,0,NULL},
  {1064,0,0x840010,"JHO17",attributes+5,0,NULL},
  {915,0,0x1800010,"JHO18",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO19",attributes+0,0,NULL},
  {842,0,0x820010,"JHO20",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO21",attributes+0,0,NULL},
  {842,0,0x820010,"JHO22",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO23",attributes+0,0,NULL},
  {842,0,0x900010,"JHO24",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO25",attributes+0,0,NULL},
  {842,0,0x900010,"JHO26",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO27",attributes+0,0,NULL},
  {842,0,0x900010,"JHO28",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO29",attributes+0,0,NULL},
  {842,0,0x900010,"JHO30",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO31",attributes+0,0,NULL},
  {842,0,0x900010,"JHO32",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO33",attributes+0,0,NULL},
  {842,0,0x900010,"JHO34",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO35",attributes+0,0,NULL},
  {842,0,0x900010,"JHO36",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO37",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO38",attributes+0,0,NULL},
  {842,0,0x900010,"JHO39",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO40",attributes+0,0,NULL},
  {842,0,0x900010,"JHO41",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO42",attributes+0,0,NULL},
  {842,0,0x900010,"JHO43",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO44",attributes+0,0,NULL},
  {842,0,0x900010,"JHO45",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO46",attributes+0,0,NULL},
  {842,0,0x900010,"JHO47",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO48",attributes+0,0,NULL},
  {842,0,0x900010,"JHO49",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO50",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO51",attributes+0,0,NULL},
  {842,0,0x900010,"JHO52",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO53",attributes+0,0,NULL},
  {842,0,0x900010,"JHO54",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO55",attributes+0,0,NULL},
  {842,0,0x900010,"JHO56",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO57",attributes+0,0,NULL},
  {842,0,0x900010,"JHO58",attributes+0,0,NULL},
  {842,0,0x1800010,"JHO59",attributes+0,0,NULL},
  {842,0,0x900010,"JHO60",attributes+0,0,NULL},
  {950,0,0x820010,"JHO61",attributes+0,0,NULL},
  {912,0,0x820010,"JHO62",attributes+0,0,NULL},
  {912,0,0x820010,"JHO63",attributes+0,0,NULL},
  {912,0,0x820010,"JHO64",attributes+0,0,NULL},
  {912,0,0x820010,"JHO65",attributes+0,0,NULL},
  {917,0,0x820010,"JHO66",attributes+0,0,NULL},
  {1060,0,0x820010,"JHO67",attributes+0,0,NULL},
  {912,0,0x820010,"JHO68",attributes+0,0,NULL},
  {880,0,0x840010,"JHO69",attributes+0,0,NULL},
  {950,0,0x880010,"JHO70",attributes+0,0,NULL},
  {953,0,0x820010,"JHO71",attributes+0,0,NULL},
  {950,0,0x820010,"JHO72",attributes+0,0,NULL},
  {953,0,0x820010,"JHO73",attributes+0,0,NULL},
  {1023,0,0x840010,"JHO74",attributes+0,0,NULL},
  {912,1,0x820010,"JHO75",attributes+0,0,NULL},
  {912,1,0x820010,"JHO76",attributes+0,0,NULL},
  {1023,0,0x820010,"JHO77",attributes+0,0,NULL},
  {1023,0,0x820010,"JHO78",attributes+0,0,NULL},
  {1024,0,0x820010,"JHO79",attributes+0,0,NULL},
  {1023,0,0x820010,"JHO80",attributes+0,0,NULL},
  {1025,0,0x820010,"JHO81",attributes+0,0,NULL},
  {912,0,0x840010,"JHO82",attributes+0,0,NULL},
  {950,0,0x820010,"JHO83",attributes+0,0,NULL},
  {950,0,0x820010,"JHO84",attributes+0,0,NULL},
  {912,1,0x840010,"JHO85",attributes+0,0,NULL},
  {950,1,0x820010,"JHO86",attributes+0,0,NULL},
  {950,0,0x1800010,"JHO87",attributes+0,0,NULL},
  {950,0,0x820010,"JHO88",attributes+0,0,NULL},
  {950,0,0x820010,"JHO89",attributes+0,0,NULL},
  {950,0,0x820010,"JHO90",attributes+0,0,NULL},
  {950,0,0x820010,"JHO91",attributes+0,0,NULL},
  {954,0,0x820010,"JHO92",attributes+0,0,NULL},
  {991,0,0x840010,"JHO93",attributes+0,0,NULL},
  {987,0,0x820010,"JHO94",attributes+0,0,NULL},
  {987,0,0x820010,"JHO95",attributes+0,0,NULL},
  {987,0,0x820010,"JHO96",attributes+0,0,NULL},
  {987,0,0x820010,"JHO97",attributes+0,0,NULL},
  {874,0,0x820010,"JHO98",attributes+0,0,NULL},
  {874,0,0x820010,"JHO99",attributes+0,0,NULL},
  {874,0,0x820010,"JHO100",attributes+0,0,NULL},
  {874,0,0x820010,"JHO101",attributes+0,0,NULL},
  {911,0,0x820010,"JHO102",attributes+0,0,NULL},
  {911,0,0x820010,"JHO103",attributes+0,0,NULL},
  {948,0,0x820010,"JHO104",attributes+0,0,NULL},
  {874,0,0x820010,"JHO105",attributes+0,0,NULL},
  {875,0,0x820010,"JHO106",attributes+0,0,NULL},
  {874,0,0x820010,"JHO107",attributes+0,0,NULL},
  {912,0,0x820010,"JHO108",attributes+0,0,NULL},
  {874,0,0x820010,"JHO109",attributes+0,0,NULL},
  {874,0,0x820010,"JHO110",attributes+0,0,NULL},
  {875,0,0x840010,"JHO111",attributes+0,0,NULL},
  {874,0,0x820010,"JHO112",attributes+0,0,NULL},
  {911,0,0x820010,"JHO113",attributes+0,0,NULL},
  {911,0,0x820010,"JHO114",attributes+0,0,NULL},
  {948,0,0x820010,"JHO115",attributes+0,0,NULL},
  {912,0,0x820010,"JHO116",attributes+0,0,NULL},
  {874,0,0x1800010,"JHO117",attributes+0,0,NULL},
  {912,0,0x820010,"JHO118",attributes+0,0,NULL},
  {913,0,0x820010,"JHO119",attributes+0,0,NULL},
  {950,0,0x820010,"JHO120",attributes+0,0,NULL},
  {913,0,0x820010,"JHO121",attributes+0,0,NULL},
  {950,0,0x820010,"JHO122",attributes+0,0,NULL},
  {913,0,0x820010,"JHO123",attributes+0,0,NULL},
  {875,0,0x820010,"JHO124",attributes+0,0,NULL},
  {876,0,0x820010,"JHO125",attributes+0,0,NULL},
  {914,0,0x820010,"JHO126",attributes+0,0,NULL},
  {911,0,0x820010,"JHO127",attributes+0,0,NULL},
  {911,0,0x820010,"JHO128",attributes+0,0,NULL},
  {911,0,0x820010,"JHO129",attributes+0,0,NULL},
  {911,0,0x820010,"JHO130",attributes+0,0,NULL},
  {911,0,0x820010,"JHO131",attributes+0,0,NULL},
  {911,0,0x820010,"JHO132",attributes+0,0,NULL},
  {912,0,0x820010,"JHO133",attributes+0,0,NULL},
  {911,0,0x820010,"JHO134",attributes+0,0,NULL},
  {874,0,0x820010,"JHO135",attributes+0,0,NULL},
  {874,0,0x820010,"JHO136",attributes+0,0,NULL},
  {875,0,0x820010,"JHO137",attributes+0,0,NULL},
  {875,0,0x820010,"JHO138",attributes+0,0,NULL},
  {913,0,0x820010,"JHO139",attributes+0,0,NULL},
  {949,0,0x820010,"JHO140",attributes+0,0,NULL},
  {911,0,0x820010,"JHO141",attributes+0,0,NULL},
  {911,0,0x820010,"JHO142",attributes+0,0,NULL},
  {911,0,0x820010,"JHO143",attributes+0,0,NULL},
  {911,0,0x820010,"JHO144",attributes+0,0,NULL},
  {911,0,0x820010,"JHO145",attributes+0,0,NULL},
  {911,0,0x820010,"JHO146",attributes+0,0,NULL},
  {911,0,0x820010,"JHO147",attributes+0,0,NULL},
  {911,0,0x820010,"JHO148",attributes+0,0,NULL},
  {911,0,0x820010,"JHO149",attributes+0,0,NULL},
  {911,0,0x820010,"JHO150",attributes+0,0,NULL},
  {912,0,0x820010,"JHO151",attributes+0,0,NULL},
  {911,0,0x820010,"JHO152",attributes+0,0,NULL},
  {911,0,0x820010,"JHO153",attributes+0,0,NULL},
  {911,0,0x820010,"JHO154",attributes+0,0,NULL},
  {911,0,0x820010,"JHO155",attributes+0,0,NULL},
  {950,0,0x820010,"JHO156",attributes+0,0,NULL},
  {913,0,0x820010,"JHO157",attributes+0,0,NULL},
  {951,0,0x840010,"JHO158",attributes+0,0,NULL},
  {951,0,0x820010,"JHO159",attributes+0,0,NULL},
  {951,0,0x820010,"JHO160",attributes+0,0,NULL},
  {951,0,0x820010,"JHO161",attributes+0,0,NULL},
  {951,0,0x820010,"JHO162",attributes+0,0,NULL},
  {951,0,0x820010,"JHO163",attributes+0,0,NULL},
  {951,0,0x820010,"JHO164",attributes+0,0,NULL},
  {951,0,0x820010,"JHO165",attributes+0,0,NULL},
  {954,0,0x820010,"JHO166",attributes+0,0,NULL},
  {1099,0,0x820010,"JHO167",attributes+0,0,NULL},
  {951,0,0x820010,"JHO168",attributes+0,0,NULL},
  {951,0,0x820010,"JHO169",attributes+0,0,NULL},
  {951,0,0x820010,"JHO170",attributes+0,0,NULL},
  {951,0,0x820010,"JHO171",attributes+0,0,NULL},
  {955,0,0x820010,"JHO172",attributes+0,0,NULL},
  {1099,0,0x820010,"JHO173",attributes+0,0,NULL},
  {951,0,0x820010,"JHO174",attributes+0,0,NULL},
  {951,0,0x820010,"JHO175",attributes+0,0,NULL},
  {951,0,0x820010,"JHO176",attributes+0,0,NULL},
  {951,0,0x820010,"JHO177",attributes+0,0,NULL},
  {955,0,0x820010,"JHO178",attributes+0,0,NULL},
  {1099,0,0x820010,"JHO179",attributes+0,0,NULL},
  {951,0,0x820010,"JHO180",attributes+0,0,NULL},
  {951,0,0x820010,"JHO181",attributes+0,0,NULL},
  {951,0,0x820010,"JHO182",attributes+0,0,NULL},
  {951,0,0x820010,"JHO183",attributes+0,0,NULL},
  {951,0,0x820010,"JHO184",attributes+0,0,NULL},
  {951,0,0x820010,"JHO185",attributes+0,0,NULL},
  {951,0,0x820010,"JHO186",attributes+0,0,NULL},
  {951,0,0x820010,"JHO187",attributes+0,0,NULL},
  {951,0,0x820010,"JHO188",attributes+0,0,NULL},
  {951,0,0x820010,"JHO189",attributes+0,0,NULL},
  {953,0,0x820010,"JHO190",attributes+0,0,NULL},
  {952,0,0x820010,"JHO191",attributes+0,0,NULL},
  {952,0,0x820010,"JHO192",attributes+0,0,NULL},
  {989,0,0x820010,"JHO193",attributes+0,0,NULL},
  {989,0,0x820010,"JHO194",attributes+0,0,NULL},
  {989,0,0x820010,"JHO195",attributes+0,0,NULL},
  {1026,0,0x820010,"JHO196",attributes+0,0,NULL},
  {1026,0,0x820010,"JHO197",attributes+0,0,NULL},
  {989,0,0x820010,"JHO198",attributes+0,0,NULL},
  {951,0,0x820010,"JHO199",attributes+0,0,NULL},
  {951,0,0x820010,"JHO200",attributes+0,0,NULL},
  {951,0,0x820010,"JHO201",attributes+0,0,NULL},
  {951,0,0x820010,"JHO202",attributes+0,0,NULL},
  {951,0,0x1800010,"JHO203",attributes+0,0,NULL},
  {951,0,0x820010,"JHO204",attributes+0,0,NULL},
  {951,0,0x820010,"JHO205",attributes+0,0,NULL},
  {951,0,0x820010,"JHO206",attributes+0,0,NULL},
  {951,0,0x820010,"JHO207",attributes+0,0,NULL},
  {951,0,0x820010,"JHO208",attributes+0,0,NULL},
  {951,0,0x820010,"JHO209",attributes+0,0,NULL},
  {951,0,0x820010,"JHO210",attributes+0,0,NULL},
  {951,0,0x820010,"JHO211",attributes+0,0,NULL},
  {951,0,0x820010,"JHO212",attributes+0,0,NULL},
  {951,0,0x820010,"JHO213",attributes+0,0,NULL},
  {951,0,0x820010,"JHO214",attributes+0,0,NULL},
  {951,0,0x820010,"JHO215",attributes+0,0,NULL},
  {951,0,0x820010,"JHO216",attributes+0,0,NULL},
  {951,0,0x820010,"JHO217",attributes+0,0,NULL},
  {951,0,0x820010,"JHO218",attributes+0,0,NULL},
  {951,0,0x820010,"JHO219",attributes+0,0,NULL},
  {951,0,0x820010,"JHO220",attributes+0,0,NULL},
  {951,0,0x820010,"JHO221",attributes+0,0,NULL},
  {951,0,0x820010,"JHO222",attributes+0,0,NULL},
  {951,0,0x820010,"JHO223",attributes+0,0,NULL},
  {955,0,0x820010,"JHO224",attributes+0,0,NULL},
  {951,0,0x820010,"JHO225",attributes+0,0,NULL},
  {951,0,0x820010,"JHO226",attributes+0,0,NULL},
  {953,0,0x820010,"JHO227",attributes+0,0,NULL},
  {953,0,0x820010,"JHO228",attributes+0,0,NULL},
  {953,0,0x820010,"JHO229",attributes+0,0,NULL},
  {953,0,0x820010,"JHO230",attributes+0,0,NULL},
  {951,0,0x1800010,"JHO231",attributes+0,0,NULL},
  {951,0,0x820010,"JHO232",attributes+0,0,NULL},
  {951,0,0x820010,"JHO233",attributes+0,0,NULL},
  {951,0,0x840010,"JHO234",attributes+0,0,NULL},
  {988,0,0x820010,"JHO235",attributes+0,0,NULL},
  {988,0,0x820010,"JHO236",attributes+0,0,NULL},
  {988,0,0x820010,"JHO237",attributes+0,0,NULL},
  {988,0,0x820010,"JHO238",attributes+0,0,NULL},
  {988,0,0x820010,"JHO239",attributes+0,0,NULL},
  {988,0,0x820010,"JHO240",attributes+0,0,NULL},
  {988,0,0x820010,"JHO241",attributes+0,0,NULL},
  {992,0,0x840010,"JHO242",attributes+0,0,NULL},
  {1102,0,0x840010,"JHO243",attributes+0,0,NULL},
  {912,0,0x820010,"JK1",attributes+0,0,NULL},
  {949,0,0x820010,"JK2",attributes+0,0,NULL},
  {911,0,0x900010,"JK3",attributes+0,0,NULL},
  {949,0,0x820010,"JK4",attributes+7,0,NULL},
  {913,0,0x900010,"JK5",attributes+0,0,NULL},
  {1059,0,0x900010,"JK6",attributes+0,0,NULL},
  {1134,0,0x880010,"JK7",attributes+0,0,NULL},
  {1134,0,0x820010,"JK8",attributes+0,0,NULL},
  {1097,0,0x820010,"JK9",attributes+0,0,NULL},
  {1134,0,0x820010,"JK10",attributes+0,0,NULL},
  {951,0,0x840010,"JK11",attributes+0,0,NULL},
  {951,0,0x820010,"JK12",attributes+0,0,NULL},
  {951,0,0x820010,"JK13",attributes+0,0,NULL},
  {951,0,0x820010,"JK14",attributes+0,0,NULL},
  {951,0,0x820010,"JK15",attributes+0,0,NULL},
  {951,0,0x820010,"JK16",attributes+0,0,NULL},
  {951,0,0x820010,"JK17",attributes+0,0,NULL},
  {1059,0,0x820010,"JK18",attributes+0,0,NULL},
  {1060,0,0x820010,"JK19",attributes+0,0,NULL},
  {1060,0,0x820010,"JK20",attributes+0,0,NULL},
  {1060,0,0x820010,"JK21",attributes+0,0,NULL},
  {1060,0,0x820010,"JK22",attributes+0,0,NULL},
  {1062,0,0x820010,"JK23",attributes+9,0,NULL},
  {1062,0,0x820010,"JK24",attributes+0,0,NULL},
  {1063,0,0x820010,"JK25",attributes+0,0,NULL},
  {1062,0,0x820010,"JK26",attributes+0,0,NULL},
  {949,0,0x820010,"JK27",attributes+0,0,NULL},
  {1059,0,0x820010,"JK28",attributes+0,0,NULL},
  {1064,0,0x820010,"JK29",attributes+0,0,NULL},
  {1064,0,0x880010,"JK30",attributes+0,0,NULL},
  {1023,0,0x820010,"JK31",attributes+11,0,NULL},
  {913,0,0x820010,"JK32",attributes+0,0,NULL},
  {1096,0,0x820010,"JK33",attributes+0,0,NULL},
  {949,0,0x820010,"JK34",attributes+0,0,NULL},
  {949,0,0x820010,"JK35",attributes+0,0,NULL},
  {949,0,0x820010,"JK36",attributes+0,0,NULL},
  {949,0,0x820010,"JK37",attributes+13,0,NULL},
  {949,0,0x820010,"JK38",attributes+0,0,NULL},
  {949,0,0x820010,"JK39",attributes+0,0,NULL},
  {949,0,0x820010,"JK40",attributes+0,0,NULL},
  {949,0,0x820010,"JK41",attributes+0,0,NULL},
  {949,0,0x1800010,"JK42",attributes+0,0,NULL},
  {949,0,0x820010,"JK43",attributes+0,0,NULL},
  {949,0,0x820010,"JK44",attributes+0,0,NULL},
  {949,0,0x820010,"JK45",attributes+0,0,NULL},
  {949,0,0x820010,"JK46",attributes+0,0,NULL},
  {949,0,0x820010,"JK47",attributes+0,0,NULL},
  {1097,0,0x820010,"JK48",attributes+0,0,NULL},
  {1101,0,0x880010,"JK49",attributes+15,0,NULL},
  {986,0,0x1800010,"JK50",attributes+0,0,NULL},
  {1097,0,0x820010,"JK51",attributes+0,0,NULL},
  {1097,0,0x820010,"JK52",attributes+0,0,NULL},
  {1097,0,0x820010,"JK53",attributes+17,0,NULL},
  {913,0,0x820010,"JK54",attributes+0,0,NULL},
  {874,0,0x900010,"JK55",attributes+0,0,NULL},
  {875,0,0x900010,"JK56",attributes+0,0,NULL},
  {875,0,0x820010,"JK57",attributes+0,0,NULL},
  {912,0,0x900010,"JK58",attributes+0,0,NULL},
  {949,0,0x820010,"JK59",attributes+0,0,NULL},
  {949,0,0x820010,"JK60",attributes+19,0,NULL},
  {950,0,0x820010,"JK61",attributes+0,0,NULL},
  {950,0,0x820010,"JK62",attributes+0,0,NULL},
  {950,0,0x820010,"JK63",attributes+0,0,NULL},
  {951,0,0x820010,"JK64",attributes+0,0,NULL},
  {988,0,0x820010,"JK65",attributes+0,0,NULL},
  {1025,0,0x900010,"JK66",attributes+0,0,NULL},
  {1025,0,0x900010,"JK67",attributes+0,0,NULL},
  {988,0,0x820010,"JK68",attributes+0,1,autohelperjoseki1043},
  {988,0,0x900010,"JK69",attributes+0,0,NULL},
  {988,0,0x820010,"JK70",attributes+0,0,NULL},
  {988,0,0x820010,"JK71",attributes+0,0,NULL},
  {988,0,0x820010,"JK72",attributes+0,0,NULL},
  {988,0,0x900010,"JK73",attributes+0,0,NULL},
  {988,0,0x900010,"JK74",attributes+0,0,NULL},
  {988,0,0x900010,"JK75",attributes+0,0,NULL},
  {988,0,0x820010,"JK76",attributes+0,0,NULL},
  {988,0,0x820010,"JK77",attributes+0,0,NULL},
  {988,0,0x820010,"JK78",attributes+0,0,NULL},
  {988,0,0x820010,"JK79",attributes+0,0,NULL},
  {988,0,0x820010,"JK80",attributes+0,0,NULL},
  {988,0,0x820010,"JK81",attributes+0,0,NULL},
  {912,0,0x1800010,"JK82",attributes+0,0,NULL},
  {986,0,0x1800010,"JK83",attributes+0,0,NULL},
  {986,0,0x820010,"JK84",attributes+0,0,NULL},
  {986,0,0x820010,"JK85",attributes+0,0,NULL},
  {986,0,0x820010,"JK86",attributes+0,0,NULL},
  {986,0,0x820010,"JK87",attributes+0,0,NULL},
  {986,0,0x820010,"JK88",attributes+0,0,NULL},
  {986,0,0x820010,"JK89",attributes+0,0,NULL},
  {1023,0,0x820010,"JK90",attributes+0,0,NULL},
  {1025,0,0x820010,"JK91",attributes+0,0,NULL},
  {1025,0,0x900010,"JK92",attributes+0,0,NULL},
  {1025,0,0x820010,"JK93",attributes+0,0,NULL},
  {1025,0,0x820010,"JK94",attributes+0,0,NULL},
  {1062,0,0x820010,"JK95",attributes+0,0,NULL},
  {1062,0,0x820010,"JK96",attributes+0,0,NULL},
  {1061,0,0x820010,"JK97",attributes+0,0,NULL},
  {1062,0,0x820010,"JK98",attributes+0,0,NULL},
  {1062,0,0x820010,"JK99",attributes+0,0,NULL},
  {1062,0,0x900010,"JK100",attributes+0,0,NULL},
  {1062,0,0x820010,"JK101",attributes+0,0,NULL},
  {1062,0,0x900010,"JK102",attributes+0,0,NULL},
  {1062,0,0x820010,"JK103",attributes+0,0,NULL},
  {1173,0,0x820010,"JK104",attributes+0,0,NULL},
  {1173,0,0x820010,"JK105",attributes+0,0,NULL},
  {1175,0,0x820010,"JK106",attributes+0,0,NULL},
  {1175,0,0x820010,"JK107",attributes+0,0,NULL},
  {986,0,0x1800010,"JK108",attributes+0,0,NULL},
  {912,0,0x820010,"JK109",attributes+0,0,NULL},
  {912,0,0x900010,"JK110",attributes+0,0,NULL},
  {912,0,0x900010,"JK111",attributes+0,0,NULL},
  {912,0,0x900010,"JK112",attributes+0,0,NULL},
  {949,0,0x820010,"JK113",attributes+21,0,NULL},
  {949,0,0x820010,"JK114",attributes+23,0,NULL},
  {950,0,0x880010,"JK115",attributes+0,0,NULL},
  {914,0,0x900010,"JK116",attributes+0,0,NULL},
  {914,0,0x1800010,"JK117",attributes+0,0,NULL},
  {914,0,0x820010,"JK118",attributes+25,0,NULL},
  {914,0,0x1800010,"JK119",attributes+0,0,NULL},
  {914,0,0x900010,"JK120",attributes+0,0,NULL},
  {952,0,0x820010,"JK121",attributes+0,0,NULL},
  {952,0,0x820010,"JK122",attributes+0,0,NULL},
  {952,0,0x820010,"JK123",attributes+0,0,NULL},
  {952,0,0x820010,"JK124",attributes+0,0,NULL},
  {913,0,0x1800010,"JK125",attributes+0,0,NULL},
  {949,0,0x880010,"JK126",attributes+27,0,NULL},
  {949,0,0x820010,"JK127",attributes+29,0,NULL},
  {950,0,0x820010,"JK128",attributes+0,0,NULL},
  {950,0,0x820010,"JK129",attributes+0,0,NULL},
  {950,0,0x820010,"JK130",attributes+0,0,NULL},
  {951,0,0x820010,"JK131",attributes+0,0,NULL},
  {951,0,0x820010,"JK132",attributes+0,0,NULL},
  {951,0,0x820010,"JK133",attributes+0,0,NULL},
  {988,0,0x820010,"JK134",attributes+0,0,NULL},
  {950,0,0x820010,"JK135",attributes+0,0,NULL},
  {950,0,0x1800010,"JK136",attributes+0,0,NULL},
  {912,0,0x1800010,"JK137",attributes+0,0,NULL},
  {949,0,0x820010,"JK138",attributes+0,0,NULL},
  {949,0,0x820010,"JK139",attributes+0,0,NULL},
  {986,0,0x820010,"JK140",attributes+0,0,NULL},
  {950,0,0x1800010,"JK141",attributes+0,0,NULL},
  {950,0,0x1800010,"JK142",attributes+0,0,NULL},
  {950,0,0x820010,"JK143",attributes+0,0,NULL},
  {950,0,0x820010,"JK144",attributes+31,0,NULL},
  {950,0,0x820010,"JK145",attributes+0,0,NULL},
  {950,0,0x900010,"JK146",attributes+0,0,NULL},
  {950,0,0x820010,"JK147",attributes+33,0,NULL},
  {1023,0,0x820010,"JK148",attributes+0,0,NULL},
  {986,0,0x820010,"JK149",attributes+0,0,NULL},
  {1023,0,0x820010,"JK150",attributes+0,0,NULL},
  {1027,0,0x820010,"JK151",attributes+0,0,NULL},
  {950,0,0x1800010,"JK152",attributes+0,0,NULL},
  {950,0,0x1800010,"JK153",attributes+0,0,NULL},
  {950,0,0x1800010,"JK154",attributes+0,0,NULL},
  {949,0,0x820010,"JK155",attributes+0,0,NULL},
  {949,0,0x820010,"JK156",attributes+0,0,NULL},
  {949,0,0x820010,"JK157",attributes+0,0,NULL},
  {986,0,0x900010,"JK158",attributes+0,0,NULL},
  {986,0,0x840010,"JK159",attributes+0,0,NULL},
  {986,0,0x820010,"JK160",attributes+0,0,NULL},
  {986,0,0x820010,"JK161",attributes+0,0,NULL},
  {949,0,0x820010,"JK162",attributes+0,0,NULL},
  {986,0,0x820010,"JK163",attributes+0,0,NULL},
  {912,0,0x900010,"JK164",attributes+0,0,NULL},
  {950,0,0x900010,"JK165",attributes+0,0,NULL},
  {987,0,0x900010,"JK166",attributes+0,0,NULL},
  {987,0,0x900010,"JK167",attributes+0,0,NULL},
  {951,0,0x820010,"JK168",attributes+0,0,NULL},
  {988,0,0x820010,"JK169",attributes+0,0,NULL},
  {988,0,0x900010,"JK170",attributes+0,0,NULL},
  {988,0,0x820010,"JK171",attributes+0,0,NULL},
  {988,0,0x820010,"JK172",attributes+0,0,NULL},
  {988,0,0x820010,"JK173",attributes+0,0,NULL},
  {1062,0,0x820010,"JK174",attributes+0,0,NULL},
  {988,0,0x820010,"JK175",attributes+0,0,NULL},
  {989,0,0x820010,"JK176",attributes+0,0,NULL},
  {990,0,0x820010,"JK177",attributes+0,0,NULL},
  {1138,0,0x820010,"JK178",attributes+0,0,NULL},
  {988,0,0x900010,"JK179",attributes+0,0,NULL},
  {988,0,0x900010,"JK180",attributes+0,0,NULL},
  {988,0,0x900010,"JK181",attributes+0,0,NULL},
  {988,0,0x900010,"JK182",attributes+0,0,NULL},
  {988,0,0x900010,"JK183",attributes+0,0,NULL},
  {988,0,0x900010,"JK184",attributes+0,0,NULL},
  {988,0,0x820010,"JK185",attributes+0,0,NULL},
  {988,0,0x820010,"JK186",attributes+0,0,NULL},
  {988,0,0x820010,"JK187",attributes+0,0,NULL},
  {988,0,0x820010,"JK188",attributes+0,0,NULL},
  {988,0,0x820010,"JK189",attributes+0,0,NULL},
  {988,0,0x900010,"JK190",attributes+0,0,NULL},
  {988,0,0x820010,"JK191",attributes+0,0,NULL},
  {988,0,0x820010,"JK192",attributes+0,0,NULL},
  {988,0,0x820010,"JK193",attributes+0,0,NULL},
  {988,0,0x820010,"JK194",attributes+0,0,NULL},
  {988,0,0x820010,"JK195",attributes+0,0,NULL},
  {990,0,0x820010,"JK196",attributes+0,0,NULL},
  {991,0,0x820010,"JK197",attributes+0,0,NULL},
  {992,0,0x820010,"JK198",attributes+0,0,NULL},
  {988,0,0x820010,"JK199",attributes+0,0,NULL},
  {988,0,0x900010,"JK200",attributes+0,0,NULL},
  {988,0,0x820010,"JK201",attributes+0,0,NULL},
  {988,0,0x900010,"JK202",attributes+0,0,NULL},
  {988,0,0x820010,"JK203",attributes+0,0,NULL},
  {992,0,0x820010,"JK204",attributes+0,0,NULL},
  {991,0,0x820010,"JK205",attributes+0,0,NULL},
  {988,0,0x1800010,"JK206",attributes+0,0,NULL},
  {989,0,0x820010,"JK207",attributes+0,0,NULL},
  {989,0,0x820010,"JK208",attributes+0,0,NULL},
  {988,0,0x1800010,"JK209",attributes+0,0,NULL},
  {988,0,0x820010,"JK210",attributes+0,0,NULL},
  {988,0,0x820010,"JK211",attributes+0,0,NULL},
  {988,0,0x820010,"JK212",attributes+0,0,NULL},
  {988,0,0x820010,"JK213",attributes+0,0,NULL},
  {988,0,0x820010,"JK214",attributes+0,0,NULL},
  {988,0,0x820010,"JK215",attributes+0,0,NULL},
  {988,0,0x820010,"JK216",attributes+0,0,NULL},
  {988,0,0x820010,"JK217",attributes+0,0,NULL},
  {988,0,0x820010,"JK218",attributes+0,0,NULL},
  {1062,0,0x820010,"JK219",attributes+0,0,NULL},
  {1062,0,0x820010,"JK220",attributes+0,0,NULL},
  {1062,0,0x820010,"JK221",attributes+0,0,NULL},
  {1062,0,0x820010,"JK222",attributes+0,0,NULL},
  {1062,0,0x820010,"JK223",attributes+0,0,NULL},
  {1061,0,0x1800010,"JK224",attributes+0,0,NULL},
  {1061,0,0x820010,"JK225",attributes+0,0,NULL},
  {1061,0,0x820010,"JK226",attributes+0,0,NULL},
  {1061,0,0x820010,"JK227",attributes+0,0,NULL},
  {1061,0,0x820010,"JK228",attributes+0,0,NULL},
  {1061,0,0x1800010,"JK229",attributes+0,0,NULL},
  {1061,0,0x820010,"JK230",attributes+0,0,NULL},
  {1061,0,0x820010,"JK231",attributes+0,0,NULL},
  {1061,0,0x820010,"JK232",attributes+0,0,NULL},
  {912,0,0x1800010,"JK233",attributes+0,0,NULL},
  {912,0,0x820010,"JK234",attributes+0,0,NULL},
  {1061,0,0x820010,"JK235",attributes+0,0,NULL},
  {1061,0,0x820010,"JK236",attributes+0,0,NULL},
  {1061,0,0x820010,"JK237",attributes+0,0,NULL},
  {1061,0,0x820010,"JK238",attributes+0,0,NULL},
  {1061,0,0x820010,"JK239",attributes+0,0,NULL},
  {914,0,0x820010,"JK240",attributes+0,0,NULL},
  {986,0,0x820010,"JK241",attributes+0,0,NULL},
  {1024,0,0x900010,"JK242",attributes+0,0,NULL},
  {987,0,0x820010,"JK243",attributes+35,0,NULL},
  {1022,0,0x820010,"JK244",attributes+0,0,NULL},
  {1059,0,0x820010,"JK245",attributes+0,0,NULL},
  {912,0,0x820010,"JK246",attributes+0,0,NULL},
  {987,0,0x900010,"JK247",attributes+0,0,NULL},
  {987,0,0x820010,"JK248",attributes+0,0,NULL},
  {954,0,0x820010,"JK249",attributes+0,0,NULL},
  {950,0,0x820010,"JK250",attributes+0,0,NULL},
  {987,0,0x820010,"JK251",attributes+0,0,NULL},
  {990,0,0x820010,"JK252",attributes+0,0,NULL},
  {1060,0,0x820010,"JK253",attributes+0,0,NULL},
  {988,0,0x820010,"JK254",attributes+37,0,NULL},
  {988,0,0x820010,"JK255",attributes+0,0,NULL},
  {1024,0,0x820010,"JK256",attributes+0,0,NULL},
  {988,0,0x900010,"JK257",attributes+0,0,NULL},
  {986,0,0x900010,"JK258",attributes+0,0,NULL},
  {987,0,0x900010,"JK259",attributes+0,0,NULL},
  {987,0,0x900010,"JK260",attributes+0,0,NULL},
  {988,0,0x900010,"JK261",attributes+0,0,NULL},
  {1025,0,0x900010,"JK262",attributes+0,0,NULL},
  {1025,0,0x900010,"JK263",attributes+0,0,NULL},
  {1025,0,0x820010,"JK264",attributes+39,0,NULL},
  {1025,0,0x900010,"JK265",attributes+0,0,NULL},
  {1099,0,0x820010,"JK266",attributes+41,0,NULL},
  {1062,0,0x900010,"JK267",attributes+0,0,NULL},
  {1025,0,0x900010,"JK268",attributes+0,0,NULL},
  {1062,0,0x900010,"JK269",attributes+0,0,NULL},
  {1062,0,0x900010,"JK270",attributes+0,0,NULL},
  {1063,0,0x900010,"JK271",attributes+0,0,NULL},
  {1064,0,0x900010,"JK272",attributes+0,0,NULL},
  {1023,0,0x820010,"JK273",attributes+43,0,NULL},
  {988,0,0x820010,"JK274",attributes+45,0,NULL},
  {988,0,0x900010,"JK275",attributes+0,0,NULL},
  {991,0,0x820010,"JK276",attributes+47,0,NULL},
  {1060,0,0x820010,"JK277",attributes+49,0,NULL},
  {985,0,0x820010,"JK278",attributes+0,1,autohelperjoseki1253},
  {949,0,0x820010,"JK279",attributes+0,0,NULL},
  {950,0,0x820010,"JK280",attributes+0,0,NULL},
  {987,0,0x820010,"JK281",attributes+0,0,NULL},
  {987,0,0x820010,"JK282",attributes+0,0,NULL},
  {986,0,0x820010,"JK283",attributes+0,0,NULL},
  {1061,0,0x820010,"JK284",attributes+0,0,NULL},
  {1061,0,0x820010,"JK285",attributes+0,0,NULL},
  {1061,0,0x820010,"JK286",attributes+0,0,NULL},
  {1098,0,0x820010,"JK287",attributes+0,0,NULL},
  {1098,0,0x820010,"JK288",attributes+0,0,NULL},
  {1098,0,0x820010,"JK289",attributes+0,0,NULL},
  {1098,0,0x820010,"JK290",attributes+0,0,NULL},
  {1098,0,0x820010,"JK291",attributes+0,0,NULL},
  {1135,0,0x820010,"JK292",attributes+0,0,NULL},
  {1135,0,0x820010,"JK293",attributes+0,0,NULL},
  {1098,0,0x820010,"JK294",attributes+0,0,NULL},
  {1136,0,0x820010,"JK295",attributes+0,0,NULL},
  {1136,0,0x820010,"JK296",attributes+0,0,NULL},
  {1136,0,0x820010,"JK297",attributes+0,0,NULL},
  {1136,0,0x820010,"JK298",attributes+0,0,NULL},
  {1062,0,0x820010,"JK299",attributes+0,0,NULL},
  {1063,0,0x820010,"JK300",attributes+0,0,NULL},
  {1063,0,0x820010,"JK301",attributes+0,0,NULL},
  {1063,0,0x820010,"JK302",attributes+0,0,NULL},
  {1063,0,0x820010,"JK303",attributes+0,0,NULL},
  {1063,0,0x820010,"JK304",attributes+0,0,NULL},
  {1063,0,0x820010,"JK305",attributes+0,0,NULL},
  {1063,0,0x820010,"JK306",attributes+0,0,NULL},
  {1061,0,0x820010,"JK307",attributes+0,0,NULL},
  {1061,0,0x820010,"JK308",attributes+0,0,NULL},
  {1061,0,0x820010,"JK309",attributes+0,0,NULL},
  {1061,0,0x820010,"JK310",attributes+0,0,NULL},
  {1061,0,0x820010,"JK311",attributes+0,0,NULL},
  {1063,0,0x820010,"JK312",attributes+0,0,NULL},
  {1063,0,0x820010,"JK313",attributes+0,0,NULL},
  {1063,0,0x820010,"JK314",attributes+0,0,NULL},
  {1063,0,0x820010,"JK315",attributes+0,0,NULL},
  {1063,0,0x820010,"JK316",attributes+0,0,NULL},
  {1063,0,0x820010,"JK317",attributes+0,0,NULL},
  {1063,0,0x820010,"JK318",attributes+0,0,NULL},
  {1065,0,0x820010,"JK319",attributes+0,0,NULL},
  {1065,0,0x820010,"JK320",attributes+0,0,NULL},
  {1065,0,0x820010,"JK321",attributes+0,0,NULL},
  {1101,0,0x820010,"JK322",attributes+0,0,NULL},
  {1137,0,0x820010,"JK323",attributes+0,0,NULL},
  {1064,0,0x820010,"JK324",attributes+0,0,NULL},
  {1064,0,0x820010,"JK325",attributes+0,0,NULL},
  {1064,0,0x820010,"JK326",attributes+0,0,NULL},
  {1064,0,0x820010,"JK327",attributes+0,0,NULL},
  {1064,0,0x820010,"JK328",attributes+0,0,NULL},
  {1064,0,0x820010,"JK329",attributes+0,0,NULL},
  {1064,0,0x820010,"JK330",attributes+0,0,NULL},
  {1064,0,0x820010,"JK331",attributes+0,0,NULL},
  {1064,0,0x820010,"JK332",attributes+0,0,NULL},
  {1064,0,0x820010,"JK333",attributes+0,0,NULL},
  {1064,0,0x820010,"JK334",attributes+0,0,NULL},
  {1064,0,0x820010,"JK335",attributes+0,0,NULL},
  {1064,0,0x820010,"JK336",attributes+0,0,NULL},
  {1064,0,0x820010,"JK337",attributes+0,0,NULL},
  {1064,0,0x820010,"JK338",attributes+0,0,NULL},
  {1064,0,0x820010,"JK339",attributes+0,0,NULL},
  {1137,0,0x820010,"JK340",attributes+0,0,NULL},
  {911,0,0x1800010,"JK341",attributes+0,0,NULL},
  {986,0,0x820010,"JK342",attributes+0,0,NULL},
  {986,0,0x820010,"JK343",attributes+0,0,NULL},
  {986,0,0x820010,"JK344",attributes+0,0,NULL},
  {986,0,0x820010,"JK345",attributes+0,0,NULL},
  {986,0,0x820010,"JK346",attributes+0,0,NULL},
  {989,0,0x820010,"JK347",attributes+0,0,NULL},
  {950,0,0x820010,"JK348",attributes+0,0,NULL},
  {950,0,0x820010,"JK349",attributes+0,0,NULL},
  {950,0,0x820010,"JK350",attributes+0,0,NULL},
  {950,0,0x820010,"JK351",attributes+0,0,NULL},
  {950,0,0x820010,"JK352",attributes+0,0,NULL},
  {954,0,0x820010,"JK353",attributes+0,0,NULL},
  {913,0,0x820010,"JK354",attributes+0,0,NULL},
  {913,0,0x820010,"JK355",attributes+0,0,NULL},
  {950,0,0x820010,"JK356",attributes+0,0,NULL},
  {950,0,0x820010,"JK357",attributes+0,0,NULL},
  {950,0,0x820010,"JK358",attributes+0,0,NULL},
  {950,0,0x820010,"JK359",attributes+0,0,NULL},
  {950,0,0x820010,"JK360",attributes+0,0,NULL},
  {950,0,0x820010,"JK361",attributes+0,0,NULL},
  {950,0,0x820010,"JK362",attributes+0,0,NULL},
  {950,0,0x820010,"JK363",attributes+0,0,NULL},
  {987,0,0x820010,"JK364",attributes+0,0,NULL},
  {987,0,0x820010,"JK365",attributes+0,0,NULL},
  {987,0,0x820010,"JK366",attributes+0,0,NULL},
  {987,0,0x820010,"JK367",attributes+0,0,NULL},
  {1025,0,0x820010,"JK368",attributes+0,0,NULL},
  {1025,0,0x820010,"JK369",attributes+0,0,NULL},
  {1025,0,0x820010,"JK370",attributes+0,0,NULL},
  {1027,0,0x820010,"JK371",attributes+0,0,NULL},
  {1027,0,0x820010,"JK372",attributes+0,0,NULL},
  {1028,0,0x1800010,"JK373",attributes+0,0,NULL},
  {1028,0,0x820010,"JK374",attributes+0,0,NULL},
  {1028,0,0x820010,"JK375",attributes+0,0,NULL},
  {1028,0,0x820010,"JK376",attributes+0,0,NULL},
  {1028,0,0x820010,"JK377",attributes+0,0,NULL},
  {1028,0,0x840010,"JK378",attributes+0,0,NULL},
  {1028,0,0x820010,"JK379",attributes+0,0,NULL},
  {1028,0,0x820010,"JK380",attributes+0,0,NULL},
  {1100,0,0x840010,"JK381",attributes+0,0,NULL},
  {1100,0,0x820010,"JK382",attributes+0,0,NULL},
  {1100,0,0x820010,"JK383",attributes+0,0,NULL},
  {1100,0,0x820010,"JK384",attributes+0,0,NULL},
  {1100,0,0x820010,"JK385",attributes+0,0,NULL},
  {1100,0,0x820010,"JK386",attributes+0,0,NULL},
  {1100,0,0x820010,"JK387",attributes+0,0,NULL},
  {1102,0,0x820010,"JK388",attributes+0,0,NULL},
  {1062,0,0x820010,"JK389",attributes+0,0,NULL},
  {1062,0,0x820010,"JK390",attributes+0,0,NULL},
  {1024,0,0x820010,"JK391",attributes+0,0,NULL},
  {1024,0,0x820010,"JK392",attributes+0,0,NULL},
  {1024,0,0x820010,"JK393",attributes+0,0,NULL},
  {1024,0,0x820010,"JK394",attributes+0,0,NULL},
  {1024,0,0x820010,"JK395",attributes+0,0,NULL},
  {1024,0,0x820010,"JK396",attributes+0,0,NULL},
  {1024,0,0x820010,"JK397",attributes+0,0,NULL},
  {1024,0,0x820010,"JK398",attributes+0,0,NULL},
  {1024,0,0x820010,"JK399",attributes+0,0,NULL},
  {1024,0,0x820010,"JK400",attributes+0,0,NULL},
  {1024,0,0x820010,"JK401",attributes+0,0,NULL},
  {1024,0,0x820010,"JK402",attributes+0,0,NULL},
  {1024,0,0x820010,"JK403",attributes+0,0,NULL},
  {1024,0,0x820010,"JK404",attributes+0,0,NULL},
  {1024,0,0x820010,"JK405",attributes+0,0,NULL},
  {1064,0,0x840010,"JK406",attributes+0,0,NULL},
  {1064,0,0x820010,"JK407",attributes+0,0,NULL},
  {1065,0,0x820010,"JK408",attributes+0,0,NULL},
  {1022,0,0x820010,"JK409",attributes+0,0,NULL},
  {1022,0,0x820010,"JK410",attributes+0,0,NULL},
  {1022,0,0x1800010,"JK411",attributes+0,0,NULL},
  {1022,0,0x820010,"JK412",attributes+0,0,NULL},
  {1022,0,0x820010,"JK413",attributes+0,0,NULL},
  {1022,0,0x820010,"JK414",attributes+0,0,NULL},
  {1022,0,0x820010,"JK415",attributes+0,0,NULL},
  {1022,0,0x820010,"JK416",attributes+0,0,NULL},
  {1022,0,0x820010,"JK417",attributes+0,0,NULL},
  {1022,0,0x820010,"JK418",attributes+0,0,NULL},
  {1022,0,0x820010,"JK419",attributes+0,0,NULL},
  {1022,0,0x820010,"JK420",attributes+0,0,NULL},
  {1022,0,0x820010,"JK421",attributes+0,0,NULL},
  {1022,0,0x820010,"JK422",attributes+0,0,NULL},
  {1024,0,0x820010,"JK423",attributes+0,0,NULL},
  {1024,0,0x820010,"JK424",attributes+0,0,NULL},
  {1024,0,0x820010,"JK425",attributes+0,0,NULL},
  {1024,0,0x820010,"JK426",attributes+0,0,NULL},
  {1024,0,0x820010,"JK427",attributes+0,0,NULL},
  {1022,0,0x1800010,"JK428",attributes+0,0,NULL},
  {1022,0,0x820010,"JK429",attributes+0,0,NULL},
  {1022,0,0x820010,"JK430",attributes+0,0,NULL},
  {1022,0,0x820010,"JK431",attributes+0,0,NULL},
  {1022,0,0x820010,"JK432",attributes+0,0,NULL},
  {1022,0,0x820010,"JK433",attributes+0,0,NULL},
  {1022,0,0x820010,"JK434",attributes+0,0,NULL},
  {1022,0,0x820010,"JK435",attributes+0,0,NULL},
  {1022,0,0x820010,"JK436",attributes+0,0,NULL},
  {1022,0,0x820010,"JK437",attributes+0,0,NULL},
  {1022,0,0x820010,"JK438",attributes+0,0,NULL},
  {1022,0,0x820010,"JK439",attributes+0,0,NULL},
  {1022,0,0x820010,"JK440",attributes+0,0,NULL},
  {1022,0,0x820010,"JK441",attributes+0,0,NULL},
  {1023,0,0x820010,"JK442",attributes+0,0,NULL},
  {1023,0,0x820010,"JK443",attributes+0,0,NULL},
  {1023,0,0x820010,"JK444",attributes+0,0,NULL},
  {1023,0,0x820010,"JK445",attributes+0,0,NULL},
  {1023,0,0x820010,"JK446",attributes+0,0,NULL},
  {1023,0,0x820010,"JK447",attributes+0,0,NULL},
  {1023,0,0x820010,"JK448",attributes+0,0,NULL},
  {1023,0,0x820010,"JK449",attributes+0,0,NULL},
  {988,1,0x840010,"JS1",attributes+0,0,NULL},
  {837,0,0x820010,"JS2",attributes+0,0,NULL},
  {912,0,0x820010,"JS3",attributes+0,0,NULL},
  {912,0,0x820010,"JS4",attributes+0,0,NULL},
  {949,0,0x820010,"JS5",attributes+51,0,NULL},
  {988,0,0x820010,"JS6",attributes+0,0,NULL},
  {948,0,0x820010,"JS7",attributes+0,0,NULL},
  {912,0,0x900010,"JS8",attributes+0,0,NULL},
  {912,0,0x900010,"JS9",attributes+0,0,NULL},
  {912,0,0x900010,"JS10",attributes+0,0,NULL},
  {912,1,0x900010,"JS11",attributes+0,0,NULL},
  {912,0,0x820010,"JM1",attributes+0,0,NULL},
  {912,0,0x820010,"JM2",attributes+0,0,NULL},
  {913,0,0x820010,"JM3",attributes+0,0,NULL},
  {913,0,0x820010,"JM4",attributes+0,0,NULL},
  {1061,0,0x900010,"JM5",attributes+0,0,NULL},
  {914,0,0x820010,"JM6",attributes+0,0,NULL},
  {1097,0,0x820010,"JM7",attributes+0,0,NULL},
  {1060,0,0x840010,"JM8",attributes+0,0,NULL},
  {912,0,0x820010,"JM9",attributes+0,0,NULL},
  {986,0,0x820010,"JM10",attributes+0,0,NULL},
  {987,0,0x820010,"JM11",attributes+0,0,NULL},
  {1097,0,0x820010,"JM12",attributes+0,0,NULL},
  {1060,0,0x840010,"JM13",attributes+0,0,NULL},
  {948,0,0x840010,"JT1",attributes+0,0,NULL},
  {948,0,0x820010,"JT2",attributes+0,0,NULL},
  {948,0,0x820010,"JT3",attributes+0,0,NULL},
  {948,0,0x900010,"JT4",attributes+0,0,NULL},
  {1021,0,0x820010,"JT5",attributes+0,0,NULL},
  {876,0,0x900010,"JT6",attributes+0,0,NULL},
  {949,0,0x840010,"JT7",attributes+0,0,NULL},
  {949,0,0x900010,"JT8",attributes+0,0,NULL},
  {949,0,0x820010,"JT9",attributes+0,0,NULL},
  {950,0,0x900010,"JT10",attributes+0,0,NULL},
  {950,0,0x900010,"JT11",attributes+0,0,NULL},
  {950,0,0x900010,"JT12",attributes+0,0,NULL},
  {950,0,0x900010,"JT13",attributes+0,0,NULL},
  {950,0,0x900010,"JT14",attributes+0,0,NULL},
  {948,0,0x900010,"JT15",attributes+0,0,NULL},
  {951,0,0x840010,"JT16",attributes+0,0,NULL},
  {951,0,0x900010,"JT17",attributes+0,0,NULL},
  {988,0,0x900010,"JT18",attributes+0,0,NULL},
  {951,0,0x900010,"JT19",attributes+0,0,NULL},
  {951,0,0x820010,"JT20",attributes+53,0,NULL},
  {951,0,0x820010,"JT21",attributes+0,0,NULL},
  {951,0,0x820010,"JT22",attributes+0,0,NULL},
  {988,0,0x900010,"JT23",attributes+0,0,NULL},
  {951,0,0x900010,"JT24",attributes+0,0,NULL},
  {951,0,0x900010,"JT25",attributes+0,0,NULL},
  {951,0,0x900010,"JT26",attributes+0,0,NULL},
  {951,0,0x900010,"JT27",attributes+0,0,NULL},
  {988,0,0x900010,"JT28",attributes+0,0,NULL},
  {988,0,0x900010,"JT29",attributes+0,0,NULL},
  {988,0,0x900010,"JT30",attributes+0,0,NULL},
  {988,0,0x900010,"JT31",attributes+0,0,NULL},
  {988,0,0x900010,"JT32",attributes+0,0,NULL},
  {988,0,0x900010,"JT33",attributes+0,0,NULL},
  {874,0,0x900010,"JT34",attributes+0,0,NULL},
  {912,0,0x820010,"JT35",attributes+0,0,NULL},
  {875,0,0x900010,"JT36",attributes+0,0,NULL},
  {912,0,0x820010,"JT37",attributes+0,0,NULL},
  {912,0,0x820010,"JT38",attributes+0,0,NULL},
  {912,0,0x820010,"JT39",attributes+0,0,NULL},
  {912,0,0x820010,"JT40",attributes+0,0,NULL},
  {912,0,0x820010,"JT41",attributes+0,0,NULL},
  {949,0,0x820010,"JT42",attributes+0,0,NULL},
  {986,0,0x820010,"JT43",attributes+0,0,NULL},
  {949,0,0x820010,"JT44",attributes+0,0,NULL},
  {949,0,0x820010,"JT45",attributes+0,0,NULL},
  {914,0,0x900010,"JT46",attributes+0,0,NULL},
  {988,0,0x820010,"JT47",attributes+0,0,NULL},
  {1025,0,0x820010,"JT48",attributes+0,0,NULL},
  {1025,0,0x820010,"JT49",attributes+0,0,NULL},
  {1025,0,0x820010,"JT50",attributes+0,0,NULL},
  {1025,0,0x820010,"JT51",attributes+0,0,NULL},
  {1025,0,0x900010,"JT52",attributes+0,0,NULL},
  {988,0,0x820010,"JT53",attributes+0,0,NULL},
  {988,0,0x820010,"JT54",attributes+0,0,NULL},
  {1099,0,0x820010,"JT55",attributes+0,0,NULL},
  {1099,0,0x820010,"JT56",attributes+0,0,NULL},
  {1100,0,0x820010,"JT57",attributes+0,0,NULL},
  {989,0,0x820010,"JT58",attributes+0,0,NULL},
  {989,0,0x820010,"JT59",attributes+0,0,NULL},
  {989,0,0x820010,"JT60",attributes+0,0,NULL},
  {989,0,0x820010,"JT61",attributes+0,0,NULL},
  {989,0,0x820010,"JT62",attributes+0,0,NULL},
  {989,0,0x820010,"JT63",attributes+0,0,NULL},
  {1137,0,0x820010,"JT64",attributes+0,1,autohelperjoseki1512},
  {1100,0,0x820010,"JT65",attributes+0,0,NULL},
  {989,0,0x820010,"JT66",attributes+0,1,autohelperjoseki1514},
  {951,0,0x880010,"JT67",attributes+0,0,NULL}
};


static struct corner_variation joseki_variations[] = {
  {763,0,1,4,&joseki_variations[7969],NULL},
  {760,0,1,12,&joseki_variations[6803],NULL},
  {759,0,1,8,&joseki_variations[6253],NULL},
  {723,0,1,6,&joseki_variations[5414],NULL},
  {798,0,1,9,&joseki_variations[5099],NULL},
  {722,0,1,9,&joseki_variations[3760],NULL},
  {762,0,1,1,&joseki_variations[3732],NULL},
  {724,0,1,8,&joseki_variations[3219],NULL},
  {761,0,1,12,&joseki_variations[2420],NULL},
  {721,0,1,6,&joseki_variations[801],NULL},
  {684,0,1,2,&joseki_variations[746],NULL},
  {758,0,1,2,&joseki_variations[683],NULL},
  {685,0,1,1,&joseki_variations[430],NULL},
  {797,0,1,6,&joseki_variations[14],NULL},
  {798,3,2,1,&joseki_variations[425],NULL},
  {724,0,1,1,&joseki_variations[380],NULL},
  {798,0,2,1,&joseki_variations[376],NULL},
  {761,0,1,10,&joseki_variations[71],NULL},
  {834,0,2,3,&joseki_variations[28],NULL},
  {834,3,2,1,&joseki_variations[20],NULL},
  {761,3,1,2,&joseki_variations[21],NULL},
  {800,0,3,1,&joseki_variations[26],NULL},
  {798,3,3,1,&joseki_variations[23],NULL},
  {800,0,4,1,&joseki_variations[24],NULL},
  {835,0,5,1,&joseki_variations[25],NULL},
  {760,0,1,0,NULL,&joseki[1483]},
  {835,0,4,1,&joseki_variations[27],NULL},
  {798,3,3,0,NULL,&joseki[1482]},
  {724,3,1,1,&joseki_variations[65],NULL},
  {761,0,1,2,&joseki_variations[46],NULL},
  {724,0,1,1,&joseki_variations[31],NULL},
  {761,0,2,1,&joseki_variations[32],NULL},
  {798,3,4,1,&joseki_variations[33],NULL},
  {835,3,6,3,&joseki_variations[34],NULL},
  {762,3,3,1,&joseki_variations[45],NULL},
  {872,3,7,1,&joseki_variations[42],NULL},
  {871,0,3,1,&joseki_variations[37],NULL},
  {872,3,8,1,&joseki_variations[38],NULL},
  {725,0,2,1,&joseki_variations[39],NULL},
  {762,3,4,1,&joseki_variations[40],NULL},
  {763,3,5,1,&joseki_variations[41],NULL},
  {909,3,9,0,NULL,&joseki[1115]},
  {725,0,2,1,&joseki_variations[43],NULL},
  {762,3,4,1,&joseki_variations[44],NULL},
  {763,3,5,0,NULL,&joseki[1114]},
  {872,3,7,0,NULL,&joseki[1113]},
  {798,3,3,1,&joseki_variations[53],NULL},
  {800,3,3,1,&joseki_variations[48],NULL},
  {835,3,4,1,&joseki_variations[49],NULL},
  {871,3,3,1,&joseki_variations[50],NULL},
  {872,3,6,2,&joseki_variations[51],&joseki[1468]},
  {726,0,1,0,NULL,&joseki[1469]},
  {725,3,1,0,NULL,&joseki[1470]},
  {835,3,5,3,&joseki_variations[54],NULL},
  {725,0,1,1,&joseki_variations[61],NULL},
  {762,3,2,2,&joseki_variations[58],NULL},
  {800,3,4,1,&joseki_variations[57],NULL},
  {760,3,1,0,NULL,&joseki[1473]},
  {724,0,1,0,NULL,&joseki[1112]},
  {799,0,5,1,&joseki_variations[60],&joseki[1116]},
  {763,3,3,0,NULL,&joseki[1117]},
  {762,3,3,1,&joseki_variations[62],NULL},
  {726,3,2,2,&joseki_variations[63],NULL},
  {724,0,1,0,NULL,&joseki[1110]},
  {799,0,6,0,NULL,&joseki[1111]},
  {761,0,2,1,&joseki_variations[66],NULL},
  {798,3,4,1,&joseki_variations[67],NULL},
  {835,3,6,1,&joseki_variations[68],NULL},
  {725,0,2,1,&joseki_variations[69],NULL},
  {762,3,4,1,&joseki_variations[70],NULL},
  {760,0,1,0,NULL,&joseki[1086]},
  {798,3,3,2,&joseki_variations[348],NULL},
  {834,0,2,1,&joseki_variations[259],NULL},
  {799,0,3,1,&joseki_variations[252],NULL},
  {800,0,3,3,&joseki_variations[169],NULL},
  {764,0,2,1,&joseki_variations[151],NULL},
  {799,3,3,1,&joseki_variations[132],NULL},
  {762,3,2,1,&joseki_variations[112],NULL},
  {833,3,1,1,&joseki_variations[91],NULL},
  {834,3,2,2,&joseki_variations[82],NULL},
  {871,3,2,1,&joseki_variations[81],NULL},
  {982,3,3,0,NULL,&joseki[1412]},
  {835,0,4,1,&joseki_variations[88],NULL},
  {798,0,3,1,&joseki_variations[84],NULL},
  {835,0,5,1,&joseki_variations[85],NULL},
  {836,3,6,1,&joseki_variations[86],NULL},
  {872,3,6,1,&joseki_variations[87],NULL},
  {871,3,3,0,NULL,&joseki[1321]},
  {872,3,5,1,&joseki_variations[89],NULL},
  {836,3,5,1,&joseki_variations[90],&joseki[1319]},
  {798,0,3,0,NULL,&joseki[1320]},
  {834,3,3,1,&joseki_variations[92],NULL},
  {908,0,4,1,&joseki_variations[93],NULL},
  {909,0,6,1,&joseki_variations[94],NULL},
  {945,0,5,1,&joseki_variations[95],NULL},
  {946,3,8,1,&joseki_variations[96],NULL},
  {982,0,6,1,&joseki_variations[97],NULL},
  {983,3,10,1,&joseki_variations[98],NULL},
  {1019,0,7,1,&joseki_variations[99],NULL},
  {1020,3,12,1,&joseki_variations[100],NULL},
  {1057,0,13,1,&joseki_variations[101],NULL},
  {725,0,1,1,&joseki_variations[102],NULL},
  {762,3,3,1,&joseki_variations[103],NULL},
  {799,3,5,1,&joseki_variations[104],NULL},
  {836,3,8,1,&joseki_variations[105],NULL},
  {910,3,11,1,&joseki_variations[106],NULL},
  {763,0,4,1,&joseki_variations[107],NULL},
  {800,0,7,1,&joseki_variations[108],NULL},
  {837,3,11,1,&joseki_variations[109],NULL},
  {764,0,5,1,&joseki_variations[110],NULL},
  {801,3,9,1,&joseki_variations[111],NULL},
  {765,3,6,0,NULL,&joseki[1281]},
  {799,3,4,1,&joseki_variations[113],NULL},
  {763,0,3,1,&joseki_variations[114],NULL},
  {800,0,6,1,&joseki_variations[115],NULL},
  {764,0,4,1,&joseki_variations[116],NULL},
  {801,3,8,1,&joseki_variations[117],NULL},
  {833,3,1,1,&joseki_variations[118],NULL},
  {834,3,3,1,&joseki_variations[119],NULL},
  {836,3,7,1,&joseki_variations[120],NULL},
  {837,3,10,1,&joseki_variations[121],NULL},
  {908,0,4,1,&joseki_variations[122],NULL},
  {909,0,6,1,&joseki_variations[123],NULL},
  {910,3,10,1,&joseki_variations[124],NULL},
  {945,0,5,1,&joseki_variations[125],NULL},
  {946,3,8,1,&joseki_variations[126],NULL},
  {982,0,6,1,&joseki_variations[127],NULL},
  {983,3,10,1,&joseki_variations[128],NULL},
  {1019,0,7,1,&joseki_variations[129],NULL},
  {1020,3,12,1,&joseki_variations[130],NULL},
  {1057,0,13,1,&joseki_variations[131],NULL},
  {725,0,1,0,NULL,&joseki[1280]},
  {763,0,2,1,&joseki_variations[133],NULL},
  {800,0,5,1,&joseki_variations[134],NULL},
  {764,0,3,1,&joseki_variations[135],NULL},
  {801,3,7,1,&joseki_variations[136],NULL},
  {833,3,1,1,&joseki_variations[137],NULL},
  {834,3,3,1,&joseki_variations[138],NULL},
  {836,3,6,1,&joseki_variations[139],NULL},
  {837,3,9,1,&joseki_variations[140],NULL},
  {908,0,4,1,&joseki_variations[141],NULL},
  {909,0,6,1,&joseki_variations[142],NULL},
  {910,3,9,1,&joseki_variations[143],NULL},
  {945,0,5,1,&joseki_variations[144],NULL},
  {946,3,8,1,&joseki_variations[145],NULL},
  {982,0,6,1,&joseki_variations[146],NULL},
  {983,3,10,1,&joseki_variations[147],NULL},
  {1019,0,7,1,&joseki_variations[148],NULL},
  {1020,3,12,1,&joseki_variations[149],NULL},
  {1057,0,13,1,&joseki_variations[150],NULL},
  {762,3,2,0,NULL,&joseki[1279]},
  {799,3,3,1,&joseki_variations[152],NULL},
  {800,0,4,1,&joseki_variations[153],NULL},
  {801,3,6,1,&joseki_variations[154],NULL},
  {833,3,1,1,&joseki_variations[155],NULL},
  {834,3,3,1,&joseki_variations[156],NULL},
  {836,3,6,1,&joseki_variations[157],NULL},
  {837,3,8,1,&joseki_variations[158],NULL},
  {908,0,4,1,&joseki_variations[159],NULL},
  {909,0,6,1,&joseki_variations[160],NULL},
  {910,3,9,1,&joseki_variations[161],NULL},
  {945,0,5,1,&joseki_variations[162],NULL},
  {946,3,8,1,&joseki_variations[163],NULL},
  {982,0,6,1,&joseki_variations[164],NULL},
  {983,3,10,1,&joseki_variations[165],NULL},
  {1019,0,7,1,&joseki_variations[166],NULL},
  {1020,3,12,1,&joseki_variations[167],NULL},
  {1057,0,13,1,&joseki_variations[168],NULL},
  {763,0,2,0,NULL,&joseki[1278]},
  {834,3,2,2,&joseki_variations[221],NULL},
  {833,3,1,1,&joseki_variations[188],NULL},
  {832,3,1,1,&joseki_variations[172],NULL},
  {833,3,2,1,&joseki_variations[173],NULL},
  {834,3,4,1,&joseki_variations[174],NULL},
  {835,0,6,1,&joseki_variations[175],NULL},
  {869,0,2,1,&joseki_variations[176],NULL},
  {870,0,4,1,&joseki_variations[177],NULL},
  {871,0,7,1,&joseki_variations[178],NULL},
  {872,3,10,1,&joseki_variations[179],NULL},
  {906,0,3,1,&joseki_variations[180],NULL},
  {908,0,9,1,&joseki_variations[181],NULL},
  {909,3,13,1,&joseki_variations[182],NULL},
  {944,0,6,1,&joseki_variations[183],NULL},
  {945,3,11,1,&joseki_variations[184],NULL},
  {981,3,7,1,&joseki_variations[185],NULL},
  {982,3,13,1,&joseki_variations[186],NULL},
  {836,3,7,1,&joseki_variations[187],&joseki[1379]},
  {798,0,3,0,NULL,&joseki[1380]},
  {834,3,3,1,&joseki_variations[189],NULL},
  {836,3,5,1,&joseki_variations[190],NULL},
  {908,0,4,2,&joseki_variations[191],NULL},
  {946,3,6,1,&joseki_variations[220],NULL},
  {945,0,5,2,&joseki_variations[193],NULL},
  {946,3,7,1,&joseki_variations[218],NULL},
  {909,0,6,1,&joseki_variations[195],NULL},
  {946,3,8,2,&joseki_variations[196],NULL},
  {983,3,9,1,&joseki_variations[216],NULL},
  {910,3,8,1,&joseki_variations[198],NULL},
  {982,0,6,1,&joseki_variations[199],NULL},
  {983,3,10,2,&joseki_variations[200],NULL},
  {1020,3,11,2,&joseki_variations[213],&joseki[1266]},
  {1019,0,7,1,&joseki_variations[202],NULL},
  {1020,3,12,1,&joseki_variations[203],NULL},
  {837,3,7,2,&joseki_variations[204],&joseki[1270]},
  {801,0,4,1,&joseki_variations[211],&joseki[1271]},
  {1057,0,13,2,&joseki_variations[206],&joseki[1274]},
  {801,3,4,1,&joseki_variations[210],&joseki[1275]},
  {764,0,2,1,&joseki_variations[208],NULL},
  {801,3,5,1,&joseki_variations[209],NULL},
  {799,3,3,0,NULL,&joseki[1277]},
  {764,0,2,0,NULL,&joseki[1276]},
  {1057,3,13,1,&joseki_variations[212],&joseki[1272]},
  {1093,0,8,0,NULL,&joseki[1273]},
  {1056,0,7,1,&joseki_variations[215],&joseki[1267]},
  {1019,0,7,0,NULL,&joseki[1269]},
  {872,3,5,0,NULL,&joseki[1268]},
  {910,3,8,1,&joseki_variations[217],&joseki[1264]},
  {982,0,6,0,NULL,&joseki[1265]},
  {983,3,8,1,&joseki_variations[219],&joseki[1262]},
  {909,0,6,0,NULL,&joseki[1263]},
  {945,0,5,0,NULL,&joseki[1261]},
  {836,3,4,2,&joseki_variations[226],NULL},
  {945,3,3,1,&joseki_variations[223],NULL},
  {835,3,4,2,&joseki_variations[224],&joseki[1345]},
  {802,0,4,0,NULL,&joseki[1346]},
  {766,0,2,0,NULL,&joseki[1347]},
  {908,0,3,2,&joseki_variations[239],NULL},
  {802,3,4,1,&joseki_variations[228],NULL},
  {804,3,5,1,&joseki_variations[229],NULL},
  {837,0,6,1,&joseki_variations[230],NULL},
  {839,0,8,1,&joseki_variations[231],NULL},
  {871,3,3,1,&joseki_variations[232],NULL},
  {874,3,8,1,&joseki_variations[233],NULL},
  {875,0,9,1,&joseki_variations[234],NULL},
  {908,0,4,1,&joseki_variations[235],NULL},
  {909,3,6,1,&joseki_variations[236],NULL},
  {911,3,11,1,&joseki_variations[237],NULL},
  {945,0,5,1,&joseki_variations[238],NULL},
  {1056,0,6,0,NULL,&joseki[1297]},
  {946,3,5,2,&joseki_variations[250],NULL},
  {802,3,4,1,&joseki_variations[241],NULL},
  {804,3,5,1,&joseki_variations[242],NULL},
  {837,0,6,1,&joseki_variations[243],NULL},
  {839,0,8,1,&joseki_variations[244],NULL},
  {874,3,7,1,&joseki_variations[245],NULL},
  {875,0,8,1,&joseki_variations[246],NULL},
  {909,3,5,1,&joseki_variations[247],NULL},
  {911,3,10,1,&joseki_variations[248],NULL},
  {945,0,4,1,&joseki_variations[249],NULL},
  {871,3,3,0,NULL,&joseki[1296]},
  {833,3,1,0,NULL,&joseki[1260]},
  {796,3,1,0,NULL,&joseki[1282]},
  {834,3,2,2,&joseki_variations[253],NULL},
  {909,3,4,1,&joseki_variations[258],NULL},
  {871,3,3,1,&joseki_variations[255],NULL},
  {872,0,5,1,&joseki_variations[256],NULL},
  {908,3,4,1,&joseki_variations[257],NULL},
  {767,0,2,0,NULL,&joseki[1224]},
  {835,3,4,0,NULL,&joseki[1218]},
  {835,3,4,4,&joseki_variations[260],NULL},
  {871,3,3,2,&joseki_variations[303],NULL},
  {836,3,5,1,&joseki_variations[281],NULL},
  {762,3,2,1,&joseki_variations[273],NULL},
  {870,0,1,1,&joseki_variations[264],NULL},
  {871,3,4,1,&joseki_variations[265],NULL},
  {907,0,2,1,&joseki_variations[266],NULL},
  {909,3,8,1,&joseki_variations[267],NULL},
  {725,0,1,1,&joseki_variations[268],NULL},
  {762,3,3,1,&joseki_variations[269],NULL},
  {836,3,7,1,&joseki_variations[270],NULL},
  {873,0,10,1,&joseki_variations[271],NULL},
  {874,3,11,1,&joseki_variations[272],NULL},
  {764,3,4,0,NULL,&joseki[1016]},
  {836,3,6,1,&joseki_variations[274],NULL},
  {870,0,1,1,&joseki_variations[275],NULL},
  {871,3,4,1,&joseki_variations[276],NULL},
  {873,0,9,1,&joseki_variations[277],NULL},
  {874,3,10,1,&joseki_variations[278],NULL},
  {907,0,2,1,&joseki_variations[279],NULL},
  {909,3,8,1,&joseki_variations[280],NULL},
  {725,0,1,0,NULL,&joseki[1015]},
  {870,0,1,1,&joseki_variations[282],NULL},
  {871,3,4,2,&joseki_variations[283],NULL},
  {873,0,8,3,&joseki_variations[292],NULL},
  {872,0,7,1,&joseki_variations[285],NULL},
  {873,0,9,1,&joseki_variations[286],NULL},
  {907,3,2,2,&joseki_variations[287],NULL},
  {909,3,9,1,&joseki_variations[291],NULL},
  {908,3,6,1,&joseki_variations[289],NULL},
  {909,3,10,1,&joseki_variations[290],NULL},
  {837,0,6,0,NULL,&joseki[1020]},
  {908,3,6,0,NULL,&joseki[1019]},
  {909,3,7,2,&joseki_variations[300],NULL},
  {874,3,9,1,&joseki_variations[297],NULL},
  {907,3,2,1,&joseki_variations[295],NULL},
  {909,3,8,1,&joseki_variations[296],NULL},
  {872,0,7,0,NULL,&joseki[1018]},
  {907,0,2,1,&joseki_variations[298],NULL},
  {909,3,8,1,&joseki_variations[299],NULL},
  {762,3,2,0,NULL,&joseki[1014]},
  {874,3,9,1,&joseki_variations[302],&joseki[1012]},
  {907,3,2,0,NULL,&joseki[1017]},
  {907,0,2,0,NULL,&joseki[1013]},
  {872,3,6,6,&joseki_variations[317],&joseki[979]},
  {909,3,6,4,&joseki_variations[305],&joseki[1006]},
  {763,0,2,1,&joseki_variations[316],&joseki[1007]},
  {873,0,6,2,&joseki_variations[314],&joseki[1009]},
  {836,3,5,1,&joseki_variations[312],NULL},
  {799,0,3,1,&joseki_variations[309],&joseki[1025]},
  {1056,3,4,1,&joseki_variations[310],&joseki[1026]},
  {873,0,7,1,&joseki_variations[311],&joseki[1027]},
  {910,3,9,0,NULL,&joseki[1028]},
  {873,0,7,1,&joseki_variations[313],NULL},
  {870,0,1,0,NULL,&joseki[1011]},
  {836,3,5,0,NULL,&joseki[1010]},
  {872,3,6,0,NULL,&joseki[1021]},
  {1056,3,4,0,NULL,&joseki[1008]},
  {763,0,2,2,&joseki_variations[340],&joseki[980]},
  {762,3,2,1,&joseki_variations[339],&joseki[986]},
  {725,0,1,1,&joseki_variations[337],NULL},
  {983,0,7,2,&joseki_variations[332],&joseki[993]},
  {799,0,3,2,&joseki_variations[325],&joseki[1002]},
  {873,0,7,1,&joseki_variations[323],NULL},
  {909,3,7,1,&joseki_variations[324],NULL},
  {799,0,3,0,NULL,&joseki[1022]},
  {1019,3,4,1,&joseki_variations[330],&joseki[1003]},
  {873,0,8,1,&joseki_variations[327],NULL},
  {909,3,7,1,&joseki_variations[328],NULL},
  {1056,3,4,1,&joseki_variations[329],&joseki[1023]},
  {767,0,2,0,NULL,&joseki[1024]},
  {767,0,2,1,&joseki_variations[331],&joseki[1004]},
  {874,0,8,0,NULL,&joseki[1005]},
  {762,3,2,1,&joseki_variations[336],&joseki[994]},
  {725,0,1,1,&joseki_variations[334],NULL},
  {762,3,3,1,&joseki_variations[335],NULL},
  {798,3,3,0,NULL,&joseki[996]},
  {725,0,1,0,NULL,&joseki[995]},
  {762,3,3,1,&joseki_variations[338],NULL},
  {798,3,3,0,NULL,&joseki[988]},
  {725,0,1,0,NULL,&joseki[987]},
  {1019,3,4,1,&joseki_variations[345],&joseki[981]},
  {945,0,4,1,&joseki_variations[342],NULL},
  {1019,3,5,1,&joseki_variations[343],NULL},
  {1093,0,6,1,&joseki_variations[344],NULL},
  {944,3,1,0,NULL,&joseki[985]},
  {1093,0,5,2,&joseki_variations[346],&joseki[982]},
  {1021,3,8,0,NULL,&joseki[983]},
  {945,0,4,0,NULL,&joseki[984]},
  {872,3,4,1,&joseki_variations[371],NULL},
  {834,0,2,1,&joseki_variations[350],NULL},
  {835,3,5,3,&joseki_variations[351],NULL},
  {871,3,3,1,&joseki_variations[365],NULL},
  {762,3,2,4,&joseki_variations[356],&joseki[1031]},
  {725,0,1,1,&joseki_variations[354],NULL},
  {762,3,3,1,&joseki_variations[355],NULL},
  {724,3,1,0,NULL,&joseki[1085]},
  {760,0,1,0,NULL,&joseki[1032]},
  {872,0,6,1,&joseki_variations[364],&joseki[1043]},
  {871,0,3,1,&joseki_variations[360],&joseki[1058]},
  {725,0,1,0,NULL,&joseki[1084]},
  {872,3,7,1,&joseki_variations[361],&joseki[1059]},
  {909,0,8,2,&joseki_variations[362],&joseki[1060]},
  {760,3,1,0,NULL,&joseki[1061]},
  {910,3,10,0,NULL,&joseki[1083]},
  {760,3,1,0,NULL,&joseki[1044]},
  {872,3,7,1,&joseki_variations[366],NULL},
  {725,0,1,1,&joseki_variations[367],NULL},
  {762,3,3,2,&joseki_variations[368],NULL},
  {723,0,1,0,NULL,&joseki[989]},
  {983,0,8,1,&joseki_variations[370],NULL},
  {723,0,1,0,NULL,&joseki[997]},
  {725,3,1,1,&joseki_variations[372],NULL},
  {762,3,3,1,&joseki_variations[373],NULL},
  {799,0,6,1,&joseki_variations[374],NULL},
  {801,0,7,1,&joseki_variations[375],NULL},
  {835,3,4,0,NULL,&joseki[964]},
  {872,3,3,1,&joseki_variations[377],NULL},
  {800,3,3,1,&joseki_variations[378],NULL},
  {874,3,5,1,&joseki_variations[379],&joseki[815]},
  {870,0,1,0,NULL,&joseki[816]},
  {761,0,2,1,&joseki_variations[381],NULL},
  {798,3,4,4,&joseki_variations[382],NULL},
  {725,0,2,1,&joseki_variations[418],NULL},
  {872,3,5,1,&joseki_variations[412],NULL},
  {835,3,5,1,&joseki_variations[405],NULL},
  {833,0,1,1,&joseki_variations[386],NULL},
  {835,3,6,2,&joseki_variations[387],NULL},
  {872,3,7,1,&joseki_variations[399],NULL},
  {870,3,2,1,&joseki_variations[389],NULL},
  {872,3,8,1,&joseki_variations[390],NULL},
  {725,3,2,1,&joseki_variations[391],NULL},
  {762,3,4,1,&joseki_variations[392],NULL},
  {799,0,7,1,&joseki_variations[393],NULL},
  {727,3,3,2,&joseki_variations[394],NULL},
  {801,0,9,1,&joseki_variations[398],NULL},
  {800,0,8,1,&joseki_variations[396],NULL},
  {801,0,10,1,&joseki_variations[397],NULL},
  {760,3,1,0,NULL,&joseki[950]},
  {722,0,1,0,NULL,&joseki[948]},
  {725,3,2,1,&joseki_variations[400],NULL},
  {762,3,4,1,&joseki_variations[401],NULL},
  {799,0,7,1,&joseki_variations[402],NULL},
  {727,3,3,1,&joseki_variations[403],NULL},
  {801,0,9,1,&joseki_variations[404],NULL},
  {870,3,2,0,NULL,&joseki[947]},
  {872,3,6,1,&joseki_variations[406],NULL},
  {725,3,2,1,&joseki_variations[407],NULL},
  {762,3,4,1,&joseki_variations[408],NULL},
  {799,0,7,1,&joseki_variations[409],NULL},
  {727,3,3,1,&joseki_variations[410],NULL},
  {801,0,9,1,&joseki_variations[411],NULL},
  {833,0,1,0,NULL,&joseki[946]},
  {725,3,2,1,&joseki_variations[413],NULL},
  {762,3,4,1,&joseki_variations[414],NULL},
  {799,0,7,1,&joseki_variations[415],NULL},
  {727,3,3,1,&joseki_variations[416],NULL},
  {801,0,9,1,&joseki_variations[417],NULL},
  {835,3,5,0,NULL,&joseki[945]},
  {762,3,4,1,&joseki_variations[419],NULL},
  {799,3,7,1,&joseki_variations[420],NULL},
  {726,3,3,1,&joseki_variations[421],NULL},
  {764,3,6,1,&joseki_variations[422],NULL},
  {804,3,10,1,&joseki_variations[423],NULL},
  {834,3,2,1,&joseki_variations[424],&joseki[766]},
  {796,0,1,0,NULL,&joseki[767]},
  {725,0,1,1,&joseki_variations[426],NULL},
  {762,3,2,1,&joseki_variations[427],NULL},
  {764,3,3,1,&joseki_variations[428],NULL},
  {804,3,6,1,&joseki_variations[429],NULL},
  {761,3,1,0,NULL,&joseki[754]},
  {722,3,2,3,&joseki_variations[431],NULL},
  {759,3,3,2,&joseki_variations[492],NULL},
  {759,0,3,1,&joseki_variations[463],NULL},
  {723,0,3,1,&joseki_variations[434],NULL},
  {760,3,4,1,&joseki_variations[435],NULL},
  {797,3,5,1,&joseki_variations[436],NULL},
  {724,0,4,1,&joseki_variations[437],NULL},
  {761,0,6,2,&joseki_variations[438],NULL},
  {798,3,8,1,&joseki_variations[449],NULL},
  {798,0,8,1,&joseki_variations[440],NULL},
  {800,3,9,1,&joseki_variations[441],NULL},
  {833,3,3,1,&joseki_variations[442],NULL},
  {834,0,7,1,&joseki_variations[443],NULL},
  {835,3,11,1,&joseki_variations[444],NULL},
  {836,3,12,1,&joseki_variations[445],NULL},
  {870,3,4,1,&joseki_variations[446],NULL},
  {871,0,9,1,&joseki_variations[447],NULL},
  {908,0,10,1,&joseki_variations[448],NULL},
  {759,3,3,0,NULL,&joseki[1493]},
  {872,3,9,2,&joseki_variations[450],NULL},
  {762,3,7,1,&joseki_variations[458],NULL},
  {725,3,5,1,&joseki_variations[452],NULL},
  {762,3,8,1,&joseki_variations[453],NULL},
  {799,0,11,1,&joseki_variations[454],NULL},
  {836,3,12,1,&joseki_variations[455],NULL},
  {800,0,12,1,&joseki_variations[456],NULL},
  {801,0,13,1,&joseki_variations[457],NULL},
  {759,0,3,0,NULL,&joseki[937]},
  {799,0,10,1,&joseki_variations[459],NULL},
  {836,3,11,1,&joseki_variations[460],NULL},
  {800,0,11,1,&joseki_variations[461],NULL},
  {801,0,12,1,&joseki_variations[462],NULL},
  {725,3,5,0,NULL,&joseki[936]},
  {723,0,3,1,&joseki_variations[464],NULL},
  {760,3,5,1,&joseki_variations[465],NULL},
  {797,3,6,2,&joseki_variations[466],NULL},
  {761,0,6,1,&joseki_variations[478],NULL},
  {724,0,4,1,&joseki_variations[468],NULL},
  {761,0,7,1,&joseki_variations[469],NULL},
  {798,3,9,1,&joseki_variations[470],NULL},
  {872,3,10,1,&joseki_variations[471],NULL},
  {725,3,5,1,&joseki_variations[472],NULL},
  {762,3,9,1,&joseki_variations[473],NULL},
  {799,0,12,1,&joseki_variations[474],NULL},
  {836,3,13,1,&joseki_variations[475],NULL},
  {800,0,13,1,&joseki_variations[476],NULL},
  {801,0,14,1,&joseki_variations[477],NULL},
  {721,3,1,0,NULL,&joseki[938]},
  {798,3,8,1,&joseki_variations[479],NULL},
  {835,3,9,1,&joseki_variations[480],NULL},
  {762,0,7,1,&joseki_variations[481],NULL},
  {799,0,10,1,&joseki_variations[482],NULL},
  {836,3,12,1,&joseki_variations[483],NULL},
  {763,0,8,1,&joseki_variations[484],NULL},
  {800,3,12,1,&joseki_variations[485],NULL},
  {837,3,15,2,&joseki_variations[486],NULL},
  {801,0,13,1,&joseki_variations[491],NULL},
  {764,3,9,1,&joseki_variations[488],NULL},
  {801,0,14,1,&joseki_variations[489],NULL},
  {765,0,10,1,&joseki_variations[490],NULL},
  {727,3,4,0,NULL,&joseki[581]},
  {764,3,9,0,NULL,&joseki[580]},
  {796,0,4,1,&joseki_variations[643],NULL},
  {833,3,4,1,&joseki_variations[494],NULL},
  {870,3,5,1,&joseki_variations[495],NULL},
  {723,0,3,1,&joseki_variations[496],NULL},
  {760,3,5,1,&joseki_variations[497],NULL},
  {797,3,6,1,&joseki_variations[498],NULL},
  {834,0,8,1,&joseki_variations[499],NULL},
  {871,0,10,3,&joseki_variations[500],NULL},
  {908,0,11,1,&joseki_variations[633],NULL},
  {907,3,6,1,&joseki_variations[598],NULL},
  {724,0,4,1,&joseki_variations[503],NULL},
  {761,0,7,2,&joseki_variations[504],NULL},
  {764,0,8,1,&joseki_variations[585],NULL},
  {763,0,8,2,&joseki_variations[506],NULL},
  {764,0,9,1,&joseki_variations[532],NULL},
  {798,0,9,1,&joseki_variations[508],NULL},
  {800,3,11,1,&joseki_variations[509],NULL},
  {835,3,12,1,&joseki_variations[510],NULL},
  {836,3,13,1,&joseki_variations[511],NULL},
  {906,3,1,1,&joseki_variations[512],NULL},
  {907,3,7,1,&joseki_variations[513],NULL},
  {908,0,13,1,&joseki_variations[514],NULL},
  {944,0,8,1,&joseki_variations[515],NULL},
  {945,0,15,1,&joseki_variations[516],NULL},
  {946,3,20,1,&joseki_variations[517],NULL},
  {982,0,16,1,&joseki_variations[518],NULL},
  {690,0,2,1,&joseki_variations[519],NULL},
  {764,0,10,1,&joseki_variations[520],NULL},
  {801,0,14,1,&joseki_variations[521],NULL},
  {838,3,19,1,&joseki_variations[522],NULL},
  {875,3,22,1,&joseki_variations[523],NULL},
  {728,0,6,1,&joseki_variations[524],NULL},
  {765,3,12,1,&joseki_variations[525],NULL},
  {802,3,17,1,&joseki_variations[526],NULL},
  {839,0,23,1,&joseki_variations[527],NULL},
  {729,3,7,1,&joseki_variations[528],NULL},
  {840,3,25,2,&joseki_variations[529],&joseki[1511]},
  {1093,0,17,1,&joseki_variations[531],&joseki[1512]},
  {876,0,27,0,NULL,&joseki[1514]},
  {876,3,27,0,NULL,&joseki[1513]},
  {798,0,9,1,&joseki_variations[533],NULL},
  {800,3,11,3,&joseki_variations[534],NULL},
  {802,3,13,1,&joseki_variations[575],NULL},
  {765,3,10,1,&joseki_variations[564],NULL},
  {835,3,12,1,&joseki_variations[537],NULL},
  {836,3,13,1,&joseki_variations[538],NULL},
  {728,0,5,1,&joseki_variations[539],NULL},
  {765,3,11,2,&joseki_variations[540],NULL},
  {802,3,15,1,&joseki_variations[555],NULL},
  {801,0,13,1,&joseki_variations[542],NULL},
  {802,3,16,1,&joseki_variations[543],NULL},
  {729,3,6,1,&joseki_variations[544],NULL},
  {906,3,1,1,&joseki_variations[545],NULL},
  {907,3,7,1,&joseki_variations[546],NULL},
  {908,0,13,1,&joseki_variations[547],NULL},
  {944,0,8,1,&joseki_variations[548],NULL},
  {945,0,15,1,&joseki_variations[549],NULL},
  {946,3,20,1,&joseki_variations[550],NULL},
  {982,0,16,1,&joseki_variations[551],NULL},
  {838,3,18,1,&joseki_variations[552],&joseki[1507]},
  {839,0,22,1,&joseki_variations[553],&joseki[1508]},
  {875,3,21,1,&joseki_variations[554],&joseki[1509]},
  {690,0,2,0,NULL,&joseki[1510]},
  {906,3,1,1,&joseki_variations[556],NULL},
  {907,3,7,1,&joseki_variations[557],NULL},
  {908,0,13,1,&joseki_variations[558],NULL},
  {944,0,8,1,&joseki_variations[559],NULL},
  {945,0,15,1,&joseki_variations[560],NULL},
  {946,3,20,1,&joseki_variations[561],NULL},
  {982,0,16,1,&joseki_variations[562],NULL},
  {729,3,6,1,&joseki_variations[563],&joseki[1505]},
  {801,0,13,0,NULL,&joseki[1506]},
  {802,3,14,1,&joseki_variations[565],NULL},
  {835,3,12,1,&joseki_variations[566],NULL},
  {836,3,13,1,&joseki_variations[567],NULL},
  {906,3,1,1,&joseki_variations[568],NULL},
  {907,3,7,1,&joseki_variations[569],NULL},
  {908,0,13,1,&joseki_variations[570],NULL},
  {944,0,8,1,&joseki_variations[571],NULL},
  {945,0,15,1,&joseki_variations[572],NULL},
  {946,3,20,1,&joseki_variations[573],NULL},
  {982,0,16,1,&joseki_variations[574],NULL},
  {728,0,5,0,NULL,&joseki[1504]},
  {835,3,12,1,&joseki_variations[576],NULL},
  {836,3,13,1,&joseki_variations[577],NULL},
  {906,3,1,1,&joseki_variations[578],NULL},
  {907,3,7,1,&joseki_variations[579],NULL},
  {908,0,13,1,&joseki_variations[580],NULL},
  {944,0,8,1,&joseki_variations[581],NULL},
  {945,0,15,1,&joseki_variations[582],NULL},
  {946,3,20,1,&joseki_variations[583],NULL},
  {982,0,16,1,&joseki_variations[584],NULL},
  {765,3,10,0,NULL,&joseki[1503]},
  {798,0,9,1,&joseki_variations[586],NULL},
  {800,3,10,1,&joseki_variations[587],NULL},
  {802,3,12,1,&joseki_variations[588],NULL},
  {835,3,12,1,&joseki_variations[589],NULL},
  {836,3,13,1,&joseki_variations[590],NULL},
  {906,3,1,1,&joseki_variations[591],NULL},
  {907,3,7,1,&joseki_variations[592],NULL},
  {908,0,13,1,&joseki_variations[593],NULL},
  {944,0,8,1,&joseki_variations[594],NULL},
  {945,0,15,1,&joseki_variations[595],NULL},
  {946,3,20,1,&joseki_variations[596],NULL},
  {982,0,16,1,&joseki_variations[597],NULL},
  {763,0,8,0,NULL,&joseki[1502]},
  {908,0,12,2,&joseki_variations[599],NULL},
  {982,0,13,1,&joseki_variations[624],NULL},
  {944,0,7,2,&joseki_variations[601],NULL},
  {982,0,14,1,&joseki_variations[614],NULL},
  {945,0,14,1,&joseki_variations[603],NULL},
  {982,0,15,1,&joseki_variations[604],NULL},
  {724,0,4,1,&joseki_variations[605],NULL},
  {761,0,7,1,&joseki_variations[606],NULL},
  {764,0,8,1,&joseki_variations[607],NULL},
  {798,0,9,1,&joseki_variations[608],NULL},
  {800,3,10,1,&joseki_variations[609],NULL},
  {802,3,12,1,&joseki_variations[610],NULL},
  {835,3,12,1,&joseki_variations[611],NULL},
  {946,3,19,1,&joseki_variations[612],NULL},
  {836,3,13,1,&joseki_variations[613],NULL},
  {906,3,1,0,NULL,&joseki[1501]},
  {724,0,4,1,&joseki_variations[615],NULL},
  {761,0,7,1,&joseki_variations[616],NULL},
  {764,0,8,1,&joseki_variations[617],NULL},
  {798,0,9,1,&joseki_variations[618],NULL},
  {800,3,10,1,&joseki_variations[619],NULL},
  {802,3,12,1,&joseki_variations[620],NULL},
  {835,3,12,1,&joseki_variations[621],NULL},
  {836,3,13,1,&joseki_variations[622],NULL},
  {946,3,18,1,&joseki_variations[623],&joseki[1499]},
  {945,0,14,0,NULL,&joseki[1500]},
  {724,0,4,1,&joseki_variations[625],NULL},
  {761,0,7,1,&joseki_variations[626],NULL},
  {764,0,8,1,&joseki_variations[627],NULL},
  {798,0,9,1,&joseki_variations[628],NULL},
  {800,3,10,1,&joseki_variations[629],NULL},
  {802,3,12,1,&joseki_variations[630],NULL},
  {835,3,12,1,&joseki_variations[631],NULL},
  {836,3,13,1,&joseki_variations[632],NULL},
  {944,0,7,0,NULL,&joseki[1498]},
  {724,0,4,1,&joseki_variations[634],NULL},
  {761,0,7,1,&joseki_variations[635],NULL},
  {798,0,9,1,&joseki_variations[636],NULL},
  {800,3,10,1,&joseki_variations[637],NULL},
  {835,3,12,1,&joseki_variations[638],NULL},
  {836,3,13,1,&joseki_variations[639],NULL},
  {764,0,8,1,&joseki_variations[640],&joseki[1494]},
  {802,3,12,1,&joseki_variations[641],&joseki[1495]},
  {982,0,12,1,&joseki_variations[642],&joseki[1496]},
  {907,3,6,0,NULL,&joseki[1497]},
  {870,0,5,1,&joseki_variations[644],NULL},
  {907,3,6,1,&joseki_variations[645],NULL},
  {686,0,2,2,&joseki_variations[646],NULL},
  {797,0,6,1,&joseki_variations[666],NULL},
  {760,3,5,1,&joseki_variations[648],NULL},
  {797,0,7,1,&joseki_variations[649],NULL},
  {834,0,8,1,&joseki_variations[650],NULL},
  {871,3,10,1,&joseki_variations[651],NULL},
  {687,3,3,1,&joseki_variations[652],NULL},
  {724,3,5,1,&joseki_variations[653],NULL},
  {761,3,8,1,&joseki_variations[654],NULL},
  {798,3,11,1,&joseki_variations[655],NULL},
  {835,0,13,1,&joseki_variations[656],NULL},
  {872,3,16,1,&joseki_variations[657],NULL},
  {762,0,9,1,&joseki_variations[658],NULL},
  {799,0,13,1,&joseki_variations[659],NULL},
  {836,3,16,1,&joseki_variations[660],NULL},
  {763,0,10,1,&joseki_variations[661],NULL},
  {800,3,15,1,&joseki_variations[662],NULL},
  {837,3,19,1,&joseki_variations[663],NULL},
  {764,0,11,1,&joseki_variations[664],NULL},
  {801,0,17,1,&joseki_variations[665],NULL},
  {758,0,1,0,NULL,&joseki[356]},
  {834,0,7,1,&joseki_variations[667],NULL},
  {871,3,9,1,&joseki_variations[668],NULL},
  {687,3,3,1,&joseki_variations[669],NULL},
  {724,3,5,1,&joseki_variations[670],NULL},
  {761,3,7,1,&joseki_variations[671],NULL},
  {798,3,10,1,&joseki_variations[672],NULL},
  {835,0,12,1,&joseki_variations[673],NULL},
  {872,3,15,1,&joseki_variations[674],NULL},
  {762,0,8,1,&joseki_variations[675],NULL},
  {799,0,12,1,&joseki_variations[676],NULL},
  {836,3,15,1,&joseki_variations[677],NULL},
  {763,0,9,1,&joseki_variations[678],NULL},
  {800,3,14,1,&joseki_variations[679],NULL},
  {837,3,18,1,&joseki_variations[680],NULL},
  {764,0,10,1,&joseki_variations[681],NULL},
  {801,0,16,1,&joseki_variations[682],NULL},
  {760,3,5,0,NULL,&joseki[355]},
  {795,0,2,1,&joseki_variations[710],NULL},
  {685,0,1,1,&joseki_variations[685],NULL},
  {722,3,2,1,&joseki_variations[686],NULL},
  {759,3,4,1,&joseki_variations[687],NULL},
  {796,0,5,1,&joseki_variations[688],NULL},
  {870,0,6,1,&joseki_variations[689],NULL},
  {907,3,7,1,&joseki_variations[690],NULL},
  {686,0,2,1,&joseki_variations[691],NULL},
  {760,3,6,1,&joseki_variations[692],NULL},
  {797,0,8,1,&joseki_variations[693],NULL},
  {834,0,9,1,&joseki_variations[694],NULL},
  {871,3,11,1,&joseki_variations[695],NULL},
  {687,3,3,1,&joseki_variations[696],NULL},
  {724,3,5,1,&joseki_variations[697],NULL},
  {761,3,9,1,&joseki_variations[698],NULL},
  {798,3,12,1,&joseki_variations[699],NULL},
  {835,0,14,1,&joseki_variations[700],NULL},
  {872,3,17,1,&joseki_variations[701],NULL},
  {762,0,10,1,&joseki_variations[702],NULL},
  {799,0,14,1,&joseki_variations[703],NULL},
  {836,3,17,1,&joseki_variations[704],NULL},
  {763,0,11,1,&joseki_variations[705],NULL},
  {800,3,16,1,&joseki_variations[706],NULL},
  {837,3,20,1,&joseki_variations[707],NULL},
  {764,0,12,1,&joseki_variations[708],NULL},
  {801,0,18,1,&joseki_variations[709],NULL},
  {832,3,2,0,NULL,&joseki[357]},
  {685,3,1,1,&joseki_variations[711],NULL},
  {722,0,2,1,&joseki_variations[712],NULL},
  {759,3,4,1,&joseki_variations[713],NULL},
  {796,0,6,1,&joseki_variations[714],NULL},
  {833,0,7,1,&joseki_variations[715],NULL},
  {870,3,8,1,&joseki_variations[716],NULL},
  {723,3,3,1,&joseki_variations[717],NULL},
  {760,3,6,1,&joseki_variations[718],NULL},
  {797,3,9,1,&joseki_variations[719],NULL},
  {834,0,11,1,&joseki_variations[720],NULL},
  {871,3,13,1,&joseki_variations[721],NULL},
  {724,3,4,1,&joseki_variations[722],NULL},
  {761,3,8,1,&joseki_variations[723],NULL},
  {798,3,12,1,&joseki_variations[724],NULL},
  {835,0,15,1,&joseki_variations[725],NULL},
  {872,3,18,2,&joseki_variations[726],NULL},
  {762,0,9,1,&joseki_variations[737],NULL},
  {725,0,5,1,&joseki_variations[728],NULL},
  {762,0,10,1,&joseki_variations[729],NULL},
  {799,0,15,1,&joseki_variations[730],NULL},
  {836,3,19,1,&joseki_variations[731],NULL},
  {763,0,11,1,&joseki_variations[732],NULL},
  {800,3,17,1,&joseki_variations[733],NULL},
  {837,3,22,1,&joseki_variations[734],NULL},
  {764,0,12,1,&joseki_variations[735],NULL},
  {801,0,19,1,&joseki_variations[736],NULL},
  {869,3,3,0,NULL,&joseki[279]},
  {799,0,14,1,&joseki_variations[738],NULL},
  {836,3,18,1,&joseki_variations[739],NULL},
  {763,0,10,1,&joseki_variations[740],NULL},
  {800,3,16,1,&joseki_variations[741],NULL},
  {837,3,21,1,&joseki_variations[742],NULL},
  {764,0,11,1,&joseki_variations[743],NULL},
  {801,0,18,2,&joseki_variations[744],NULL},
  {721,0,1,0,NULL,&joseki[276]},
  {725,0,5,0,NULL,&joseki[278]},
  {722,0,2,1,&joseki_variations[777],NULL},
  {686,0,2,1,&joseki_variations[748],NULL},
  {688,0,3,1,&joseki_variations[749],NULL},
  {721,3,2,1,&joseki_variations[750],NULL},
  {722,0,3,1,&joseki_variations[751],NULL},
  {759,3,4,1,&joseki_variations[752],NULL},
  {723,0,5,1,&joseki_variations[753],NULL},
  {725,0,7,1,&joseki_variations[754],NULL},
  {726,3,8,1,&joseki_variations[755],NULL},
  {760,0,7,1,&joseki_variations[756],NULL},
  {761,0,8,1,&joseki_variations[757],NULL},
  {762,3,11,1,&joseki_variations[758],NULL},
  {763,3,13,1,&joseki_variations[759],NULL},
  {765,3,14,1,&joseki_variations[760],NULL},
  {795,3,3,1,&joseki_variations[761],NULL},
  {797,3,9,1,&joseki_variations[762],NULL},
  {798,0,11,1,&joseki_variations[763],NULL},
  {799,3,15,1,&joseki_variations[764],NULL},
  {800,0,18,1,&joseki_variations[765],NULL},
  {801,3,19,1,&joseki_variations[766],NULL},
  {832,3,4,1,&joseki_variations[767],NULL},
  {833,3,7,1,&joseki_variations[768],NULL},
  {834,3,12,1,&joseki_variations[769],NULL},
  {835,3,15,1,&joseki_variations[770],NULL},
  {836,0,20,1,&joseki_variations[771],NULL},
  {837,0,24,1,&joseki_variations[772],NULL},
  {869,0,5,1,&joseki_variations[773],NULL},
  {870,0,9,1,&joseki_variations[774],NULL},
  {871,0,15,1,&joseki_variations[775],NULL},
  {872,0,19,1,&joseki_variations[776],NULL},
  {685,3,2,0,NULL,&joseki[436]},
  {724,3,3,1,&joseki_variations[778],NULL},
  {758,0,2,1,&joseki_variations[779],NULL},
  {759,3,4,1,&joseki_variations[780],NULL},
  {760,3,5,1,&joseki_variations[781],NULL},
  {761,3,7,1,&joseki_variations[782],NULL},
  {762,0,8,1,&joseki_variations[783],NULL},
  {763,0,9,1,&joseki_variations[784],NULL},
  {764,0,10,1,&joseki_variations[785],NULL},
  {795,0,3,1,&joseki_variations[786],NULL},
  {796,0,6,1,&joseki_variations[787],NULL},
  {797,3,8,1,&joseki_variations[788],NULL},
  {798,3,11,1,&joseki_variations[789],NULL},
  {799,0,13,1,&joseki_variations[790],NULL},
  {800,3,15,1,&joseki_variations[791],NULL},
  {801,0,17,1,&joseki_variations[792],NULL},
  {833,0,7,1,&joseki_variations[793],NULL},
  {834,0,10,1,&joseki_variations[794],NULL},
  {835,0,14,1,&joseki_variations[795],NULL},
  {836,3,17,1,&joseki_variations[796],NULL},
  {837,3,20,1,&joseki_variations[797],NULL},
  {870,3,8,1,&joseki_variations[798],NULL},
  {871,3,12,1,&joseki_variations[799],NULL},
  {872,3,17,1,&joseki_variations[800],NULL},
  {869,3,4,0,NULL,&joseki[269]},
  {722,3,2,3,&joseki_variations[1999],NULL},
  {758,0,2,4,&joseki_variations[1486],NULL},
  {685,3,1,1,&joseki_variations[988],NULL},
  {795,0,2,2,&joseki_variations[846],NULL},
  {685,0,1,1,&joseki_variations[820],NULL},
  {722,0,2,1,&joseki_variations[807],NULL},
  {727,3,3,1,&joseki_variations[808],NULL},
  {759,3,3,1,&joseki_variations[809],NULL},
  {760,0,4,1,&joseki_variations[810],NULL},
  {761,0,5,1,&joseki_variations[811],NULL},
  {762,0,6,1,&joseki_variations[812],NULL},
  {763,0,7,1,&joseki_variations[813],NULL},
  {764,3,9,1,&joseki_variations[814],NULL},
  {796,3,4,1,&joseki_variations[815],NULL},
  {797,3,6,1,&joseki_variations[816],NULL},
  {798,3,8,1,&joseki_variations[817],NULL},
  {800,3,11,1,&joseki_variations[818],NULL},
  {804,3,14,1,&joseki_variations[819],NULL},
  {687,3,1,0,NULL,&joseki[790]},
  {759,0,3,1,&joseki_variations[821],NULL},
  {723,0,3,1,&joseki_variations[822],NULL},
  {727,3,4,1,&joseki_variations[823],NULL},
  {760,3,5,1,&joseki_variations[824],NULL},
  {797,3,6,1,&joseki_variations[825],NULL},
  {761,0,6,1,&joseki_variations[826],NULL},
  {798,3,8,1,&joseki_variations[827],NULL},
  {835,3,9,1,&joseki_variations[828],NULL},
  {762,0,7,1,&joseki_variations[829],NULL},
  {799,0,10,1,&joseki_variations[830],NULL},
  {836,3,12,1,&joseki_variations[831],NULL},
  {763,0,8,1,&joseki_variations[832],NULL},
  {800,3,12,1,&joseki_variations[833],NULL},
  {837,3,15,1,&joseki_variations[834],NULL},
  {764,3,10,1,&joseki_variations[835],NULL},
  {801,0,15,2,&joseki_variations[836],NULL},
  {765,0,11,1,&joseki_variations[843],NULL},
  {838,0,19,1,&joseki_variations[838],NULL},
  {875,0,20,1,&joseki_variations[839],NULL},
  {728,3,5,1,&joseki_variations[840],NULL},
  {765,0,12,1,&joseki_variations[841],NULL},
  {766,3,13,1,&joseki_variations[842],NULL},
  {946,3,10,0,NULL,&joseki[584]},
  {766,3,12,1,&joseki_variations[844],&joseki[582]},
  {838,0,19,1,&joseki_variations[845],NULL},
  {728,3,5,0,NULL,&joseki[583]},
  {832,0,3,1,&joseki_variations[894],NULL},
  {685,0,1,1,&joseki_variations[848],NULL},
  {722,3,3,1,&joseki_variations[849],NULL},
  {759,0,4,1,&joseki_variations[850],NULL},
  {833,0,6,2,&joseki_variations[851],NULL},
  {870,3,7,1,&joseki_variations[874],NULL},
  {723,3,4,1,&joseki_variations[853],NULL},
  {760,3,6,1,&joseki_variations[854],NULL},
  {797,0,8,1,&joseki_variations[855],NULL},
  {834,0,10,1,&joseki_variations[856],NULL},
  {869,3,3,1,&joseki_variations[857],NULL},
  {870,3,8,1,&joseki_variations[858],NULL},
  {871,3,13,1,&joseki_variations[859],NULL},
  {687,3,2,1,&joseki_variations[860],NULL},
  {761,3,8,1,&joseki_variations[861],NULL},
  {798,3,11,1,&joseki_variations[862],NULL},
  {835,0,14,1,&joseki_variations[863],NULL},
  {872,3,18,1,&joseki_variations[864],NULL},
  {725,3,6,1,&joseki_variations[865],NULL},
  {762,0,10,1,&joseki_variations[866],NULL},
  {799,0,14,1,&joseki_variations[867],NULL},
  {836,3,18,1,&joseki_variations[868],NULL},
  {726,0,7,1,&joseki_variations[869],NULL},
  {763,0,12,1,&joseki_variations[870],NULL},
  {800,3,17,1,&joseki_variations[871],NULL},
  {837,3,22,1,&joseki_variations[872],NULL},
  {801,0,18,1,&joseki_variations[873],NULL},
  {832,0,3,0,NULL,&joseki[451]},
  {723,3,4,1,&joseki_variations[875],NULL},
  {760,3,6,1,&joseki_variations[876],NULL},
  {797,0,8,1,&joseki_variations[877],NULL},
  {834,0,10,1,&joseki_variations[878],NULL},
  {871,3,12,1,&joseki_variations[879],NULL},
  {687,3,2,1,&joseki_variations[880],NULL},
  {761,3,8,1,&joseki_variations[881],NULL},
  {798,3,11,1,&joseki_variations[882],NULL},
  {835,0,14,1,&joseki_variations[883],NULL},
  {872,3,17,1,&joseki_variations[884],NULL},
  {725,3,6,1,&joseki_variations[885],NULL},
  {762,0,10,1,&joseki_variations[886],NULL},
  {799,0,14,1,&joseki_variations[887],NULL},
  {836,3,18,1,&joseki_variations[888],NULL},
  {726,0,7,1,&joseki_variations[889],NULL},
  {763,0,12,1,&joseki_variations[890],NULL},
  {800,3,17,1,&joseki_variations[891],NULL},
  {837,3,22,1,&joseki_variations[892],NULL},
  {801,0,18,1,&joseki_variations[893],NULL},
  {869,3,3,0,NULL,&joseki[450]},
  {685,0,1,2,&joseki_variations[895],NULL},
  {688,3,2,1,&joseki_variations[960],NULL},
  {869,3,4,1,&joseki_variations[897],NULL},
  {722,3,3,1,&joseki_variations[898],NULL},
  {759,0,4,1,&joseki_variations[899],NULL},
  {833,0,7,1,&joseki_variations[900],NULL},
  {870,3,9,2,&joseki_variations[901],NULL},
  {686,3,2,1,&joseki_variations[922],NULL},
  {723,3,4,1,&joseki_variations[903],NULL},
  {760,3,6,1,&joseki_variations[904],NULL},
  {797,0,8,1,&joseki_variations[905],NULL},
  {834,0,11,1,&joseki_variations[906],NULL},
  {871,3,14,1,&joseki_variations[907],NULL},
  {687,3,2,1,&joseki_variations[908],NULL},
  {761,3,8,1,&joseki_variations[909],NULL},
  {798,3,11,1,&joseki_variations[910],NULL},
  {835,0,15,1,&joseki_variations[911],NULL},
  {872,3,19,1,&joseki_variations[912],NULL},
  {725,3,6,1,&joseki_variations[913],NULL},
  {762,0,10,1,&joseki_variations[914],NULL},
  {799,0,14,1,&joseki_variations[915],NULL},
  {836,3,19,1,&joseki_variations[916],NULL},
  {726,0,7,1,&joseki_variations[917],NULL},
  {763,0,12,1,&joseki_variations[918],NULL},
  {800,3,17,1,&joseki_variations[919],NULL},
  {837,3,23,1,&joseki_variations[920],NULL},
  {801,0,18,1,&joseki_variations[921],NULL},
  {686,3,2,0,NULL,&joseki[452]},
  {723,3,5,1,&joseki_variations[923],NULL},
  {760,3,7,1,&joseki_variations[924],NULL},
  {797,0,9,1,&joseki_variations[925],NULL},
  {834,0,12,1,&joseki_variations[926],NULL},
  {871,3,15,2,&joseki_variations[927],NULL},
  {761,3,8,1,&joseki_variations[945],NULL},
  {724,0,6,1,&joseki_variations[929],NULL},
  {761,3,9,1,&joseki_variations[930],NULL},
  {798,3,12,1,&joseki_variations[931],NULL},
  {835,0,16,1,&joseki_variations[932],NULL},
  {872,3,20,1,&joseki_variations[933],NULL},
  {688,3,3,1,&joseki_variations[934],NULL},
  {725,3,8,1,&joseki_variations[935],NULL},
  {762,0,12,1,&joseki_variations[936],NULL},
  {799,0,16,1,&joseki_variations[937],NULL},
  {836,3,21,1,&joseki_variations[938],NULL},
  {726,0,9,1,&joseki_variations[939],NULL},
  {763,0,14,1,&joseki_variations[940],NULL},
  {800,3,19,1,&joseki_variations[941],NULL},
  {837,3,25,1,&joseki_variations[942],NULL},
  {801,0,20,1,&joseki_variations[943],NULL},
  {765,0,15,1,&joseki_variations[944],NULL},
  {687,3,3,0,NULL,&joseki[438]},
  {798,3,11,1,&joseki_variations[946],NULL},
  {835,0,15,1,&joseki_variations[947],NULL},
  {872,3,19,1,&joseki_variations[948],NULL},
  {688,3,3,1,&joseki_variations[949],NULL},
  {725,3,7,1,&joseki_variations[950],NULL},
  {762,0,11,1,&joseki_variations[951],NULL},
  {799,0,15,1,&joseki_variations[952],NULL},
  {836,3,20,1,&joseki_variations[953],NULL},
  {726,0,8,1,&joseki_variations[954],NULL},
  {763,0,13,1,&joseki_variations[955],NULL},
  {800,3,18,1,&joseki_variations[956],NULL},
  {837,3,24,1,&joseki_variations[957],NULL},
  {801,0,19,1,&joseki_variations[958],NULL},
  {765,0,14,1,&joseki_variations[959],NULL},
  {724,0,6,0,NULL,&joseki[437]},
  {722,3,3,1,&joseki_variations[961],NULL},
  {724,3,4,1,&joseki_variations[962],NULL},
  {725,0,6,1,&joseki_variations[963],NULL},
  {726,0,7,1,&joseki_variations[964],NULL},
  {727,0,8,1,&joseki_variations[965],NULL},
  {728,0,9,1,&joseki_variations[966],NULL},
  {759,0,4,1,&joseki_variations[967],NULL},
  {760,3,5,1,&joseki_variations[968],NULL},
  {761,3,7,1,&joseki_variations[969],NULL},
  {762,0,10,1,&joseki_variations[970],NULL},
  {763,0,12,1,&joseki_variations[971],NULL},
  {764,3,14,1,&joseki_variations[972],NULL},
  {765,3,16,1,&joseki_variations[973],NULL},
  {796,3,6,1,&joseki_variations[974],NULL},
  {797,3,8,1,&joseki_variations[975],NULL},
  {798,3,11,1,&joseki_variations[976],NULL},
  {799,0,15,1,&joseki_variations[977],NULL},
  {800,3,18,1,&joseki_variations[978],NULL},
  {801,0,21,1,&joseki_variations[979],NULL},
  {833,0,8,1,&joseki_variations[980],NULL},
  {834,0,11,1,&joseki_variations[981],NULL},
  {835,0,15,1,&joseki_variations[982],NULL},
  {836,3,20,1,&joseki_variations[983],NULL},
  {837,3,24,1,&joseki_variations[984],NULL},
  {870,3,9,1,&joseki_variations[985],NULL},
  {871,3,13,1,&joseki_variations[986],NULL},
  {872,3,18,1,&joseki_variations[987],NULL},
  {869,3,4,0,NULL,&joseki[397]},
  {722,3,3,2,&joseki_variations[989],NULL},
  {724,3,4,1,&joseki_variations[1452],NULL},
  {759,0,4,4,&joseki_variations[991],NULL},
  {833,0,5,4,&joseki_variations[1306],NULL},
  {760,0,5,2,&joseki_variations[1240],NULL},
  {796,0,5,1,&joseki_variations[1182],NULL},
  {795,3,2,3,&joseki_variations[995],NULL},
  {797,0,6,1,&joseki_variations[1147],NULL},
  {833,0,6,4,&joseki_variations[1048],NULL},
  {796,0,6,1,&joseki_variations[998],NULL},
  {833,0,7,1,&joseki_variations[999],NULL},
  {869,0,3,1,&joseki_variations[1000],NULL},
  {870,3,9,2,&joseki_variations[1001],NULL},
  {907,3,10,1,&joseki_variations[1026],NULL},
  {906,3,4,1,&joseki_variations[1003],NULL},
  {907,3,11,1,&joseki_variations[1004],NULL},
  {686,3,2,1,&joseki_variations[1005],NULL},
  {760,3,6,1,&joseki_variations[1006],NULL},
  {797,0,9,1,&joseki_variations[1007],NULL},
  {834,0,11,1,&joseki_variations[1008],NULL},
  {871,3,14,1,&joseki_variations[1009],NULL},
  {687,3,3,1,&joseki_variations[1010],NULL},
  {724,3,6,1,&joseki_variations[1011],NULL},
  {761,3,9,1,&joseki_variations[1012],NULL},
  {798,3,13,1,&joseki_variations[1013],NULL},
  {835,0,16,1,&joseki_variations[1014],NULL},
  {872,3,20,1,&joseki_variations[1015],NULL},
  {688,0,4,1,&joseki_variations[1016],NULL},
  {725,0,8,1,&joseki_variations[1017],NULL},
  {762,0,12,1,&joseki_variations[1018],NULL},
  {799,0,17,1,&joseki_variations[1019],NULL},
  {836,3,21,1,&joseki_variations[1020],NULL},
  {763,0,13,1,&joseki_variations[1021],NULL},
  {800,3,19,1,&joseki_variations[1022],NULL},
  {837,3,24,1,&joseki_variations[1023],NULL},
  {764,0,14,1,&joseki_variations[1024],NULL},
  {801,0,21,1,&joseki_variations[1025],NULL},
  {758,0,2,0,NULL,&joseki[328]},
  {686,3,2,1,&joseki_variations[1027],NULL},
  {760,3,6,1,&joseki_variations[1028],NULL},
  {797,0,9,1,&joseki_variations[1029],NULL},
  {834,0,11,1,&joseki_variations[1030],NULL},
  {871,3,14,1,&joseki_variations[1031],NULL},
  {687,3,3,1,&joseki_variations[1032],NULL},
  {724,3,6,1,&joseki_variations[1033],NULL},
  {761,3,9,1,&joseki_variations[1034],NULL},
  {798,3,13,1,&joseki_variations[1035],NULL},
  {835,0,16,1,&joseki_variations[1036],NULL},
  {872,3,20,1,&joseki_variations[1037],NULL},
  {688,0,4,1,&joseki_variations[1038],NULL},
  {725,0,8,1,&joseki_variations[1039],NULL},
  {762,0,12,1,&joseki_variations[1040],NULL},
  {799,0,17,1,&joseki_variations[1041],NULL},
  {836,3,21,1,&joseki_variations[1042],NULL},
  {763,0,13,1,&joseki_variations[1043],NULL},
  {800,3,19,1,&joseki_variations[1044],NULL},
  {837,3,24,1,&joseki_variations[1045],NULL},
  {764,0,14,1,&joseki_variations[1046],NULL},
  {801,0,21,1,&joseki_variations[1047],NULL},
  {906,3,4,0,NULL,&joseki[327]},
  {723,3,4,1,&joseki_variations[1124],NULL},
  {760,3,5,1,&joseki_variations[1101],NULL},
  {723,0,4,1,&joseki_variations[1077],NULL},
  {869,0,3,1,&joseki_variations[1052],NULL},
  {870,3,8,1,&joseki_variations[1053],NULL},
  {907,3,9,1,&joseki_variations[1054],NULL},
  {686,3,2,1,&joseki_variations[1055],NULL},
  {760,3,6,1,&joseki_variations[1056],NULL},
  {797,0,8,1,&joseki_variations[1057],NULL},
  {834,0,10,1,&joseki_variations[1058],NULL},
  {871,3,13,1,&joseki_variations[1059],NULL},
  {687,3,3,1,&joseki_variations[1060],NULL},
  {724,3,6,1,&joseki_variations[1061],NULL},
  {761,3,9,1,&joseki_variations[1062],NULL},
  {798,3,12,1,&joseki_variations[1063],NULL},
  {835,0,15,1,&joseki_variations[1064],NULL},
  {872,3,19,1,&joseki_variations[1065],NULL},
  {688,0,4,1,&joseki_variations[1066],NULL},
  {725,0,8,1,&joseki_variations[1067],NULL},
  {762,0,12,1,&joseki_variations[1068],NULL},
  {799,0,16,1,&joseki_variations[1069],NULL},
  {836,3,20,1,&joseki_variations[1070],NULL},
  {763,0,13,1,&joseki_variations[1071],NULL},
  {800,3,18,1,&joseki_variations[1072],NULL},
  {837,3,23,1,&joseki_variations[1073],NULL},
  {764,0,14,1,&joseki_variations[1074],NULL},
  {801,0,20,2,&joseki_variations[1075],NULL},
  {796,0,6,0,NULL,&joseki[326]},
  {758,0,2,0,NULL,&joseki[332]},
  {760,3,6,1,&joseki_variations[1078],NULL},
  {797,0,8,1,&joseki_variations[1079],NULL},
  {834,0,10,1,&joseki_variations[1080],NULL},
  {869,0,3,1,&joseki_variations[1081],NULL},
  {870,3,8,1,&joseki_variations[1082],NULL},
  {871,3,13,1,&joseki_variations[1083],NULL},
  {907,3,9,1,&joseki_variations[1084],NULL},
  {687,3,2,1,&joseki_variations[1085],NULL},
  {724,3,6,1,&joseki_variations[1086],NULL},
  {761,3,9,1,&joseki_variations[1087],NULL},
  {798,3,12,1,&joseki_variations[1088],NULL},
  {835,0,15,1,&joseki_variations[1089],NULL},
  {872,3,19,1,&joseki_variations[1090],NULL},
  {688,0,3,1,&joseki_variations[1091],NULL},
  {725,0,8,1,&joseki_variations[1092],NULL},
  {762,0,12,1,&joseki_variations[1093],NULL},
  {799,0,16,1,&joseki_variations[1094],NULL},
  {836,3,20,1,&joseki_variations[1095],NULL},
  {763,0,13,1,&joseki_variations[1096],NULL},
  {800,3,18,1,&joseki_variations[1097],NULL},
  {837,3,23,1,&joseki_variations[1098],NULL},
  {764,0,14,1,&joseki_variations[1099],NULL},
  {801,0,20,1,&joseki_variations[1100],NULL},
  {686,3,2,0,NULL,&joseki[325]},
  {797,0,7,1,&joseki_variations[1102],NULL},
  {834,0,9,1,&joseki_variations[1103],NULL},
  {869,0,3,1,&joseki_variations[1104],NULL},
  {870,3,8,1,&joseki_variations[1105],NULL},
  {871,3,12,1,&joseki_variations[1106],NULL},
  {907,3,9,1,&joseki_variations[1107],NULL},
  {687,3,2,1,&joseki_variations[1108],NULL},
  {724,3,5,1,&joseki_variations[1109],NULL},
  {761,3,8,1,&joseki_variations[1110],NULL},
  {798,3,11,1,&joseki_variations[1111],NULL},
  {835,0,14,1,&joseki_variations[1112],NULL},
  {872,3,18,1,&joseki_variations[1113],NULL},
  {688,0,3,1,&joseki_variations[1114],NULL},
  {725,0,7,1,&joseki_variations[1115],NULL},
  {762,0,11,1,&joseki_variations[1116],NULL},
  {799,0,15,1,&joseki_variations[1117],NULL},
  {836,3,19,1,&joseki_variations[1118],NULL},
  {763,0,12,1,&joseki_variations[1119],NULL},
  {800,3,17,1,&joseki_variations[1120],NULL},
  {837,3,22,1,&joseki_variations[1121],NULL},
  {764,0,13,1,&joseki_variations[1122],NULL},
  {801,0,19,1,&joseki_variations[1123],NULL},
  {723,0,4,0,NULL,&joseki[324]},
  {760,0,6,1,&joseki_variations[1125],NULL},
  {797,0,8,1,&joseki_variations[1126],NULL},
  {834,0,10,1,&joseki_variations[1127],NULL},
  {869,0,3,1,&joseki_variations[1128],NULL},
  {870,3,8,1,&joseki_variations[1129],NULL},
  {871,3,13,1,&joseki_variations[1130],NULL},
  {907,3,9,1,&joseki_variations[1131],NULL},
  {687,3,2,1,&joseki_variations[1132],NULL},
  {724,3,6,1,&joseki_variations[1133],NULL},
  {761,3,9,1,&joseki_variations[1134],NULL},
  {798,3,12,1,&joseki_variations[1135],NULL},
  {835,0,15,1,&joseki_variations[1136],NULL},
  {872,3,19,1,&joseki_variations[1137],NULL},
  {725,0,7,1,&joseki_variations[1138],NULL},
  {762,0,11,1,&joseki_variations[1139],NULL},
  {799,0,15,1,&joseki_variations[1140],NULL},
  {836,3,19,1,&joseki_variations[1141],NULL},
  {763,0,12,1,&joseki_variations[1142],NULL},
  {800,3,17,1,&joseki_variations[1143],NULL},
  {837,3,22,1,&joseki_variations[1144],NULL},
  {764,0,13,1,&joseki_variations[1145],NULL},
  {801,0,19,1,&joseki_variations[1146],NULL},
  {758,0,2,0,NULL,&joseki[312]},
  {833,0,6,1,&joseki_variations[1148],NULL},
  {834,0,8,1,&joseki_variations[1149],NULL},
  {869,0,3,1,&joseki_variations[1150],NULL},
  {870,3,8,1,&joseki_variations[1151],NULL},
  {871,3,11,1,&joseki_variations[1152],NULL},
  {907,3,9,1,&joseki_variations[1153],NULL},
  {687,3,2,1,&joseki_variations[1154],NULL},
  {724,3,5,1,&joseki_variations[1155],NULL},
  {761,3,7,1,&joseki_variations[1156],NULL},
  {798,3,10,1,&joseki_variations[1157],NULL},
  {835,0,13,1,&joseki_variations[1158],NULL},
  {872,3,17,2,&joseki_variations[1159],NULL},
  {725,0,6,1,&joseki_variations[1171],NULL},
  {688,0,3,1,&joseki_variations[1161],NULL},
  {725,0,7,1,&joseki_variations[1162],NULL},
  {762,0,10,1,&joseki_variations[1163],NULL},
  {799,0,14,1,&joseki_variations[1164],NULL},
  {836,3,18,1,&joseki_variations[1165],NULL},
  {763,0,11,1,&joseki_variations[1166],NULL},
  {800,3,16,1,&joseki_variations[1167],NULL},
  {837,3,21,1,&joseki_variations[1168],NULL},
  {764,0,12,1,&joseki_variations[1169],NULL},
  {801,0,18,1,&joseki_variations[1170],NULL},
  {760,3,5,0,NULL,&joseki[323]},
  {762,0,9,1,&joseki_variations[1172],NULL},
  {799,0,13,1,&joseki_variations[1173],NULL},
  {836,3,17,1,&joseki_variations[1174],NULL},
  {763,0,10,1,&joseki_variations[1175],NULL},
  {800,3,15,1,&joseki_variations[1176],NULL},
  {837,3,20,1,&joseki_variations[1177],NULL},
  {764,0,11,1,&joseki_variations[1178],NULL},
  {801,0,17,3,&joseki_variations[1179],NULL},
  {758,0,2,0,NULL,&joseki[304]},
  {760,0,5,0,NULL,&joseki[310]},
  {688,0,3,0,NULL,&joseki[322]},
  {833,0,6,2,&joseki_variations[1183],NULL},
  {870,3,7,1,&joseki_variations[1208],NULL},
  {723,3,4,1,&joseki_variations[1185],NULL},
  {760,0,6,1,&joseki_variations[1186],NULL},
  {797,3,8,1,&joseki_variations[1187],NULL},
  {834,0,10,1,&joseki_variations[1188],NULL},
  {869,0,2,1,&joseki_variations[1189],NULL},
  {870,3,8,1,&joseki_variations[1190],NULL},
  {871,3,13,1,&joseki_variations[1191],NULL},
  {907,3,9,1,&joseki_variations[1192],NULL},
  {687,3,2,1,&joseki_variations[1193],NULL},
  {724,3,6,1,&joseki_variations[1194],NULL},
  {761,3,9,1,&joseki_variations[1195],NULL},
  {798,3,12,1,&joseki_variations[1196],NULL},
  {835,0,15,1,&joseki_variations[1197],NULL},
  {872,3,19,1,&joseki_variations[1198],NULL},
  {725,0,7,1,&joseki_variations[1199],NULL},
  {762,0,11,1,&joseki_variations[1200],NULL},
  {799,0,15,1,&joseki_variations[1201],NULL},
  {836,3,19,1,&joseki_variations[1202],NULL},
  {763,0,12,1,&joseki_variations[1203],NULL},
  {800,3,17,1,&joseki_variations[1204],NULL},
  {837,3,22,1,&joseki_variations[1205],NULL},
  {764,0,13,1,&joseki_variations[1206],NULL},
  {801,0,19,1,&joseki_variations[1207],NULL},
  {758,0,2,0,NULL,&joseki[300]},
  {723,3,4,1,&joseki_variations[1209],NULL},
  {760,0,6,1,&joseki_variations[1210],NULL},
  {797,3,8,1,&joseki_variations[1211],NULL},
  {834,0,10,1,&joseki_variations[1212],NULL},
  {871,3,12,1,&joseki_variations[1213],NULL},
  {687,3,2,1,&joseki_variations[1214],NULL},
  {724,3,6,1,&joseki_variations[1215],NULL},
  {761,3,9,1,&joseki_variations[1216],NULL},
  {798,3,12,1,&joseki_variations[1217],NULL},
  {835,0,15,1,&joseki_variations[1218],NULL},
  {872,3,18,2,&joseki_variations[1219],NULL},
  {725,0,7,1,&joseki_variations[1231],NULL},
  {688,0,3,1,&joseki_variations[1221],NULL},
  {725,0,8,1,&joseki_variations[1222],NULL},
  {762,0,12,1,&joseki_variations[1223],NULL},
  {799,0,16,1,&joseki_variations[1224],NULL},
  {836,3,20,1,&joseki_variations[1225],NULL},
  {763,0,13,1,&joseki_variations[1226],NULL},
  {800,3,18,1,&joseki_variations[1227],NULL},
  {837,3,23,1,&joseki_variations[1228],NULL},
  {764,0,14,1,&joseki_variations[1229],NULL},
  {801,0,20,1,&joseki_variations[1230],NULL},
  {832,3,2,0,NULL,&joseki[293]},
  {762,0,11,1,&joseki_variations[1232],NULL},
  {799,0,15,1,&joseki_variations[1233],NULL},
  {836,3,19,1,&joseki_variations[1234],NULL},
  {763,0,12,1,&joseki_variations[1235],NULL},
  {800,3,17,1,&joseki_variations[1236],NULL},
  {837,3,22,1,&joseki_variations[1237],NULL},
  {764,0,13,1,&joseki_variations[1238],NULL},
  {801,0,19,1,&joseki_variations[1239],NULL},
  {688,0,3,0,NULL,&joseki[292]},
  {796,0,5,1,&joseki_variations[1265],NULL},
  {795,3,2,1,&joseki_variations[1242],NULL},
  {797,0,7,1,&joseki_variations[1243],NULL},
  {833,0,6,1,&joseki_variations[1244],NULL},
  {834,0,9,1,&joseki_variations[1245],NULL},
  {869,0,3,1,&joseki_variations[1246],NULL},
  {870,3,8,1,&joseki_variations[1247],NULL},
  {871,3,12,1,&joseki_variations[1248],NULL},
  {907,3,9,1,&joseki_variations[1249],NULL},
  {687,3,2,1,&joseki_variations[1250],NULL},
  {724,3,5,1,&joseki_variations[1251],NULL},
  {761,3,8,1,&joseki_variations[1252],NULL},
  {798,3,11,1,&joseki_variations[1253],NULL},
  {835,0,14,1,&joseki_variations[1254],NULL},
  {872,3,18,1,&joseki_variations[1255],NULL},
  {725,0,6,1,&joseki_variations[1256],NULL},
  {762,0,10,1,&joseki_variations[1257],NULL},
  {799,0,14,1,&joseki_variations[1258],NULL},
  {836,3,18,1,&joseki_variations[1259],NULL},
  {763,0,11,1,&joseki_variations[1260],NULL},
  {800,3,16,1,&joseki_variations[1261],NULL},
  {837,3,21,1,&joseki_variations[1262],NULL},
  {764,0,12,1,&joseki_variations[1263],NULL},
  {801,0,18,1,&joseki_variations[1264],NULL},
  {723,3,4,0,NULL,&joseki[311]},
  {797,3,7,1,&joseki_variations[1266],NULL},
  {833,0,6,1,&joseki_variations[1267],NULL},
  {834,0,9,2,&joseki_variations[1268],NULL},
  {870,3,7,1,&joseki_variations[1289],NULL},
  {869,0,2,1,&joseki_variations[1270],NULL},
  {870,3,8,1,&joseki_variations[1271],NULL},
  {871,3,12,1,&joseki_variations[1272],NULL},
  {907,3,9,1,&joseki_variations[1273],NULL},
  {687,3,2,1,&joseki_variations[1274],NULL},
  {724,3,5,1,&joseki_variations[1275],NULL},
  {761,3,8,1,&joseki_variations[1276],NULL},
  {798,3,11,1,&joseki_variations[1277],NULL},
  {835,0,14,1,&joseki_variations[1278],NULL},
  {872,3,18,1,&joseki_variations[1279],NULL},
  {725,0,6,1,&joseki_variations[1280],NULL},
  {762,0,10,1,&joseki_variations[1281],NULL},
  {799,0,14,1,&joseki_variations[1282],NULL},
  {836,3,18,1,&joseki_variations[1283],NULL},
  {763,0,11,1,&joseki_variations[1284],NULL},
  {800,3,16,1,&joseki_variations[1285],NULL},
  {837,3,21,1,&joseki_variations[1286],NULL},
  {764,0,12,1,&joseki_variations[1287],NULL},
  {801,0,18,1,&joseki_variations[1288],NULL},
  {723,3,4,0,NULL,&joseki[299]},
  {871,3,11,1,&joseki_variations[1290],NULL},
  {687,3,2,1,&joseki_variations[1291],NULL},
  {724,3,5,1,&joseki_variations[1292],NULL},
  {761,3,8,1,&joseki_variations[1293],NULL},
  {798,3,11,1,&joseki_variations[1294],NULL},
  {835,0,14,1,&joseki_variations[1295],NULL},
  {872,3,17,1,&joseki_variations[1296],NULL},
  {725,0,6,1,&joseki_variations[1297],NULL},
  {762,0,10,1,&joseki_variations[1298],NULL},
  {799,0,14,1,&joseki_variations[1299],NULL},
  {836,3,18,1,&joseki_variations[1300],NULL},
  {763,0,11,1,&joseki_variations[1301],NULL},
  {800,3,16,1,&joseki_variations[1302],NULL},
  {837,3,21,1,&joseki_variations[1303],NULL},
  {764,0,12,1,&joseki_variations[1304],NULL},
  {801,0,18,1,&joseki_variations[1305],NULL},
  {723,3,4,0,NULL,&joseki[291]},
  {834,0,6,2,&joseki_variations[1412],NULL},
  {870,3,6,1,&joseki_variations[1374],NULL},
  {760,0,5,2,&joseki_variations[1331],NULL},
  {797,0,5,1,&joseki_variations[1310],NULL},
  {834,0,7,1,&joseki_variations[1311],NULL},
  {869,0,2,1,&joseki_variations[1312],NULL},
  {870,3,7,1,&joseki_variations[1313],NULL},
  {871,3,10,1,&joseki_variations[1314],NULL},
  {907,3,8,1,&joseki_variations[1315],NULL},
  {687,3,2,1,&joseki_variations[1316],NULL},
  {724,3,5,1,&joseki_variations[1317],NULL},
  {761,3,7,1,&joseki_variations[1318],NULL},
  {798,3,9,1,&joseki_variations[1319],NULL},
  {835,0,12,1,&joseki_variations[1320],NULL},
  {872,3,16,1,&joseki_variations[1321],NULL},
  {725,0,6,1,&joseki_variations[1322],NULL},
  {762,0,9,1,&joseki_variations[1323],NULL},
  {799,0,12,1,&joseki_variations[1324],NULL},
  {836,3,16,1,&joseki_variations[1325],NULL},
  {763,0,10,1,&joseki_variations[1326],NULL},
  {800,3,14,1,&joseki_variations[1327],NULL},
  {837,3,19,1,&joseki_variations[1328],NULL},
  {764,0,11,1,&joseki_variations[1329],NULL},
  {801,0,16,1,&joseki_variations[1330],NULL},
  {795,3,2,0,NULL,&joseki[303]},
  {834,0,7,1,&joseki_variations[1354],NULL},
  {797,3,6,1,&joseki_variations[1333],NULL},
  {834,0,8,1,&joseki_variations[1334],NULL},
  {869,0,2,1,&joseki_variations[1335],NULL},
  {870,3,7,1,&joseki_variations[1336],NULL},
  {871,3,11,1,&joseki_variations[1337],NULL},
  {907,3,8,1,&joseki_variations[1338],NULL},
  {687,3,2,1,&joseki_variations[1339],NULL},
  {724,3,5,1,&joseki_variations[1340],NULL},
  {761,3,8,1,&joseki_variations[1341],NULL},
  {798,3,10,1,&joseki_variations[1342],NULL},
  {835,0,13,1,&joseki_variations[1343],NULL},
  {872,3,17,1,&joseki_variations[1344],NULL},
  {725,0,6,1,&joseki_variations[1345],NULL},
  {762,0,10,1,&joseki_variations[1346],NULL},
  {799,0,13,1,&joseki_variations[1347],NULL},
  {836,3,17,1,&joseki_variations[1348],NULL},
  {763,0,11,1,&joseki_variations[1349],NULL},
  {800,3,15,1,&joseki_variations[1350],NULL},
  {837,3,20,1,&joseki_variations[1351],NULL},
  {764,0,12,1,&joseki_variations[1352],NULL},
  {801,0,17,1,&joseki_variations[1353],NULL},
  {796,0,5,0,NULL,&joseki[298]},
  {869,0,2,1,&joseki_variations[1355],NULL},
  {870,3,7,1,&joseki_variations[1356],NULL},
  {871,3,10,1,&joseki_variations[1357],NULL},
  {907,3,8,1,&joseki_variations[1358],NULL},
  {687,3,2,1,&joseki_variations[1359],NULL},
  {724,3,5,1,&joseki_variations[1360],NULL},
  {761,3,8,1,&joseki_variations[1361],NULL},
  {798,3,9,1,&joseki_variations[1362],NULL},
  {835,0,12,1,&joseki_variations[1363],NULL},
  {872,3,16,1,&joseki_variations[1364],NULL},
  {725,0,6,1,&joseki_variations[1365],NULL},
  {762,0,10,1,&joseki_variations[1366],NULL},
  {799,0,12,1,&joseki_variations[1367],NULL},
  {836,3,16,1,&joseki_variations[1368],NULL},
  {763,0,11,1,&joseki_variations[1369],NULL},
  {800,3,14,1,&joseki_variations[1370],NULL},
  {837,3,19,1,&joseki_variations[1371],NULL},
  {764,0,12,1,&joseki_variations[1372],NULL},
  {801,0,16,1,&joseki_variations[1373],NULL},
  {797,3,6,0,NULL,&joseki[297]},
  {760,0,5,2,&joseki_variations[1375],NULL},
  {834,0,7,1,&joseki_variations[1395],NULL},
  {797,3,6,1,&joseki_variations[1377],NULL},
  {834,0,8,1,&joseki_variations[1378],NULL},
  {871,3,10,1,&joseki_variations[1379],NULL},
  {687,3,2,1,&joseki_variations[1380],NULL},
  {724,3,5,1,&joseki_variations[1381],NULL},
  {761,3,8,1,&joseki_variations[1382],NULL},
  {798,3,10,1,&joseki_variations[1383],NULL},
  {835,0,13,1,&joseki_variations[1384],NULL},
  {872,3,16,1,&joseki_variations[1385],NULL},
  {725,0,6,1,&joseki_variations[1386],NULL},
  {762,0,10,1,&joseki_variations[1387],NULL},
  {799,0,13,1,&joseki_variations[1388],NULL},
  {836,3,17,1,&joseki_variations[1389],NULL},
  {763,0,11,1,&joseki_variations[1390],NULL},
  {800,3,15,1,&joseki_variations[1391],NULL},
  {837,3,20,1,&joseki_variations[1392],NULL},
  {764,0,12,1,&joseki_variations[1393],NULL},
  {801,0,17,1,&joseki_variations[1394],NULL},
  {796,0,5,0,NULL,&joseki[290]},
  {871,3,9,1,&joseki_variations[1396],NULL},
  {687,3,2,1,&joseki_variations[1397],NULL},
  {724,3,5,1,&joseki_variations[1398],NULL},
  {761,3,8,1,&joseki_variations[1399],NULL},
  {798,3,9,1,&joseki_variations[1400],NULL},
  {835,0,12,1,&joseki_variations[1401],NULL},
  {872,3,15,1,&joseki_variations[1402],NULL},
  {725,0,6,1,&joseki_variations[1403],NULL},
  {762,0,10,1,&joseki_variations[1404],NULL},
  {799,0,12,1,&joseki_variations[1405],NULL},
  {836,3,16,1,&joseki_variations[1406],NULL},
  {763,0,11,1,&joseki_variations[1407],NULL},
  {800,3,14,1,&joseki_variations[1408],NULL},
  {837,3,19,1,&joseki_variations[1409],NULL},
  {764,0,12,1,&joseki_variations[1410],NULL},
  {801,0,16,1,&joseki_variations[1411],NULL},
  {797,3,6,0,NULL,&joseki[289]},
  {870,3,6,1,&joseki_variations[1434],NULL},
  {869,0,2,1,&joseki_variations[1414],NULL},
  {870,3,7,1,&joseki_variations[1415],NULL},
  {871,3,9,1,&joseki_variations[1416],NULL},
  {687,3,2,1,&joseki_variations[1417],NULL},
  {724,3,5,1,&joseki_variations[1418],NULL},
  {761,3,7,1,&joseki_variations[1419],NULL},
  {798,3,8,1,&joseki_variations[1420],NULL},
  {835,0,11,1,&joseki_variations[1421],NULL},
  {872,3,15,1,&joseki_variations[1422],NULL},
  {725,0,6,1,&joseki_variations[1423],NULL},
  {762,0,9,1,&joseki_variations[1424],NULL},
  {799,0,11,1,&joseki_variations[1425],NULL},
  {836,3,15,1,&joseki_variations[1426],NULL},
  {763,0,10,1,&joseki_variations[1427],NULL},
  {800,3,13,1,&joseki_variations[1428],NULL},
  {837,3,18,1,&joseki_variations[1429],NULL},
  {764,0,11,1,&joseki_variations[1430],NULL},
  {801,0,15,1,&joseki_variations[1431],NULL},
  {907,3,8,2,&joseki_variations[1432],&joseki[295]},
  {760,0,5,0,NULL,&joseki[296]},
  {797,0,5,0,NULL,&joseki[302]},
  {871,3,8,1,&joseki_variations[1435],NULL},
  {687,3,2,1,&joseki_variations[1436],NULL},
  {724,3,5,1,&joseki_variations[1437],NULL},
  {761,3,7,1,&joseki_variations[1438],NULL},
  {798,3,8,1,&joseki_variations[1439],NULL},
  {835,0,11,1,&joseki_variations[1440],NULL},
  {872,3,14,1,&joseki_variations[1441],NULL},
  {725,0,6,1,&joseki_variations[1442],NULL},
  {762,0,9,1,&joseki_variations[1443],NULL},
  {799,0,11,1,&joseki_variations[1444],NULL},
  {836,3,15,1,&joseki_variations[1445],NULL},
  {763,0,10,1,&joseki_variations[1446],NULL},
  {800,3,13,1,&joseki_variations[1447],NULL},
  {837,3,18,1,&joseki_variations[1448],NULL},
  {764,0,11,1,&joseki_variations[1449],NULL},
  {801,0,15,2,&joseki_variations[1450],NULL},
  {760,0,5,0,NULL,&joseki[288]},
  {869,0,2,0,NULL,&joseki[294]},
  {759,0,4,1,&joseki_variations[1453],NULL},
  {761,3,6,1,&joseki_variations[1454],NULL},
  {798,3,7,2,&joseki_variations[1455],NULL},
  {762,0,7,1,&joseki_variations[1472],NULL},
  {833,0,5,1,&joseki_variations[1457],NULL},
  {834,0,6,1,&joseki_variations[1458],NULL},
  {835,0,10,1,&joseki_variations[1459],NULL},
  {870,3,6,1,&joseki_variations[1460],NULL},
  {871,3,8,1,&joseki_variations[1461],NULL},
  {872,3,13,1,&joseki_variations[1462],NULL},
  {725,0,5,1,&joseki_variations[1463],NULL},
  {762,0,8,1,&joseki_variations[1464],NULL},
  {799,0,10,1,&joseki_variations[1465],NULL},
  {836,3,14,1,&joseki_variations[1466],NULL},
  {763,0,9,1,&joseki_variations[1467],NULL},
  {800,3,12,1,&joseki_variations[1468],NULL},
  {837,3,17,1,&joseki_variations[1469],NULL},
  {764,0,10,1,&joseki_variations[1470],NULL},
  {801,0,14,1,&joseki_variations[1471],NULL},
  {687,3,2,0,NULL,&joseki[287]},
  {799,0,9,1,&joseki_variations[1473],NULL},
  {763,0,8,1,&joseki_variations[1474],NULL},
  {800,3,11,1,&joseki_variations[1475],NULL},
  {764,0,9,1,&joseki_variations[1476],NULL},
  {801,0,13,1,&joseki_variations[1477],NULL},
  {833,0,5,1,&joseki_variations[1478],NULL},
  {834,0,6,1,&joseki_variations[1479],NULL},
  {835,0,10,1,&joseki_variations[1480],NULL},
  {836,3,13,1,&joseki_variations[1481],NULL},
  {837,3,16,1,&joseki_variations[1482],NULL},
  {870,3,6,1,&joseki_variations[1483],NULL},
  {871,3,8,1,&joseki_variations[1484],NULL},
  {872,3,13,1,&joseki_variations[1485],NULL},
  {725,0,5,0,NULL,&joseki[286]},
  {795,0,3,1,&joseki_variations[1897],NULL},
  {869,0,3,1,&joseki_variations[1783],NULL},
  {795,3,3,2,&joseki_variations[1541],NULL},
  {832,3,3,1,&joseki_variations[1490],NULL},
  {869,0,4,1,&joseki_variations[1491],NULL},
  {685,3,1,1,&joseki_variations[1492],NULL},
  {722,3,3,1,&joseki_variations[1493],NULL},
  {759,0,5,1,&joseki_variations[1494],NULL},
  {796,0,6,1,&joseki_variations[1495],NULL},
  {833,0,8,1,&joseki_variations[1496],NULL},
  {870,3,10,1,&joseki_variations[1497],NULL},
  {907,3,11,2,&joseki_variations[1498],NULL},
  {723,3,4,1,&joseki_variations[1521],NULL},
  {686,3,2,1,&joseki_variations[1500],NULL},
  {760,3,7,1,&joseki_variations[1501],NULL},
  {797,0,9,1,&joseki_variations[1502],NULL},
  {834,0,12,1,&joseki_variations[1503],NULL},
  {871,3,15,1,&joseki_variations[1504],NULL},
  {687,3,3,1,&joseki_variations[1505],NULL},
  {724,3,6,1,&joseki_variations[1506],NULL},
  {761,3,10,1,&joseki_variations[1507],NULL},
  {798,3,13,1,&joseki_variations[1508],NULL},
  {835,0,17,1,&joseki_variations[1509],NULL},
  {872,3,21,1,&joseki_variations[1510],NULL},
  {688,0,4,1,&joseki_variations[1511],NULL},
  {725,0,8,1,&joseki_variations[1512],NULL},
  {762,0,13,1,&joseki_variations[1513],NULL},
  {799,0,17,1,&joseki_variations[1514],NULL},
  {836,3,22,1,&joseki_variations[1515],NULL},
  {763,0,14,1,&joseki_variations[1516],NULL},
  {800,3,19,1,&joseki_variations[1517],NULL},
  {837,3,25,1,&joseki_variations[1518],NULL},
  {764,0,15,1,&joseki_variations[1519],NULL},
  {801,0,21,1,&joseki_variations[1520],NULL},
  {795,0,3,0,NULL,&joseki[336]},
  {760,0,7,1,&joseki_variations[1522],NULL},
  {797,0,9,1,&joseki_variations[1523],NULL},
  {834,0,12,1,&joseki_variations[1524],NULL},
  {871,3,15,1,&joseki_variations[1525],NULL},
  {687,3,2,1,&joseki_variations[1526],NULL},
  {724,3,6,1,&joseki_variations[1527],NULL},
  {761,3,10,1,&joseki_variations[1528],NULL},
  {798,3,13,1,&joseki_variations[1529],NULL},
  {835,0,17,1,&joseki_variations[1530],NULL},
  {872,3,21,1,&joseki_variations[1531],NULL},
  {725,0,7,1,&joseki_variations[1532],NULL},
  {762,0,12,1,&joseki_variations[1533],NULL},
  {799,0,16,1,&joseki_variations[1534],NULL},
  {836,3,21,1,&joseki_variations[1535],NULL},
  {763,0,13,1,&joseki_variations[1536],NULL},
  {800,3,18,1,&joseki_variations[1537],NULL},
  {837,3,24,1,&joseki_variations[1538],NULL},
  {764,0,14,1,&joseki_variations[1539],NULL},
  {801,0,20,1,&joseki_variations[1540],NULL},
  {795,0,3,0,NULL,&joseki[316]},
  {869,0,4,1,&joseki_variations[1644],NULL},
  {832,3,4,2,&joseki_variations[1543],NULL},
  {869,0,5,1,&joseki_variations[1574],NULL},
  {906,3,5,1,&joseki_variations[1545],NULL},
  {685,3,1,1,&joseki_variations[1546],NULL},
  {722,3,3,1,&joseki_variations[1547],NULL},
  {759,0,5,1,&joseki_variations[1548],NULL},
  {796,0,7,1,&joseki_variations[1549],NULL},
  {833,0,9,1,&joseki_variations[1550],NULL},
  {870,3,10,1,&joseki_variations[1551],NULL},
  {907,3,12,1,&joseki_variations[1552],NULL},
  {686,3,2,1,&joseki_variations[1553],NULL},
  {760,3,7,1,&joseki_variations[1554],NULL},
  {797,0,10,1,&joseki_variations[1555],NULL},
  {834,0,13,1,&joseki_variations[1556],NULL},
  {871,3,15,1,&joseki_variations[1557],NULL},
  {687,3,3,1,&joseki_variations[1558],NULL},
  {724,3,6,1,&joseki_variations[1559],NULL},
  {761,3,10,1,&joseki_variations[1560],NULL},
  {798,3,14,1,&joseki_variations[1561],NULL},
  {835,0,18,1,&joseki_variations[1562],NULL},
  {872,3,21,1,&joseki_variations[1563],NULL},
  {688,0,4,1,&joseki_variations[1564],NULL},
  {725,0,8,1,&joseki_variations[1565],NULL},
  {762,0,13,1,&joseki_variations[1566],NULL},
  {799,0,18,1,&joseki_variations[1567],NULL},
  {836,3,23,1,&joseki_variations[1568],NULL},
  {763,0,14,1,&joseki_variations[1569],NULL},
  {800,3,20,1,&joseki_variations[1570],NULL},
  {837,3,26,1,&joseki_variations[1571],NULL},
  {764,0,15,1,&joseki_variations[1572],NULL},
  {801,0,22,1,&joseki_variations[1573],NULL},
  {869,0,5,0,NULL,&joseki[330]},
  {685,3,1,1,&joseki_variations[1575],NULL},
  {722,3,3,1,&joseki_variations[1576],NULL},
  {759,0,5,1,&joseki_variations[1577],NULL},
  {833,0,8,1,&joseki_variations[1578],NULL},
  {870,3,10,1,&joseki_variations[1579],NULL},
  {907,3,11,3,&joseki_variations[1580],NULL},
  {723,0,4,1,&joseki_variations[1624],NULL},
  {723,3,4,1,&joseki_variations[1604],NULL},
  {686,3,2,1,&joseki_variations[1583],NULL},
  {760,3,7,1,&joseki_variations[1584],NULL},
  {797,0,9,1,&joseki_variations[1585],NULL},
  {834,0,12,1,&joseki_variations[1586],NULL},
  {871,3,15,1,&joseki_variations[1587],NULL},
  {687,3,3,1,&joseki_variations[1588],NULL},
  {724,3,6,1,&joseki_variations[1589],NULL},
  {761,3,10,1,&joseki_variations[1590],NULL},
  {798,3,13,1,&joseki_variations[1591],NULL},
  {835,0,17,1,&joseki_variations[1592],NULL},
  {872,3,21,1,&joseki_variations[1593],NULL},
  {688,0,4,1,&joseki_variations[1594],NULL},
  {725,0,8,1,&joseki_variations[1595],NULL},
  {762,0,13,1,&joseki_variations[1596],NULL},
  {799,0,17,1,&joseki_variations[1597],NULL},
  {836,3,22,1,&joseki_variations[1598],NULL},
  {763,0,14,1,&joseki_variations[1599],NULL},
  {800,3,19,1,&joseki_variations[1600],NULL},
  {837,3,25,1,&joseki_variations[1601],NULL},
  {764,0,15,1,&joseki_variations[1602],NULL},
  {801,0,21,1,&joseki_variations[1603],NULL},
  {796,0,7,0,NULL,&joseki[334]},
  {760,0,7,1,&joseki_variations[1605],NULL},
  {797,0,9,1,&joseki_variations[1606],NULL},
  {834,0,12,1,&joseki_variations[1607],NULL},
  {871,3,15,1,&joseki_variations[1608],NULL},
  {687,3,2,1,&joseki_variations[1609],NULL},
  {724,3,6,1,&joseki_variations[1610],NULL},
  {761,3,10,1,&joseki_variations[1611],NULL},
  {798,3,13,1,&joseki_variations[1612],NULL},
  {835,0,17,1,&joseki_variations[1613],NULL},
  {872,3,21,1,&joseki_variations[1614],NULL},
  {725,0,7,1,&joseki_variations[1615],NULL},
  {762,0,12,1,&joseki_variations[1616],NULL},
  {799,0,16,1,&joseki_variations[1617],NULL},
  {836,3,21,1,&joseki_variations[1618],NULL},
  {763,0,13,1,&joseki_variations[1619],NULL},
  {800,3,18,1,&joseki_variations[1620],NULL},
  {837,3,24,1,&joseki_variations[1621],NULL},
  {764,0,14,1,&joseki_variations[1622],NULL},
  {801,0,20,1,&joseki_variations[1623],NULL},
  {796,0,7,0,NULL,&joseki[314]},
  {760,3,7,1,&joseki_variations[1625],NULL},
  {797,0,9,1,&joseki_variations[1626],NULL},
  {834,0,12,1,&joseki_variations[1627],NULL},
  {871,3,15,1,&joseki_variations[1628],NULL},
  {687,3,2,1,&joseki_variations[1629],NULL},
  {724,3,6,1,&joseki_variations[1630],NULL},
  {761,3,10,1,&joseki_variations[1631],NULL},
  {798,3,13,1,&joseki_variations[1632],NULL},
  {835,0,17,1,&joseki_variations[1633],NULL},
  {872,3,21,1,&joseki_variations[1634],NULL},
  {725,0,7,1,&joseki_variations[1635],NULL},
  {762,0,12,1,&joseki_variations[1636],NULL},
  {799,0,16,1,&joseki_variations[1637],NULL},
  {836,3,21,1,&joseki_variations[1638],NULL},
  {763,0,13,1,&joseki_variations[1639],NULL},
  {800,3,18,1,&joseki_variations[1640],NULL},
  {837,3,24,1,&joseki_variations[1641],NULL},
  {764,0,14,1,&joseki_variations[1642],NULL},
  {801,0,20,1,&joseki_variations[1643],NULL},
  {796,0,7,0,NULL,&joseki[308]},
  {685,3,1,1,&joseki_variations[1645],NULL},
  {722,3,3,1,&joseki_variations[1646],NULL},
  {759,0,5,3,&joseki_variations[1647],NULL},
  {797,0,7,1,&joseki_variations[1762],NULL},
  {833,0,7,1,&joseki_variations[1676],NULL},
  {796,0,7,1,&joseki_variations[1650],NULL},
  {833,0,8,1,&joseki_variations[1651],NULL},
  {870,3,10,1,&joseki_variations[1652],NULL},
  {906,3,5,1,&joseki_variations[1653],NULL},
  {907,3,12,1,&joseki_variations[1654],NULL},
  {686,3,2,1,&joseki_variations[1655],NULL},
  {760,3,7,1,&joseki_variations[1656],NULL},
  {797,0,10,1,&joseki_variations[1657],NULL},
  {834,0,12,1,&joseki_variations[1658],NULL},
  {871,3,15,1,&joseki_variations[1659],NULL},
  {687,3,3,1,&joseki_variations[1660],NULL},
  {724,3,6,1,&joseki_variations[1661],NULL},
  {761,3,10,1,&joseki_variations[1662],NULL},
  {798,3,14,1,&joseki_variations[1663],NULL},
  {835,0,17,1,&joseki_variations[1664],NULL},
  {872,3,21,1,&joseki_variations[1665],NULL},
  {688,0,4,1,&joseki_variations[1666],NULL},
  {725,0,8,1,&joseki_variations[1667],NULL},
  {762,0,13,1,&joseki_variations[1668],NULL},
  {799,0,18,1,&joseki_variations[1669],NULL},
  {836,3,22,1,&joseki_variations[1670],NULL},
  {763,0,14,1,&joseki_variations[1671],NULL},
  {800,3,20,1,&joseki_variations[1672],NULL},
  {837,3,25,1,&joseki_variations[1673],NULL},
  {764,0,15,1,&joseki_variations[1674],NULL},
  {801,0,22,1,&joseki_variations[1675],NULL},
  {832,3,4,0,NULL,&joseki[329]},
  {870,3,9,1,&joseki_variations[1677],NULL},
  {907,3,10,4,&joseki_variations[1678],NULL},
  {760,3,6,1,&joseki_variations[1743],NULL},
  {723,0,4,1,&joseki_variations[1723],NULL},
  {723,3,4,1,&joseki_variations[1703],NULL},
  {686,3,2,1,&joseki_variations[1682],NULL},
  {760,3,7,1,&joseki_variations[1683],NULL},
  {797,0,9,1,&joseki_variations[1684],NULL},
  {834,0,11,1,&joseki_variations[1685],NULL},
  {871,3,14,1,&joseki_variations[1686],NULL},
  {687,3,3,1,&joseki_variations[1687],NULL},
  {724,3,6,1,&joseki_variations[1688],NULL},
  {761,3,10,1,&joseki_variations[1689],NULL},
  {798,3,13,1,&joseki_variations[1690],NULL},
  {835,0,16,1,&joseki_variations[1691],NULL},
  {872,3,20,1,&joseki_variations[1692],NULL},
  {688,0,4,1,&joseki_variations[1693],NULL},
  {725,0,8,1,&joseki_variations[1694],NULL},
  {762,0,13,1,&joseki_variations[1695],NULL},
  {799,0,17,1,&joseki_variations[1696],NULL},
  {836,3,21,1,&joseki_variations[1697],NULL},
  {763,0,14,1,&joseki_variations[1698],NULL},
  {800,3,19,1,&joseki_variations[1699],NULL},
  {837,3,24,1,&joseki_variations[1700],NULL},
  {764,0,15,1,&joseki_variations[1701],NULL},
  {801,0,21,1,&joseki_variations[1702],NULL},
  {832,3,4,0,NULL,&joseki[333]},
  {760,0,7,1,&joseki_variations[1704],NULL},
  {797,0,9,1,&joseki_variations[1705],NULL},
  {834,0,11,1,&joseki_variations[1706],NULL},
  {871,3,14,1,&joseki_variations[1707],NULL},
  {687,3,2,1,&joseki_variations[1708],NULL},
  {724,3,6,1,&joseki_variations[1709],NULL},
  {761,3,10,1,&joseki_variations[1710],NULL},
  {798,3,13,1,&joseki_variations[1711],NULL},
  {835,0,16,1,&joseki_variations[1712],NULL},
  {872,3,20,1,&joseki_variations[1713],NULL},
  {725,0,7,1,&joseki_variations[1714],NULL},
  {762,0,12,1,&joseki_variations[1715],NULL},
  {799,0,16,1,&joseki_variations[1716],NULL},
  {836,3,20,1,&joseki_variations[1717],NULL},
  {763,0,13,1,&joseki_variations[1718],NULL},
  {800,3,18,1,&joseki_variations[1719],NULL},
  {837,3,23,1,&joseki_variations[1720],NULL},
  {764,0,14,1,&joseki_variations[1721],NULL},
  {801,0,20,1,&joseki_variations[1722],NULL},
  {832,3,4,0,NULL,&joseki[313]},
  {760,3,7,1,&joseki_variations[1724],NULL},
  {797,0,9,1,&joseki_variations[1725],NULL},
  {834,0,11,1,&joseki_variations[1726],NULL},
  {871,3,14,1,&joseki_variations[1727],NULL},
  {687,3,2,1,&joseki_variations[1728],NULL},
  {724,3,6,1,&joseki_variations[1729],NULL},
  {761,3,10,1,&joseki_variations[1730],NULL},
  {798,3,13,1,&joseki_variations[1731],NULL},
  {835,0,16,1,&joseki_variations[1732],NULL},
  {872,3,20,1,&joseki_variations[1733],NULL},
  {725,0,7,1,&joseki_variations[1734],NULL},
  {762,0,12,1,&joseki_variations[1735],NULL},
  {799,0,16,1,&joseki_variations[1736],NULL},
  {836,3,20,1,&joseki_variations[1737],NULL},
  {763,0,13,1,&joseki_variations[1738],NULL},
  {800,3,18,1,&joseki_variations[1739],NULL},
  {837,3,23,1,&joseki_variations[1740],NULL},
  {764,0,14,1,&joseki_variations[1741],NULL},
  {801,0,20,1,&joseki_variations[1742],NULL},
  {832,3,4,0,NULL,&joseki[307]},
  {797,0,8,1,&joseki_variations[1744],NULL},
  {834,0,10,1,&joseki_variations[1745],NULL},
  {871,3,13,1,&joseki_variations[1746],NULL},
  {687,3,2,1,&joseki_variations[1747],NULL},
  {724,3,5,1,&joseki_variations[1748],NULL},
  {761,3,9,1,&joseki_variations[1749],NULL},
  {798,3,12,1,&joseki_variations[1750],NULL},
  {835,0,15,1,&joseki_variations[1751],NULL},
  {872,3,19,1,&joseki_variations[1752],NULL},
  {725,0,6,1,&joseki_variations[1753],NULL},
  {762,0,11,1,&joseki_variations[1754],NULL},
  {799,0,15,1,&joseki_variations[1755],NULL},
  {836,3,19,1,&joseki_variations[1756],NULL},
  {763,0,12,1,&joseki_variations[1757],NULL},
  {800,3,17,1,&joseki_variations[1758],NULL},
  {837,3,22,1,&joseki_variations[1759],NULL},
  {764,0,13,1,&joseki_variations[1760],NULL},
  {801,0,19,1,&joseki_variations[1761],NULL},
  {723,0,4,0,NULL,&joseki[306]},
  {833,0,7,1,&joseki_variations[1763],NULL},
  {834,0,9,1,&joseki_variations[1764],NULL},
  {870,3,9,1,&joseki_variations[1765],NULL},
  {871,3,12,1,&joseki_variations[1766],NULL},
  {907,3,10,1,&joseki_variations[1767],NULL},
  {687,3,2,1,&joseki_variations[1768],NULL},
  {724,3,5,1,&joseki_variations[1769],NULL},
  {761,3,8,1,&joseki_variations[1770],NULL},
  {798,3,11,1,&joseki_variations[1771],NULL},
  {835,0,14,1,&joseki_variations[1772],NULL},
  {872,3,18,1,&joseki_variations[1773],NULL},
  {725,0,6,1,&joseki_variations[1774],NULL},
  {762,0,10,1,&joseki_variations[1775],NULL},
  {799,0,14,1,&joseki_variations[1776],NULL},
  {836,3,18,1,&joseki_variations[1777],NULL},
  {763,0,11,1,&joseki_variations[1778],NULL},
  {800,3,16,1,&joseki_variations[1779],NULL},
  {837,3,21,1,&joseki_variations[1780],NULL},
  {764,0,12,1,&joseki_variations[1781],NULL},
  {801,0,18,1,&joseki_variations[1782],NULL},
  {760,3,6,0,NULL,&joseki[305]},
  {685,3,1,1,&joseki_variations[1784],NULL},
  {722,3,3,1,&joseki_variations[1785],NULL},
  {759,0,5,1,&joseki_variations[1786],NULL},
  {796,0,6,1,&joseki_variations[1787],NULL},
  {833,0,7,1,&joseki_variations[1788],NULL},
  {870,3,9,2,&joseki_variations[1789],NULL},
  {907,3,10,3,&joseki_variations[1814],NULL},
  {906,3,4,1,&joseki_variations[1791],NULL},
  {907,3,11,1,&joseki_variations[1792],NULL},
  {686,3,2,1,&joseki_variations[1793],NULL},
  {760,3,7,1,&joseki_variations[1794],NULL},
  {797,0,9,1,&joseki_variations[1795],NULL},
  {834,0,11,1,&joseki_variations[1796],NULL},
  {871,3,14,1,&joseki_variations[1797],NULL},
  {687,3,3,1,&joseki_variations[1798],NULL},
  {724,3,6,1,&joseki_variations[1799],NULL},
  {761,3,10,1,&joseki_variations[1800],NULL},
  {798,3,13,1,&joseki_variations[1801],NULL},
  {835,0,16,1,&joseki_variations[1802],NULL},
  {872,3,20,1,&joseki_variations[1803],NULL},
  {688,0,4,1,&joseki_variations[1804],NULL},
  {725,0,8,1,&joseki_variations[1805],NULL},
  {762,0,13,1,&joseki_variations[1806],NULL},
  {799,0,17,1,&joseki_variations[1807],NULL},
  {836,3,21,1,&joseki_variations[1808],NULL},
  {763,0,14,1,&joseki_variations[1809],NULL},
  {800,3,19,1,&joseki_variations[1810],NULL},
  {837,3,24,1,&joseki_variations[1811],NULL},
  {764,0,15,1,&joseki_variations[1812],NULL},
  {801,0,21,1,&joseki_variations[1813],NULL},
  {832,3,3,0,NULL,&joseki[331]},
  {723,3,4,1,&joseki_variations[1858],NULL},
  {723,0,4,1,&joseki_variations[1838],NULL},
  {686,3,2,1,&joseki_variations[1817],NULL},
  {760,3,7,1,&joseki_variations[1818],NULL},
  {797,0,9,1,&joseki_variations[1819],NULL},
  {834,0,11,1,&joseki_variations[1820],NULL},
  {871,3,14,1,&joseki_variations[1821],NULL},
  {687,3,3,1,&joseki_variations[1822],NULL},
  {724,3,6,1,&joseki_variations[1823],NULL},
  {761,3,10,1,&joseki_variations[1824],NULL},
  {798,3,13,1,&joseki_variations[1825],NULL},
  {835,0,16,1,&joseki_variations[1826],NULL},
  {872,3,20,1,&joseki_variations[1827],NULL},
  {688,0,4,1,&joseki_variations[1828],NULL},
  {725,0,8,1,&joseki_variations[1829],NULL},
  {762,0,13,1,&joseki_variations[1830],NULL},
  {799,0,17,1,&joseki_variations[1831],NULL},
  {836,3,21,1,&joseki_variations[1832],NULL},
  {763,0,14,1,&joseki_variations[1833],NULL},
  {800,3,19,1,&joseki_variations[1834],NULL},
  {837,3,24,1,&joseki_variations[1835],NULL},
  {764,0,15,1,&joseki_variations[1836],NULL},
  {801,0,21,1,&joseki_variations[1837],NULL},
  {832,3,3,0,NULL,&joseki[335]},
  {760,3,7,1,&joseki_variations[1839],NULL},
  {797,0,9,1,&joseki_variations[1840],NULL},
  {834,0,11,1,&joseki_variations[1841],NULL},
  {871,3,14,1,&joseki_variations[1842],NULL},
  {687,3,2,1,&joseki_variations[1843],NULL},
  {724,3,6,1,&joseki_variations[1844],NULL},
  {761,3,10,1,&joseki_variations[1845],NULL},
  {798,3,13,1,&joseki_variations[1846],NULL},
  {835,0,16,1,&joseki_variations[1847],NULL},
  {872,3,20,1,&joseki_variations[1848],NULL},
  {725,0,7,1,&joseki_variations[1849],NULL},
  {762,0,12,1,&joseki_variations[1850],NULL},
  {799,0,16,1,&joseki_variations[1851],NULL},
  {836,3,20,1,&joseki_variations[1852],NULL},
  {763,0,13,1,&joseki_variations[1853],NULL},
  {800,3,18,1,&joseki_variations[1854],NULL},
  {837,3,23,1,&joseki_variations[1855],NULL},
  {764,0,14,1,&joseki_variations[1856],NULL},
  {801,0,20,1,&joseki_variations[1857],NULL},
  {832,3,3,0,NULL,&joseki[309]},
  {760,0,7,2,&joseki_variations[1859],NULL},
  {797,3,9,1,&joseki_variations[1879],NULL},
  {797,0,9,1,&joseki_variations[1861],NULL},
  {834,0,11,1,&joseki_variations[1862],NULL},
  {871,3,14,1,&joseki_variations[1863],NULL},
  {687,3,2,1,&joseki_variations[1864],NULL},
  {724,3,6,1,&joseki_variations[1865],NULL},
  {761,3,10,1,&joseki_variations[1866],NULL},
  {798,3,13,1,&joseki_variations[1867],NULL},
  {835,0,16,1,&joseki_variations[1868],NULL},
  {872,3,20,1,&joseki_variations[1869],NULL},
  {725,0,7,1,&joseki_variations[1870],NULL},
  {762,0,12,1,&joseki_variations[1871],NULL},
  {799,0,16,1,&joseki_variations[1872],NULL},
  {836,3,20,1,&joseki_variations[1873],NULL},
  {763,0,13,1,&joseki_variations[1874],NULL},
  {800,3,18,1,&joseki_variations[1875],NULL},
  {837,3,23,1,&joseki_variations[1876],NULL},
  {764,0,14,1,&joseki_variations[1877],NULL},
  {801,0,20,1,&joseki_variations[1878],NULL},
  {832,3,3,0,NULL,&joseki[315]},
  {834,0,11,1,&joseki_variations[1880],NULL},
  {871,3,14,1,&joseki_variations[1881],NULL},
  {687,3,2,1,&joseki_variations[1882],NULL},
  {724,3,6,1,&joseki_variations[1883],NULL},
  {761,3,10,1,&joseki_variations[1884],NULL},
  {798,3,13,1,&joseki_variations[1885],NULL},
  {835,0,16,1,&joseki_variations[1886],NULL},
  {872,3,20,1,&joseki_variations[1887],NULL},
  {725,0,7,1,&joseki_variations[1888],NULL},
  {762,0,12,1,&joseki_variations[1889],NULL},
  {799,0,16,1,&joseki_variations[1890],NULL},
  {836,3,20,1,&joseki_variations[1891],NULL},
  {763,0,13,1,&joseki_variations[1892],NULL},
  {800,3,18,1,&joseki_variations[1893],NULL},
  {837,3,23,1,&joseki_variations[1894],NULL},
  {764,0,14,1,&joseki_variations[1895],NULL},
  {801,0,20,1,&joseki_variations[1896],NULL},
  {832,3,3,0,NULL,&joseki[301]},
  {685,3,1,2,&joseki_variations[1898],NULL},
  {722,0,3,1,&joseki_variations[1976],NULL},
  {869,0,4,1,&joseki_variations[1900],NULL},
  {722,3,3,1,&joseki_variations[1901],NULL},
  {759,0,5,1,&joseki_variations[1902],NULL},
  {796,0,7,1,&joseki_variations[1903],NULL},
  {833,0,8,1,&joseki_variations[1904],NULL},
  {870,3,10,2,&joseki_variations[1905],NULL},
  {907,3,11,3,&joseki_variations[1937],NULL},
  {906,0,5,1,&joseki_variations[1907],NULL},
  {907,3,12,3,&joseki_variations[1908],NULL},
  {944,3,13,2,&joseki_variations[1930],&joseki[319]},
  {943,0,6,1,&joseki_variations[1927],NULL},
  {686,3,2,1,&joseki_variations[1911],NULL},
  {760,3,7,1,&joseki_variations[1912],NULL},
  {797,0,10,1,&joseki_variations[1913],NULL},
  {834,0,12,1,&joseki_variations[1914],NULL},
  {871,3,15,1,&joseki_variations[1915],NULL},
  {687,3,3,1,&joseki_variations[1916],NULL},
  {724,3,6,1,&joseki_variations[1917],NULL},
  {761,3,10,1,&joseki_variations[1918],NULL},
  {798,3,14,1,&joseki_variations[1919],NULL},
  {835,0,17,1,&joseki_variations[1920],NULL},
  {872,3,21,1,&joseki_variations[1921],NULL},
  {688,0,4,1,&joseki_variations[1922],NULL},
  {725,0,8,1,&joseki_variations[1923],NULL},
  {762,0,13,1,&joseki_variations[1924],NULL},
  {799,0,18,1,&joseki_variations[1925],NULL},
  {836,3,22,1,&joseki_variations[1926],NULL},
  {944,3,13,0,NULL,&joseki[338]},
  {944,3,14,2,&joseki_variations[1928],NULL},
  {981,3,15,0,NULL,&joseki[321]},
  {980,3,7,0,NULL,&joseki[340]},
  {943,0,6,0,NULL,&joseki[320]},
  {686,3,2,1,&joseki_variations[1932],NULL},
  {760,3,7,1,&joseki_variations[1933],NULL},
  {797,0,10,1,&joseki_variations[1934],NULL},
  {834,0,12,1,&joseki_variations[1935],NULL},
  {871,3,15,1,&joseki_variations[1936],NULL},
  {943,0,6,0,NULL,&joseki[339]},
  {723,3,4,1,&joseki_variations[1956],NULL},
  {906,0,5,0,NULL,&joseki[318]},
  {686,3,2,1,&joseki_variations[1940],NULL},
  {760,3,7,1,&joseki_variations[1941],NULL},
  {797,0,10,1,&joseki_variations[1942],NULL},
  {834,0,12,1,&joseki_variations[1943],NULL},
  {871,3,15,1,&joseki_variations[1944],NULL},
  {687,3,3,1,&joseki_variations[1945],NULL},
  {724,3,6,1,&joseki_variations[1946],NULL},
  {761,3,10,1,&joseki_variations[1947],NULL},
  {798,3,14,1,&joseki_variations[1948],NULL},
  {835,0,17,1,&joseki_variations[1949],NULL},
  {872,3,21,1,&joseki_variations[1950],NULL},
  {688,0,4,1,&joseki_variations[1951],NULL},
  {725,0,8,1,&joseki_variations[1952],NULL},
  {762,0,13,1,&joseki_variations[1953],NULL},
  {799,0,18,1,&joseki_variations[1954],NULL},
  {836,3,22,1,&joseki_variations[1955],NULL},
  {906,0,5,0,NULL,&joseki[337]},
  {760,0,7,1,&joseki_variations[1957],NULL},
  {797,0,10,1,&joseki_variations[1958],NULL},
  {834,0,12,1,&joseki_variations[1959],NULL},
  {871,3,15,1,&joseki_variations[1960],NULL},
  {687,3,2,1,&joseki_variations[1961],NULL},
  {724,3,6,1,&joseki_variations[1962],NULL},
  {761,3,10,1,&joseki_variations[1963],NULL},
  {798,3,14,1,&joseki_variations[1964],NULL},
  {835,0,17,1,&joseki_variations[1965],NULL},
  {872,3,21,1,&joseki_variations[1966],NULL},
  {725,0,7,1,&joseki_variations[1967],NULL},
  {762,0,12,1,&joseki_variations[1968],NULL},
  {799,0,17,1,&joseki_variations[1969],NULL},
  {836,3,21,1,&joseki_variations[1970],NULL},
  {763,0,13,1,&joseki_variations[1971],NULL},
  {800,3,19,1,&joseki_variations[1972],NULL},
  {837,3,24,1,&joseki_variations[1973],NULL},
  {764,0,14,1,&joseki_variations[1974],NULL},
  {801,0,21,1,&joseki_variations[1975],NULL},
  {688,0,3,0,NULL,&joseki[317]},
  {759,3,5,1,&joseki_variations[1977],NULL},
  {796,0,7,1,&joseki_variations[1978],NULL},
  {833,0,8,1,&joseki_variations[1979],NULL},
  {870,3,9,1,&joseki_variations[1980],NULL},
  {723,3,4,1,&joseki_variations[1981],NULL},
  {760,3,7,1,&joseki_variations[1982],NULL},
  {797,3,10,1,&joseki_variations[1983],NULL},
  {834,0,12,1,&joseki_variations[1984],NULL},
  {871,3,14,1,&joseki_variations[1985],NULL},
  {724,3,5,1,&joseki_variations[1986],NULL},
  {761,3,9,1,&joseki_variations[1987],NULL},
  {798,3,13,1,&joseki_variations[1988],NULL},
  {835,0,16,1,&joseki_variations[1989],NULL},
  {872,3,19,1,&joseki_variations[1990],NULL},
  {762,0,10,1,&joseki_variations[1991],NULL},
  {799,0,15,1,&joseki_variations[1992],NULL},
  {836,3,19,1,&joseki_variations[1993],NULL},
  {763,0,11,1,&joseki_variations[1994],NULL},
  {800,3,17,1,&joseki_variations[1995],NULL},
  {837,3,22,1,&joseki_variations[1996],NULL},
  {764,0,12,1,&joseki_variations[1997],NULL},
  {801,0,19,1,&joseki_variations[1998],NULL},
  {869,3,4,0,NULL,&joseki[277]},
  {724,0,3,1,&joseki_variations[2397],NULL},
  {724,3,3,1,&joseki_variations[2245],NULL},
  {759,0,3,3,&joseki_variations[2002],NULL},
  {796,0,4,1,&joseki_variations[2220],NULL},
  {723,3,3,1,&joseki_variations[2112],NULL},
  {795,0,2,2,&joseki_variations[2005],NULL},
  {833,0,5,2,&joseki_variations[2050],NULL},
  {832,0,3,1,&joseki_variations[2007],NULL},
  {833,0,6,1,&joseki_variations[2008],NULL},
  {869,3,4,1,&joseki_variations[2009],NULL},
  {870,3,8,1,&joseki_variations[2010],NULL},
  {686,3,1,1,&joseki_variations[2011],NULL},
  {723,3,4,1,&joseki_variations[2012],NULL},
  {760,3,6,1,&joseki_variations[2013],NULL},
  {797,0,8,1,&joseki_variations[2014],NULL},
  {834,0,11,1,&joseki_variations[2015],NULL},
  {871,3,14,1,&joseki_variations[2016],NULL},
  {761,3,7,1,&joseki_variations[2017],NULL},
  {798,3,10,1,&joseki_variations[2018],NULL},
  {835,0,14,1,&joseki_variations[2019],NULL},
  {872,3,18,1,&joseki_variations[2020],NULL},
  {688,3,2,1,&joseki_variations[2021],NULL},
  {725,3,6,1,&joseki_variations[2022],NULL},
  {762,0,10,1,&joseki_variations[2023],NULL},
  {799,0,14,1,&joseki_variations[2024],NULL},
  {836,3,19,2,&joseki_variations[2025],NULL},
  {726,0,7,1,&joseki_variations[2044],NULL},
  {689,0,3,1,&joseki_variations[2027],NULL},
  {726,0,8,1,&joseki_variations[2028],NULL},
  {763,0,13,1,&joseki_variations[2029],NULL},
  {800,3,18,1,&joseki_variations[2030],NULL},
  {837,3,24,2,&joseki_variations[2031],NULL},
  {801,0,19,2,&joseki_variations[2038],NULL},
  {764,0,14,1,&joseki_variations[2033],NULL},
  {801,0,20,1,&joseki_variations[2034],NULL},
  {838,3,27,1,&joseki_variations[2035],NULL},
  {765,0,15,1,&joseki_variations[2036],NULL},
  {802,3,22,1,&joseki_variations[2037],NULL},
  {803,3,23,0,NULL,&joseki[446]},
  {802,3,20,1,&joseki_variations[2043],&joseki[442]},
  {765,0,14,1,&joseki_variations[2040],NULL},
  {802,3,21,1,&joseki_variations[2041],NULL},
  {838,3,26,1,&joseki_variations[2042],&joseki[444]},
  {764,0,14,0,NULL,&joseki[445]},
  {765,0,14,0,NULL,&joseki[443]},
  {763,0,12,1,&joseki_variations[2045],NULL},
  {800,3,17,1,&joseki_variations[2046],NULL},
  {837,3,23,1,&joseki_variations[2047],NULL},
  {801,0,18,1,&joseki_variations[2048],NULL},
  {765,0,13,1,&joseki_variations[2049],NULL},
  {684,3,1,0,NULL,&joseki[435]},
  {870,3,6,1,&joseki_variations[2082],NULL},
  {869,3,3,1,&joseki_variations[2052],NULL},
  {870,3,7,1,&joseki_variations[2053],NULL},
  {686,3,1,1,&joseki_variations[2054],NULL},
  {723,3,4,1,&joseki_variations[2055],NULL},
  {760,3,6,1,&joseki_variations[2056],NULL},
  {797,0,8,1,&joseki_variations[2057],NULL},
  {834,0,10,1,&joseki_variations[2058],NULL},
  {871,3,13,1,&joseki_variations[2059],NULL},
  {761,3,7,1,&joseki_variations[2060],NULL},
  {798,3,10,1,&joseki_variations[2061],NULL},
  {835,0,13,1,&joseki_variations[2062],NULL},
  {872,3,17,1,&joseki_variations[2063],NULL},
  {688,3,2,1,&joseki_variations[2064],NULL},
  {725,3,6,1,&joseki_variations[2065],NULL},
  {762,0,10,1,&joseki_variations[2066],NULL},
  {799,0,14,1,&joseki_variations[2067],NULL},
  {836,3,18,2,&joseki_variations[2068],NULL},
  {726,0,7,1,&joseki_variations[2076],NULL},
  {689,0,3,1,&joseki_variations[2070],NULL},
  {726,0,8,1,&joseki_variations[2071],NULL},
  {763,0,13,1,&joseki_variations[2072],NULL},
  {800,3,18,1,&joseki_variations[2073],NULL},
  {837,3,23,1,&joseki_variations[2074],NULL},
  {801,0,19,1,&joseki_variations[2075],NULL},
  {832,0,3,0,NULL,&joseki[441]},
  {763,0,12,1,&joseki_variations[2077],NULL},
  {800,3,17,1,&joseki_variations[2078],NULL},
  {837,3,22,1,&joseki_variations[2079],NULL},
  {801,0,18,1,&joseki_variations[2080],NULL},
  {765,0,13,1,&joseki_variations[2081],NULL},
  {832,0,3,0,NULL,&joseki[434]},
  {686,3,1,1,&joseki_variations[2083],NULL},
  {723,3,4,1,&joseki_variations[2084],NULL},
  {760,3,6,1,&joseki_variations[2085],NULL},
  {797,0,8,1,&joseki_variations[2086],NULL},
  {834,0,10,1,&joseki_variations[2087],NULL},
  {871,3,12,1,&joseki_variations[2088],NULL},
  {761,3,7,1,&joseki_variations[2089],NULL},
  {798,3,10,1,&joseki_variations[2090],NULL},
  {835,0,13,1,&joseki_variations[2091],NULL},
  {872,3,16,1,&joseki_variations[2092],NULL},
  {688,3,2,1,&joseki_variations[2093],NULL},
  {725,3,6,1,&joseki_variations[2094],NULL},
  {762,0,10,1,&joseki_variations[2095],NULL},
  {799,0,14,1,&joseki_variations[2096],NULL},
  {836,3,18,2,&joseki_variations[2097],NULL},
  {726,0,7,1,&joseki_variations[2105],NULL},
  {689,0,3,1,&joseki_variations[2099],NULL},
  {726,0,8,1,&joseki_variations[2100],NULL},
  {763,0,13,1,&joseki_variations[2101],NULL},
  {800,3,18,1,&joseki_variations[2102],NULL},
  {837,3,23,1,&joseki_variations[2103],NULL},
  {801,0,19,1,&joseki_variations[2104],NULL},
  {869,3,3,0,NULL,&joseki[440]},
  {763,0,12,1,&joseki_variations[2106],NULL},
  {800,3,17,1,&joseki_variations[2107],NULL},
  {837,3,22,1,&joseki_variations[2108],NULL},
  {801,0,18,2,&joseki_variations[2109],NULL},
  {765,0,13,1,&joseki_variations[2111],&joseki[432]},
  {689,0,3,0,NULL,&joseki[439]},
  {869,3,3,0,NULL,&joseki[433]},
  {760,3,5,2,&joseki_variations[2113],NULL},
  {724,0,4,1,&joseki_variations[2166],NULL},
  {795,0,2,1,&joseki_variations[2115],NULL},
  {797,0,7,1,&joseki_variations[2116],NULL},
  {833,0,5,1,&joseki_variations[2117],NULL},
  {834,0,9,1,&joseki_variations[2118],NULL},
  {870,3,6,1,&joseki_variations[2119],NULL},
  {871,3,11,2,&joseki_variations[2120],NULL},
  {687,0,1,1,&joseki_variations[2136],NULL},
  {687,3,1,1,&joseki_variations[2122],NULL},
  {761,3,7,1,&joseki_variations[2123],NULL},
  {798,3,10,1,&joseki_variations[2124],NULL},
  {835,0,13,1,&joseki_variations[2125],NULL},
  {872,3,16,1,&joseki_variations[2126],NULL},
  {725,3,5,1,&joseki_variations[2127],NULL},
  {762,0,9,1,&joseki_variations[2128],NULL},
  {799,0,13,1,&joseki_variations[2129],NULL},
  {836,3,17,1,&joseki_variations[2130],NULL},
  {726,0,6,1,&joseki_variations[2131],NULL},
  {763,0,11,1,&joseki_variations[2132],NULL},
  {800,3,16,1,&joseki_variations[2133],NULL},
  {837,3,21,1,&joseki_variations[2134],NULL},
  {801,0,17,1,&joseki_variations[2135],NULL},
  {685,0,1,0,NULL,&joseki[449]},
  {724,0,5,1,&joseki_variations[2137],NULL},
  {761,3,8,1,&joseki_variations[2138],NULL},
  {798,3,11,1,&joseki_variations[2139],NULL},
  {835,0,14,1,&joseki_variations[2140],NULL},
  {872,3,17,2,&joseki_variations[2141],NULL},
  {725,3,6,1,&joseki_variations[2158],NULL},
  {688,3,2,1,&joseki_variations[2143],NULL},
  {725,3,7,1,&joseki_variations[2144],NULL},
  {762,0,11,1,&joseki_variations[2145],NULL},
  {799,0,15,1,&joseki_variations[2146],NULL},
  {836,3,19,2,&joseki_variations[2147],NULL},
  {763,0,12,1,&joseki_variations[2154],NULL},
  {726,0,8,1,&joseki_variations[2149],NULL},
  {763,0,13,1,&joseki_variations[2150],NULL},
  {800,3,18,1,&joseki_variations[2151],NULL},
  {837,3,23,1,&joseki_variations[2152],NULL},
  {801,0,19,1,&joseki_variations[2153],NULL},
  {686,3,1,0,NULL,&joseki[431]},
  {800,3,17,1,&joseki_variations[2155],NULL},
  {837,3,22,1,&joseki_variations[2156],NULL},
  {801,0,18,1,&joseki_variations[2157],NULL},
  {726,0,8,0,NULL,&joseki[430]},
  {762,0,10,1,&joseki_variations[2159],NULL},
  {799,0,14,1,&joseki_variations[2160],NULL},
  {836,3,18,1,&joseki_variations[2161],NULL},
  {763,0,11,1,&joseki_variations[2162],NULL},
  {800,3,16,1,&joseki_variations[2163],NULL},
  {837,3,21,1,&joseki_variations[2164],NULL},
  {801,0,17,1,&joseki_variations[2165],NULL},
  {688,3,2,0,NULL,&joseki[429]},
  {761,3,7,2,&joseki_variations[2167],NULL},
  {762,0,8,1,&joseki_variations[2204],NULL},
  {725,3,5,1,&joseki_variations[2169],NULL},
  {762,0,9,2,&joseki_variations[2170],NULL},
  {763,0,10,1,&joseki_variations[2188],NULL},
  {726,0,6,1,&joseki_variations[2172],NULL},
  {763,0,11,1,&joseki_variations[2173],NULL},
  {795,0,2,1,&joseki_variations[2174],NULL},
  {797,0,7,1,&joseki_variations[2175],NULL},
  {798,3,10,1,&joseki_variations[2176],NULL},
  {799,0,13,1,&joseki_variations[2177],NULL},
  {800,3,16,1,&joseki_variations[2178],NULL},
  {801,0,17,1,&joseki_variations[2179],NULL},
  {833,0,5,1,&joseki_variations[2180],NULL},
  {834,0,9,1,&joseki_variations[2181],NULL},
  {835,0,13,1,&joseki_variations[2182],NULL},
  {836,3,17,1,&joseki_variations[2183],NULL},
  {837,3,21,1,&joseki_variations[2184],NULL},
  {870,3,6,1,&joseki_variations[2185],NULL},
  {871,3,11,1,&joseki_variations[2186],NULL},
  {872,3,16,1,&joseki_variations[2187],NULL},
  {687,3,1,0,NULL,&joseki[448]},
  {795,0,2,1,&joseki_variations[2189],NULL},
  {797,0,7,1,&joseki_variations[2190],NULL},
  {798,3,10,1,&joseki_variations[2191],NULL},
  {799,0,13,1,&joseki_variations[2192],NULL},
  {800,3,15,1,&joseki_variations[2193],NULL},
  {801,0,16,1,&joseki_variations[2194],NULL},
  {833,0,5,1,&joseki_variations[2195],NULL},
  {834,0,9,1,&joseki_variations[2196],NULL},
  {835,0,13,1,&joseki_variations[2197],NULL},
  {836,3,17,1,&joseki_variations[2198],NULL},
  {837,3,20,1,&joseki_variations[2199],NULL},
  {870,3,6,1,&joseki_variations[2200],NULL},
  {871,3,11,1,&joseki_variations[2201],NULL},
  {872,3,16,2,&joseki_variations[2202],NULL},
  {687,0,1,0,NULL,&joseki[428]},
  {726,0,6,0,NULL,&joseki[447]},
  {763,0,9,1,&joseki_variations[2205],NULL},
  {795,0,2,1,&joseki_variations[2206],NULL},
  {797,0,7,1,&joseki_variations[2207],NULL},
  {798,3,10,1,&joseki_variations[2208],NULL},
  {799,0,12,1,&joseki_variations[2209],NULL},
  {800,3,14,1,&joseki_variations[2210],NULL},
  {801,0,15,1,&joseki_variations[2211],NULL},
  {833,0,5,1,&joseki_variations[2212],NULL},
  {834,0,9,1,&joseki_variations[2213],NULL},
  {835,0,13,1,&joseki_variations[2214],NULL},
  {836,3,16,1,&joseki_variations[2215],NULL},
  {837,3,19,1,&joseki_variations[2216],NULL},
  {870,3,6,1,&joseki_variations[2217],NULL},
  {871,3,11,1,&joseki_variations[2218],NULL},
  {872,3,16,1,&joseki_variations[2219],NULL},
  {725,3,5,0,NULL,&joseki[427]},
  {870,3,5,1,&joseki_variations[2221],NULL},
  {723,0,3,1,&joseki_variations[2222],NULL},
  {760,3,5,1,&joseki_variations[2223],NULL},
  {834,0,7,1,&joseki_variations[2224],NULL},
  {871,3,9,1,&joseki_variations[2225],NULL},
  {724,3,4,1,&joseki_variations[2226],NULL},
  {761,3,7,1,&joseki_variations[2227],NULL},
  {798,3,9,1,&joseki_variations[2228],NULL},
  {835,0,11,1,&joseki_variations[2229],NULL},
  {872,3,14,1,&joseki_variations[2230],NULL},
  {688,3,1,1,&joseki_variations[2231],NULL},
  {725,0,6,1,&joseki_variations[2232],NULL},
  {762,0,10,1,&joseki_variations[2233],NULL},
  {799,0,13,1,&joseki_variations[2234],NULL},
  {836,3,16,1,&joseki_variations[2235],NULL},
  {726,0,7,1,&joseki_variations[2236],NULL},
  {763,0,12,1,&joseki_variations[2237],NULL},
  {800,3,16,1,&joseki_variations[2238],NULL},
  {837,3,20,1,&joseki_variations[2239],NULL},
  {727,0,8,1,&joseki_variations[2240],NULL},
  {764,3,14,1,&joseki_variations[2241],NULL},
  {801,0,19,1,&joseki_variations[2242],NULL},
  {728,0,9,1,&joseki_variations[2243],NULL},
  {765,3,16,1,&joseki_variations[2244],NULL},
  {685,3,1,0,NULL,&joseki[383]},
  {759,0,3,3,&joseki_variations[2246],NULL},
  {761,3,5,1,&joseki_variations[2360],NULL},
  {833,0,4,1,&joseki_variations[2337],NULL},
  {760,3,4,1,&joseki_variations[2249],NULL},
  {761,3,6,3,&joseki_variations[2250],NULL},
  {798,3,7,1,&joseki_variations[2315],NULL},
  {796,3,4,1,&joseki_variations[2292],NULL},
  {688,3,1,1,&joseki_variations[2253],NULL},
  {725,0,5,1,&joseki_variations[2254],NULL},
  {762,0,9,1,&joseki_variations[2255],NULL},
  {726,0,6,1,&joseki_variations[2256],NULL},
  {763,0,11,1,&joseki_variations[2257],NULL},
  {727,0,7,1,&joseki_variations[2258],NULL},
  {764,3,13,1,&joseki_variations[2259],NULL},
  {728,0,8,1,&joseki_variations[2260],NULL},
  {765,3,15,1,&joseki_variations[2261],NULL},
  {795,0,2,1,&joseki_variations[2262],NULL},
  {796,3,5,2,&joseki_variations[2263],NULL},
  {798,3,9,1,&joseki_variations[2279],NULL},
  {797,3,7,1,&joseki_variations[2265],NULL},
  {798,3,10,1,&joseki_variations[2266],NULL},
  {799,0,14,1,&joseki_variations[2267],NULL},
  {800,3,17,1,&joseki_variations[2268],NULL},
  {801,0,20,1,&joseki_variations[2269],NULL},
  {832,0,3,1,&joseki_variations[2270],NULL},
  {833,0,7,1,&joseki_variations[2271],NULL},
  {834,0,10,1,&joseki_variations[2272],NULL},
  {835,0,14,1,&joseki_variations[2273],NULL},
  {836,3,19,1,&joseki_variations[2274],NULL},
  {837,3,23,1,&joseki_variations[2275],NULL},
  {870,3,8,1,&joseki_variations[2276],NULL},
  {871,3,12,1,&joseki_variations[2277],NULL},
  {872,3,17,1,&joseki_variations[2278],NULL},
  {685,0,1,0,NULL,&joseki[396]},
  {799,0,13,1,&joseki_variations[2280],NULL},
  {800,3,16,1,&joseki_variations[2281],NULL},
  {801,0,19,1,&joseki_variations[2282],NULL},
  {832,0,3,1,&joseki_variations[2283],NULL},
  {833,0,7,1,&joseki_variations[2284],NULL},
  {834,0,9,1,&joseki_variations[2285],NULL},
  {835,0,13,1,&joseki_variations[2286],NULL},
  {836,3,18,1,&joseki_variations[2287],NULL},
  {837,3,22,1,&joseki_variations[2288],NULL},
  {870,3,8,1,&joseki_variations[2289],NULL},
  {871,3,11,1,&joseki_variations[2290],NULL},
  {872,3,16,1,&joseki_variations[2291],NULL},
  {797,3,7,0,NULL,&joseki[395]},
  {798,3,8,1,&joseki_variations[2293],NULL},
  {832,0,2,1,&joseki_variations[2294],NULL},
  {833,0,6,1,&joseki_variations[2295],NULL},
  {834,0,8,1,&joseki_variations[2296],NULL},
  {835,0,12,1,&joseki_variations[2297],NULL},
  {870,3,7,1,&joseki_variations[2298],NULL},
  {871,3,10,1,&joseki_variations[2299],NULL},
  {872,3,15,1,&joseki_variations[2300],NULL},
  {688,3,1,1,&joseki_variations[2301],NULL},
  {725,0,5,1,&joseki_variations[2302],NULL},
  {762,0,9,1,&joseki_variations[2303],NULL},
  {799,0,12,1,&joseki_variations[2304],NULL},
  {836,3,17,1,&joseki_variations[2305],NULL},
  {726,0,6,1,&joseki_variations[2306],NULL},
  {763,0,11,1,&joseki_variations[2307],NULL},
  {800,3,15,1,&joseki_variations[2308],NULL},
  {837,3,21,1,&joseki_variations[2309],NULL},
  {727,0,7,1,&joseki_variations[2310],NULL},
  {764,3,13,1,&joseki_variations[2311],NULL},
  {801,0,18,1,&joseki_variations[2312],NULL},
  {728,0,8,1,&joseki_variations[2313],NULL},
  {765,3,15,1,&joseki_variations[2314],NULL},
  {795,0,2,0,NULL,&joseki[394]},
  {832,0,2,1,&joseki_variations[2316],NULL},
  {833,0,5,1,&joseki_variations[2317],NULL},
  {834,0,7,1,&joseki_variations[2318],NULL},
  {835,0,11,1,&joseki_variations[2319],NULL},
  {870,3,6,1,&joseki_variations[2320],NULL},
  {871,3,9,1,&joseki_variations[2321],NULL},
  {872,3,14,1,&joseki_variations[2322],NULL},
  {688,3,1,1,&joseki_variations[2323],NULL},
  {725,0,5,1,&joseki_variations[2324],NULL},
  {762,0,9,1,&joseki_variations[2325],NULL},
  {799,0,11,1,&joseki_variations[2326],NULL},
  {836,3,16,1,&joseki_variations[2327],NULL},
  {726,0,6,1,&joseki_variations[2328],NULL},
  {763,0,11,1,&joseki_variations[2329],NULL},
  {800,3,14,1,&joseki_variations[2330],NULL},
  {837,3,20,1,&joseki_variations[2331],NULL},
  {727,0,7,1,&joseki_variations[2332],NULL},
  {764,3,13,1,&joseki_variations[2333],NULL},
  {801,0,17,1,&joseki_variations[2334],NULL},
  {728,0,8,1,&joseki_variations[2335],NULL},
  {765,3,15,1,&joseki_variations[2336],NULL},
  {796,3,4,0,NULL,&joseki[393]},
  {870,3,5,1,&joseki_variations[2338],NULL},
  {760,3,4,1,&joseki_variations[2339],NULL},
  {834,0,6,1,&joseki_variations[2340],NULL},
  {871,3,8,1,&joseki_variations[2341],NULL},
  {761,3,6,1,&joseki_variations[2342],NULL},
  {798,3,7,1,&joseki_variations[2343],NULL},
  {835,0,10,1,&joseki_variations[2344],NULL},
  {872,3,13,1,&joseki_variations[2345],NULL},
  {688,3,1,1,&joseki_variations[2346],NULL},
  {725,0,5,1,&joseki_variations[2347],NULL},
  {762,0,9,1,&joseki_variations[2348],NULL},
  {799,0,11,1,&joseki_variations[2349],NULL},
  {836,3,15,1,&joseki_variations[2350],NULL},
  {726,0,6,1,&joseki_variations[2351],NULL},
  {763,0,11,1,&joseki_variations[2352],NULL},
  {800,3,14,1,&joseki_variations[2353],NULL},
  {837,3,19,1,&joseki_variations[2354],NULL},
  {727,0,7,1,&joseki_variations[2355],NULL},
  {764,3,13,1,&joseki_variations[2356],NULL},
  {801,0,17,1,&joseki_variations[2357],NULL},
  {728,0,8,1,&joseki_variations[2358],NULL},
  {765,3,15,1,&joseki_variations[2359],NULL},
  {832,0,2,0,NULL,&joseki[392]},
  {798,3,6,2,&joseki_variations[2361],NULL},
  {762,0,6,1,&joseki_variations[2383],NULL},
  {833,0,4,1,&joseki_variations[2363],NULL},
  {834,0,5,1,&joseki_variations[2364],NULL},
  {835,0,9,1,&joseki_variations[2365],NULL},
  {870,3,5,1,&joseki_variations[2366],NULL},
  {871,3,7,1,&joseki_variations[2367],NULL},
  {872,3,12,1,&joseki_variations[2368],NULL},
  {688,3,1,1,&joseki_variations[2369],NULL},
  {725,0,5,1,&joseki_variations[2370],NULL},
  {762,0,8,1,&joseki_variations[2371],NULL},
  {799,0,10,1,&joseki_variations[2372],NULL},
  {836,3,14,1,&joseki_variations[2373],NULL},
  {726,0,6,1,&joseki_variations[2374],NULL},
  {763,0,10,1,&joseki_variations[2375],NULL},
  {800,3,13,1,&joseki_variations[2376],NULL},
  {837,3,18,1,&joseki_variations[2377],NULL},
  {727,0,7,1,&joseki_variations[2378],NULL},
  {764,3,12,1,&joseki_variations[2379],NULL},
  {801,0,16,1,&joseki_variations[2380],NULL},
  {728,0,8,1,&joseki_variations[2381],NULL},
  {765,3,14,1,&joseki_variations[2382],NULL},
  {760,3,4,0,NULL,&joseki[391]},
  {799,0,8,1,&joseki_variations[2384],NULL},
  {763,0,7,1,&joseki_variations[2385],NULL},
  {800,3,10,1,&joseki_variations[2386],NULL},
  {764,0,8,1,&joseki_variations[2387],NULL},
  {801,0,12,1,&joseki_variations[2388],NULL},
  {833,0,4,1,&joseki_variations[2389],NULL},
  {834,0,5,1,&joseki_variations[2390],NULL},
  {835,0,9,1,&joseki_variations[2391],NULL},
  {836,3,12,1,&joseki_variations[2392],NULL},
  {837,3,15,1,&joseki_variations[2393],NULL},
  {870,3,5,1,&joseki_variations[2394],NULL},
  {871,3,7,1,&joseki_variations[2395],NULL},
  {872,3,12,1,&joseki_variations[2396],NULL},
  {685,3,1,0,NULL,&joseki[285]},
  {758,3,2,1,&joseki_variations[2398],NULL},
  {759,0,4,1,&joseki_variations[2399],NULL},
  {760,0,5,1,&joseki_variations[2400],NULL},
  {761,0,7,1,&joseki_variations[2401],NULL},
  {762,3,8,1,&joseki_variations[2402],NULL},
  {763,3,9,1,&joseki_variations[2403],NULL},
  {764,3,10,1,&joseki_variations[2404],NULL},
  {795,3,3,1,&joseki_variations[2405],NULL},
  {796,3,6,1,&joseki_variations[2406],NULL},
  {797,0,8,1,&joseki_variations[2407],NULL},
  {798,0,11,1,&joseki_variations[2408],NULL},
  {799,3,13,1,&joseki_variations[2409],NULL},
  {800,0,15,1,&joseki_variations[2410],NULL},
  {801,3,17,1,&joseki_variations[2411],NULL},
  {833,3,7,1,&joseki_variations[2412],NULL},
  {834,3,10,1,&joseki_variations[2413],NULL},
  {835,3,14,1,&joseki_variations[2414],NULL},
  {836,0,17,1,&joseki_variations[2415],NULL},
  {837,0,20,1,&joseki_variations[2416],NULL},
  {870,0,8,1,&joseki_variations[2417],NULL},
  {871,0,12,1,&joseki_variations[2418],NULL},
  {872,0,17,1,&joseki_variations[2419],NULL},
  {684,3,1,0,NULL,&joseki[268]},
  {763,0,2,1,&joseki_variations[3184],NULL},
  {798,0,2,4,&joseki_variations[3015],NULL},
  {798,3,2,7,&joseki_variations[2854],NULL},
  {762,3,2,1,&joseki_variations[2842],NULL},
  {835,3,2,11,&joseki_variations[2781],NULL},
  {834,0,1,2,&joseki_variations[2761],NULL},
  {834,3,1,10,&joseki_variations[2525],NULL},
  {796,3,1,1,&joseki_variations[2518],NULL},
  {800,0,2,3,&joseki_variations[2466],NULL},
  {871,3,1,3,&joseki_variations[2457],NULL},
  {833,3,1,1,&joseki_variations[2450],NULL},
  {796,0,1,1,&joseki_variations[2432],NULL},
  {833,3,2,1,&joseki_variations[2433],NULL},
  {834,0,3,1,&joseki_variations[2434],NULL},
  {835,0,5,2,&joseki_variations[2435],NULL},
  {871,3,4,1,&joseki_variations[2446],NULL},
  {870,3,3,1,&joseki_variations[2437],NULL},
  {871,3,5,1,&joseki_variations[2438],NULL},
  {872,3,8,2,&joseki_variations[2439],NULL},
  {873,0,9,1,&joseki_variations[2444],NULL},
  {836,0,6,1,&joseki_variations[2441],NULL},
  {873,0,10,1,&joseki_variations[2442],NULL},
  {910,3,11,1,&joseki_variations[2443],NULL},
  {911,3,12,0,NULL,&joseki[1424]},
  {910,3,10,1,&joseki_variations[2445],NULL},
  {836,0,6,0,NULL,&joseki[1423]},
  {872,3,7,1,&joseki_variations[2447],NULL},
  {873,0,8,1,&joseki_variations[2448],NULL},
  {910,3,9,1,&joseki_variations[2449],NULL},
  {870,3,3,0,NULL,&joseki[1422]},
  {834,0,2,1,&joseki_variations[2451],NULL},
  {835,0,4,1,&joseki_variations[2452],NULL},
  {871,3,3,1,&joseki_variations[2453],NULL},
  {872,3,6,1,&joseki_variations[2454],NULL},
  {873,0,7,1,&joseki_variations[2455],NULL},
  {910,3,8,1,&joseki_variations[2456],NULL},
  {796,0,1,0,NULL,&joseki[1421]},
  {945,0,2,1,&joseki_variations[2465],&joseki[1384]},
  {797,0,1,0,NULL,&joseki[1411]},
  {835,0,2,1,&joseki_variations[2460],&joseki[1413]},
  {872,3,4,2,&joseki_variations[2461],&joseki[1414]},
  {834,0,1,0,NULL,&joseki[1415]},
  {873,0,5,1,&joseki_variations[2463],&joseki[1417]},
  {910,3,6,1,&joseki_variations[2464],&joseki[1418]},
  {834,0,1,0,NULL,&joseki[1419]},
  {760,3,1,0,NULL,&joseki[1385]},
  {833,3,1,1,&joseki_variations[2499],NULL},
  {832,3,1,1,&joseki_variations[2472],NULL},
  {834,3,1,1,&joseki_variations[2469],NULL},
  {765,3,2,2,&joseki_variations[2470],&joseki[1381]},
  {982,0,2,0,NULL,&joseki[1382]},
  {805,0,4,0,NULL,&joseki[1383]},
  {833,3,2,1,&joseki_variations[2473],NULL},
  {834,3,3,1,&joseki_variations[2474],NULL},
  {835,0,5,2,&joseki_variations[2475],NULL},
  {870,0,3,1,&joseki_variations[2490],NULL},
  {869,0,2,1,&joseki_variations[2477],NULL},
  {870,0,4,1,&joseki_variations[2478],NULL},
  {871,0,6,1,&joseki_variations[2479],NULL},
  {872,3,9,1,&joseki_variations[2480],NULL},
  {906,0,3,1,&joseki_variations[2481],NULL},
  {908,0,8,1,&joseki_variations[2482],NULL},
  {909,3,12,1,&joseki_variations[2483],NULL},
  {944,0,6,1,&joseki_variations[2484],NULL},
  {945,3,10,2,&joseki_variations[2485],NULL},
  {982,3,11,1,&joseki_variations[2489],NULL},
  {981,3,7,1,&joseki_variations[2487],NULL},
  {982,3,12,1,&joseki_variations[2488],NULL},
  {797,0,1,0,NULL,&joseki[1378]},
  {981,3,7,0,NULL,&joseki[1377]},
  {871,0,5,1,&joseki_variations[2491],NULL},
  {872,3,8,1,&joseki_variations[2492],NULL},
  {906,0,2,1,&joseki_variations[2493],NULL},
  {908,0,7,1,&joseki_variations[2494],NULL},
  {909,3,11,1,&joseki_variations[2495],NULL},
  {944,0,5,1,&joseki_variations[2496],NULL},
  {945,3,9,1,&joseki_variations[2497],NULL},
  {982,3,10,1,&joseki_variations[2498],NULL},
  {869,0,2,0,NULL,&joseki[1376]},
  {834,3,2,1,&joseki_variations[2500],NULL},
  {835,0,4,1,&joseki_variations[2501],NULL},
  {870,0,2,1,&joseki_variations[2502],NULL},
  {871,0,4,1,&joseki_variations[2503],NULL},
  {872,3,7,2,&joseki_variations[2504],NULL},
  {907,3,3,1,&joseki_variations[2512],NULL},
  {906,0,1,1,&joseki_variations[2506],NULL},
  {908,0,6,1,&joseki_variations[2507],NULL},
  {909,3,10,1,&joseki_variations[2508],NULL},
  {944,0,4,1,&joseki_variations[2509],NULL},
  {945,3,8,1,&joseki_variations[2510],NULL},
  {982,3,9,1,&joseki_variations[2511],NULL},
  {832,3,1,0,NULL,&joseki[1375]},
  {908,0,6,1,&joseki_variations[2513],NULL},
  {909,3,10,1,&joseki_variations[2514],NULL},
  {944,0,4,1,&joseki_variations[2515],NULL},
  {945,3,8,1,&joseki_variations[2516],NULL},
  {982,3,9,1,&joseki_variations[2517],NULL},
  {906,0,1,0,NULL,&joseki[1374]},
  {797,0,2,1,&joseki_variations[2519],NULL},
  {800,0,4,1,&joseki_variations[2520],NULL},
  {834,3,3,1,&joseki_variations[2521],NULL},
  {836,3,5,1,&joseki_variations[2522],NULL},
  {908,0,4,1,&joseki_variations[2523],NULL},
  {946,3,6,1,&joseki_variations[2524],NULL},
  {759,0,1,0,NULL,&joseki[1283]},
  {799,0,2,5,&joseki_variations[2707],&joseki[1215]},
  {946,0,3,4,&joseki_variations[2694],&joseki[1228]},
  {872,3,3,1,&joseki_variations[2691],NULL},
  {982,0,2,0,NULL,&joseki[1252]},
  {908,0,2,2,&joseki_variations[2625],&joseki[1253]},
  {836,3,3,1,&joseki_variations[2597],NULL},
  {835,0,3,1,&joseki_variations[2595],&joseki[1316]},
  {800,0,2,6,&joseki_variations[2545],&joseki[1322]},
  {799,3,2,1,&joseki_variations[2544],&joseki[1436]},
  {762,0,2,1,&joseki_variations[2535],NULL},
  {799,3,3,2,&joseki_variations[2536],NULL},
  {800,3,4,1,&joseki_variations[2542],&joseki[1438]},
  {763,0,3,1,&joseki_variations[2538],NULL},
  {800,3,5,1,&joseki_variations[2539],NULL},
  {801,3,6,1,&joseki_variations[2540],&joseki[1441]},
  {1019,3,2,1,&joseki_variations[2541],&joseki[1442]},
  {1021,3,6,0,NULL,&joseki[1443]},
  {764,0,3,1,&joseki_variations[2543],&joseki[1439]},
  {1019,3,2,0,NULL,&joseki[1440]},
  {762,0,2,0,NULL,&joseki[1437]},
  {760,3,1,0,NULL,&joseki[1323]},
  {945,3,2,2,&joseki_variations[2592],&joseki[1343]},
  {982,3,2,2,&joseki_variations[2589],&joseki[1356]},
  {908,0,2,1,&joseki_variations[2587],NULL},
  {907,3,1,1,&joseki_variations[2578],NULL},
  {870,0,1,1,&joseki_variations[2551],NULL},
  {907,3,2,2,&joseki_variations[2552],NULL},
  {908,0,4,1,&joseki_variations[2573],NULL},
  {871,0,3,1,&joseki_variations[2554],NULL},
  {908,0,5,3,&joseki_variations[2555],NULL},
  {909,3,7,1,&joseki_variations[2569],NULL},
  {872,3,5,1,&joseki_variations[2564],NULL},
  {835,0,3,1,&joseki_variations[2558],NULL},
  {872,3,6,1,&joseki_variations[2559],NULL},
  {909,3,9,1,&joseki_variations[2560],NULL},
  {944,0,3,1,&joseki_variations[2561],NULL},
  {945,3,7,1,&joseki_variations[2562],NULL},
  {982,3,8,1,&joseki_variations[2563],NULL},
  {833,3,1,0,NULL,&joseki[1373]},
  {909,3,8,1,&joseki_variations[2565],NULL},
  {944,0,3,1,&joseki_variations[2566],NULL},
  {945,3,7,1,&joseki_variations[2567],NULL},
  {982,3,8,1,&joseki_variations[2568],NULL},
  {835,0,3,0,NULL,&joseki[1372]},
  {944,0,3,1,&joseki_variations[2570],NULL},
  {945,3,7,1,&joseki_variations[2571],NULL},
  {982,3,8,1,&joseki_variations[2572],NULL},
  {872,3,5,0,NULL,&joseki[1371]},
  {944,0,3,1,&joseki_variations[2574],NULL},
  {945,3,6,1,&joseki_variations[2575],NULL},
  {982,3,7,1,&joseki_variations[2576],NULL},
  {909,3,6,1,&joseki_variations[2577],&joseki[1369]},
  {871,0,3,0,NULL,&joseki[1370]},
  {908,0,3,2,&joseki_variations[2579],NULL},
  {982,3,4,1,&joseki_variations[2586],NULL},
  {944,0,2,2,&joseki_variations[2581],NULL},
  {982,3,5,1,&joseki_variations[2585],NULL},
  {945,3,5,1,&joseki_variations[2583],NULL},
  {982,3,6,1,&joseki_variations[2584],NULL},
  {870,0,1,0,NULL,&joseki[1368]},
  {945,3,5,0,NULL,&joseki[1367]},
  {944,0,2,0,NULL,&joseki[1366]},
  {982,3,3,1,&joseki_variations[2588],NULL},
  {907,3,1,0,NULL,&joseki[1365]},
  {1056,0,3,1,&joseki_variations[2591],&joseki[1357]},
  {908,0,2,0,NULL,&joseki[1364]},
  {760,3,1,0,NULL,&joseki[1358]},
  {797,0,1,0,NULL,&joseki[1344]},
  {767,0,2,1,&joseki_variations[2594],&joseki[1348]},
  {760,3,1,0,NULL,&joseki[1349]},
  {872,3,4,1,&joseki_variations[2596],&joseki[1317]},
  {797,0,1,0,NULL,&joseki[1318]},
  {800,0,2,2,&joseki_variations[2598],NULL},
  {871,0,2,1,&joseki_variations[2620],NULL},
  {908,0,2,2,&joseki_variations[2600],NULL},
  {946,3,4,1,&joseki_variations[2619],NULL},
  {802,3,3,1,&joseki_variations[2602],NULL},
  {837,0,5,1,&joseki_variations[2603],&joseki[1287]},
  {909,3,4,1,&joseki_variations[2604],&joseki[1288]},
  {945,0,3,1,&joseki_variations[2605],&joseki[1289]},
  {874,3,6,2,&joseki_variations[2606],&joseki[1290]},
  {875,0,7,2,&joseki_variations[2611],&joseki[1291]},
  {839,0,7,2,&joseki_variations[2608],&joseki[1299]},
  {804,3,4,1,&joseki_variations[2610],&joseki[1300]},
  {799,3,2,0,NULL,&joseki[1303]},
  {875,0,7,0,NULL,&joseki[1301]},
  {911,3,9,1,&joseki_variations[2615],&joseki[1292]},
  {839,0,7,1,&joseki_variations[2613],NULL},
  {804,3,4,1,&joseki_variations[2614],NULL},
  {911,3,9,0,NULL,&joseki[1302]},
  {839,0,7,2,&joseki_variations[2616],&joseki[1293]},
  {804,3,4,1,&joseki_variations[2618],&joseki[1294]},
  {1056,3,4,0,NULL,&joseki[1298]},
  {797,0,1,0,NULL,&joseki[1295]},
  {797,0,1,0,NULL,&joseki[1259]},
  {908,0,3,1,&joseki_variations[2621],NULL},
  {909,3,5,1,&joseki_variations[2622],NULL},
  {910,3,7,1,&joseki_variations[2623],NULL},
  {946,0,6,1,&joseki_variations[2624],NULL},
  {835,3,3,0,NULL,&joseki[1258]},
  {836,3,3,1,&joseki_variations[2687],&joseki[1254]},
  {909,3,4,1,&joseki_variations[2627],NULL},
  {945,0,3,2,&joseki_variations[2628],NULL},
  {799,3,2,1,&joseki_variations[2680],NULL},
  {762,0,2,1,&joseki_variations[2630],NULL},
  {799,3,3,1,&joseki_variations[2631],NULL},
  {836,3,5,2,&joseki_variations[2632],NULL},
  {800,0,4,2,&joseki_variations[2662],NULL},
  {763,0,3,1,&joseki_variations[2634],NULL},
  {800,0,5,1,&joseki_variations[2635],NULL},
  {837,0,8,1,&joseki_variations[2636],NULL},
  {874,3,9,1,&joseki_variations[2637],NULL},
  {801,3,6,1,&joseki_variations[2638],NULL},
  {838,3,10,2,&joseki_variations[2639],NULL},
  {875,0,12,1,&joseki_variations[2655],NULL},
  {911,3,12,1,&joseki_variations[2641],NULL},
  {912,3,15,2,&joseki_variations[2642],NULL},
  {802,3,7,1,&joseki_variations[2650],NULL},
  {765,0,4,1,&joseki_variations[2644],NULL},
  {802,3,8,1,&joseki_variations[2645],NULL},
  {839,0,13,1,&joseki_variations[2646],NULL},
  {876,3,15,1,&joseki_variations[2647],NULL},
  {803,0,9,1,&joseki_variations[2648],NULL},
  {840,0,15,1,&joseki_variations[2649],NULL},
  {1056,3,4,0,NULL,&joseki[1315]},
  {839,0,12,1,&joseki_variations[2651],NULL},
  {876,3,14,1,&joseki_variations[2652],NULL},
  {803,0,8,1,&joseki_variations[2653],NULL},
  {840,0,14,1,&joseki_variations[2654],NULL},
  {765,0,4,0,NULL,&joseki[1314]},
  {802,3,7,1,&joseki_variations[2656],NULL},
  {839,0,12,1,&joseki_variations[2657],NULL},
  {911,3,12,1,&joseki_variations[2658],&joseki[1309]},
  {803,0,8,1,&joseki_variations[2659],&joseki[1310]},
  {876,3,15,1,&joseki_variations[2660],&joseki[1311]},
  {840,0,14,1,&joseki_variations[2661],&joseki[1312]},
  {912,3,16,0,NULL,&joseki[1313]},
  {802,3,5,1,&joseki_variations[2671],NULL},
  {837,0,7,1,&joseki_variations[2664],NULL},
  {874,3,8,1,&joseki_variations[2665],NULL},
  {801,3,5,1,&joseki_variations[2666],NULL},
  {838,3,9,1,&joseki_variations[2667],NULL},
  {875,0,11,1,&joseki_variations[2668],NULL},
  {802,3,6,1,&joseki_variations[2669],NULL},
  {839,0,11,1,&joseki_variations[2670],NULL},
  {763,0,3,0,NULL,&joseki[1308]},
  {837,0,7,2,&joseki_variations[2672],NULL},
  {839,0,9,1,&joseki_variations[2678],NULL},
  {874,3,8,1,&joseki_variations[2674],NULL},
  {838,3,8,1,&joseki_variations[2675],NULL},
  {839,0,10,1,&joseki_variations[2676],NULL},
  {875,0,10,1,&joseki_variations[2677],&joseki[1306]},
  {801,3,5,0,NULL,&joseki[1307]},
  {874,3,8,1,&joseki_variations[2679],NULL},
  {838,3,8,0,NULL,&joseki[1305]},
  {836,3,4,1,&joseki_variations[2681],NULL},
  {800,0,3,1,&joseki_variations[2682],NULL},
  {802,3,4,1,&joseki_variations[2683],NULL},
  {837,0,6,1,&joseki_variations[2684],NULL},
  {839,0,8,1,&joseki_variations[2685],NULL},
  {874,3,7,1,&joseki_variations[2686],NULL},
  {762,0,2,0,NULL,&joseki[1304]},
  {800,0,2,1,&joseki_variations[2688],&joseki[1255]},
  {909,3,4,1,&joseki_variations[2689],&joseki[1256]},
  {946,0,5,1,&joseki_variations[2690],NULL},
  {910,3,6,0,NULL,&joseki[1257]},
  {946,0,4,1,&joseki_variations[2692],NULL},
  {800,0,2,1,&joseki_variations[2693],&joseki[1249]},
  {759,3,1,0,NULL,&joseki[1250]},
  {837,3,3,2,&joseki_variations[2705],&joseki[1229]},
  {836,0,3,1,&joseki_variations[2702],NULL},
  {799,0,2,1,&joseki_variations[2698],NULL},
  {872,3,3,0,NULL,&joseki[1248]},
  {836,0,4,1,&joseki_variations[2699],NULL},
  {873,3,5,1,&joseki_variations[2700],NULL},
  {837,3,5,1,&joseki_variations[2701],NULL},
  {872,3,3,0,NULL,&joseki[1234]},
  {837,3,4,1,&joseki_variations[2703],NULL},
  {873,3,4,1,&joseki_variations[2704],&joseki[1232]},
  {799,0,2,0,NULL,&joseki[1233]},
  {764,0,2,0,NULL,&joseki[1230]},
  {836,0,3,0,NULL,&joseki[1231]},
  {909,3,3,1,&joseki_variations[2760],&joseki[1216]},
  {945,3,2,1,&joseki_variations[2758],&joseki[1219]},
  {872,0,3,1,&joseki_variations[2756],&joseki[1221]},
  {871,3,2,1,&joseki_variations[2752],NULL},
  {836,0,4,2,&joseki_variations[2712],NULL},
  {837,3,5,1,&joseki_variations[2738],NULL},
  {872,3,3,1,&joseki_variations[2714],NULL},
  {946,0,4,1,&joseki_variations[2715],NULL},
  {1020,0,5,1,&joseki_variations[2716],NULL},
  {873,3,6,1,&joseki_variations[2717],NULL},
  {947,3,8,1,&joseki_variations[2718],NULL},
  {763,3,2,2,&joseki_variations[2719],NULL},
  {837,3,6,1,&joseki_variations[2734],NULL},
  {800,0,4,1,&joseki_variations[2721],NULL},
  {837,3,7,1,&joseki_variations[2722],NULL},
  {874,0,10,1,&joseki_variations[2723],NULL},
  {911,3,11,3,&joseki_variations[2724],NULL},
  {875,0,11,1,&joseki_variations[2733],NULL},
  {838,3,8,1,&joseki_variations[2731],NULL},
  {801,0,5,1,&joseki_variations[2727],NULL},
  {838,3,9,1,&joseki_variations[2728],NULL},
  {875,0,13,1,&joseki_variations[2729],NULL},
  {839,3,10,1,&joseki_variations[2730],&joseki[1246]},
  {766,0,3,0,NULL,&joseki[1247]},
  {875,0,12,1,&joseki_variations[2732],NULL},
  {801,0,5,0,NULL,&joseki[1245]},
  {838,3,8,0,NULL,&joseki[1244]},
  {874,0,9,1,&joseki_variations[2735],NULL},
  {911,3,10,1,&joseki_variations[2736],NULL},
  {875,0,10,1,&joseki_variations[2737],NULL},
  {800,0,4,0,NULL,&joseki[1243]},
  {872,3,3,1,&joseki_variations[2739],NULL},
  {946,0,4,1,&joseki_variations[2740],NULL},
  {873,3,6,1,&joseki_variations[2741],NULL},
  {874,0,8,1,&joseki_variations[2742],&joseki[1235]},
  {911,3,9,2,&joseki_variations[2743],&joseki[1236]},
  {875,0,9,1,&joseki_variations[2748],&joseki[1237]},
  {947,3,8,1,&joseki_variations[2745],NULL},
  {838,0,6,1,&joseki_variations[2746],NULL},
  {875,0,10,1,&joseki_variations[2747],NULL},
  {983,3,5,0,NULL,&joseki[1240]},
  {947,3,8,2,&joseki_variations[2749],&joseki[1238]},
  {838,0,6,0,NULL,&joseki[1239]},
  {1020,0,5,1,&joseki_variations[2751],&joseki[1241]},
  {763,3,2,0,NULL,&joseki[1242]},
  {872,0,4,1,&joseki_variations[2753],NULL},
  {909,0,5,1,&joseki_variations[2754],&joseki[1225]},
  {945,3,3,1,&joseki_variations[2755],&joseki[1226]},
  {767,0,2,0,NULL,&joseki[1227]},
  {908,3,2,1,&joseki_variations[2757],&joseki[1222]},
  {797,0,1,0,NULL,&joseki[1223]},
  {1019,0,3,1,&joseki_variations[2759],NULL},
  {759,3,1,0,NULL,&joseki[1220]},
  {797,0,1,0,NULL,&joseki[1217]},
  {835,3,3,4,&joseki_variations[2769],NULL},
  {835,0,3,1,&joseki_variations[2763],NULL},
  {871,3,2,1,&joseki_variations[2764],NULL},
  {872,3,5,2,&joseki_variations[2765],NULL},
  {873,3,6,0,NULL,&joseki[1416]},
  {873,0,6,1,&joseki_variations[2767],NULL},
  {910,3,7,1,&joseki_variations[2768],NULL},
  {833,3,1,0,NULL,&joseki[1420]},
  {871,3,2,1,&joseki_variations[2780],&joseki[977]},
  {798,3,2,0,NULL,&joseki[1029]},
  {909,3,4,1,&joseki_variations[2776],NULL},
  {800,3,2,2,&joseki_variations[2773],NULL},
  {871,3,2,1,&joseki_variations[2775],&joseki[1466]},
  {798,3,2,0,NULL,&joseki[1471]},
  {797,0,1,0,NULL,&joseki[1467]},
  {799,0,2,1,&joseki_variations[2777],NULL},
  {836,0,5,1,&joseki_variations[2778],NULL},
  {873,3,6,1,&joseki_variations[2779],NULL},
  {871,3,2,0,NULL,&joseki[1135]},
  {797,0,1,0,NULL,&joseki[978]},
  {834,0,1,0,NULL,&joseki[976]},
  {800,0,2,3,&joseki_variations[2839],&joseki[1118]},
  {836,0,3,2,&joseki_variations[2831],&joseki[1130]},
  {799,0,2,1,&joseki_variations[2827],NULL},
  {872,0,3,1,&joseki_variations[2822],NULL},
  {946,0,3,3,&joseki_variations[2804],&joseki[1144]},
  {763,0,2,1,&joseki_variations[2803],&joseki[1194]},
  {760,3,1,0,NULL,&joseki[1449]},
  {762,3,2,1,&joseki_variations[2802],&joseki[1455]},
  {725,0,1,1,&joseki_variations[2794],NULL},
  {800,3,2,2,&joseki_variations[2792],&joseki[1464]},
  {834,0,1,0,NULL,&joseki[1465]},
  {760,3,1,0,NULL,&joseki[1515]},
  {762,3,3,1,&joseki_variations[2795],NULL},
  {799,3,4,2,&joseki_variations[2796],&joseki[1457]},
  {763,0,4,1,&joseki_variations[2801],&joseki[1458]},
  {726,3,2,1,&joseki_variations[2798],NULL},
  {763,0,5,1,&joseki_variations[2799],NULL},
  {727,0,3,1,&joseki_variations[2800],&joseki[1460]},
  {724,3,1,0,NULL,&joseki[1461]},
  {726,3,2,0,NULL,&joseki[1459]},
  {725,0,1,0,NULL,&joseki[1456]},
  {760,3,1,0,NULL,&joseki[1195]},
  {837,3,3,2,&joseki_variations[2817],&joseki[1145]},
  {763,0,2,1,&joseki_variations[2811],NULL},
  {801,3,2,1,&joseki_variations[2807],&joseki[1154]},
  {836,0,3,1,&joseki_variations[2808],&joseki[1155]},
  {873,3,4,1,&joseki_variations[2809],&joseki[1156]},
  {837,0,4,1,&joseki_variations[2810],&joseki[1157]},
  {798,3,2,0,NULL,&joseki[1158]},
  {837,3,4,2,&joseki_variations[2812],NULL},
  {839,3,5,1,&joseki_variations[2816],&joseki[1147]},
  {765,0,3,1,&joseki_variations[2814],NULL},
  {839,3,6,1,&joseki_variations[2815],NULL},
  {1057,3,4,0,NULL,&joseki[1149]},
  {765,0,3,0,NULL,&joseki[1148]},
  {763,0,2,0,NULL,&joseki[1146]},
  {764,0,2,1,&joseki_variations[2819],&joseki[1150]},
  {839,3,5,1,&joseki_variations[2820],&joseki[1151]},
  {803,0,3,1,&joseki_variations[2821],&joseki[1152]},
  {1057,3,4,0,NULL,&joseki[1153]},
  {799,3,2,1,&joseki_variations[2823],NULL},
  {836,0,4,1,&joseki_variations[2824],NULL},
  {873,3,6,1,&joseki_variations[2825],NULL},
  {837,0,5,1,&joseki_variations[2826],NULL},
  {798,3,2,0,NULL,&joseki[1140]},
  {836,0,4,1,&joseki_variations[2828],NULL},
  {873,3,5,1,&joseki_variations[2829],NULL},
  {909,3,3,1,&joseki_variations[2830],&joseki[1133]},
  {834,0,1,0,NULL,&joseki[1134]},
  {873,3,4,2,&joseki_variations[2835],&joseki[1131]},
  {872,0,3,1,&joseki_variations[2833],NULL},
  {873,3,5,1,&joseki_variations[2834],NULL},
  {799,3,2,0,NULL,&joseki[1139]},
  {799,0,2,0,NULL,&joseki[1132]},
  {837,0,4,1,&joseki_variations[2837],NULL},
  {909,3,3,1,&joseki_variations[2838],&joseki[1136]},
  {798,0,2,0,NULL,&joseki[1137]},
  {760,3,1,0,NULL,&joseki[1119]},
  {945,3,1,0,NULL,&joseki[1128]},
  {874,3,4,0,NULL,&joseki[1129]},
  {763,3,3,1,&joseki_variations[2843],NULL},
  {796,3,1,1,&joseki_variations[2844],NULL},
  {798,0,3,1,&joseki_variations[2845],NULL},
  {799,3,5,1,&joseki_variations[2846],NULL},
  {800,0,7,1,&joseki_variations[2847],NULL},
  {834,3,2,1,&joseki_variations[2848],NULL},
  {835,3,5,1,&joseki_variations[2849],NULL},
  {836,0,8,1,&joseki_variations[2850],NULL},
  {870,0,2,1,&joseki_variations[2851],NULL},
  {871,0,4,1,&joseki_variations[2852],NULL},
  {872,0,8,1,&joseki_variations[2853],NULL},
  {760,3,1,0,NULL,&joseki[589]},
  {762,3,2,2,&joseki_variations[3007],NULL},
  {725,0,1,1,&joseki_variations[2987],NULL},
  {835,3,3,6,&joseki_variations[2886],NULL},
  {764,3,2,1,&joseki_variations[2884],NULL},
  {872,3,3,4,&joseki_variations[2867],NULL},
  {800,0,3,1,&joseki_variations[2865],NULL},
  {834,0,1,1,&joseki_variations[2861],NULL},
  {835,3,4,2,&joseki_variations[2862],NULL},
  {797,0,1,0,NULL,&joseki[1030]},
  {800,3,3,1,&joseki_variations[2864],NULL},
  {797,0,1,0,NULL,&joseki[1472]},
  {871,3,1,1,&joseki_variations[2866],NULL},
  {760,3,1,0,NULL,&joseki[821]},
  {800,0,3,1,&joseki_variations[2883],NULL},
  {801,0,3,2,&joseki_variations[2881],NULL},
  {762,3,2,2,&joseki_variations[2876],NULL},
  {725,3,1,1,&joseki_variations[2871],NULL},
  {762,3,3,1,&joseki_variations[2872],NULL},
  {799,0,5,1,&joseki_variations[2873],NULL},
  {801,0,6,2,&joseki_variations[2874],NULL},
  {724,0,1,0,NULL,&joseki[942]},
  {797,0,1,0,NULL,&joseki[963]},
  {801,0,4,1,&joseki_variations[2880],NULL},
  {799,0,4,1,&joseki_variations[2878],NULL},
  {801,0,5,1,&joseki_variations[2879],NULL},
  {725,3,1,0,NULL,&joseki[941]},
  {799,0,4,0,NULL,&joseki[940]},
  {760,3,1,0,NULL,&joseki[893]},
  {762,3,2,0,NULL,&joseki[939]},
  {760,3,1,0,NULL,&joseki[795]},
  {804,3,4,1,&joseki_variations[2885],NULL},
  {762,3,2,0,NULL,&joseki[760]},
  {762,0,2,1,&joseki_variations[2980],NULL},
  {799,0,3,1,&joseki_variations[2979],NULL},
  {872,0,4,2,&joseki_variations[2939],NULL},
  {799,3,3,1,&joseki_variations[2928],NULL},
  {946,0,4,3,&joseki_variations[2907],NULL},
  {871,3,1,1,&joseki_variations[2892],NULL},
  {872,0,5,1,&joseki_variations[2893],NULL},
  {946,0,6,1,&joseki_variations[2894],NULL},
  {725,3,1,1,&joseki_variations[2895],NULL},
  {762,3,3,1,&joseki_variations[2896],NULL},
  {799,3,5,1,&joseki_variations[2897],NULL},
  {836,0,7,1,&joseki_variations[2898],NULL},
  {873,3,10,1,&joseki_variations[2899],NULL},
  {726,3,2,1,&joseki_variations[2900],NULL},
  {763,0,5,1,&joseki_variations[2901],NULL},
  {800,0,8,1,&joseki_variations[2902],NULL},
  {837,0,11,1,&joseki_variations[2903],NULL},
  {727,0,3,1,&joseki_variations[2904],NULL},
  {764,0,7,1,&joseki_variations[2905],NULL},
  {801,3,11,1,&joseki_variations[2906],NULL},
  {909,0,6,0,NULL,&joseki[1193]},
  {801,3,3,1,&joseki_variations[2923],NULL},
  {799,0,3,1,&joseki_variations[2918],NULL},
  {762,3,2,1,&joseki_variations[2910],NULL},
  {799,3,4,1,&joseki_variations[2911],NULL},
  {836,0,6,1,&joseki_variations[2912],NULL},
  {873,3,7,1,&joseki_variations[2913],NULL},
  {763,0,3,1,&joseki_variations[2914],NULL},
  {800,0,6,1,&joseki_variations[2915],NULL},
  {837,0,9,1,&joseki_variations[2916],NULL},
  {801,3,7,1,&joseki_variations[2917],NULL},
  {872,0,4,0,NULL,&joseki[1187]},
  {801,3,4,1,&joseki_variations[2919],NULL},
  {836,0,5,1,&joseki_variations[2920],NULL},
  {873,3,6,1,&joseki_variations[2921],NULL},
  {837,0,6,1,&joseki_variations[2922],NULL},
  {760,3,1,0,NULL,&joseki[1160]},
  {836,0,4,1,&joseki_variations[2924],NULL},
  {873,3,5,1,&joseki_variations[2925],NULL},
  {837,0,5,2,&joseki_variations[2926],NULL},
  {799,0,3,0,NULL,&joseki[1159]},
  {763,0,2,0,NULL,&joseki[1165]},
  {836,0,5,1,&joseki_variations[2929],NULL},
  {837,0,6,1,&joseki_variations[2930],NULL},
  {871,3,1,1,&joseki_variations[2931],NULL},
  {872,0,5,2,&joseki_variations[2932],NULL},
  {874,0,9,1,&joseki_variations[2937],NULL},
  {873,3,8,1,&joseki_variations[2934],NULL},
  {909,0,6,1,&joseki_variations[2935],NULL},
  {910,0,10,1,&joseki_variations[2936],NULL},
  {800,3,4,0,NULL,&joseki[1143]},
  {910,0,8,1,&joseki_variations[2938],NULL},
  {908,3,2,0,NULL,&joseki[1142]},
  {799,3,3,1,&joseki_variations[2974],NULL},
  {946,0,5,2,&joseki_variations[2941],NULL},
  {762,3,2,1,&joseki_variations[2957],NULL},
  {725,3,1,1,&joseki_variations[2943],NULL},
  {762,3,3,1,&joseki_variations[2944],NULL},
  {799,3,5,1,&joseki_variations[2945],NULL},
  {836,0,7,1,&joseki_variations[2946],NULL},
  {873,3,9,1,&joseki_variations[2947],NULL},
  {726,3,2,1,&joseki_variations[2948],NULL},
  {763,0,5,1,&joseki_variations[2949],NULL},
  {800,0,8,1,&joseki_variations[2950],NULL},
  {837,0,11,1,&joseki_variations[2951],NULL},
  {727,0,3,2,&joseki_variations[2952],NULL},
  {801,3,10,1,&joseki_variations[2956],NULL},
  {764,0,7,1,&joseki_variations[2954],NULL},
  {801,3,11,1,&joseki_variations[2955],NULL},
  {871,3,1,0,NULL,&joseki[1192]},
  {764,0,7,0,NULL,&joseki[1191]},
  {799,3,4,1,&joseki_variations[2958],NULL},
  {836,0,6,1,&joseki_variations[2959],NULL},
  {873,3,8,2,&joseki_variations[2960],NULL},
  {763,0,3,1,&joseki_variations[2970],NULL},
  {726,3,1,1,&joseki_variations[2962],NULL},
  {763,0,4,1,&joseki_variations[2963],NULL},
  {800,0,7,1,&joseki_variations[2964],NULL},
  {837,0,10,2,&joseki_variations[2965],NULL},
  {801,3,8,1,&joseki_variations[2969],NULL},
  {727,0,2,1,&joseki_variations[2967],NULL},
  {801,3,9,1,&joseki_variations[2968],NULL},
  {725,3,1,0,NULL,&joseki[1190]},
  {727,0,2,0,NULL,&joseki[1189]},
  {800,0,6,1,&joseki_variations[2971],NULL},
  {837,0,9,1,&joseki_variations[2972],NULL},
  {801,3,7,1,&joseki_variations[2973],NULL},
  {726,3,1,0,NULL,&joseki[1188]},
  {836,0,5,1,&joseki_variations[2975],NULL},
  {873,3,7,1,&joseki_variations[2976],NULL},
  {910,0,8,1,&joseki_variations[2977],NULL},
  {837,0,6,1,&joseki_variations[2978],NULL},
  {871,3,1,0,NULL,&joseki[1141]},
  {760,3,1,0,NULL,&joseki[889]},
  {799,0,4,1,&joseki_variations[2981],NULL},
  {836,3,6,1,&joseki_variations[2982],NULL},
  {763,0,3,1,&joseki_variations[2983],NULL},
  {800,3,6,1,&joseki_variations[2984],NULL},
  {837,3,9,1,&joseki_variations[2985],NULL},
  {801,0,7,1,&joseki_variations[2986],NULL},
  {760,3,1,0,NULL,&joseki[576]},
  {762,3,3,2,&joseki_variations[2988],NULL},
  {763,0,4,2,&joseki_variations[2995],NULL},
  {764,3,4,2,&joseki_variations[2990],NULL},
  {804,3,6,1,&joseki_variations[2994],NULL},
  {799,3,5,1,&joseki_variations[2992],NULL},
  {804,3,7,1,&joseki_variations[2993],NULL},
  {724,0,1,0,NULL,&joseki[763]},
  {799,3,5,0,NULL,&joseki[762]},
  {800,3,6,1,&joseki_variations[3004],NULL},
  {799,3,5,1,&joseki_variations[2997],NULL},
  {800,3,7,1,&joseki_variations[2998],NULL},
  {837,3,8,2,&joseki_variations[2999],NULL},
  {801,0,8,1,&joseki_variations[3003],NULL},
  {727,0,2,1,&joseki_variations[3001],NULL},
  {801,0,9,1,&joseki_variations[3002],NULL},
  {760,3,1,0,NULL,&joseki[467]},
  {727,0,2,0,NULL,&joseki[466]},
  {837,3,7,1,&joseki_variations[3005],NULL},
  {801,0,7,1,&joseki_variations[3006],NULL},
  {799,3,5,0,NULL,&joseki[465]},
  {763,0,3,1,&joseki_variations[3011],NULL},
  {764,3,3,1,&joseki_variations[3009],NULL},
  {804,3,5,1,&joseki_variations[3010],NULL},
  {725,0,1,0,NULL,&joseki[761]},
  {800,3,5,1,&joseki_variations[3012],NULL},
  {837,3,6,1,&joseki_variations[3013],NULL},
  {801,0,6,1,&joseki_variations[3014],NULL},
  {725,0,1,0,NULL,&joseki[464]},
  {762,3,2,2,&joseki_variations[3078],NULL},
  {725,0,1,1,&joseki_variations[3052],NULL},
  {762,0,2,1,&joseki_variations[3024],NULL},
  {835,3,3,1,&joseki_variations[3019],NULL},
  {909,3,4,1,&joseki_variations[3020],NULL},
  {836,0,4,1,&joseki_variations[3021],NULL},
  {873,3,5,1,&joseki_variations[3022],NULL},
  {837,0,5,1,&joseki_variations[3023],NULL},
  {834,3,1,0,NULL,&joseki[1138]},
  {799,3,4,3,&joseki_variations[3025],NULL},
  {836,3,5,1,&joseki_variations[3046],NULL},
  {835,3,3,1,&joseki_variations[3038],NULL},
  {763,3,3,1,&joseki_variations[3028],NULL},
  {800,0,6,1,&joseki_variations[3029],NULL},
  {764,3,4,1,&joseki_variations[3030],NULL},
  {834,0,1,1,&joseki_variations[3031],NULL},
  {835,3,4,1,&joseki_variations[3032],NULL},
  {836,3,7,1,&joseki_variations[3033],NULL},
  {838,3,11,1,&joseki_variations[3034],NULL},
  {872,0,5,1,&joseki_variations[3035],NULL},
  {873,3,9,1,&joseki_variations[3036],NULL},
  {910,0,10,1,&joseki_variations[3037],NULL},
  {909,0,6,0,NULL,&joseki[570]},
  {836,3,6,1,&joseki_variations[3039],NULL},
  {872,0,4,1,&joseki_variations[3040],NULL},
  {873,3,8,1,&joseki_variations[3041],NULL},
  {910,0,9,1,&joseki_variations[3042],NULL},
  {763,3,3,1,&joseki_variations[3043],NULL},
  {800,0,6,1,&joseki_variations[3044],NULL},
  {764,3,4,1,&joseki_variations[3045],NULL},
  {834,0,1,0,NULL,&joseki[569]},
  {763,3,3,1,&joseki_variations[3047],NULL},
  {800,0,6,1,&joseki_variations[3048],NULL},
  {764,3,4,1,&joseki_variations[3049],NULL},
  {872,0,3,1,&joseki_variations[3050],&joseki[567]},
  {873,3,7,1,&joseki_variations[3051],NULL},
  {910,0,8,0,NULL,&joseki[568]},
  {762,3,3,1,&joseki_variations[3053],NULL},
  {799,3,5,2,&joseki_variations[3054],NULL},
  {836,0,6,1,&joseki_variations[3059],NULL},
  {835,3,3,1,&joseki_variations[3056],NULL},
  {836,0,7,1,&joseki_variations[3057],NULL},
  {726,3,2,1,&joseki_variations[3058],NULL},
  {724,0,1,0,NULL,&joseki[853]},
  {726,3,2,1,&joseki_variations[3060],NULL},
  {763,3,5,1,&joseki_variations[3061],NULL},
  {800,0,8,1,&joseki_variations[3062],NULL},
  {837,0,10,2,&joseki_variations[3063],NULL},
  {727,0,3,1,&joseki_variations[3071],NULL},
  {690,3,1,1,&joseki_variations[3065],NULL},
  {801,3,10,1,&joseki_variations[3066],NULL},
  {838,0,13,1,&joseki_variations[3067],NULL},
  {728,3,4,1,&joseki_variations[3068],NULL},
  {765,3,8,1,&joseki_variations[3069],NULL},
  {802,3,13,1,&joseki_variations[3070],NULL},
  {871,0,1,0,NULL,&joseki[559]},
  {764,0,7,1,&joseki_variations[3072],NULL},
  {801,3,11,1,&joseki_variations[3073],NULL},
  {838,0,14,1,&joseki_variations[3074],NULL},
  {728,3,4,1,&joseki_variations[3075],NULL},
  {765,3,9,1,&joseki_variations[3076],NULL},
  {802,3,14,1,&joseki_variations[3077],NULL},
  {690,3,1,0,NULL,&joseki[558]},
  {763,3,3,3,&joseki_variations[3113],NULL},
  {799,3,4,3,&joseki_variations[3080],NULL},
  {836,0,5,3,&joseki_variations[3096],&joseki[851]},
  {835,3,3,1,&joseki_variations[3090],NULL},
  {763,3,3,1,&joseki_variations[3083],NULL},
  {800,0,6,1,&joseki_variations[3084],NULL},
  {834,3,1,1,&joseki_variations[3085],NULL},
  {835,3,4,1,&joseki_variations[3086],NULL},
  {836,0,7,1,&joseki_variations[3087],NULL},
  {871,0,2,1,&joseki_variations[3088],NULL},
  {872,0,6,1,&joseki_variations[3089],NULL},
  {796,3,1,0,NULL,&joseki[588]},
  {836,0,6,2,&joseki_variations[3091],NULL},
  {872,0,4,1,&joseki_variations[3093],NULL},
  {725,0,1,0,NULL,&joseki[852]},
  {763,3,3,1,&joseki_variations[3094],NULL},
  {800,0,6,1,&joseki_variations[3095],NULL},
  {834,3,1,0,NULL,&joseki[587]},
  {726,3,1,1,&joseki_variations[3102],NULL},
  {763,3,3,1,&joseki_variations[3100],NULL},
  {837,3,6,1,&joseki_variations[3099],NULL},
  {873,0,6,0,NULL,&joseki[854]},
  {800,0,6,1,&joseki_variations[3101],NULL},
  {835,3,3,0,NULL,&joseki[586]},
  {763,3,4,1,&joseki_variations[3103],NULL},
  {800,0,7,1,&joseki_variations[3104],NULL},
  {837,0,9,1,&joseki_variations[3105],NULL},
  {727,0,2,1,&joseki_variations[3106],NULL},
  {764,0,6,1,&joseki_variations[3107],NULL},
  {801,3,10,1,&joseki_variations[3108],NULL},
  {838,0,13,1,&joseki_variations[3109],NULL},
  {728,3,3,1,&joseki_variations[3110],NULL},
  {765,3,8,1,&joseki_variations[3111],NULL},
  {802,3,13,1,&joseki_variations[3112],NULL},
  {725,0,1,0,NULL,&joseki[557]},
  {800,0,5,2,&joseki_variations[3159],NULL},
  {872,0,3,2,&joseki_variations[3145],NULL},
  {799,3,4,1,&joseki_variations[3116],NULL},
  {800,0,6,3,&joseki_variations[3117],NULL},
  {837,0,7,1,&joseki_variations[3143],NULL},
  {801,3,7,3,&joseki_variations[3129],NULL},
  {836,0,5,1,&joseki_variations[3120],NULL},
  {837,0,8,1,&joseki_variations[3121],NULL},
  {727,0,1,1,&joseki_variations[3122],NULL},
  {764,0,5,1,&joseki_variations[3123],NULL},
  {801,3,9,1,&joseki_variations[3124],NULL},
  {838,0,12,1,&joseki_variations[3125],NULL},
  {728,3,2,1,&joseki_variations[3126],NULL},
  {765,3,7,1,&joseki_variations[3127],NULL},
  {802,3,12,1,&joseki_variations[3128],NULL},
  {726,3,1,0,NULL,&joseki[556]},
  {836,0,5,1,&joseki_variations[3141],NULL},
  {835,3,3,1,&joseki_variations[3137],NULL},
  {834,3,1,1,&joseki_variations[3132],NULL},
  {835,3,4,1,&joseki_variations[3133],NULL},
  {836,0,7,1,&joseki_variations[3134],NULL},
  {837,0,10,1,&joseki_variations[3135],NULL},
  {872,0,5,1,&joseki_variations[3136],NULL},
  {724,0,1,0,NULL,&joseki[255]},
  {836,0,6,1,&joseki_variations[3138],NULL},
  {837,0,9,1,&joseki_variations[3139],NULL},
  {872,0,4,1,&joseki_variations[3140],&joseki[253]},
  {834,3,1,0,NULL,&joseki[254]},
  {837,0,8,1,&joseki_variations[3142],NULL},
  {835,3,3,0,NULL,&joseki[252]},
  {801,3,7,1,&joseki_variations[3144],NULL},
  {836,0,5,0,NULL,&joseki[251]},
  {765,3,4,1,&joseki_variations[3150],NULL},
  {1020,0,4,1,&joseki_variations[3147],NULL},
  {800,0,5,1,&joseki_variations[3148],NULL},
  {837,0,6,1,&joseki_variations[3149],NULL},
  {1019,0,1,0,NULL,&joseki[248]},
  {799,3,4,1,&joseki_variations[3151],NULL},
  {800,0,6,2,&joseki_variations[3152],NULL},
  {837,0,7,1,&joseki_variations[3157],NULL},
  {801,3,7,1,&joseki_variations[3154],NULL},
  {836,3,5,1,&joseki_variations[3155],NULL},
  {837,0,8,1,&joseki_variations[3156],NULL},
  {835,0,3,0,NULL,&joseki[247]},
  {801,3,7,1,&joseki_variations[3158],NULL},
  {836,0,5,0,NULL,&joseki[246]},
  {837,0,6,1,&joseki_variations[3168],NULL},
  {801,3,6,1,&joseki_variations[3161],NULL},
  {834,0,1,1,&joseki_variations[3162],NULL},
  {837,0,7,1,&joseki_variations[3163],NULL},
  {871,3,2,3,&joseki_variations[3164],NULL},
  {872,3,5,1,&joseki_variations[3167],&joseki[455]},
  {909,3,5,0,NULL,&joseki[457]},
  {872,0,5,0,NULL,&joseki[458]},
  {799,0,4,0,NULL,&joseki[456]},
  {801,3,6,8,&joseki_variations[3169],NULL},
  {767,3,4,1,&joseki_variations[3183],&joseki[242]},
  {765,3,4,2,&joseki_variations[3181],&joseki[244]},
  {799,3,4,0,NULL,&joseki[250]},
  {724,3,1,0,NULL,&joseki[408]},
  {871,3,1,1,&joseki_variations[3180],&joseki[453]},
  {767,0,4,1,&joseki_variations[3179],NULL},
  {804,0,7,1,&joseki_variations[3178],NULL},
  {838,3,8,1,&joseki_variations[3177],NULL},
  {872,0,3,0,NULL,&joseki[461]},
  {765,3,4,0,NULL,&joseki[460]},
  {765,3,4,0,NULL,&joseki[459]},
  {834,0,1,0,NULL,&joseki[454]},
  {872,0,3,0,NULL,&joseki[245]},
  {727,0,1,0,NULL,&joseki[249]},
  {872,0,3,0,NULL,&joseki[243]},
  {798,3,2,5,&joseki_variations[3185],NULL},
  {872,3,3,1,&joseki_variations[3218],NULL},
  {800,3,4,1,&joseki_variations[3214],NULL},
  {871,3,1,1,&joseki_variations[3213],NULL},
  {801,3,4,1,&joseki_variations[3203],NULL},
  {835,3,3,1,&joseki_variations[3190],NULL},
  {946,0,4,1,&joseki_variations[3191],NULL},
  {799,3,3,2,&joseki_variations[3192],NULL},
  {801,3,5,1,&joseki_variations[3199],NULL},
  {836,0,5,1,&joseki_variations[3194],NULL},
  {873,3,6,1,&joseki_variations[3195],NULL},
  {800,0,5,1,&joseki_variations[3196],NULL},
  {837,0,8,1,&joseki_variations[3197],NULL},
  {801,3,6,1,&joseki_variations[3198],NULL},
  {762,3,2,0,NULL,&joseki[1186]},
  {836,0,5,1,&joseki_variations[3200],NULL},
  {873,3,6,1,&joseki_variations[3201],NULL},
  {837,0,7,1,&joseki_variations[3202],NULL},
  {800,0,5,0,NULL,&joseki[1185]},
  {835,3,3,1,&joseki_variations[3204],NULL},
  {946,0,4,1,&joseki_variations[3205],NULL},
  {836,0,4,1,&joseki_variations[3206],NULL},
  {873,3,5,1,&joseki_variations[3207],NULL},
  {837,0,6,3,&joseki_variations[3208],NULL},
  {760,3,1,0,NULL,&joseki[1166]},
  {874,3,8,1,&joseki_variations[3211],&joseki[1174]},
  {799,3,3,0,NULL,&joseki[1184]},
  {838,0,8,1,&joseki_variations[3212],&joseki[1175]},
  {760,3,1,0,NULL,&joseki[1176]},
  {760,3,1,0,NULL,&joseki[603]},
  {837,3,5,1,&joseki_variations[3215],NULL},
  {801,0,5,2,&joseki_variations[3216],NULL},
  {762,3,2,0,NULL,&joseki[463]},
  {760,3,1,0,NULL,&joseki[471]},
  {760,3,1,0,NULL,&joseki[188]},
  {763,0,2,1,&joseki_variations[3708],NULL},
  {834,3,1,1,&joseki_variations[3644],NULL},
  {761,0,2,5,&joseki_variations[3464],NULL},
  {759,3,1,2,&joseki_variations[3385],NULL},
  {759,0,1,4,&joseki_variations[3287],NULL},
  {761,3,2,3,&joseki_variations[3259],NULL},
  {798,0,2,1,&joseki_variations[3240],NULL},
  {798,3,2,2,&joseki_variations[3227],NULL},
  {725,0,2,1,&joseki_variations[3231],NULL},
  {871,3,1,2,&joseki_variations[3229],NULL},
  {762,3,2,0,NULL,&joseki[871]},
  {760,3,1,0,NULL,&joseki[872]},
  {762,3,3,2,&joseki_variations[3232],NULL},
  {763,0,4,1,&joseki_variations[3238],NULL},
  {726,0,3,1,&joseki_variations[3234],NULL},
  {763,0,5,1,&joseki_variations[3235],NULL},
  {800,3,7,1,&joseki_variations[3236],NULL},
  {764,3,6,1,&joseki_variations[3237],NULL},
  {801,3,9,0,NULL,&joseki[563]},
  {800,3,6,1,&joseki_variations[3239],NULL},
  {764,3,5,0,NULL,&joseki[562]},
  {725,3,2,2,&joseki_variations[3241],NULL},
  {763,3,3,1,&joseki_variations[3255],NULL},
  {762,0,3,1,&joseki_variations[3243],NULL},
  {799,0,5,1,&joseki_variations[3244],NULL},
  {726,3,3,1,&joseki_variations[3245],NULL},
  {763,3,5,1,&joseki_variations[3246],NULL},
  {800,0,8,1,&joseki_variations[3247],NULL},
  {837,3,9,1,&joseki_variations[3248],NULL},
  {874,0,10,1,&joseki_variations[3249],NULL},
  {801,3,9,1,&joseki_variations[3250],NULL},
  {838,0,11,1,&joseki_variations[3251],NULL},
  {875,0,13,1,&joseki_variations[3252],NULL},
  {802,3,10,1,&joseki_variations[3253],NULL},
  {839,3,13,1,&joseki_variations[3254],NULL},
  {760,3,1,0,NULL,&joseki[543]},
  {800,0,5,1,&joseki_variations[3256],NULL},
  {837,0,6,1,&joseki_variations[3257],NULL},
  {801,3,6,1,&joseki_variations[3258],NULL},
  {761,3,2,0,NULL,&joseki[506]},
  {798,3,3,1,&joseki_variations[3278],NULL},
  {798,0,3,1,&joseki_variations[3272],NULL},
  {835,0,3,1,&joseki_variations[3262],NULL},
  {725,3,2,1,&joseki_variations[3263],NULL},
  {762,0,4,1,&joseki_variations[3264],NULL},
  {799,0,5,2,&joseki_variations[3265],NULL},
  {726,0,3,1,&joseki_variations[3269],NULL},
  {689,3,1,1,&joseki_variations[3267],NULL},
  {763,3,6,1,&joseki_variations[3268],NULL},
  {760,0,1,0,NULL,&joseki[1463]},
  {763,3,6,1,&joseki_variations[3270],NULL},
  {727,3,4,1,&joseki_variations[3271],NULL},
  {689,3,1,0,NULL,&joseki[1462]},
  {725,3,2,1,&joseki_variations[3273],NULL},
  {763,3,4,1,&joseki_variations[3274],NULL},
  {800,0,6,1,&joseki_variations[3275],NULL},
  {837,0,7,1,&joseki_variations[3276],NULL},
  {801,3,7,1,&joseki_variations[3277],NULL},
  {760,0,1,0,NULL,&joseki[507]},
  {762,0,3,2,&joseki_variations[3279],NULL},
  {763,0,4,1,&joseki_variations[3283],NULL},
  {799,3,5,1,&joseki_variations[3281],&joseki[855]},
  {763,0,4,1,&joseki_variations[3282],NULL},
  {723,3,1,0,NULL,&joseki[856]},
  {800,3,6,1,&joseki_variations[3284],NULL},
  {837,3,7,1,&joseki_variations[3285],NULL},
  {801,0,7,1,&joseki_variations[3286],NULL},
  {723,3,1,0,NULL,&joseki[409]},
  {760,3,2,1,&joseki_variations[3347],NULL},
  {797,3,2,1,&joseki_variations[3319],NULL},
  {761,0,3,1,&joseki_variations[3303],NULL},
  {725,3,2,1,&joseki_variations[3291],NULL},
  {760,0,2,1,&joseki_variations[3292],NULL},
  {762,3,5,1,&joseki_variations[3293],NULL},
  {763,0,6,1,&joseki_variations[3294],NULL},
  {796,3,2,1,&joseki_variations[3295],NULL},
  {797,0,4,1,&joseki_variations[3296],NULL},
  {798,3,6,1,&joseki_variations[3297],NULL},
  {799,3,9,1,&joseki_variations[3298],NULL},
  {800,3,11,1,&joseki_variations[3299],NULL},
  {834,3,5,1,&joseki_variations[3300],NULL},
  {837,0,13,1,&joseki_variations[3301],NULL},
  {872,3,8,1,&joseki_variations[3302],NULL},
  {833,3,3,0,NULL,&joseki[534]},
  {762,3,4,1,&joseki_variations[3304],NULL},
  {763,3,5,1,&joseki_variations[3305],NULL},
  {764,3,6,1,&joseki_variations[3306],NULL},
  {796,3,2,1,&joseki_variations[3307],NULL},
  {797,3,3,1,&joseki_variations[3308],NULL},
  {798,0,6,1,&joseki_variations[3309],NULL},
  {799,3,8,1,&joseki_variations[3310],NULL},
  {800,0,10,1,&joseki_variations[3311],NULL},
  {801,3,12,1,&joseki_variations[3312],NULL},
  {834,3,4,1,&joseki_variations[3313],NULL},
  {835,3,8,1,&joseki_variations[3314],NULL},
  {836,0,11,1,&joseki_variations[3315],NULL},
  {837,0,14,1,&joseki_variations[3316],NULL},
  {871,0,5,1,&joseki_variations[3317],NULL},
  {872,0,10,1,&joseki_variations[3318],NULL},
  {722,0,1,0,NULL,&joseki[349]},
  {834,3,3,1,&joseki_variations[3320],NULL},
  {871,0,4,1,&joseki_variations[3321],NULL},
  {761,0,3,1,&joseki_variations[3322],NULL},
  {798,0,5,1,&joseki_variations[3323],NULL},
  {835,3,7,1,&joseki_variations[3324],NULL},
  {872,0,9,2,&joseki_variations[3325],NULL},
  {762,3,4,1,&joseki_variations[3339],NULL},
  {725,3,2,1,&joseki_variations[3327],NULL},
  {762,3,5,1,&joseki_variations[3328],NULL},
  {799,3,8,1,&joseki_variations[3329],NULL},
  {836,0,11,1,&joseki_variations[3330],NULL},
  {763,3,6,1,&joseki_variations[3331],NULL},
  {800,0,10,1,&joseki_variations[3332],NULL},
  {837,0,14,1,&joseki_variations[3333],NULL},
  {727,3,3,1,&joseki_variations[3334],NULL},
  {764,0,8,1,&joseki_variations[3335],NULL},
  {801,3,13,1,&joseki_variations[3336],NULL},
  {728,3,4,1,&joseki_variations[3337],NULL},
  {765,0,10,1,&joseki_variations[3338],NULL},
  {760,3,2,0,NULL,&joseki[402]},
  {799,3,7,1,&joseki_variations[3340],NULL},
  {836,0,10,1,&joseki_variations[3341],NULL},
  {763,3,5,1,&joseki_variations[3342],NULL},
  {800,0,9,1,&joseki_variations[3343],NULL},
  {837,0,13,1,&joseki_variations[3344],NULL},
  {764,3,6,1,&joseki_variations[3345],NULL},
  {801,3,11,1,&joseki_variations[3346],NULL},
  {796,3,2,0,NULL,&joseki[348]},
  {761,0,4,2,&joseki_variations[3348],NULL},
  {762,3,5,1,&joseki_variations[3368],NULL},
  {797,3,3,1,&joseki_variations[3350],NULL},
  {798,0,6,1,&joseki_variations[3351],NULL},
  {834,3,4,1,&joseki_variations[3352],NULL},
  {835,3,8,1,&joseki_variations[3353],NULL},
  {871,0,5,1,&joseki_variations[3354],NULL},
  {872,0,10,1,&joseki_variations[3355],NULL},
  {725,3,2,1,&joseki_variations[3356],NULL},
  {762,3,6,1,&joseki_variations[3357],NULL},
  {799,3,9,1,&joseki_variations[3358],NULL},
  {836,0,12,1,&joseki_variations[3359],NULL},
  {763,3,7,1,&joseki_variations[3360],NULL},
  {800,0,11,1,&joseki_variations[3361],NULL},
  {837,0,15,1,&joseki_variations[3362],NULL},
  {727,3,3,1,&joseki_variations[3363],NULL},
  {764,0,9,1,&joseki_variations[3364],NULL},
  {801,3,14,1,&joseki_variations[3365],NULL},
  {728,3,4,1,&joseki_variations[3366],NULL},
  {765,0,11,1,&joseki_variations[3367],NULL},
  {723,0,1,0,NULL,&joseki[403]},
  {763,3,6,1,&joseki_variations[3369],NULL},
  {764,3,7,1,&joseki_variations[3370],NULL},
  {796,3,2,1,&joseki_variations[3371],NULL},
  {797,0,4,1,&joseki_variations[3372],NULL},
  {798,0,7,1,&joseki_variations[3373],NULL},
  {799,3,9,1,&joseki_variations[3374],NULL},
  {800,0,11,1,&joseki_variations[3375],NULL},
  {801,3,13,1,&joseki_variations[3376],NULL},
  {833,3,3,1,&joseki_variations[3377],NULL},
  {834,3,6,1,&joseki_variations[3378],NULL},
  {835,3,10,1,&joseki_variations[3379],NULL},
  {836,0,13,1,&joseki_variations[3380],NULL},
  {837,0,16,1,&joseki_variations[3381],NULL},
  {870,0,4,1,&joseki_variations[3382],NULL},
  {871,0,8,1,&joseki_variations[3383],NULL},
  {872,0,13,1,&joseki_variations[3384],NULL},
  {722,3,1,0,NULL,&joseki[345]},
  {761,0,3,1,&joseki_variations[3427],NULL},
  {760,3,2,1,&joseki_variations[3387],NULL},
  {797,0,3,1,&joseki_variations[3388],NULL},
  {834,0,4,1,&joseki_variations[3389],NULL},
  {761,0,4,1,&joseki_variations[3390],NULL},
  {798,3,6,1,&joseki_variations[3391],NULL},
  {835,3,8,3,&joseki_variations[3392],NULL},
  {872,0,9,2,&joseki_variations[3417],NULL},
  {871,3,5,1,&joseki_variations[3399],NULL},
  {871,0,5,1,&joseki_variations[3395],NULL},
  {872,3,10,1,&joseki_variations[3396],NULL},
  {909,0,11,1,&joseki_variations[3397],NULL},
  {762,3,5,1,&joseki_variations[3398],NULL},
  {723,0,1,0,NULL,&joseki[1064]},
  {872,0,10,1,&joseki_variations[3400],NULL},
  {725,0,2,2,&joseki_variations[3401],NULL},
  {762,3,6,1,&joseki_variations[3414],NULL},
  {799,0,8,1,&joseki_variations[3403],NULL},
  {763,0,6,2,&joseki_variations[3404],NULL},
  {800,3,10,1,&joseki_variations[3410],NULL},
  {801,0,10,1,&joseki_variations[3406],NULL},
  {836,3,11,1,&joseki_variations[3407],NULL},
  {873,3,14,1,&joseki_variations[3408],NULL},
  {837,0,13,1,&joseki_variations[3409],NULL},
  {909,3,11,0,NULL,&joseki[1056]},
  {836,3,11,1,&joseki_variations[3411],&joseki[1052]},
  {837,0,14,1,&joseki_variations[3412],&joseki[1053]},
  {873,3,14,1,&joseki_variations[3413],&joseki[1054]},
  {801,0,11,0,NULL,&joseki[1055]},
  {763,0,7,1,&joseki_variations[3415],NULL},
  {800,3,10,1,&joseki_variations[3416],NULL},
  {799,0,9,0,NULL,&joseki[1051]},
  {762,3,5,1,&joseki_variations[3426],NULL},
  {725,0,2,1,&joseki_variations[3419],NULL},
  {762,3,6,2,&joseki_variations[3420],NULL},
  {800,3,9,2,&joseki_variations[3424],&joseki[1048]},
  {763,0,7,1,&joseki_variations[3422],NULL},
  {800,3,10,1,&joseki_variations[3423],NULL},
  {871,3,5,0,NULL,&joseki[1050]},
  {763,0,7,0,NULL,&joseki[1049]},
  {796,0,2,0,NULL,&joseki[1057]},
  {725,0,2,0,NULL,&joseki[1047]},
  {798,0,4,2,&joseki_variations[3428],NULL},
  {762,3,4,1,&joseki_variations[3450],NULL},
  {833,3,2,1,&joseki_variations[3430],NULL},
  {834,3,3,1,&joseki_variations[3431],NULL},
  {835,3,7,1,&joseki_variations[3432],NULL},
  {870,0,3,1,&joseki_variations[3433],NULL},
  {871,0,5,1,&joseki_variations[3434],NULL},
  {872,0,10,1,&joseki_variations[3435],NULL},
  {688,0,1,1,&joseki_variations[3436],NULL},
  {725,3,3,1,&joseki_variations[3437],NULL},
  {762,3,6,1,&joseki_variations[3438],NULL},
  {799,3,8,1,&joseki_variations[3439],NULL},
  {836,0,12,1,&joseki_variations[3440],NULL},
  {726,3,4,1,&joseki_variations[3441],NULL},
  {763,3,8,1,&joseki_variations[3442],NULL},
  {800,0,11,1,&joseki_variations[3443],NULL},
  {837,0,16,1,&joseki_variations[3444],NULL},
  {727,3,5,1,&joseki_variations[3445],NULL},
  {764,0,10,1,&joseki_variations[3446],NULL},
  {801,3,14,1,&joseki_variations[3447],NULL},
  {728,3,6,1,&joseki_variations[3448],NULL},
  {765,0,12,1,&joseki_variations[3449],NULL},
  {722,0,1,0,NULL,&joseki[389]},
  {799,3,6,1,&joseki_variations[3451],NULL},
  {763,3,5,1,&joseki_variations[3452],NULL},
  {800,0,8,1,&joseki_variations[3453],NULL},
  {764,3,6,1,&joseki_variations[3454],NULL},
  {801,3,10,1,&joseki_variations[3455],NULL},
  {833,3,2,1,&joseki_variations[3456],NULL},
  {834,3,3,1,&joseki_variations[3457],NULL},
  {835,3,7,1,&joseki_variations[3458],NULL},
  {836,0,10,1,&joseki_variations[3459],NULL},
  {837,0,13,1,&joseki_variations[3460],NULL},
  {870,0,3,1,&joseki_variations[3461],NULL},
  {871,0,5,1,&joseki_variations[3462],NULL},
  {872,0,10,1,&joseki_variations[3463],NULL},
  {722,0,1,0,NULL,&joseki[283]},
  {762,3,3,1,&joseki_variations[3597],NULL},
  {725,3,2,1,&joseki_variations[3550],NULL},
  {798,0,3,1,&joseki_variations[3502],NULL},
  {798,3,3,2,&joseki_variations[3482],NULL},
  {725,0,2,1,&joseki_variations[3469],NULL},
  {762,3,4,1,&joseki_variations[3470],NULL},
  {726,3,3,1,&joseki_variations[3471],NULL},
  {764,3,6,1,&joseki_variations[3472],NULL},
  {796,0,1,1,&joseki_variations[3473],NULL},
  {797,0,2,1,&joseki_variations[3474],NULL},
  {798,3,5,1,&joseki_variations[3475],NULL},
  {799,3,8,1,&joseki_variations[3476],NULL},
  {804,3,11,2,&joseki_variations[3477],NULL},
  {834,3,3,1,&joseki_variations[3481],NULL},
  {833,3,2,1,&joseki_variations[3479],NULL},
  {834,3,4,1,&joseki_variations[3480],NULL},
  {722,0,1,0,NULL,&joseki[769]},
  {833,3,2,0,NULL,&joseki[768]},
  {725,0,2,1,&joseki_variations[3492],NULL},
  {872,3,4,1,&joseki_variations[3484],NULL},
  {725,3,2,1,&joseki_variations[3485],NULL},
  {762,3,4,1,&joseki_variations[3486],NULL},
  {799,0,6,2,&joseki_variations[3487],NULL},
  {801,0,7,1,&joseki_variations[3491],NULL},
  {727,3,3,1,&joseki_variations[3489],NULL},
  {801,0,8,1,&joseki_variations[3490],NULL},
  {797,0,1,0,NULL,&joseki[944]},
  {727,3,3,0,NULL,&joseki[943]},
  {762,3,4,2,&joseki_variations[3493],NULL},
  {764,3,5,1,&joseki_variations[3499],NULL},
  {799,3,6,1,&joseki_variations[3495],NULL},
  {726,3,3,1,&joseki_variations[3496],NULL},
  {764,3,6,1,&joseki_variations[3497],NULL},
  {804,3,9,1,&joseki_variations[3498],NULL},
  {797,0,1,0,NULL,&joseki[765]},
  {799,3,6,1,&joseki_variations[3500],NULL},
  {804,3,8,1,&joseki_variations[3501],NULL},
  {726,3,3,0,NULL,&joseki[764]},
  {833,3,1,1,&joseki_variations[3503],NULL},
  {834,3,2,1,&joseki_variations[3504],NULL},
  {835,3,6,2,&joseki_variations[3505],NULL},
  {871,0,3,1,&joseki_variations[3525],NULL},
  {870,0,2,1,&joseki_variations[3507],NULL},
  {871,0,4,1,&joseki_variations[3508],NULL},
  {872,0,9,1,&joseki_variations[3509],NULL},
  {688,0,1,1,&joseki_variations[3510],NULL},
  {725,3,3,1,&joseki_variations[3511],NULL},
  {762,3,5,1,&joseki_variations[3512],NULL},
  {799,3,7,1,&joseki_variations[3513],NULL},
  {836,0,11,1,&joseki_variations[3514],NULL},
  {726,3,4,1,&joseki_variations[3515],NULL},
  {763,3,7,1,&joseki_variations[3516],NULL},
  {800,0,10,1,&joseki_variations[3517],NULL},
  {837,0,15,1,&joseki_variations[3518],NULL},
  {727,3,5,1,&joseki_variations[3519],NULL},
  {764,0,9,1,&joseki_variations[3520],NULL},
  {801,3,13,1,&joseki_variations[3521],NULL},
  {728,3,6,1,&joseki_variations[3522],NULL},
  {765,0,11,2,&joseki_variations[3523],NULL},
  {759,3,1,0,NULL,&joseki[388]},
  {760,3,1,0,NULL,&joseki[398]},
  {872,0,8,1,&joseki_variations[3526],NULL},
  {688,0,1,1,&joseki_variations[3527],NULL},
  {725,3,3,1,&joseki_variations[3528],NULL},
  {762,3,5,1,&joseki_variations[3529],NULL},
  {799,3,7,1,&joseki_variations[3530],NULL},
  {836,0,11,2,&joseki_variations[3531],NULL},
  {763,3,6,1,&joseki_variations[3542],NULL},
  {726,3,4,1,&joseki_variations[3533],NULL},
  {763,3,7,1,&joseki_variations[3534],NULL},
  {800,0,10,1,&joseki_variations[3535],NULL},
  {837,0,15,1,&joseki_variations[3536],NULL},
  {727,3,5,1,&joseki_variations[3537],NULL},
  {764,0,9,1,&joseki_variations[3538],NULL},
  {801,3,13,1,&joseki_variations[3539],NULL},
  {728,3,6,1,&joseki_variations[3540],NULL},
  {765,0,11,1,&joseki_variations[3541],NULL},
  {870,0,2,0,NULL,&joseki[387]},
  {800,0,9,1,&joseki_variations[3543],NULL},
  {837,0,14,1,&joseki_variations[3544],NULL},
  {727,3,4,1,&joseki_variations[3545],NULL},
  {764,0,8,1,&joseki_variations[3546],NULL},
  {801,3,12,1,&joseki_variations[3547],NULL},
  {728,3,5,1,&joseki_variations[3548],NULL},
  {765,0,10,1,&joseki_variations[3549],NULL},
  {726,3,4,0,NULL,&joseki[386]},
  {762,3,4,1,&joseki_variations[3551],NULL},
  {763,3,5,1,&joseki_variations[3552],NULL},
  {727,3,3,1,&joseki_variations[3553],NULL},
  {764,0,7,1,&joseki_variations[3554],NULL},
  {728,3,4,1,&joseki_variations[3555],NULL},
  {765,0,9,3,&joseki_variations[3556],NULL},
  {796,3,1,1,&joseki_variations[3581],NULL},
  {798,0,3,1,&joseki_variations[3570],NULL},
  {797,3,1,1,&joseki_variations[3559],NULL},
  {798,0,4,1,&joseki_variations[3560],NULL},
  {799,3,7,1,&joseki_variations[3561],NULL},
  {800,0,9,1,&joseki_variations[3562],NULL},
  {801,3,12,1,&joseki_variations[3563],NULL},
  {834,3,2,1,&joseki_variations[3564],NULL},
  {835,3,6,1,&joseki_variations[3565],NULL},
  {836,0,10,1,&joseki_variations[3566],NULL},
  {837,0,13,1,&joseki_variations[3567],NULL},
  {871,0,3,1,&joseki_variations[3568],NULL},
  {872,0,8,1,&joseki_variations[3569],NULL},
  {759,0,1,0,NULL,&joseki[401]},
  {799,3,6,1,&joseki_variations[3571],NULL},
  {800,0,8,1,&joseki_variations[3572],NULL},
  {801,3,11,1,&joseki_variations[3573],NULL},
  {833,3,1,1,&joseki_variations[3574],NULL},
  {834,3,2,1,&joseki_variations[3575],NULL},
  {835,3,6,1,&joseki_variations[3576],NULL},
  {836,0,10,1,&joseki_variations[3577],NULL},
  {837,0,13,1,&joseki_variations[3578],NULL},
  {871,0,3,1,&joseki_variations[3579],NULL},
  {872,0,8,1,&joseki_variations[3580],NULL},
  {688,0,1,0,NULL,&joseki[385]},
  {798,0,4,1,&joseki_variations[3582],NULL},
  {799,3,7,1,&joseki_variations[3583],NULL},
  {800,0,9,1,&joseki_variations[3584],NULL},
  {801,3,12,1,&joseki_variations[3585],NULL},
  {834,3,2,1,&joseki_variations[3586],NULL},
  {835,3,6,1,&joseki_variations[3587],NULL},
  {836,0,10,1,&joseki_variations[3588],NULL},
  {837,0,13,2,&joseki_variations[3589],NULL},
  {871,0,3,1,&joseki_variations[3595],NULL},
  {870,0,2,1,&joseki_variations[3591],NULL},
  {871,0,4,1,&joseki_variations[3592],NULL},
  {872,0,9,2,&joseki_variations[3593],NULL},
  {722,3,1,0,NULL,&joseki[366]},
  {723,3,1,0,NULL,&joseki[376]},
  {872,0,8,1,&joseki_variations[3596],NULL},
  {870,0,2,0,NULL,&joseki[365]},
  {763,3,4,1,&joseki_variations[3598],NULL},
  {764,3,5,3,&joseki_variations[3599],NULL},
  {796,3,1,1,&joseki_variations[3629],NULL},
  {798,0,3,1,&joseki_variations[3613],NULL},
  {797,3,1,1,&joseki_variations[3602],NULL},
  {798,0,4,1,&joseki_variations[3603],NULL},
  {799,3,6,1,&joseki_variations[3604],NULL},
  {800,0,8,1,&joseki_variations[3605],NULL},
  {801,3,10,1,&joseki_variations[3606],NULL},
  {834,3,2,1,&joseki_variations[3607],NULL},
  {835,3,6,1,&joseki_variations[3608],NULL},
  {836,0,9,1,&joseki_variations[3609],NULL},
  {837,0,12,1,&joseki_variations[3610],NULL},
  {871,0,3,1,&joseki_variations[3611],NULL},
  {872,0,8,1,&joseki_variations[3612],NULL},
  {759,0,1,0,NULL,&joseki[347]},
  {799,3,5,1,&joseki_variations[3614],NULL},
  {800,0,7,1,&joseki_variations[3615],NULL},
  {801,3,9,1,&joseki_variations[3616],NULL},
  {833,3,1,1,&joseki_variations[3617],NULL},
  {834,3,2,1,&joseki_variations[3618],NULL},
  {835,3,6,1,&joseki_variations[3619],NULL},
  {836,0,9,1,&joseki_variations[3620],NULL},
  {837,0,12,2,&joseki_variations[3621],NULL},
  {871,0,3,1,&joseki_variations[3627],NULL},
  {870,0,2,1,&joseki_variations[3623],NULL},
  {871,0,4,1,&joseki_variations[3624],NULL},
  {872,0,9,2,&joseki_variations[3625],NULL},
  {759,3,1,0,NULL,&joseki[282]},
  {760,3,1,0,NULL,&joseki[341]},
  {872,0,8,1,&joseki_variations[3628],NULL},
  {870,0,2,0,NULL,&joseki[281]},
  {798,0,4,1,&joseki_variations[3630],NULL},
  {799,3,6,1,&joseki_variations[3631],NULL},
  {800,0,8,1,&joseki_variations[3632],NULL},
  {801,3,10,1,&joseki_variations[3633],NULL},
  {834,3,2,1,&joseki_variations[3634],NULL},
  {835,3,6,1,&joseki_variations[3635],NULL},
  {836,0,9,1,&joseki_variations[3636],NULL},
  {837,0,12,2,&joseki_variations[3637],NULL},
  {871,0,3,1,&joseki_variations[3642],NULL},
  {870,0,2,1,&joseki_variations[3639],NULL},
  {871,0,4,1,&joseki_variations[3640],NULL},
  {872,0,9,1,&joseki_variations[3641],NULL},
  {722,3,1,0,NULL,&joseki[260]},
  {872,0,8,1,&joseki_variations[3643],NULL},
  {870,0,2,0,NULL,&joseki[259]},
  {761,0,2,1,&joseki_variations[3645],NULL},
  {798,0,3,1,&joseki_variations[3646],NULL},
  {835,3,5,2,&joseki_variations[3647],NULL},
  {872,0,6,2,&joseki_variations[3676],NULL},
  {871,0,2,1,&joseki_variations[3649],NULL},
  {872,0,7,2,&joseki_variations[3650],NULL},
  {762,3,3,1,&joseki_variations[3666],NULL},
  {725,3,2,1,&joseki_variations[3652],NULL},
  {762,3,4,1,&joseki_variations[3653],NULL},
  {799,3,6,1,&joseki_variations[3654],NULL},
  {836,0,9,1,&joseki_variations[3655],NULL},
  {763,3,5,1,&joseki_variations[3656],NULL},
  {800,0,8,1,&joseki_variations[3657],NULL},
  {837,0,12,1,&joseki_variations[3658],NULL},
  {727,3,3,1,&joseki_variations[3659],NULL},
  {764,0,7,1,&joseki_variations[3660],NULL},
  {801,3,11,1,&joseki_variations[3661],NULL},
  {728,3,4,1,&joseki_variations[3662],NULL},
  {765,0,9,3,&joseki_variations[3663],NULL},
  {796,3,1,0,NULL,&joseki[364]},
  {833,3,1,0,NULL,&joseki[384]},
  {797,3,1,0,NULL,&joseki[400]},
  {799,3,5,1,&joseki_variations[3667],NULL},
  {836,0,8,1,&joseki_variations[3668],NULL},
  {763,3,4,1,&joseki_variations[3669],NULL},
  {800,0,7,1,&joseki_variations[3670],NULL},
  {837,0,11,1,&joseki_variations[3671],NULL},
  {764,3,5,1,&joseki_variations[3672],NULL},
  {801,3,9,3,&joseki_variations[3673],NULL},
  {796,3,1,0,NULL,&joseki[258]},
  {833,3,1,0,NULL,&joseki[280]},
  {797,3,1,0,NULL,&joseki[346]},
  {762,3,3,1,&joseki_variations[3697],NULL},
  {725,3,2,1,&joseki_variations[3678],NULL},
  {762,3,4,1,&joseki_variations[3679],NULL},
  {799,3,6,1,&joseki_variations[3680],NULL},
  {836,0,9,1,&joseki_variations[3681],NULL},
  {763,3,5,1,&joseki_variations[3682],NULL},
  {800,0,8,1,&joseki_variations[3683],NULL},
  {837,0,12,3,&joseki_variations[3684],NULL},
  {801,3,9,1,&joseki_variations[3696],NULL},
  {764,0,6,1,&joseki_variations[3694],NULL},
  {727,3,3,1,&joseki_variations[3687],NULL},
  {764,0,7,1,&joseki_variations[3688],NULL},
  {801,3,11,2,&joseki_variations[3689],NULL},
  {765,0,8,1,&joseki_variations[3693],&joseki[361]},
  {728,3,4,1,&joseki_variations[3691],NULL},
  {765,0,9,1,&joseki_variations[3692],NULL},
  {871,0,2,0,NULL,&joseki[363]},
  {728,3,4,0,NULL,&joseki[362]},
  {801,3,10,1,&joseki_variations[3695],NULL},
  {727,3,3,0,NULL,&joseki[360]},
  {764,0,6,0,NULL,&joseki[359]},
  {799,3,5,1,&joseki_variations[3698],NULL},
  {836,0,8,1,&joseki_variations[3699],NULL},
  {763,3,4,1,&joseki_variations[3700],NULL},
  {800,0,7,1,&joseki_variations[3701],NULL},
  {837,0,11,2,&joseki_variations[3702],NULL},
  {801,3,8,2,&joseki_variations[3706],NULL},
  {764,3,5,1,&joseki_variations[3704],NULL},
  {801,3,9,1,&joseki_variations[3705],NULL},
  {871,0,2,0,NULL,&joseki[257]},
  {764,3,5,0,NULL,&joseki[256]},
  {725,3,2,0,NULL,&joseki[358]},
  {798,3,2,4,&joseki_variations[3709],NULL},
  {872,3,3,5,&joseki_variations[3719],NULL},
  {800,3,4,1,&joseki_variations[3718],NULL},
  {871,3,1,1,&joseki_variations[3717],NULL},
  {1020,3,3,1,&joseki_variations[3713],NULL},
  {803,3,4,1,&joseki_variations[3714],NULL},
  {873,3,3,1,&joseki_variations[3715],NULL},
  {837,0,4,1,&joseki_variations[3716],NULL},
  {760,3,1,0,NULL,&joseki[714]},
  {760,3,1,0,NULL,&joseki[594]},
  {762,3,2,0,NULL,&joseki[561]},
  {760,0,1,0,NULL,&joseki[151]},
  {765,3,3,2,&joseki_variations[3729],&joseki[152]},
  {760,3,1,0,NULL,&joseki[171]},
  {1020,3,4,1,&joseki_variations[3726],NULL},
  {803,3,4,1,&joseki_variations[3724],NULL},
  {837,0,4,1,&joseki_variations[3725],NULL},
  {760,3,1,0,NULL,&joseki[729]},
  {803,3,4,1,&joseki_variations[3727],NULL},
  {837,0,4,1,&joseki_variations[3728],NULL},
  {760,3,1,0,NULL,&joseki[703]},
  {760,0,1,0,NULL,&joseki[153]},
  {837,0,4,1,&joseki_variations[3731],&joseki[169]},
  {760,3,1,0,NULL,&joseki[170]},
  {763,3,2,2,&joseki_variations[3733],NULL},
  {764,0,3,1,&joseki_variations[3753],NULL},
  {797,3,1,1,&joseki_variations[3735],NULL},
  {798,0,2,1,&joseki_variations[3736],NULL},
  {800,0,5,1,&joseki_variations[3737],NULL},
  {801,3,6,1,&joseki_variations[3738],NULL},
  {834,3,2,1,&joseki_variations[3739],NULL},
  {837,0,7,3,&joseki_variations[3740],NULL},
  {760,0,1,0,NULL,&joseki[509]},
  {1020,0,4,1,&joseki_variations[3752],NULL},
  {872,3,4,1,&joseki_variations[3743],NULL},
  {908,0,3,2,&joseki_variations[3744],NULL},
  {1020,0,6,1,&joseki_variations[3751],NULL},
  {873,3,6,1,&joseki_variations[3746],NULL},
  {909,0,6,1,&joseki_variations[3747],NULL},
  {1020,0,7,1,&joseki_variations[3748],NULL},
  {948,0,12,1,&joseki_variations[3749],&joseki[513]},
  {912,3,13,1,&joseki_variations[3750],NULL},
  {838,0,9,0,NULL,&joseki[514]},
  {909,0,6,0,NULL,&joseki[512]},
  {908,0,3,0,NULL,&joseki[511]},
  {765,0,4,1,&joseki_variations[3754],NULL},
  {797,3,1,1,&joseki_variations[3755],NULL},
  {871,3,2,1,&joseki_variations[3756],NULL},
  {798,0,2,1,&joseki_variations[3757],NULL},
  {800,0,5,1,&joseki_variations[3758],NULL},
  {801,3,7,1,&joseki_variations[3759],NULL},
  {760,3,1,0,NULL,&joseki[114]},
  {726,0,2,1,&joseki_variations[5053],NULL},
  {723,3,2,4,&joseki_variations[4759],NULL},
  {759,0,2,3,&joseki_variations[4578],NULL},
  {686,0,1,2,&joseki_variations[4520],NULL},
  {796,0,2,2,&joseki_variations[4454],NULL},
  {724,3,2,2,&joseki_variations[4294],NULL},
  {724,0,2,3,&joseki_variations[4213],NULL},
  {759,3,2,3,&joseki_variations[3996],NULL},
  {723,0,2,5,&joseki_variations[3769],NULL},
  {760,0,3,1,&joseki_variations[3988],NULL},
  {724,0,3,2,&joseki_variations[3866],NULL},
  {687,0,1,1,&joseki_variations[3794],NULL},
  {760,3,3,1,&joseki_variations[3785],NULL},
  {724,3,3,1,&joseki_variations[3774],NULL},
  {758,0,1,1,&joseki_variations[3775],NULL},
  {760,0,4,1,&joseki_variations[3776],NULL},
  {761,3,6,1,&joseki_variations[3777],NULL},
  {763,3,7,1,&joseki_variations[3778],NULL},
  {796,0,3,1,&joseki_variations[3779],NULL},
  {797,3,6,1,&joseki_variations[3780],NULL},
  {798,0,9,1,&joseki_variations[3781],NULL},
  {833,3,4,1,&joseki_variations[3782],NULL},
  {834,3,8,1,&joseki_variations[3783],NULL},
  {835,0,12,1,&joseki_variations[3784],NULL},
  {908,3,9,0,NULL,&joseki[1207]},
  {797,3,4,1,&joseki_variations[3786],NULL},
  {761,0,4,2,&joseki_variations[3787],NULL},
  {800,0,6,1,&joseki_variations[3791],NULL},
  {835,3,6,1,&joseki_variations[3789],NULL},
  {763,0,5,1,&joseki_variations[3790],NULL},
  {982,3,5,0,NULL,&joseki[1198]},
  {835,3,6,1,&joseki_variations[3792],NULL},
  {982,3,5,1,&joseki_variations[3793],&joseki[1125]},
  {767,0,5,0,NULL,&joseki[1126]},
  {724,0,4,2,&joseki_variations[3795],NULL},
  {725,3,5,1,&joseki_variations[3844],NULL},
  {688,3,2,1,&joseki_variations[3797],NULL},
  {725,3,6,1,&joseki_variations[3798],NULL},
  {689,3,3,1,&joseki_variations[3799],NULL},
  {727,3,8,2,&joseki_variations[3800],NULL},
  {728,0,9,1,&joseki_variations[3824],NULL},
  {691,3,4,1,&joseki_variations[3802],NULL},
  {728,0,10,1,&joseki_variations[3803],NULL},
  {729,3,11,1,&joseki_variations[3804],NULL},
  {758,0,1,1,&joseki_variations[3805],NULL},
  {759,3,3,1,&joseki_variations[3806],NULL},
  {760,3,5,1,&joseki_variations[3807],NULL},
  {761,0,8,1,&joseki_variations[3808],NULL},
  {762,3,11,1,&joseki_variations[3809],NULL},
  {763,3,13,1,&joseki_variations[3810],NULL},
  {764,0,15,1,&joseki_variations[3811],NULL},
  {765,0,18,1,&joseki_variations[3812],NULL},
  {767,0,20,1,&joseki_variations[3813],NULL},
  {796,3,4,1,&joseki_variations[3814],NULL},
  {798,3,10,1,&joseki_variations[3815],NULL},
  {799,0,14,1,&joseki_variations[3816],NULL},
  {800,0,17,1,&joseki_variations[3817],NULL},
  {801,0,20,1,&joseki_variations[3818],NULL},
  {833,0,5,1,&joseki_variations[3819],NULL},
  {834,3,8,1,&joseki_variations[3820],NULL},
  {835,3,13,1,&joseki_variations[3821],NULL},
  {870,3,6,1,&joseki_variations[3822],NULL},
  {872,3,15,1,&joseki_variations[3823],NULL},
  {685,3,1,0,NULL,&joseki[962]},
  {729,3,10,1,&joseki_variations[3825],NULL},
  {758,0,1,1,&joseki_variations[3826],NULL},
  {759,3,3,1,&joseki_variations[3827],NULL},
  {760,3,5,1,&joseki_variations[3828],NULL},
  {761,0,8,1,&joseki_variations[3829],NULL},
  {762,3,11,1,&joseki_variations[3830],NULL},
  {763,3,13,1,&joseki_variations[3831],NULL},
  {764,0,15,1,&joseki_variations[3832],NULL},
  {765,0,17,1,&joseki_variations[3833],NULL},
  {796,3,4,1,&joseki_variations[3834],NULL},
  {798,3,10,1,&joseki_variations[3835],NULL},
  {799,0,14,1,&joseki_variations[3836],NULL},
  {800,0,17,1,&joseki_variations[3837],NULL},
  {801,0,20,1,&joseki_variations[3838],NULL},
  {833,0,5,1,&joseki_variations[3839],NULL},
  {834,3,8,1,&joseki_variations[3840],NULL},
  {835,3,13,1,&joseki_variations[3841],NULL},
  {870,3,6,1,&joseki_variations[3842],NULL},
  {872,3,15,1,&joseki_variations[3843],NULL},
  {691,3,4,0,NULL,&joseki[961]},
  {689,3,2,1,&joseki_variations[3845],NULL},
  {727,3,7,1,&joseki_variations[3846],NULL},
  {728,0,8,1,&joseki_variations[3847],NULL},
  {729,3,9,1,&joseki_variations[3848],NULL},
  {758,0,1,1,&joseki_variations[3849],NULL},
  {759,3,3,1,&joseki_variations[3850],NULL},
  {760,3,5,1,&joseki_variations[3851],NULL},
  {761,0,8,1,&joseki_variations[3852],NULL},
  {762,3,10,1,&joseki_variations[3853],NULL},
  {763,3,12,1,&joseki_variations[3854],NULL},
  {764,0,14,1,&joseki_variations[3855],NULL},
  {796,3,4,1,&joseki_variations[3856],NULL},
  {798,3,10,1,&joseki_variations[3857],NULL},
  {799,0,13,1,&joseki_variations[3858],NULL},
  {800,0,16,1,&joseki_variations[3859],NULL},
  {801,0,19,1,&joseki_variations[3860],NULL},
  {833,0,5,1,&joseki_variations[3861],NULL},
  {834,3,8,1,&joseki_variations[3862],NULL},
  {835,3,13,1,&joseki_variations[3863],NULL},
  {870,3,6,1,&joseki_variations[3864],NULL},
  {872,3,15,1,&joseki_variations[3865],NULL},
  {688,3,2,0,NULL,&joseki[960]},
  {725,3,4,3,&joseki_variations[3879],NULL},
  {758,0,1,1,&joseki_variations[3868],NULL},
  {761,0,5,1,&joseki_variations[3869],NULL},
  {762,3,6,1,&joseki_variations[3870],NULL},
  {796,0,3,1,&joseki_variations[3871],NULL},
  {797,0,5,1,&joseki_variations[3872],NULL},
  {798,3,8,1,&joseki_variations[3873],NULL},
  {800,3,10,1,&joseki_variations[3874],NULL},
  {833,3,4,1,&joseki_variations[3875],NULL},
  {834,0,7,1,&joseki_variations[3876],NULL},
  {835,3,11,1,&joseki_variations[3877],NULL},
  {871,3,8,1,&joseki_variations[3878],NULL},
  {909,3,13,0,NULL,&joseki[1481]},
  {727,3,5,1,&joseki_variations[3961],NULL},
  {726,0,5,1,&joseki_variations[3902],NULL},
  {689,3,1,1,&joseki_variations[3882],NULL},
  {727,3,6,1,&joseki_variations[3883],NULL},
  {728,0,7,1,&joseki_variations[3884],NULL},
  {758,0,1,1,&joseki_variations[3885],NULL},
  {759,3,3,1,&joseki_variations[3886],NULL},
  {760,3,5,1,&joseki_variations[3887],NULL},
  {761,0,7,1,&joseki_variations[3888],NULL},
  {762,3,9,1,&joseki_variations[3889],NULL},
  {763,3,11,1,&joseki_variations[3890],NULL},
  {764,0,13,1,&joseki_variations[3891],NULL},
  {796,3,4,1,&joseki_variations[3892],NULL},
  {798,3,9,1,&joseki_variations[3893],NULL},
  {799,0,12,1,&joseki_variations[3894],NULL},
  {800,0,15,1,&joseki_variations[3895],NULL},
  {801,0,18,1,&joseki_variations[3896],NULL},
  {833,0,5,1,&joseki_variations[3897],NULL},
  {834,3,8,1,&joseki_variations[3898],NULL},
  {835,3,12,1,&joseki_variations[3899],NULL},
  {870,3,6,1,&joseki_variations[3900],NULL},
  {872,3,14,1,&joseki_variations[3901],NULL},
  {729,3,8,0,NULL,&joseki[959]},
  {727,3,6,2,&joseki_variations[3903],NULL},
  {728,0,7,1,&joseki_variations[3930],NULL},
  {758,0,1,1,&joseki_variations[3905],NULL},
  {759,3,3,1,&joseki_variations[3906],NULL},
  {760,3,5,1,&joseki_variations[3907],NULL},
  {761,0,7,1,&joseki_variations[3908],NULL},
  {762,3,9,1,&joseki_variations[3909],NULL},
  {796,3,4,1,&joseki_variations[3910],NULL},
  {798,3,9,1,&joseki_variations[3911],NULL},
  {799,0,12,2,&joseki_variations[3912],NULL},
  {800,0,14,1,&joseki_variations[3923],NULL},
  {763,3,11,1,&joseki_variations[3914],NULL},
  {800,0,15,1,&joseki_variations[3915],NULL},
  {764,0,13,1,&joseki_variations[3916],NULL},
  {801,0,18,1,&joseki_variations[3917],NULL},
  {833,0,5,1,&joseki_variations[3918],NULL},
  {834,3,8,1,&joseki_variations[3919],NULL},
  {835,3,12,1,&joseki_variations[3920],NULL},
  {870,3,6,1,&joseki_variations[3921],NULL},
  {872,3,14,1,&joseki_variations[3922],NULL},
  {689,3,1,0,NULL,&joseki[958]},
  {801,0,16,1,&joseki_variations[3924],NULL},
  {833,0,5,1,&joseki_variations[3925],NULL},
  {834,3,8,1,&joseki_variations[3926],NULL},
  {835,3,12,1,&joseki_variations[3927],NULL},
  {870,3,6,1,&joseki_variations[3928],NULL},
  {872,3,14,1,&joseki_variations[3929],NULL},
  {763,3,11,0,NULL,&joseki[957]},
  {758,0,1,1,&joseki_variations[3931],NULL},
  {759,3,3,1,&joseki_variations[3932],NULL},
  {760,3,5,1,&joseki_variations[3933],NULL},
  {761,0,7,1,&joseki_variations[3934],NULL},
  {762,3,9,2,&joseki_variations[3935],NULL},
  {765,3,13,1,&joseki_variations[3950],NULL},
  {763,0,11,1,&joseki_variations[3937],NULL},
  {765,3,14,1,&joseki_variations[3938],NULL},
  {729,3,8,1,&joseki_variations[3939],NULL},
  {796,3,4,1,&joseki_variations[3940],NULL},
  {798,3,9,1,&joseki_variations[3941],NULL},
  {799,0,12,1,&joseki_variations[3942],NULL},
  {800,0,15,1,&joseki_variations[3943],NULL},
  {801,0,17,1,&joseki_variations[3944],NULL},
  {833,0,5,1,&joseki_variations[3945],NULL},
  {834,3,8,1,&joseki_variations[3946],NULL},
  {835,3,12,1,&joseki_variations[3947],NULL},
  {870,3,6,1,&joseki_variations[3948],NULL},
  {872,3,14,1,&joseki_variations[3949],NULL},
  {805,3,21,0,NULL,&joseki[956]},
  {796,3,4,1,&joseki_variations[3951],NULL},
  {798,3,9,1,&joseki_variations[3952],NULL},
  {799,0,12,1,&joseki_variations[3953],NULL},
  {800,0,14,1,&joseki_variations[3954],NULL},
  {801,0,16,1,&joseki_variations[3955],NULL},
  {833,0,5,1,&joseki_variations[3956],NULL},
  {834,3,8,1,&joseki_variations[3957],NULL},
  {835,3,12,1,&joseki_variations[3958],NULL},
  {870,3,6,1,&joseki_variations[3959],NULL},
  {872,3,14,1,&joseki_variations[3960],NULL},
  {729,3,8,0,NULL,&joseki[955]},
  {758,0,1,1,&joseki_variations[3962],NULL},
  {759,3,3,1,&joseki_variations[3963],NULL},
  {760,3,5,1,&joseki_variations[3964],NULL},
  {761,0,7,1,&joseki_variations[3965],NULL},
  {762,3,9,1,&joseki_variations[3966],NULL},
  {796,3,4,2,&joseki_variations[3967],NULL},
  {797,0,7,1,&joseki_variations[3979],NULL},
  {798,3,9,1,&joseki_variations[3969],NULL},
  {799,0,12,1,&joseki_variations[3970],NULL},
  {800,0,13,1,&joseki_variations[3971],NULL},
  {801,0,15,1,&joseki_variations[3972],NULL},
  {728,0,6,1,&joseki_variations[3973],NULL},
  {833,0,5,1,&joseki_variations[3974],NULL},
  {834,3,8,1,&joseki_variations[3975],NULL},
  {835,3,12,1,&joseki_variations[3976],NULL},
  {870,3,6,1,&joseki_variations[3977],NULL},
  {872,3,14,1,&joseki_variations[3978],NULL},
  {765,3,12,0,NULL,&joseki[954]},
  {798,3,10,1,&joseki_variations[3980],NULL},
  {799,0,13,1,&joseki_variations[3981],NULL},
  {800,0,14,1,&joseki_variations[3982],NULL},
  {801,0,16,1,&joseki_variations[3983],NULL},
  {833,0,5,1,&joseki_variations[3984],NULL},
  {835,3,12,1,&joseki_variations[3985],NULL},
  {870,3,6,1,&joseki_variations[3986],NULL},
  {872,3,14,1,&joseki_variations[3987],NULL},
  {834,3,9,0,NULL,&joseki[953]},
  {871,3,4,1,&joseki_variations[3989],NULL},
  {687,3,1,1,&joseki_variations[3990],NULL},
  {724,0,4,1,&joseki_variations[3991],NULL},
  {761,3,6,1,&joseki_variations[3992],NULL},
  {798,3,7,1,&joseki_variations[3993],NULL},
  {725,3,5,1,&joseki_variations[3994],NULL},
  {763,0,8,1,&joseki_variations[3995],NULL},
  {762,3,8,0,NULL,&joseki[649]},
  {723,0,2,3,&joseki_variations[4087],NULL},
  {723,3,2,1,&joseki_variations[4062],NULL},
  {760,0,3,2,&joseki_variations[3999],NULL},
  {797,3,4,1,&joseki_variations[4050],NULL},
  {761,0,4,3,&joseki_variations[4001],NULL},
  {762,0,5,1,&joseki_variations[4018],NULL},
  {764,3,5,1,&joseki_variations[4013],NULL},
  {763,0,5,1,&joseki_variations[4004],NULL},
  {764,3,6,1,&joseki_variations[4005],NULL},
  {796,3,3,1,&joseki_variations[4006],NULL},
  {797,3,5,1,&joseki_variations[4007],NULL},
  {798,3,7,2,&joseki_variations[4008],NULL},
  {804,3,10,1,&joseki_variations[4012],NULL},
  {800,3,9,1,&joseki_variations[4010],NULL},
  {804,3,11,1,&joseki_variations[4011],NULL},
  {762,0,5,0,NULL,&joseki[787]},
  {800,3,9,0,NULL,&joseki[786]},
  {796,3,3,1,&joseki_variations[4014],NULL},
  {797,3,5,1,&joseki_variations[4015],NULL},
  {798,3,7,1,&joseki_variations[4016],NULL},
  {804,3,9,1,&joseki_variations[4017],NULL},
  {763,0,5,0,NULL,&joseki[785]},
  {763,0,6,3,&joseki_variations[4019],NULL},
  {764,3,7,1,&joseki_variations[4041],NULL},
  {727,0,2,1,&joseki_variations[4030],NULL},
  {727,3,2,1,&joseki_variations[4022],NULL},
  {764,3,8,1,&joseki_variations[4023],NULL},
  {796,3,3,1,&joseki_variations[4024],NULL},
  {797,3,5,1,&joseki_variations[4025],NULL},
  {798,3,7,1,&joseki_variations[4026],NULL},
  {800,3,10,1,&joseki_variations[4027],NULL},
  {804,3,13,2,&joseki_variations[4028],NULL},
  {721,0,1,0,NULL,&joseki[789]},
  {726,0,2,0,NULL,&joseki[791]},
  {764,3,8,1,&joseki_variations[4031],NULL},
  {796,3,3,1,&joseki_variations[4032],NULL},
  {797,3,5,1,&joseki_variations[4033],NULL},
  {798,3,7,1,&joseki_variations[4034],NULL},
  {800,3,10,1,&joseki_variations[4035],NULL},
  {801,3,13,2,&joseki_variations[4036],NULL},
  {804,3,14,1,&joseki_variations[4040],NULL},
  {728,3,3,1,&joseki_variations[4038],NULL},
  {804,3,15,1,&joseki_variations[4039],NULL},
  {690,0,1,0,NULL,&joseki[782]},
  {728,3,3,0,NULL,&joseki[781]},
  {796,3,3,1,&joseki_variations[4042],NULL},
  {797,3,5,1,&joseki_variations[4043],NULL},
  {798,3,7,1,&joseki_variations[4044],NULL},
  {800,3,10,2,&joseki_variations[4045],NULL},
  {801,3,12,1,&joseki_variations[4048],NULL},
  {804,3,12,1,&joseki_variations[4047],NULL},
  {727,3,2,0,NULL,&joseki[788]},
  {804,3,13,1,&joseki_variations[4049],NULL},
  {727,0,2,0,NULL,&joseki[780]},
  {761,0,4,1,&joseki_variations[4051],NULL},
  {798,3,6,2,&joseki_variations[4052],NULL},
  {762,0,5,1,&joseki_variations[4056],NULL},
  {764,3,5,1,&joseki_variations[4054],NULL},
  {804,3,8,1,&joseki_variations[4055],NULL},
  {796,3,3,0,NULL,&joseki[784]},
  {763,0,6,1,&joseki_variations[4057],NULL},
  {800,3,9,1,&joseki_variations[4058],NULL},
  {764,3,7,1,&joseki_variations[4059],NULL},
  {801,3,11,1,&joseki_variations[4060],NULL},
  {804,3,12,1,&joseki_variations[4061],NULL},
  {796,3,3,0,NULL,&joseki[779]},
  {760,0,4,2,&joseki_variations[4063],NULL},
  {761,3,5,1,&joseki_variations[4077],NULL},
  {797,0,5,1,&joseki_variations[4065],NULL},
  {724,3,3,1,&joseki_variations[4066],NULL},
  {761,3,6,1,&joseki_variations[4067],NULL},
  {798,0,8,1,&joseki_variations[4068],NULL},
  {835,0,9,1,&joseki_variations[4069],NULL},
  {762,3,7,1,&joseki_variations[4070],NULL},
  {799,3,10,1,&joseki_variations[4071],NULL},
  {836,0,12,1,&joseki_variations[4072],NULL},
  {763,3,8,1,&joseki_variations[4073],NULL},
  {800,0,12,1,&joseki_variations[4074],NULL},
  {837,0,15,1,&joseki_variations[4075],NULL},
  {801,3,13,1,&joseki_variations[4076],NULL},
  {796,0,3,0,NULL,&joseki[579]},
  {798,0,6,1,&joseki_variations[4078],NULL},
  {835,0,7,1,&joseki_variations[4079],NULL},
  {762,3,6,1,&joseki_variations[4080],NULL},
  {799,3,8,1,&joseki_variations[4081],NULL},
  {836,0,10,1,&joseki_variations[4082],NULL},
  {763,3,7,1,&joseki_variations[4083],NULL},
  {800,0,10,1,&joseki_variations[4084],NULL},
  {837,0,13,1,&joseki_variations[4085],NULL},
  {801,3,11,1,&joseki_variations[4086],NULL},
  {797,0,5,0,NULL,&joseki[578]},
  {760,0,4,2,&joseki_variations[4162],NULL},
  {833,0,3,3,&joseki_variations[4119],NULL},
  {760,3,4,2,&joseki_variations[4090],NULL},
  {797,0,5,1,&joseki_variations[4102],NULL},
  {796,0,3,1,&joseki_variations[4092],NULL},
  {797,0,6,1,&joseki_variations[4093],NULL},
  {834,0,7,1,&joseki_variations[4094],NULL},
  {871,3,8,1,&joseki_variations[4095],NULL},
  {724,0,3,1,&joseki_variations[4096],NULL},
  {761,0,6,1,&joseki_variations[4097],NULL},
  {798,3,9,1,&joseki_variations[4098],NULL},
  {835,3,11,1,&joseki_variations[4099],NULL},
  {762,3,7,1,&joseki_variations[4100],NULL},
  {800,3,11,1,&joseki_variations[4101],NULL},
  {833,3,4,0,NULL,&joseki[1480]},
  {834,0,6,2,&joseki_variations[4103],NULL},
  {761,0,5,1,&joseki_variations[4111],NULL},
  {724,0,3,1,&joseki_variations[4105],NULL},
  {761,0,6,1,&joseki_variations[4106],NULL},
  {798,3,8,1,&joseki_variations[4107],NULL},
  {835,3,10,1,&joseki_variations[4108],NULL},
  {762,3,7,1,&joseki_variations[4109],NULL},
  {800,3,10,1,&joseki_variations[4110],NULL},
  {871,3,7,0,NULL,&joseki[1479]},
  {798,3,7,2,&joseki_variations[4112],NULL},
  {800,3,8,1,&joseki_variations[4117],NULL},
  {835,3,9,1,&joseki_variations[4114],NULL},
  {762,3,6,1,&joseki_variations[4115],NULL},
  {800,3,9,1,&joseki_variations[4116],NULL},
  {724,0,3,0,NULL,&joseki[1478]},
  {835,3,9,1,&joseki_variations[4118],NULL},
  {762,3,6,0,NULL,&joseki[1477]},
  {870,3,4,1,&joseki_variations[4148],NULL},
  {797,0,4,1,&joseki_variations[4136],NULL},
  {870,0,4,1,&joseki_variations[4122],NULL},
  {907,3,5,1,&joseki_variations[4123],NULL},
  {725,3,3,1,&joseki_variations[4124],NULL},
  {760,0,4,1,&joseki_variations[4125],NULL},
  {797,0,5,1,&joseki_variations[4126],NULL},
  {871,3,8,1,&joseki_variations[4127],NULL},
  {761,0,5,1,&joseki_variations[4128],NULL},
  {798,3,7,1,&joseki_variations[4129],NULL},
  {835,3,9,1,&joseki_variations[4130],NULL},
  {872,3,12,1,&joseki_variations[4131],NULL},
  {762,3,7,1,&joseki_variations[4132],NULL},
  {799,0,10,1,&joseki_variations[4133],NULL},
  {800,3,11,1,&joseki_variations[4134],NULL},
  {801,0,12,1,&joseki_variations[4135],NULL},
  {945,3,10,0,NULL,&joseki[970]},
  {761,0,4,1,&joseki_variations[4137],NULL},
  {798,3,6,1,&joseki_variations[4138],NULL},
  {835,3,8,1,&joseki_variations[4139],NULL},
  {870,0,4,1,&joseki_variations[4140],NULL},
  {872,3,10,1,&joseki_variations[4141],NULL},
  {907,3,5,1,&joseki_variations[4142],NULL},
  {725,3,3,1,&joseki_variations[4143],NULL},
  {762,3,6,1,&joseki_variations[4144],NULL},
  {799,0,9,1,&joseki_variations[4145],NULL},
  {800,3,10,1,&joseki_variations[4146],NULL},
  {801,0,11,1,&joseki_variations[4147],NULL},
  {871,3,7,0,NULL,&joseki[969]},
  {760,3,4,1,&joseki_variations[4149],NULL},
  {797,0,5,1,&joseki_variations[4150],NULL},
  {724,0,3,1,&joseki_variations[4151],NULL},
  {761,0,6,1,&joseki_variations[4152],NULL},
  {798,3,8,1,&joseki_variations[4153],NULL},
  {835,3,10,1,&joseki_variations[4154],NULL},
  {872,3,12,1,&joseki_variations[4155],NULL},
  {725,3,4,1,&joseki_variations[4156],NULL},
  {762,3,8,1,&joseki_variations[4157],NULL},
  {799,0,11,1,&joseki_variations[4158],NULL},
  {800,0,12,1,&joseki_variations[4159],NULL},
  {727,3,5,1,&joseki_variations[4160],NULL},
  {801,0,14,1,&joseki_variations[4161],NULL},
  {796,3,3,0,NULL,&joseki[952]},
  {724,3,3,2,&joseki_variations[4183],NULL},
  {797,3,5,1,&joseki_variations[4164],NULL},
  {834,3,6,1,&joseki_variations[4165],NULL},
  {871,0,7,1,&joseki_variations[4166],NULL},
  {945,3,8,1,&joseki_variations[4167],NULL},
  {761,3,5,1,&joseki_variations[4168],NULL},
  {798,0,7,1,&joseki_variations[4169],NULL},
  {835,3,9,2,&joseki_variations[4170],NULL},
  {799,0,8,2,&joseki_variations[4177],NULL},
  {762,0,6,1,&joseki_variations[4172],NULL},
  {799,0,9,1,&joseki_variations[4173],NULL},
  {836,0,12,1,&joseki_variations[4174],NULL},
  {873,3,14,1,&joseki_variations[4175],NULL},
  {837,3,13,1,&joseki_variations[4176],NULL},
  {874,3,16,0,NULL,&joseki[1402]},
  {837,3,11,1,&joseki_variations[4182],&joseki[1398]},
  {836,0,11,1,&joseki_variations[4179],NULL},
  {837,3,12,1,&joseki_variations[4180],NULL},
  {873,3,13,1,&joseki_variations[4181],&joseki[1400]},
  {762,0,6,0,NULL,&joseki[1401]},
  {836,0,11,0,NULL,&joseki[1399]},
  {761,0,6,1,&joseki_variations[4196],NULL},
  {761,3,6,1,&joseki_variations[4185],NULL},
  {763,3,7,2,&joseki_variations[4186],NULL},
  {796,0,3,1,&joseki_variations[4191],NULL},
  {797,3,5,1,&joseki_variations[4188],NULL},
  {798,0,8,1,&joseki_variations[4189],NULL},
  {835,0,9,1,&joseki_variations[4190],NULL},
  {796,3,3,0,NULL,&joseki[1209]},
  {797,3,6,1,&joseki_variations[4192],NULL},
  {798,0,9,1,&joseki_variations[4193],NULL},
  {834,3,7,1,&joseki_variations[4194],NULL},
  {835,0,11,1,&joseki_variations[4195],NULL},
  {833,3,4,0,NULL,&joseki[1206]},
  {762,3,7,1,&joseki_variations[4197],NULL},
  {763,3,8,1,&joseki_variations[4198],NULL},
  {795,3,1,1,&joseki_variations[4199],NULL},
  {797,3,6,1,&joseki_variations[4200],NULL},
  {798,0,9,1,&joseki_variations[4201],NULL},
  {799,3,11,1,&joseki_variations[4202],NULL},
  {800,0,13,1,&joseki_variations[4203],NULL},
  {801,3,14,1,&joseki_variations[4204],NULL},
  {833,3,4,1,&joseki_variations[4205],NULL},
  {834,3,8,1,&joseki_variations[4206],NULL},
  {835,3,12,1,&joseki_variations[4207],NULL},
  {836,0,15,1,&joseki_variations[4208],NULL},
  {837,0,18,1,&joseki_variations[4209],NULL},
  {870,0,5,1,&joseki_variations[4210],NULL},
  {871,0,10,1,&joseki_variations[4211],NULL},
  {872,0,15,1,&joseki_variations[4212],NULL},
  {721,3,1,0,NULL,&joseki[426]},
  {759,3,2,1,&joseki_variations[4256],NULL},
  {759,0,2,1,&joseki_variations[4234],NULL},
  {725,3,3,2,&joseki_variations[4216],NULL},
  {760,0,2,1,&joseki_variations[4229],NULL},
  {727,3,4,1,&joseki_variations[4218],NULL},
  {797,0,2,1,&joseki_variations[4219],NULL},
  {761,0,3,1,&joseki_variations[4220],NULL},
  {798,3,5,1,&joseki_variations[4221],NULL},
  {762,3,5,1,&joseki_variations[4222],NULL},
  {799,0,8,1,&joseki_variations[4223],NULL},
  {801,0,10,1,&joseki_variations[4224],NULL},
  {833,0,2,1,&joseki_variations[4225],NULL},
  {835,3,7,1,&joseki_variations[4226],NULL},
  {870,3,3,1,&joseki_variations[4227],NULL},
  {872,3,9,1,&joseki_variations[4228],NULL},
  {800,3,9,0,NULL,&joseki[949]},
  {871,3,3,1,&joseki_variations[4230],NULL},
  {761,3,4,1,&joseki_variations[4231],NULL},
  {763,0,6,1,&joseki_variations[4232],NULL},
  {798,3,5,1,&joseki_variations[4233],NULL},
  {687,3,1,0,NULL,&joseki[647]},
  {761,0,4,1,&joseki_variations[4235],NULL},
  {762,3,5,1,&joseki_variations[4236],NULL},
  {763,3,6,1,&joseki_variations[4237],NULL},
  {764,3,7,1,&joseki_variations[4238],NULL},
  {796,3,3,1,&joseki_variations[4239],NULL},
  {797,3,4,1,&joseki_variations[4240],NULL},
  {798,0,7,1,&joseki_variations[4241],NULL},
  {799,3,9,1,&joseki_variations[4242],NULL},
  {800,0,11,1,&joseki_variations[4243],NULL},
  {801,3,13,1,&joseki_variations[4244],NULL},
  {834,3,5,1,&joseki_variations[4245],NULL},
  {835,3,9,1,&joseki_variations[4246],NULL},
  {836,0,12,1,&joseki_variations[4247],NULL},
  {837,0,15,2,&joseki_variations[4248],NULL},
  {871,0,6,1,&joseki_variations[4254],NULL},
  {870,3,4,1,&joseki_variations[4250],NULL},
  {871,0,7,1,&joseki_variations[4251],NULL},
  {872,0,12,1,&joseki_variations[4252],NULL},
  {907,0,5,1,&joseki_variations[4253],&joseki[351]},
  {686,3,1,0,NULL,&joseki[352]},
  {872,0,11,1,&joseki_variations[4255],NULL},
  {870,3,4,0,NULL,&joseki[350]},
  {761,0,4,1,&joseki_variations[4257],NULL},
  {798,0,5,2,&joseki_variations[4258],NULL},
  {762,3,5,1,&joseki_variations[4280],NULL},
  {833,3,3,1,&joseki_variations[4260],NULL},
  {834,3,4,1,&joseki_variations[4261],NULL},
  {835,3,8,1,&joseki_variations[4262],NULL},
  {870,0,4,1,&joseki_variations[4263],NULL},
  {871,0,6,1,&joseki_variations[4264],NULL},
  {872,0,11,1,&joseki_variations[4265],NULL},
  {688,0,1,1,&joseki_variations[4266],NULL},
  {725,3,4,1,&joseki_variations[4267],NULL},
  {762,3,7,1,&joseki_variations[4268],NULL},
  {799,3,9,1,&joseki_variations[4269],NULL},
  {836,0,13,1,&joseki_variations[4270],NULL},
  {726,3,5,1,&joseki_variations[4271],NULL},
  {763,3,9,1,&joseki_variations[4272],NULL},
  {800,0,12,1,&joseki_variations[4273],NULL},
  {837,0,17,1,&joseki_variations[4274],NULL},
  {727,3,6,1,&joseki_variations[4275],NULL},
  {764,0,11,1,&joseki_variations[4276],NULL},
  {801,3,15,1,&joseki_variations[4277],NULL},
  {728,3,7,1,&joseki_variations[4278],NULL},
  {765,0,13,1,&joseki_variations[4279],NULL},
  {721,3,1,0,NULL,&joseki[390]},
  {799,3,7,1,&joseki_variations[4281],NULL},
  {763,3,6,1,&joseki_variations[4282],NULL},
  {800,0,9,1,&joseki_variations[4283],NULL},
  {764,3,7,1,&joseki_variations[4284],NULL},
  {801,3,11,1,&joseki_variations[4285],NULL},
  {833,3,3,1,&joseki_variations[4286],NULL},
  {834,3,4,1,&joseki_variations[4287],NULL},
  {835,3,8,1,&joseki_variations[4288],NULL},
  {836,0,11,1,&joseki_variations[4289],NULL},
  {837,0,14,1,&joseki_variations[4290],NULL},
  {870,0,4,1,&joseki_variations[4291],NULL},
  {871,0,6,1,&joseki_variations[4292],NULL},
  {872,0,11,1,&joseki_variations[4293],NULL},
  {721,3,1,0,NULL,&joseki[284]},
  {759,3,2,2,&joseki_variations[4352],NULL},
  {758,0,1,1,&joseki_variations[4296],NULL},
  {759,3,3,2,&joseki_variations[4297],NULL},
  {761,3,5,1,&joseki_variations[4334],NULL},
  {760,3,4,1,&joseki_variations[4299],NULL},
  {761,3,6,1,&joseki_variations[4300],NULL},
  {762,0,7,1,&joseki_variations[4301],NULL},
  {763,0,8,1,&joseki_variations[4302],NULL},
  {764,0,9,2,&joseki_variations[4303],NULL},
  {796,0,4,1,&joseki_variations[4320],NULL},
  {795,0,2,1,&joseki_variations[4305],NULL},
  {796,0,5,1,&joseki_variations[4306],NULL},
  {797,3,7,1,&joseki_variations[4307],NULL},
  {798,3,10,1,&joseki_variations[4308],NULL},
  {799,0,12,1,&joseki_variations[4309],NULL},
  {800,3,14,1,&joseki_variations[4310],NULL},
  {801,0,16,1,&joseki_variations[4311],NULL},
  {833,0,6,1,&joseki_variations[4312],NULL},
  {834,0,9,1,&joseki_variations[4313],NULL},
  {835,0,13,1,&joseki_variations[4314],NULL},
  {836,3,16,1,&joseki_variations[4315],NULL},
  {837,3,19,1,&joseki_variations[4316],NULL},
  {870,3,7,1,&joseki_variations[4317],NULL},
  {871,3,11,1,&joseki_variations[4318],NULL},
  {872,3,16,1,&joseki_variations[4319],NULL},
  {721,3,1,0,NULL,&joseki[267]},
  {797,3,6,1,&joseki_variations[4321],NULL},
  {798,3,9,1,&joseki_variations[4322],NULL},
  {799,0,11,1,&joseki_variations[4323],NULL},
  {800,3,13,1,&joseki_variations[4324],NULL},
  {801,0,15,1,&joseki_variations[4325],NULL},
  {833,0,5,1,&joseki_variations[4326],NULL},
  {834,0,8,1,&joseki_variations[4327],NULL},
  {835,0,12,1,&joseki_variations[4328],NULL},
  {836,3,15,1,&joseki_variations[4329],NULL},
  {837,3,18,1,&joseki_variations[4330],NULL},
  {870,3,6,1,&joseki_variations[4331],NULL},
  {871,3,10,1,&joseki_variations[4332],NULL},
  {872,3,15,1,&joseki_variations[4333],NULL},
  {795,0,2,0,NULL,&joseki[266]},
  {762,0,6,1,&joseki_variations[4335],NULL},
  {763,0,7,1,&joseki_variations[4336],NULL},
  {764,0,8,1,&joseki_variations[4337],NULL},
  {796,0,4,1,&joseki_variations[4338],NULL},
  {797,3,5,1,&joseki_variations[4339],NULL},
  {798,3,8,1,&joseki_variations[4340],NULL},
  {799,0,10,1,&joseki_variations[4341],NULL},
  {800,3,12,1,&joseki_variations[4342],NULL},
  {801,0,14,1,&joseki_variations[4343],NULL},
  {833,0,5,1,&joseki_variations[4344],NULL},
  {834,0,7,1,&joseki_variations[4345],NULL},
  {835,0,11,1,&joseki_variations[4346],NULL},
  {836,3,14,1,&joseki_variations[4347],NULL},
  {837,3,17,1,&joseki_variations[4348],NULL},
  {870,3,6,1,&joseki_variations[4349],NULL},
  {871,3,9,1,&joseki_variations[4350],NULL},
  {872,3,14,1,&joseki_variations[4351],NULL},
  {760,3,4,0,NULL,&joseki[265]},
  {761,3,4,2,&joseki_variations[4415],NULL},
  {760,0,3,1,&joseki_variations[4354],NULL},
  {761,3,5,2,&joseki_variations[4355],NULL},
  {762,0,6,1,&joseki_variations[4398],NULL},
  {725,0,3,1,&joseki_variations[4357],NULL},
  {762,0,7,1,&joseki_variations[4358],NULL},
  {763,0,8,1,&joseki_variations[4359],NULL},
  {727,0,4,1,&joseki_variations[4360],NULL},
  {764,3,10,1,&joseki_variations[4361],NULL},
  {728,0,5,1,&joseki_variations[4362],NULL},
  {765,3,12,1,&joseki_variations[4363],NULL},
  {796,0,3,2,&joseki_variations[4364],NULL},
  {798,3,7,1,&joseki_variations[4387],NULL},
  {797,3,5,1,&joseki_variations[4366],NULL},
  {798,3,8,1,&joseki_variations[4367],NULL},
  {799,0,11,1,&joseki_variations[4368],NULL},
  {800,3,13,1,&joseki_variations[4369],NULL},
  {801,0,16,2,&joseki_variations[4370],NULL},
  {834,0,6,1,&joseki_variations[4380],NULL},
  {833,0,4,1,&joseki_variations[4372],NULL},
  {834,0,7,1,&joseki_variations[4373],NULL},
  {835,0,11,1,&joseki_variations[4374],NULL},
  {836,3,15,1,&joseki_variations[4375],NULL},
  {837,3,18,1,&joseki_variations[4376],NULL},
  {870,3,5,1,&joseki_variations[4377],NULL},
  {871,3,9,1,&joseki_variations[4378],NULL},
  {872,3,14,1,&joseki_variations[4379],NULL},
  {723,3,2,0,NULL,&joseki[371]},
  {835,0,10,1,&joseki_variations[4381],NULL},
  {836,3,14,1,&joseki_variations[4382],NULL},
  {837,3,17,1,&joseki_variations[4383],NULL},
  {870,3,4,1,&joseki_variations[4384],NULL},
  {871,3,8,1,&joseki_variations[4385],NULL},
  {872,3,13,1,&joseki_variations[4386],NULL},
  {833,0,4,0,NULL,&joseki[370]},
  {799,0,10,1,&joseki_variations[4388],NULL},
  {800,3,12,1,&joseki_variations[4389],NULL},
  {801,0,15,1,&joseki_variations[4390],NULL},
  {834,0,5,1,&joseki_variations[4391],NULL},
  {835,0,9,1,&joseki_variations[4392],NULL},
  {836,3,13,1,&joseki_variations[4393],NULL},
  {837,3,16,1,&joseki_variations[4394],NULL},
  {870,3,4,1,&joseki_variations[4395],NULL},
  {871,3,7,1,&joseki_variations[4396],NULL},
  {872,3,12,1,&joseki_variations[4397],NULL},
  {797,3,5,0,NULL,&joseki[369]},
  {763,0,7,1,&joseki_variations[4399],NULL},
  {764,0,8,1,&joseki_variations[4400],NULL},
  {796,0,3,1,&joseki_variations[4401],NULL},
  {797,3,5,1,&joseki_variations[4402],NULL},
  {798,3,8,1,&joseki_variations[4403],NULL},
  {799,0,10,1,&joseki_variations[4404],NULL},
  {800,3,12,1,&joseki_variations[4405],NULL},
  {801,0,14,1,&joseki_variations[4406],NULL},
  {833,0,4,1,&joseki_variations[4407],NULL},
  {834,0,7,1,&joseki_variations[4408],NULL},
  {835,0,11,1,&joseki_variations[4409],NULL},
  {836,3,14,1,&joseki_variations[4410],NULL},
  {837,3,17,1,&joseki_variations[4411],NULL},
  {870,3,5,1,&joseki_variations[4412],NULL},
  {871,3,9,1,&joseki_variations[4413],NULL},
  {872,3,14,1,&joseki_variations[4414],NULL},
  {723,3,2,0,NULL,&joseki[271]},
  {762,0,5,1,&joseki_variations[4436],NULL},
  {725,0,3,1,&joseki_variations[4417],NULL},
  {762,0,6,1,&joseki_variations[4418],NULL},
  {763,0,7,1,&joseki_variations[4419],NULL},
  {727,0,4,1,&joseki_variations[4420],NULL},
  {764,3,9,1,&joseki_variations[4421],NULL},
  {728,0,5,1,&joseki_variations[4422],NULL},
  {765,3,11,1,&joseki_variations[4423],NULL},
  {796,0,3,1,&joseki_variations[4424],NULL},
  {798,3,6,1,&joseki_variations[4425],NULL},
  {799,0,9,1,&joseki_variations[4426],NULL},
  {800,3,11,1,&joseki_variations[4427],NULL},
  {801,0,14,1,&joseki_variations[4428],NULL},
  {834,0,4,1,&joseki_variations[4429],NULL},
  {835,0,8,1,&joseki_variations[4430],NULL},
  {836,3,12,1,&joseki_variations[4431],NULL},
  {837,3,15,1,&joseki_variations[4432],NULL},
  {870,3,4,1,&joseki_variations[4433],NULL},
  {871,3,6,1,&joseki_variations[4434],NULL},
  {872,3,11,1,&joseki_variations[4435],NULL},
  {760,0,3,0,NULL,&joseki[368]},
  {763,0,6,1,&joseki_variations[4437],NULL},
  {764,0,7,1,&joseki_variations[4438],NULL},
  {796,0,3,1,&joseki_variations[4439],NULL},
  {797,3,4,1,&joseki_variations[4440],NULL},
  {798,3,7,1,&joseki_variations[4441],NULL},
  {799,0,9,1,&joseki_variations[4442],NULL},
  {800,3,11,1,&joseki_variations[4443],NULL},
  {801,0,13,1,&joseki_variations[4444],NULL},
  {833,0,4,1,&joseki_variations[4445],NULL},
  {834,0,6,1,&joseki_variations[4446],NULL},
  {835,0,10,1,&joseki_variations[4447],NULL},
  {836,3,13,1,&joseki_variations[4448],NULL},
  {837,3,16,1,&joseki_variations[4449],NULL},
  {870,3,5,1,&joseki_variations[4450],NULL},
  {871,3,8,1,&joseki_variations[4451],NULL},
  {872,3,13,2,&joseki_variations[4452],NULL},
  {758,0,1,0,NULL,&joseki[264]},
  {760,0,3,0,NULL,&joseki[270]},
  {834,0,3,1,&joseki_variations[4491],NULL},
  {797,3,3,2,&joseki_variations[4456],NULL},
  {834,0,4,1,&joseki_variations[4475],NULL},
  {833,0,3,1,&joseki_variations[4458],NULL},
  {834,0,5,1,&joseki_variations[4459],NULL},
  {870,3,4,1,&joseki_variations[4460],NULL},
  {871,3,7,1,&joseki_variations[4461],NULL},
  {724,3,2,1,&joseki_variations[4462],NULL},
  {761,3,3,1,&joseki_variations[4463],NULL},
  {798,3,6,1,&joseki_variations[4464],NULL},
  {835,0,9,1,&joseki_variations[4465],NULL},
  {872,3,12,1,&joseki_variations[4466],NULL},
  {762,0,4,1,&joseki_variations[4467],NULL},
  {799,0,8,1,&joseki_variations[4468],NULL},
  {836,3,12,1,&joseki_variations[4469],NULL},
  {763,0,5,1,&joseki_variations[4470],NULL},
  {800,3,10,1,&joseki_variations[4471],NULL},
  {837,3,15,1,&joseki_variations[4472],NULL},
  {764,0,6,1,&joseki_variations[4473],NULL},
  {801,0,12,1,&joseki_variations[4474],NULL},
  {759,3,2,0,NULL,&joseki[263]},
  {870,3,3,1,&joseki_variations[4476],NULL},
  {871,3,6,1,&joseki_variations[4477],NULL},
  {724,3,2,1,&joseki_variations[4478],NULL},
  {761,3,3,1,&joseki_variations[4479],NULL},
  {798,3,6,1,&joseki_variations[4480],NULL},
  {835,0,8,1,&joseki_variations[4481],NULL},
  {872,3,11,1,&joseki_variations[4482],NULL},
  {762,0,4,1,&joseki_variations[4483],NULL},
  {799,0,8,1,&joseki_variations[4484],NULL},
  {836,3,11,1,&joseki_variations[4485],NULL},
  {763,0,5,1,&joseki_variations[4486],NULL},
  {800,3,10,1,&joseki_variations[4487],NULL},
  {837,3,14,1,&joseki_variations[4488],NULL},
  {764,0,6,1,&joseki_variations[4489],NULL},
  {801,0,12,1,&joseki_variations[4490],NULL},
  {833,0,3,0,NULL,&joseki[262]},
  {870,3,3,1,&joseki_variations[4492],NULL},
  {871,3,5,1,&joseki_variations[4493],NULL},
  {724,3,2,1,&joseki_variations[4494],NULL},
  {761,3,3,1,&joseki_variations[4495],NULL},
  {798,3,5,1,&joseki_variations[4496],NULL},
  {835,0,7,1,&joseki_variations[4497],NULL},
  {872,3,10,2,&joseki_variations[4498],NULL},
  {762,0,4,1,&joseki_variations[4512],NULL},
  {725,0,3,1,&joseki_variations[4500],NULL},
  {762,0,5,1,&joseki_variations[4501],NULL},
  {799,0,8,1,&joseki_variations[4502],NULL},
  {836,3,11,1,&joseki_variations[4503],NULL},
  {763,0,6,1,&joseki_variations[4504],NULL},
  {800,3,10,1,&joseki_variations[4505],NULL},
  {837,3,14,1,&joseki_variations[4506],NULL},
  {727,0,4,1,&joseki_variations[4507],NULL},
  {764,3,8,1,&joseki_variations[4508],NULL},
  {801,0,13,1,&joseki_variations[4509],NULL},
  {728,0,5,1,&joseki_variations[4510],NULL},
  {765,3,10,1,&joseki_variations[4511],NULL},
  {759,3,2,0,NULL,&joseki[367]},
  {799,0,7,1,&joseki_variations[4513],NULL},
  {836,3,10,1,&joseki_variations[4514],NULL},
  {763,0,5,1,&joseki_variations[4515],NULL},
  {800,3,9,1,&joseki_variations[4516],NULL},
  {837,3,13,1,&joseki_variations[4517],NULL},
  {764,0,6,1,&joseki_variations[4518],NULL},
  {801,0,11,1,&joseki_variations[4519],NULL},
  {797,3,3,0,NULL,&joseki[261]},
  {723,3,3,2,&joseki_variations[4543],NULL},
  {760,0,3,2,&joseki_variations[4522],NULL},
  {724,0,3,1,&joseki_variations[4531],NULL},
  {871,3,4,1,&joseki_variations[4524],NULL},
  {687,3,2,1,&joseki_variations[4525],NULL},
  {724,0,4,1,&joseki_variations[4526],NULL},
  {761,3,6,1,&joseki_variations[4527],NULL},
  {798,3,7,1,&joseki_variations[4528],NULL},
  {725,3,5,1,&joseki_variations[4529],NULL},
  {763,0,8,1,&joseki_variations[4530],NULL},
  {723,3,3,0,NULL,&joseki[648]},
  {761,3,5,1,&joseki_variations[4532],NULL},
  {798,0,6,2,&joseki_variations[4533],NULL},
  {872,0,7,1,&joseki_variations[4539],NULL},
  {871,0,4,1,&joseki_variations[4535],NULL},
  {725,3,4,1,&joseki_variations[4536],NULL},
  {799,3,8,1,&joseki_variations[4537],NULL},
  {763,3,7,1,&joseki_variations[4538],NULL},
  {835,3,7,0,NULL,&joseki[637]},
  {725,3,4,1,&joseki_variations[4540],NULL},
  {799,3,8,1,&joseki_variations[4541],NULL},
  {763,3,7,1,&joseki_variations[4542],NULL},
  {835,3,7,0,NULL,&joseki[224]},
  {725,3,4,1,&joseki_variations[4559],NULL},
  {760,0,4,1,&joseki_variations[4545],NULL},
  {724,3,4,1,&joseki_variations[4546],NULL},
  {761,3,6,1,&joseki_variations[4547],NULL},
  {798,0,7,1,&joseki_variations[4548],NULL},
  {835,0,8,2,&joseki_variations[4549],NULL},
  {872,0,9,1,&joseki_variations[4555],NULL},
  {871,0,5,1,&joseki_variations[4551],NULL},
  {725,3,5,1,&joseki_variations[4552],NULL},
  {799,3,9,1,&joseki_variations[4553],NULL},
  {763,3,8,1,&joseki_variations[4554],NULL},
  {796,0,2,0,NULL,&joseki[635]},
  {725,3,5,1,&joseki_variations[4556],NULL},
  {799,3,9,1,&joseki_variations[4557],NULL},
  {763,3,8,1,&joseki_variations[4558],NULL},
  {796,0,2,0,NULL,&joseki[222]},
  {760,0,4,1,&joseki_variations[4560],NULL},
  {761,3,5,1,&joseki_variations[4561],NULL},
  {763,3,7,1,&joseki_variations[4562],NULL},
  {798,0,6,3,&joseki_variations[4563],NULL},
  {872,0,7,1,&joseki_variations[4575],NULL},
  {835,0,7,2,&joseki_variations[4569],NULL},
  {871,0,5,1,&joseki_variations[4566],NULL},
  {799,3,8,2,&joseki_variations[4567],&joseki[632]},
  {835,0,7,0,NULL,&joseki[633]},
  {724,0,4,0,NULL,&joseki[636]},
  {872,0,8,1,&joseki_variations[4573],NULL},
  {799,3,8,1,&joseki_variations[4571],NULL},
  {871,0,5,1,&joseki_variations[4572],NULL},
  {724,3,4,0,NULL,&joseki[634]},
  {799,3,8,1,&joseki_variations[4574],NULL},
  {724,3,4,0,NULL,&joseki[221]},
  {799,3,8,2,&joseki_variations[4576],&joseki[219]},
  {835,0,7,0,NULL,&joseki[220]},
  {724,0,4,0,NULL,&joseki[223]},
  {686,0,1,1,&joseki_variations[4747],NULL},
  {723,3,2,2,&joseki_variations[4652],NULL},
  {796,3,3,2,&joseki_variations[4581],NULL},
  {870,3,4,1,&joseki_variations[4590],NULL},
  {723,3,2,1,&joseki_variations[4583],NULL},
  {760,0,4,1,&joseki_variations[4584],NULL},
  {871,0,6,1,&joseki_variations[4585],NULL},
  {945,3,7,1,&joseki_variations[4586],NULL},
  {724,3,3,1,&joseki_variations[4587],NULL},
  {763,3,6,1,&joseki_variations[4588],NULL},
  {798,0,7,1,&joseki_variations[4589],NULL},
  {834,3,6,0,NULL,&joseki[599]},
  {907,0,5,2,&joseki_variations[4591],NULL},
  {686,3,1,1,&joseki_variations[4620],NULL},
  {944,0,6,1,&joseki_variations[4593],NULL},
  {723,3,2,1,&joseki_variations[4594],NULL},
  {760,0,4,1,&joseki_variations[4595],NULL},
  {797,3,6,1,&joseki_variations[4596],NULL},
  {834,3,7,1,&joseki_variations[4597],NULL},
  {871,3,9,1,&joseki_variations[4598],NULL},
  {908,0,11,1,&joseki_variations[4599],NULL},
  {945,3,13,1,&joseki_variations[4600],NULL},
  {724,3,3,1,&joseki_variations[4601],NULL},
  {761,3,6,1,&joseki_variations[4602],NULL},
  {798,0,9,1,&joseki_variations[4603],NULL},
  {835,0,11,1,&joseki_variations[4604],NULL},
  {872,0,14,1,&joseki_variations[4605],NULL},
  {909,3,17,1,&joseki_variations[4606],NULL},
  {725,3,4,1,&joseki_variations[4607],NULL},
  {762,0,8,1,&joseki_variations[4608],NULL},
  {982,0,14,1,&joseki_variations[4609],&joseki[1073]},
  {910,3,20,2,&joseki_variations[4610],&joseki[1074]},
  {837,0,14,1,&joseki_variations[4619],&joseki[1075]},
  {763,3,9,1,&joseki_variations[4612],NULL},
  {837,0,15,1,&joseki_variations[4613],NULL},
  {874,0,19,1,&joseki_variations[4614],&joseki[1077]},
  {984,3,24,1,&joseki_variations[4615],&joseki[1078]},
  {1093,0,15,1,&joseki_variations[4616],&joseki[1079]},
  {949,3,26,1,&joseki_variations[4617],&joseki[1080]},
  {840,0,16,1,&joseki_variations[4618],&joseki[1081]},
  {766,3,10,0,NULL,&joseki[1082]},
  {763,3,9,0,NULL,&joseki[1076]},
  {797,3,5,1,&joseki_variations[4621],NULL},
  {834,3,6,1,&joseki_variations[4622],NULL},
  {871,0,8,2,&joseki_variations[4623],NULL},
  {724,0,3,1,&joseki_variations[4639],NULL},
  {687,0,2,1,&joseki_variations[4625],NULL},
  {724,0,4,1,&joseki_variations[4626],NULL},
  {761,0,6,1,&joseki_variations[4627],NULL},
  {798,0,9,1,&joseki_variations[4628],NULL},
  {835,3,11,1,&joseki_variations[4629],NULL},
  {872,0,14,1,&joseki_variations[4630],NULL},
  {762,3,7,1,&joseki_variations[4631],NULL},
  {799,3,11,1,&joseki_variations[4632],NULL},
  {836,0,14,1,&joseki_variations[4633],NULL},
  {763,3,8,1,&joseki_variations[4634],NULL},
  {800,0,13,1,&joseki_variations[4635],NULL},
  {837,0,17,1,&joseki_variations[4636],NULL},
  {764,3,9,1,&joseki_variations[4637],NULL},
  {801,3,15,1,&joseki_variations[4638],NULL},
  {685,3,1,0,NULL,&joseki[354]},
  {761,0,5,1,&joseki_variations[4640],NULL},
  {798,0,8,1,&joseki_variations[4641],NULL},
  {835,3,10,1,&joseki_variations[4642],NULL},
  {872,0,13,1,&joseki_variations[4643],NULL},
  {762,3,6,1,&joseki_variations[4644],NULL},
  {799,3,10,1,&joseki_variations[4645],NULL},
  {836,0,13,1,&joseki_variations[4646],NULL},
  {763,3,7,1,&joseki_variations[4647],NULL},
  {800,0,12,1,&joseki_variations[4648],NULL},
  {837,0,16,1,&joseki_variations[4649],NULL},
  {764,3,8,1,&joseki_variations[4650],NULL},
  {801,3,14,1,&joseki_variations[4651],NULL},
  {687,0,2,0,NULL,&joseki[353]},
  {760,0,4,2,&joseki_variations[4664],NULL},
  {760,3,4,1,&joseki_variations[4654],NULL},
  {796,0,3,1,&joseki_variations[4655],NULL},
  {797,0,6,1,&joseki_variations[4656],NULL},
  {833,3,4,1,&joseki_variations[4657],NULL},
  {834,3,8,1,&joseki_variations[4658],NULL},
  {724,0,3,1,&joseki_variations[4659],NULL},
  {761,0,6,1,&joseki_variations[4660],NULL},
  {763,0,7,1,&joseki_variations[4661],NULL},
  {798,3,9,1,&joseki_variations[4662],NULL},
  {835,3,12,1,&joseki_variations[4663],NULL},
  {982,3,9,0,NULL,&joseki[1214]},
  {797,3,5,2,&joseki_variations[4673],NULL},
  {871,0,5,1,&joseki_variations[4666],NULL},
  {761,3,5,1,&joseki_variations[4667],NULL},
  {798,0,6,1,&joseki_variations[4668],NULL},
  {725,3,3,1,&joseki_variations[4669],NULL},
  {763,3,7,1,&joseki_variations[4670],NULL},
  {799,3,8,1,&joseki_variations[4671],&joseki[609]},
  {835,0,7,1,&joseki_variations[4672],NULL},
  {685,3,1,0,NULL,&joseki[610]},
  {724,0,3,1,&joseki_variations[4726],NULL},
  {834,3,6,2,&joseki_variations[4675],NULL},
  {871,3,7,2,&joseki_variations[4701],NULL},
  {870,3,3,1,&joseki_variations[4677],NULL},
  {871,3,8,1,&joseki_variations[4678],NULL},
  {907,0,4,1,&joseki_variations[4679],NULL},
  {908,0,10,2,&joseki_variations[4680],NULL},
  {945,3,11,1,&joseki_variations[4692],NULL},
  {944,0,5,1,&joseki_variations[4682],NULL},
  {945,3,12,1,&joseki_variations[4683],NULL},
  {724,3,3,1,&joseki_variations[4684],NULL},
  {761,3,6,1,&joseki_variations[4685],NULL},
  {798,0,8,1,&joseki_variations[4686],NULL},
  {835,0,10,1,&joseki_variations[4687],NULL},
  {872,0,13,1,&joseki_variations[4688],NULL},
  {909,3,16,1,&joseki_variations[4689],NULL},
  {725,3,4,1,&joseki_variations[4690],NULL},
  {762,0,8,1,&joseki_variations[4691],NULL},
  {796,3,3,0,NULL,&joseki[1072]},
  {724,3,3,1,&joseki_variations[4693],NULL},
  {761,3,6,1,&joseki_variations[4694],NULL},
  {798,0,8,1,&joseki_variations[4695],NULL},
  {835,0,10,1,&joseki_variations[4696],NULL},
  {872,0,13,1,&joseki_variations[4697],NULL},
  {909,3,16,1,&joseki_variations[4698],NULL},
  {725,3,4,1,&joseki_variations[4699],NULL},
  {762,0,8,1,&joseki_variations[4700],NULL},
  {944,0,5,0,NULL,&joseki[1071]},
  {908,0,8,1,&joseki_variations[4714],NULL},
  {907,0,3,1,&joseki_variations[4703],NULL},
  {908,0,9,1,&joseki_variations[4704],NULL},
  {945,3,10,1,&joseki_variations[4705],NULL},
  {724,3,3,1,&joseki_variations[4706],NULL},
  {761,3,6,1,&joseki_variations[4707],NULL},
  {798,0,8,1,&joseki_variations[4708],NULL},
  {835,0,10,1,&joseki_variations[4709],NULL},
  {872,0,12,1,&joseki_variations[4710],NULL},
  {909,3,15,1,&joseki_variations[4711],NULL},
  {725,3,4,1,&joseki_variations[4712],NULL},
  {762,0,8,1,&joseki_variations[4713],NULL},
  {870,3,3,0,NULL,&joseki[1070]},
  {945,3,9,1,&joseki_variations[4715],NULL},
  {724,3,3,1,&joseki_variations[4716],NULL},
  {761,3,6,1,&joseki_variations[4717],NULL},
  {798,0,8,1,&joseki_variations[4718],NULL},
  {835,0,10,1,&joseki_variations[4719],NULL},
  {872,0,12,1,&joseki_variations[4720],NULL},
  {909,3,14,2,&joseki_variations[4721],NULL},
  {762,0,7,1,&joseki_variations[4725],NULL},
  {725,3,4,1,&joseki_variations[4723],NULL},
  {762,0,8,1,&joseki_variations[4724],NULL},
  {907,0,3,0,NULL,&joseki[1069]},
  {725,3,4,0,NULL,&joseki[1068]},
  {761,3,6,1,&joseki_variations[4727],NULL},
  {798,0,8,4,&joseki_variations[4728],NULL},
  {872,0,9,1,&joseki_variations[4744],NULL},
  {835,3,9,1,&joseki_variations[4740],NULL},
  {834,0,6,1,&joseki_variations[4735],NULL},
  {871,0,6,1,&joseki_variations[4732],NULL},
  {762,3,7,1,&joseki_variations[4733],NULL},
  {763,3,8,1,&joseki_variations[4734],NULL},
  {835,3,9,0,NULL,&joseki[643]},
  {835,3,10,1,&joseki_variations[4736],NULL},
  {872,0,11,1,&joseki_variations[4737],NULL},
  {762,3,7,1,&joseki_variations[4738],NULL},
  {763,3,8,1,&joseki_variations[4739],NULL},
  {799,3,10,0,NULL,&joseki[232]},
  {872,0,10,1,&joseki_variations[4741],NULL},
  {762,3,7,1,&joseki_variations[4742],NULL},
  {763,3,8,1,&joseki_variations[4743],NULL},
  {834,0,6,0,NULL,&joseki[231]},
  {762,3,7,1,&joseki_variations[4745],NULL},
  {763,3,8,1,&joseki_variations[4746],NULL},
  {835,3,9,0,NULL,&joseki[230]},
  {723,3,3,1,&joseki_variations[4748],NULL},
  {725,3,4,1,&joseki_variations[4749],NULL},
  {760,0,5,1,&joseki_variations[4750],NULL},
  {761,3,6,1,&joseki_variations[4751],NULL},
  {763,3,8,1,&joseki_variations[4752],NULL},
  {798,0,7,2,&joseki_variations[4753],NULL},
  {872,0,8,1,&joseki_variations[4757],NULL},
  {799,3,9,1,&joseki_variations[4755],NULL},
  {871,0,6,1,&joseki_variations[4756],NULL},
  {835,3,8,0,NULL,&joseki[611]},
  {799,3,9,1,&joseki_variations[4758],NULL},
  {835,3,8,0,NULL,&joseki[197]},
  {725,3,3,2,&joseki_variations[5026],NULL},
  {760,0,3,4,&joseki_variations[4944],NULL},
  {724,3,3,2,&joseki_variations[4788],NULL},
  {724,0,3,1,&joseki_variations[4763],NULL},
  {759,3,2,1,&joseki_variations[4764],NULL},
  {760,0,4,1,&joseki_variations[4765],NULL},
  {761,0,6,1,&joseki_variations[4766],NULL},
  {796,3,3,1,&joseki_variations[4767],NULL},
  {798,0,8,1,&joseki_variations[4768],NULL},
  {834,3,6,1,&joseki_variations[4769],NULL},
  {835,3,10,1,&joseki_variations[4770],NULL},
  {870,0,4,1,&joseki_variations[4771],NULL},
  {871,0,8,1,&joseki_variations[4772],NULL},
  {872,0,13,1,&joseki_variations[4773],NULL},
  {688,0,1,1,&joseki_variations[4774],NULL},
  {725,3,5,1,&joseki_variations[4775],NULL},
  {762,3,9,1,&joseki_variations[4776],NULL},
  {799,3,12,1,&joseki_variations[4777],NULL},
  {836,0,15,1,&joseki_variations[4778],NULL},
  {726,3,6,1,&joseki_variations[4779],NULL},
  {763,3,11,1,&joseki_variations[4780],NULL},
  {800,0,15,1,&joseki_variations[4781],NULL},
  {837,0,19,1,&joseki_variations[4782],NULL},
  {727,3,7,1,&joseki_variations[4783],NULL},
  {764,0,13,1,&joseki_variations[4784],NULL},
  {801,3,18,1,&joseki_variations[4785],NULL},
  {728,3,8,1,&joseki_variations[4786],NULL},
  {765,0,15,1,&joseki_variations[4787],NULL},
  {721,3,1,0,NULL,&joseki[382]},
  {759,3,2,1,&joseki_variations[4903],NULL},
  {758,0,1,2,&joseki_variations[4790],NULL},
  {759,3,3,2,&joseki_variations[4816],NULL},
  {725,0,4,1,&joseki_variations[4792],NULL},
  {727,0,5,1,&joseki_variations[4793],NULL},
  {728,0,6,1,&joseki_variations[4794],NULL},
  {760,0,4,1,&joseki_variations[4795],NULL},
  {761,3,6,1,&joseki_variations[4796],NULL},
  {762,0,8,1,&joseki_variations[4797],NULL},
  {763,0,9,1,&joseki_variations[4798],NULL},
  {764,3,11,1,&joseki_variations[4799],NULL},
  {765,3,13,1,&joseki_variations[4800],NULL},
  {796,0,3,1,&joseki_variations[4801],NULL},
  {797,3,6,1,&joseki_variations[4802],NULL},
  {798,3,9,1,&joseki_variations[4803],NULL},
  {799,0,12,1,&joseki_variations[4804],NULL},
  {800,3,14,1,&joseki_variations[4805],NULL},
  {801,0,17,1,&joseki_variations[4806],NULL},
  {832,3,2,1,&joseki_variations[4807],NULL},
  {833,0,5,1,&joseki_variations[4808],NULL},
  {834,0,9,1,&joseki_variations[4809],NULL},
  {835,0,13,1,&joseki_variations[4810],NULL},
  {836,3,17,1,&joseki_variations[4811],NULL},
  {837,3,20,1,&joseki_variations[4812],NULL},
  {870,3,6,1,&joseki_variations[4813],NULL},
  {871,3,11,1,&joseki_variations[4814],NULL},
  {872,3,16,1,&joseki_variations[4815],NULL},
  {688,3,1,0,NULL,&joseki[375]},
  {761,3,6,2,&joseki_variations[4853],NULL},
  {760,3,5,1,&joseki_variations[4818],NULL},
  {761,3,7,1,&joseki_variations[4819],NULL},
  {762,0,8,1,&joseki_variations[4820],NULL},
  {763,0,9,1,&joseki_variations[4821],NULL},
  {764,0,10,2,&joseki_variations[4822],NULL},
  {796,0,4,1,&joseki_variations[4839],NULL},
  {795,0,2,1,&joseki_variations[4824],NULL},
  {796,0,5,1,&joseki_variations[4825],NULL},
  {797,3,8,1,&joseki_variations[4826],NULL},
  {798,3,11,1,&joseki_variations[4827],NULL},
  {799,0,13,1,&joseki_variations[4828],NULL},
  {800,3,15,1,&joseki_variations[4829],NULL},
  {801,0,17,1,&joseki_variations[4830],NULL},
  {833,0,6,1,&joseki_variations[4831],NULL},
  {834,0,10,1,&joseki_variations[4832],NULL},
  {835,0,14,1,&joseki_variations[4833],NULL},
  {836,3,17,1,&joseki_variations[4834],NULL},
  {837,3,20,1,&joseki_variations[4835],NULL},
  {870,3,7,1,&joseki_variations[4836],NULL},
  {871,3,12,1,&joseki_variations[4837],NULL},
  {872,3,17,1,&joseki_variations[4838],NULL},
  {685,3,1,0,NULL,&joseki[275]},
  {797,3,7,1,&joseki_variations[4840],NULL},
  {798,3,10,1,&joseki_variations[4841],NULL},
  {799,0,12,1,&joseki_variations[4842],NULL},
  {800,3,14,1,&joseki_variations[4843],NULL},
  {801,0,16,1,&joseki_variations[4844],NULL},
  {833,0,5,1,&joseki_variations[4845],NULL},
  {834,0,9,1,&joseki_variations[4846],NULL},
  {835,0,13,1,&joseki_variations[4847],NULL},
  {836,3,16,1,&joseki_variations[4848],NULL},
  {837,3,19,1,&joseki_variations[4849],NULL},
  {870,3,6,1,&joseki_variations[4850],NULL},
  {871,3,11,1,&joseki_variations[4851],NULL},
  {872,3,16,1,&joseki_variations[4852],NULL},
  {795,0,2,0,NULL,&joseki[274]},
  {762,0,7,1,&joseki_variations[4886],NULL},
  {725,0,4,1,&joseki_variations[4855],NULL},
  {762,0,8,1,&joseki_variations[4856],NULL},
  {763,0,9,1,&joseki_variations[4857],NULL},
  {727,0,5,1,&joseki_variations[4858],NULL},
  {764,3,11,1,&joseki_variations[4859],NULL},
  {728,0,6,1,&joseki_variations[4860],NULL},
  {765,3,13,1,&joseki_variations[4861],NULL},
  {796,0,4,1,&joseki_variations[4862],NULL},
  {797,3,6,1,&joseki_variations[4863],NULL},
  {798,3,9,1,&joseki_variations[4864],NULL},
  {799,0,12,1,&joseki_variations[4865],NULL},
  {800,3,14,1,&joseki_variations[4866],NULL},
  {801,0,17,2,&joseki_variations[4867],NULL},
  {833,0,5,1,&joseki_variations[4878],NULL},
  {832,3,2,1,&joseki_variations[4869],NULL},
  {833,0,6,1,&joseki_variations[4870],NULL},
  {834,0,9,1,&joseki_variations[4871],NULL},
  {835,0,13,1,&joseki_variations[4872],NULL},
  {836,3,17,1,&joseki_variations[4873],NULL},
  {837,3,20,1,&joseki_variations[4874],NULL},
  {870,3,7,1,&joseki_variations[4875],NULL},
  {871,3,11,1,&joseki_variations[4876],NULL},
  {872,3,16,1,&joseki_variations[4877],NULL},
  {760,0,5,0,NULL,&joseki[374]},
  {834,0,8,1,&joseki_variations[4879],NULL},
  {835,0,12,1,&joseki_variations[4880],NULL},
  {836,3,16,1,&joseki_variations[4881],NULL},
  {837,3,19,1,&joseki_variations[4882],NULL},
  {870,3,6,1,&joseki_variations[4883],NULL},
  {871,3,10,1,&joseki_variations[4884],NULL},
  {872,3,15,1,&joseki_variations[4885],NULL},
  {832,3,2,0,NULL,&joseki[373]},
  {763,0,8,1,&joseki_variations[4887],NULL},
  {764,0,9,1,&joseki_variations[4888],NULL},
  {796,0,4,1,&joseki_variations[4889],NULL},
  {797,3,6,1,&joseki_variations[4890],NULL},
  {798,3,9,1,&joseki_variations[4891],NULL},
  {799,0,11,1,&joseki_variations[4892],NULL},
  {800,3,13,1,&joseki_variations[4893],NULL},
  {801,0,15,1,&joseki_variations[4894],NULL},
  {833,0,5,1,&joseki_variations[4895],NULL},
  {834,0,8,1,&joseki_variations[4896],NULL},
  {835,0,12,1,&joseki_variations[4897],NULL},
  {836,3,15,1,&joseki_variations[4898],NULL},
  {837,3,18,1,&joseki_variations[4899],NULL},
  {870,3,6,1,&joseki_variations[4900],NULL},
  {871,3,10,1,&joseki_variations[4901],NULL},
  {872,3,15,1,&joseki_variations[4902],NULL},
  {760,3,5,0,NULL,&joseki[273]},
  {761,3,5,2,&joseki_variations[4904],NULL},
  {762,0,6,1,&joseki_variations[4927],NULL},
  {725,0,4,1,&joseki_variations[4906],NULL},
  {762,0,7,1,&joseki_variations[4907],NULL},
  {763,0,8,1,&joseki_variations[4908],NULL},
  {727,0,5,1,&joseki_variations[4909],NULL},
  {764,3,10,1,&joseki_variations[4910],NULL},
  {728,0,6,1,&joseki_variations[4911],NULL},
  {765,3,12,1,&joseki_variations[4912],NULL},
  {796,0,3,1,&joseki_variations[4913],NULL},
  {797,3,5,1,&joseki_variations[4914],NULL},
  {798,3,8,1,&joseki_variations[4915],NULL},
  {799,0,11,1,&joseki_variations[4916],NULL},
  {800,3,13,1,&joseki_variations[4917],NULL},
  {801,0,16,1,&joseki_variations[4918],NULL},
  {833,0,4,1,&joseki_variations[4919],NULL},
  {834,0,7,1,&joseki_variations[4920],NULL},
  {835,0,11,1,&joseki_variations[4921],NULL},
  {836,3,15,1,&joseki_variations[4922],NULL},
  {837,3,18,1,&joseki_variations[4923],NULL},
  {870,3,5,1,&joseki_variations[4924],NULL},
  {871,3,9,1,&joseki_variations[4925],NULL},
  {872,3,14,1,&joseki_variations[4926],NULL},
  {758,0,1,0,NULL,&joseki[372]},
  {763,0,7,1,&joseki_variations[4928],NULL},
  {764,0,8,1,&joseki_variations[4929],NULL},
  {796,0,3,1,&joseki_variations[4930],NULL},
  {797,3,5,1,&joseki_variations[4931],NULL},
  {798,3,8,1,&joseki_variations[4932],NULL},
  {799,0,10,1,&joseki_variations[4933],NULL},
  {800,3,12,1,&joseki_variations[4934],NULL},
  {801,0,14,1,&joseki_variations[4935],NULL},
  {833,0,4,1,&joseki_variations[4936],NULL},
  {834,0,7,1,&joseki_variations[4937],NULL},
  {835,0,11,1,&joseki_variations[4938],NULL},
  {836,3,14,1,&joseki_variations[4939],NULL},
  {837,3,17,1,&joseki_variations[4940],NULL},
  {870,3,5,1,&joseki_variations[4941],NULL},
  {871,3,9,1,&joseki_variations[4942],NULL},
  {872,3,14,1,&joseki_variations[4943],NULL},
  {758,0,1,0,NULL,&joseki[272]},
  {761,3,4,3,&joseki_variations[5008],NULL},
  {724,0,3,1,&joseki_variations[4994],NULL},
  {871,0,4,2,&joseki_variations[4983],NULL},
  {797,0,4,2,&joseki_variations[4948],NULL},
  {724,3,3,1,&joseki_variations[4961],NULL},
  {834,3,5,2,&joseki_variations[4950],NULL},
  {761,3,4,1,&joseki_variations[4957],NULL},
  {724,3,3,1,&joseki_variations[4952],NULL},
  {761,3,5,1,&joseki_variations[4953],NULL},
  {798,3,7,1,&joseki_variations[4954],NULL},
  {800,0,8,1,&joseki_variations[4955],NULL},
  {835,0,9,1,&joseki_variations[4956],NULL},
  {833,0,2,0,NULL,&joseki[1487]},
  {798,3,6,1,&joseki_variations[4958],NULL},
  {800,0,7,1,&joseki_variations[4959],NULL},
  {835,0,8,1,&joseki_variations[4960],NULL},
  {724,3,3,0,NULL,&joseki[1486]},
  {761,3,5,2,&joseki_variations[4962],NULL},
  {798,0,7,1,&joseki_variations[4975],NULL},
  {798,3,7,1,&joseki_variations[4964],NULL},
  {800,0,8,1,&joseki_variations[4965],NULL},
  {833,0,2,1,&joseki_variations[4966],NULL},
  {834,3,6,1,&joseki_variations[4967],NULL},
  {835,0,10,2,&joseki_variations[4968],NULL},
  {871,3,7,1,&joseki_variations[4974],&joseki[1488]},
  {870,0,3,1,&joseki_variations[4970],NULL},
  {871,3,8,1,&joseki_variations[4971],NULL},
  {908,3,9,1,&joseki_variations[4972],&joseki[1490]},
  {836,0,11,1,&joseki_variations[4973],&joseki[1491]},
  {685,3,1,0,NULL,&joseki[1492]},
  {870,0,3,0,NULL,&joseki[1489]},
  {872,0,8,1,&joseki_variations[4976],NULL},
  {762,0,6,1,&joseki_variations[4977],NULL},
  {799,3,9,1,&joseki_variations[4978],NULL},
  {836,0,10,1,&joseki_variations[4979],NULL},
  {800,3,10,1,&joseki_variations[4980],NULL},
  {801,3,11,2,&joseki_variations[4981],NULL},
  {725,3,4,0,NULL,&joseki[934]},
  {685,3,1,0,NULL,&joseki[935]},
  {945,3,5,1,&joseki_variations[4990],NULL},
  {724,0,3,1,&joseki_variations[4985],NULL},
  {761,3,5,1,&joseki_variations[4986],NULL},
  {798,0,6,1,&joseki_variations[4987],NULL},
  {762,3,6,1,&joseki_variations[4988],NULL},
  {763,3,7,1,&joseki_variations[4989],NULL},
  {797,3,4,0,NULL,&joseki[641]},
  {724,3,3,1,&joseki_variations[4991],NULL},
  {763,3,5,1,&joseki_variations[4992],NULL},
  {798,0,5,1,&joseki_variations[4993],NULL},
  {796,3,2,0,NULL,&joseki[598]},
  {761,3,5,2,&joseki_variations[4995],NULL},
  {798,0,6,1,&joseki_variations[5004],NULL},
  {762,3,6,1,&joseki_variations[4997],NULL},
  {763,3,7,1,&joseki_variations[4998],NULL},
  {797,3,4,1,&joseki_variations[4999],NULL},
  {798,0,7,2,&joseki_variations[5000],NULL},
  {872,0,8,1,&joseki_variations[5003],NULL},
  {871,0,5,1,&joseki_variations[5002],NULL},
  {759,0,2,0,NULL,&joseki[642]},
  {759,0,2,0,NULL,&joseki[229]},
  {872,0,7,1,&joseki_variations[5005],NULL},
  {762,3,6,1,&joseki_variations[5006],NULL},
  {763,3,7,1,&joseki_variations[5007],NULL},
  {797,3,4,0,NULL,&joseki[228]},
  {763,3,5,1,&joseki_variations[5024],NULL},
  {763,0,5,1,&joseki_variations[5017],NULL},
  {762,3,5,1,&joseki_variations[5011],NULL},
  {797,0,4,1,&joseki_variations[5012],NULL},
  {798,0,6,1,&joseki_variations[5013],NULL},
  {801,3,8,1,&joseki_variations[5014],NULL},
  {872,0,7,2,&joseki_variations[5015],NULL},
  {768,3,6,0,NULL,&joseki[910]},
  {1019,0,5,0,NULL,&joseki[911]},
  {797,0,4,1,&joseki_variations[5018],NULL},
  {798,3,6,1,&joseki_variations[5019],NULL},
  {800,3,8,1,&joseki_variations[5020],NULL},
  {835,0,7,1,&joseki_variations[5021],NULL},
  {836,3,8,1,&joseki_variations[5022],NULL},
  {872,0,8,1,&joseki_variations[5023],NULL},
  {724,3,3,0,NULL,&joseki[681]},
  {798,0,5,1,&joseki_variations[5025],NULL},
  {725,3,3,0,NULL,&joseki[217]},
  {760,0,3,2,&joseki_variations[5038],NULL},
  {759,0,2,1,&joseki_variations[5028],NULL},
  {760,0,4,1,&joseki_variations[5029],NULL},
  {761,3,5,1,&joseki_variations[5030],NULL},
  {763,3,7,1,&joseki_variations[5031],NULL},
  {798,0,6,2,&joseki_variations[5032],NULL},
  {872,0,7,1,&joseki_variations[5037],NULL},
  {835,0,7,1,&joseki_variations[5034],NULL},
  {872,0,8,1,&joseki_variations[5035],NULL},
  {799,3,8,1,&joseki_variations[5036],NULL},
  {685,3,1,0,NULL,&joseki[196]},
  {799,3,8,0,NULL,&joseki[195]},
  {797,0,4,1,&joseki_variations[5046],NULL},
  {761,3,4,1,&joseki_variations[5040],NULL},
  {763,3,6,1,&joseki_variations[5041],NULL},
  {798,0,5,2,&joseki_variations[5042],NULL},
  {872,0,6,1,&joseki_variations[5045],NULL},
  {871,0,4,1,&joseki_variations[5044],NULL},
  {686,0,1,0,NULL,&joseki[631]},
  {686,0,1,0,NULL,&joseki[218]},
  {761,3,4,1,&joseki_variations[5047],NULL},
  {763,3,6,1,&joseki_variations[5048],NULL},
  {798,0,6,2,&joseki_variations[5049],NULL},
  {872,0,7,1,&joseki_variations[5052],NULL},
  {871,0,5,1,&joseki_variations[5051],NULL},
  {685,3,1,0,NULL,&joseki[607]},
  {685,3,1,0,NULL,&joseki[192]},
  {759,3,2,1,&joseki_variations[5054],NULL},
  {760,0,3,2,&joseki_variations[5055],NULL},
  {797,3,4,1,&joseki_variations[5067],NULL},
  {727,3,3,1,&joseki_variations[5057],NULL},
  {761,0,4,1,&joseki_variations[5058],NULL},
  {762,0,5,1,&joseki_variations[5059],NULL},
  {763,0,7,1,&joseki_variations[5060],NULL},
  {764,3,9,1,&joseki_variations[5061],NULL},
  {796,3,3,1,&joseki_variations[5062],NULL},
  {797,3,5,1,&joseki_variations[5063],NULL},
  {798,3,7,1,&joseki_variations[5064],NULL},
  {800,3,11,1,&joseki_variations[5065],NULL},
  {804,3,14,1,&joseki_variations[5066],NULL},
  {721,3,1,0,NULL,&joseki[792]},
  {761,0,4,1,&joseki_variations[5068],NULL},
  {798,3,6,1,&joseki_variations[5069],NULL},
  {872,3,7,1,&joseki_variations[5070],NULL},
  {762,3,5,1,&joseki_variations[5071],NULL},
  {799,0,8,1,&joseki_variations[5072],NULL},
  {763,0,7,1,&joseki_variations[5073],NULL},
  {800,0,11,1,&joseki_variations[5074],NULL},
  {837,0,12,1,&joseki_variations[5075],NULL},
  {874,3,14,1,&joseki_variations[5076],NULL},
  {911,3,15,1,&joseki_variations[5077],NULL},
  {801,3,12,1,&joseki_variations[5078],NULL},
  {838,3,14,1,&joseki_variations[5079],NULL},
  {875,0,17,1,&joseki_variations[5080],NULL},
  {912,0,19,1,&joseki_variations[5081],NULL},
  {765,3,8,1,&joseki_variations[5082],NULL},
  {802,3,14,1,&joseki_variations[5083],NULL},
  {839,0,17,1,&joseki_variations[5084],NULL},
  {876,3,21,1,&joseki_variations[5085],NULL},
  {766,3,9,1,&joseki_variations[5086],NULL},
  {803,0,16,1,&joseki_variations[5087],NULL},
  {840,0,20,1,&joseki_variations[5088],NULL},
  {767,3,10,1,&joseki_variations[5089],NULL},
  {804,0,18,1,&joseki_variations[5090],NULL},
  {805,0,19,1,&joseki_variations[5091],NULL},
  {949,3,20,1,&joseki_variations[5092],&joseki[82]},
  {913,0,24,2,&joseki_variations[5093],&joseki[83]},
  {951,3,29,1,&joseki_variations[5098],&joseki[84]},
  {914,0,28,1,&joseki_variations[5095],NULL},
  {951,3,30,1,&joseki_variations[5096],NULL},
  {769,3,11,1,&joseki_variations[5097],NULL},
  {915,3,31,0,NULL,&joseki[86]},
  {914,0,28,0,NULL,&joseki[85]},
  {872,0,2,3,&joseki_variations[5293],NULL},
  {762,3,1,2,&joseki_variations[5253],NULL},
  {725,3,1,3,&joseki_variations[5218],NULL},
  {762,0,1,3,&joseki_variations[5141],NULL},
  {764,3,1,1,&joseki_variations[5132],NULL},
  {764,0,1,2,&joseki_variations[5123],NULL},
  {800,3,2,3,&joseki_variations[5113],NULL},
  {799,3,2,1,&joseki_variations[5112],NULL},
  {801,3,2,1,&joseki_variations[5108],&joseki[890]},
  {872,0,2,2,&joseki_variations[5109],&joseki[891]},
  {761,3,1,0,NULL,&joseki[892]},
  {768,3,1,1,&joseki_variations[5111],&joseki[974]},
  {1019,0,1,0,NULL,&joseki[975]},
  {835,0,2,0,NULL,&joseki[888]},
  {872,0,2,0,NULL,&joseki[793]},
  {872,3,2,3,&joseki_variations[5119],&joseki[806]},
  {871,0,1,3,&joseki_variations[5116],&joseki[819]},
  {761,3,1,0,NULL,&joseki[820]},
  {804,3,3,0,NULL,&joseki[825]},
  {763,0,1,0,NULL,&joseki[826]},
  {836,0,2,1,&joseki_variations[5122],&joseki[807]},
  {797,0,1,0,NULL,&joseki[814]},
  {760,0,1,0,NULL,&joseki[817]},
  {760,3,1,0,NULL,&joseki[808]},
  {804,0,3,5,&joseki_variations[5127],NULL},
  {799,3,2,1,&joseki_variations[5125],NULL},
  {804,0,4,1,&joseki_variations[5126],NULL},
  {761,0,1,0,NULL,&joseki[758]},
  {725,3,1,0,NULL,&joseki[751]},
  {763,3,1,0,NULL,&joseki[755]},
  {799,3,2,0,NULL,&joseki[757]},
  {761,3,1,0,NULL,&joseki[759]},
  {760,3,1,0,NULL,&joseki[770]},
  {804,0,3,6,&joseki_variations[5133],NULL},
  {762,0,1,0,NULL,&joseki[745]},
  {871,0,1,0,NULL,&joseki[746]},
  {908,0,1,0,NULL,&joseki[747]},
  {872,0,2,0,NULL,&joseki[748]},
  {1020,0,2,1,&joseki_variations[5139],NULL},
  {909,0,2,0,NULL,&joseki[750]},
  {1026,0,5,1,&joseki_variations[5140],NULL},
  {838,0,3,0,NULL,&joseki[749]},
  {763,3,2,6,&joseki_variations[5182],NULL},
  {799,0,3,3,&joseki_variations[5148],NULL},
  {871,0,1,1,&joseki_variations[5144],NULL},
  {763,0,2,1,&joseki_variations[5145],NULL},
  {800,3,4,1,&joseki_variations[5146],NULL},
  {764,3,3,1,&joseki_variations[5147],NULL},
  {801,3,6,0,NULL,&joseki[829]},
  {726,0,1,1,&joseki_variations[5169],NULL},
  {763,3,2,1,&joseki_variations[5161],NULL},
  {726,3,1,1,&joseki_variations[5151],NULL},
  {763,3,3,1,&joseki_variations[5152],NULL},
  {800,0,6,1,&joseki_variations[5153],NULL},
  {837,3,7,1,&joseki_variations[5154],NULL},
  {801,3,7,1,&joseki_variations[5155],NULL},
  {838,0,9,1,&joseki_variations[5156],&joseki[536]},
  {802,3,8,1,&joseki_variations[5157],&joseki[537]},
  {874,0,8,1,&joseki_variations[5158],&joseki[538]},
  {839,3,11,1,&joseki_variations[5159],&joseki[539]},
  {875,0,11,1,&joseki_variations[5160],&joseki[540]},
  {725,3,1,0,NULL,&joseki[541]},
  {800,0,5,1,&joseki_variations[5162],NULL},
  {837,3,6,2,&joseki_variations[5163],NULL},
  {801,3,6,2,&joseki_variations[5167],NULL},
  {764,3,3,1,&joseki_variations[5165],NULL},
  {801,3,7,1,&joseki_variations[5166],NULL},
  {872,0,2,0,NULL,&joseki[526]},
  {764,3,3,0,NULL,&joseki[525]},
  {726,3,1,0,NULL,&joseki[535]},
  {800,0,5,1,&joseki_variations[5170],NULL},
  {837,3,6,2,&joseki_variations[5171],NULL},
  {764,0,3,1,&joseki_variations[5178],NULL},
  {727,3,2,1,&joseki_variations[5173],NULL},
  {764,0,4,1,&joseki_variations[5174],NULL},
  {801,3,8,1,&joseki_variations[5175],NULL},
  {838,3,10,1,&joseki_variations[5176],NULL},
  {765,3,5,1,&joseki_variations[5177],NULL},
  {872,0,2,0,NULL,&joseki[524]},
  {801,3,7,1,&joseki_variations[5179],NULL},
  {838,3,9,1,&joseki_variations[5180],NULL},
  {765,3,4,1,&joseki_variations[5181],NULL},
  {727,3,2,0,NULL,&joseki[523]},
  {800,0,4,1,&joseki_variations[5215],NULL},
  {799,0,3,1,&joseki_variations[5204],NULL},
  {799,3,3,1,&joseki_variations[5199],NULL},
  {800,3,4,3,&joseki_variations[5191],&joseki[734]},
  {804,0,4,1,&joseki_variations[5189],NULL},
  {836,3,3,1,&joseki_variations[5188],NULL},
  {800,0,4,0,NULL,&joseki[742]},
  {836,3,3,1,&joseki_variations[5190],NULL},
  {835,0,2,0,NULL,&joseki[741]},
  {804,0,5,1,&joseki_variations[5198],NULL},
  {835,3,2,0,NULL,&joseki[737]},
  {834,0,1,1,&joseki_variations[5194],NULL},
  {835,3,3,1,&joseki_variations[5195],NULL},
  {871,0,2,1,&joseki_variations[5196],NULL},
  {872,3,5,1,&joseki_variations[5197],NULL},
  {797,3,1,0,NULL,&joseki[738]},
  {872,0,2,0,NULL,&joseki[735]},
  {836,3,4,1,&joseki_variations[5200],NULL},
  {800,0,5,3,&joseki_variations[5201],NULL},
  {761,0,1,0,NULL,&joseki[566]},
  {725,0,1,0,NULL,&joseki[571]},
  {801,0,6,0,NULL,&joseki[572]},
  {800,0,5,1,&joseki_variations[5205],NULL},
  {837,3,6,2,&joseki_variations[5206],NULL},
  {801,3,6,1,&joseki_variations[5212],NULL},
  {764,0,3,1,&joseki_variations[5208],NULL},
  {801,3,7,1,&joseki_variations[5209],NULL},
  {838,3,9,1,&joseki_variations[5210],NULL},
  {765,3,4,1,&joseki_variations[5211],&joseki[521]},
  {726,0,1,0,NULL,&joseki[522]},
  {838,3,8,2,&joseki_variations[5213],&joseki[518]},
  {872,0,2,0,NULL,&joseki[519]},
  {764,0,3,0,NULL,&joseki[520]},
  {801,3,5,1,&joseki_variations[5216],NULL},
  {837,3,5,1,&joseki_variations[5217],&joseki[516]},
  {799,0,3,0,NULL,&joseki[517]},
  {763,3,2,1,&joseki_variations[5248],NULL},
  {762,0,2,3,&joseki_variations[5223],NULL},
  {764,0,2,1,&joseki_variations[5221],NULL},
  {804,0,4,1,&joseki_variations[5222],NULL},
  {762,0,2,0,NULL,&joseki[752]},
  {763,3,3,1,&joseki_variations[5243],NULL},
  {726,3,2,1,&joseki_variations[5228],NULL},
  {764,0,3,1,&joseki_variations[5226],NULL},
  {804,0,5,1,&joseki_variations[5227],NULL},
  {797,3,1,0,NULL,&joseki[753]},
  {763,3,4,2,&joseki_variations[5229],NULL},
  {800,0,6,1,&joseki_variations[5240],NULL},
  {799,0,4,1,&joseki_variations[5231],NULL},
  {800,0,7,1,&joseki_variations[5232],NULL},
  {837,3,8,1,&joseki_variations[5233],NULL},
  {874,0,9,1,&joseki_variations[5234],NULL},
  {801,3,8,1,&joseki_variations[5235],NULL},
  {838,0,10,1,&joseki_variations[5236],NULL},
  {875,0,12,1,&joseki_variations[5237],NULL},
  {802,3,9,1,&joseki_variations[5238],NULL},
  {839,3,12,1,&joseki_variations[5239],NULL},
  {760,0,1,0,NULL,&joseki[542]},
  {837,0,7,1,&joseki_variations[5241],NULL},
  {801,3,7,1,&joseki_variations[5242],NULL},
  {760,0,1,0,NULL,&joseki[504]},
  {800,0,5,1,&joseki_variations[5244],NULL},
  {837,0,6,1,&joseki_variations[5245],NULL},
  {801,3,6,2,&joseki_variations[5246],NULL},
  {761,3,1,0,NULL,&joseki[502]},
  {726,3,2,0,NULL,&joseki[503]},
  {800,0,4,1,&joseki_variations[5249],NULL},
  {837,0,5,1,&joseki_variations[5250],NULL},
  {801,3,5,2,&joseki_variations[5251],NULL},
  {762,0,2,0,NULL,&joseki[501]},
  {724,0,1,0,NULL,&joseki[505]},
  {763,3,2,3,&joseki_variations[5255],NULL},
  {761,0,1,0,NULL,&joseki[850]},
  {800,0,4,2,&joseki_variations[5289],NULL},
  {764,0,3,1,&joseki_variations[5279],NULL},
  {799,3,3,2,&joseki_variations[5258],NULL},
  {836,0,4,1,&joseki_variations[5264],NULL},
  {800,0,5,1,&joseki_variations[5260],NULL},
  {801,3,6,1,&joseki_variations[5261],NULL},
  {835,0,2,1,&joseki_variations[5262],NULL},
  {836,0,5,1,&joseki_variations[5263],NULL},
  {837,0,8,0,NULL,&joseki[575]},
  {800,0,5,4,&joseki_variations[5265],NULL},
  {837,0,7,1,&joseki_variations[5269],NULL},
  {835,0,2,0,NULL,&joseki[574]},
  {761,0,1,0,NULL,&joseki[585]},
  {797,0,1,0,NULL,&joseki[591]},
  {727,0,1,1,&joseki_variations[5270],NULL},
  {764,0,4,1,&joseki_variations[5271],NULL},
  {801,3,8,2,&joseki_variations[5272],NULL},
  {765,3,5,1,&joseki_variations[5278],NULL},
  {728,3,2,1,&joseki_variations[5274],NULL},
  {765,3,6,1,&joseki_variations[5275],NULL},
  {838,0,11,1,&joseki_variations[5276],&joseki[553]},
  {802,3,11,1,&joseki_variations[5277],&joseki[554]},
  {761,0,1,0,NULL,&joseki[555]},
  {728,3,2,0,NULL,&joseki[552]},
  {799,3,3,1,&joseki_variations[5280],NULL},
  {800,0,5,2,&joseki_variations[5281],NULL},
  {837,0,6,1,&joseki_variations[5287],NULL},
  {801,3,7,1,&joseki_variations[5283],NULL},
  {836,0,4,1,&joseki_variations[5284],NULL},
  {837,0,7,1,&joseki_variations[5285],NULL},
  {765,3,4,1,&joseki_variations[5286],&joseki[550]},
  {727,0,1,0,NULL,&joseki[551]},
  {801,3,7,1,&joseki_variations[5288],NULL},
  {836,0,4,0,NULL,&joseki[549]},
  {837,0,5,1,&joseki_variations[5291],NULL},
  {799,0,3,0,NULL,&joseki[560]},
  {801,3,5,1,&joseki_variations[5292],NULL},
  {761,0,1,0,NULL,&joseki[241]},
  {762,0,1,4,&joseki_variations[5303],NULL},
  {946,3,3,1,&joseki_variations[5299],NULL},
  {800,3,2,3,&joseki_variations[5296],NULL},
  {761,3,1,0,NULL,&joseki[794]},
  {804,3,3,0,NULL,&joseki[801]},
  {763,0,1,0,NULL,&joseki[802]},
  {801,3,2,1,&joseki_variations[5300],NULL},
  {836,3,2,1,&joseki_variations[5301],NULL},
  {874,0,4,1,&joseki_variations[5302],NULL},
  {835,0,2,0,NULL,&joseki[744]},
  {726,3,1,1,&joseki_variations[5337],NULL},
  {763,3,2,3,&joseki_variations[5317],NULL},
  {726,0,1,1,&joseki_variations[5311],NULL},
  {763,0,2,1,&joseki_variations[5307],NULL},
  {800,3,4,1,&joseki_variations[5308],NULL},
  {764,3,3,1,&joseki_variations[5309],NULL},
  {804,3,6,1,&joseki_variations[5310],NULL},
  {801,3,6,0,NULL,&joseki[805]},
  {763,3,3,1,&joseki_variations[5312],NULL},
  {837,3,5,1,&joseki_variations[5313],NULL},
  {765,0,4,1,&joseki_variations[5314],NULL},
  {766,3,5,1,&joseki_variations[5315],NULL},
  {803,3,7,1,&joseki_variations[5316],NULL},
  {764,3,4,0,NULL,&joseki[95]},
  {837,3,4,1,&joseki_variations[5329],NULL},
  {800,3,4,4,&joseki_variations[5323],NULL},
  {799,0,3,1,&joseki_variations[5320],NULL},
  {800,0,5,1,&joseki_variations[5321],NULL},
  {837,3,6,1,&joseki_variations[5322],NULL},
  {760,3,1,0,NULL,&joseki[527]},
  {760,3,1,0,NULL,&joseki[176]},
  {804,3,5,0,NULL,&joseki[186]},
  {767,3,3,0,NULL,&joseki[187]},
  {802,3,5,1,&joseki_variations[5327],NULL},
  {804,0,6,1,&joseki_variations[5328],NULL},
  {725,0,1,0,NULL,&joseki[736]},
  {765,0,3,3,&joseki_variations[5330],NULL},
  {803,3,5,1,&joseki_variations[5336],NULL},
  {766,3,4,1,&joseki_variations[5334],NULL},
  {839,3,6,1,&joseki_variations[5333],NULL},
  {726,3,1,0,NULL,&joseki[101]},
  {803,3,6,1,&joseki_variations[5335],NULL},
  {726,0,1,0,NULL,&joseki[94]},
  {766,3,4,0,NULL,&joseki[93]},
  {763,3,3,2,&joseki_variations[5338],NULL},
  {837,3,5,1,&joseki_variations[5369],NULL},
  {800,3,5,1,&joseki_variations[5340],NULL},
  {837,3,6,1,&joseki_variations[5341],NULL},
  {801,0,6,1,&joseki_variations[5342],NULL},
  {765,0,4,1,&joseki_variations[5343],NULL},
  {802,0,8,2,&joseki_variations[5344],NULL},
  {839,3,10,1,&joseki_variations[5363],NULL},
  {838,0,8,1,&joseki_variations[5346],NULL},
  {839,3,11,1,&joseki_variations[5347],NULL},
  {766,0,5,1,&joseki_variations[5348],NULL},
  {803,3,10,1,&joseki_variations[5349],NULL},
  {767,0,6,1,&joseki_variations[5350],NULL},
  {804,3,12,1,&joseki_variations[5351],NULL},
  {805,3,13,2,&joseki_variations[5352],NULL},
  {875,3,10,1,&joseki_variations[5360],&joseki[69]},
  {840,3,14,1,&joseki_variations[5354],NULL},
  {874,0,8,1,&joseki_variations[5355],NULL},
  {875,3,11,1,&joseki_variations[5356],NULL},
  {876,0,15,1,&joseki_variations[5357],NULL},
  {912,3,12,1,&joseki_variations[5358],&joseki[73]},
  {769,0,7,1,&joseki_variations[5359],&joseki[74]},
  {760,3,1,0,NULL,&joseki[75]},
  {876,0,14,1,&joseki_variations[5361],&joseki[70]},
  {840,3,14,1,&joseki_variations[5362],&joseki[71]},
  {874,0,8,0,NULL,&joseki[72]},
  {766,0,5,1,&joseki_variations[5364],NULL},
  {803,3,10,1,&joseki_variations[5365],NULL},
  {767,0,6,1,&joseki_variations[5366],NULL},
  {804,3,12,1,&joseki_variations[5367],NULL},
  {805,3,13,1,&joseki_variations[5368],NULL},
  {838,0,8,0,NULL,&joseki[68]},
  {765,0,4,4,&joseki_variations[5370],NULL},
  {803,3,6,1,&joseki_variations[5413],NULL},
  {766,0,5,3,&joseki_variations[5383],NULL},
  {802,0,6,2,&joseki_variations[5376],NULL},
  {839,3,7,1,&joseki_variations[5374],NULL},
  {767,0,5,1,&joseki_variations[5375],&joseki[102]},
  {911,3,7,0,NULL,&joseki[103]},
  {803,3,7,1,&joseki_variations[5381],NULL},
  {839,3,8,1,&joseki_variations[5378],NULL},
  {766,0,5,1,&joseki_variations[5379],NULL},
  {803,3,8,1,&joseki_variations[5380],NULL},
  {804,3,9,0,NULL,&joseki[92]},
  {839,3,8,1,&joseki_variations[5382],&joseki[90]},
  {766,0,5,0,NULL,&joseki[91]},
  {803,3,7,2,&joseki_variations[5407],NULL},
  {802,0,6,1,&joseki_variations[5393],NULL},
  {767,0,6,1,&joseki_variations[5386],NULL},
  {801,0,5,1,&joseki_variations[5387],NULL},
  {802,0,7,1,&joseki_variations[5388],NULL},
  {839,3,9,1,&joseki_variations[5389],NULL},
  {803,3,9,1,&joseki_variations[5390],NULL},
  {804,3,11,1,&joseki_variations[5391],NULL},
  {805,3,12,1,&joseki_variations[5392],NULL},
  {800,3,5,0,NULL,&joseki[67]},
  {803,3,8,3,&joseki_variations[5394],NULL},
  {804,3,9,1,&joseki_variations[5405],NULL},
  {839,3,8,1,&joseki_variations[5400],NULL},
  {767,0,6,1,&joseki_variations[5397],NULL},
  {804,3,10,1,&joseki_variations[5398],NULL},
  {805,3,11,1,&joseki_variations[5399],NULL},
  {839,3,8,0,NULL,&joseki[89]},
  {767,0,6,1,&joseki_variations[5401],NULL},
  {804,3,10,1,&joseki_variations[5402],NULL},
  {805,3,11,1,&joseki_variations[5403],&joseki[64]},
  {769,0,7,1,&joseki_variations[5404],&joseki[65]},
  {801,3,5,0,NULL,&joseki[66]},
  {839,3,8,1,&joseki_variations[5406],&joseki[62]},
  {767,0,6,0,NULL,&joseki[63]},
  {804,3,8,1,&joseki_variations[5412],&joseki[60]},
  {767,0,6,1,&joseki_variations[5409],NULL},
  {804,3,9,1,&joseki_variations[5410],NULL},
  {805,3,10,1,&joseki_variations[5411],&joseki[87]},
  {802,0,6,0,NULL,&joseki[88]},
  {802,0,6,0,NULL,&joseki[61]},
  {766,0,5,0,NULL,&joseki[59]},
  {760,0,2,4,&joseki_variations[6009],NULL},
  {760,3,2,4,&joseki_variations[5610],NULL},
  {796,0,1,4,&joseki_variations[5520],NULL},
  {724,3,2,1,&joseki_variations[5492],NULL},
  {724,0,2,1,&joseki_variations[5482],NULL},
  {797,0,2,1,&joseki_variations[5420],NULL},
  {761,0,2,1,&joseki_variations[5421],NULL},
  {798,3,4,4,&joseki_variations[5422],NULL},
  {835,3,5,2,&joseki_variations[5465],NULL},
  {833,0,1,1,&joseki_variations[5455],NULL},
  {833,3,1,1,&joseki_variations[5443],NULL},
  {834,0,3,1,&joseki_variations[5426],NULL},
  {835,3,6,1,&joseki_variations[5427],NULL},
  {871,3,4,1,&joseki_variations[5428],NULL},
  {872,3,8,1,&joseki_variations[5429],NULL},
  {725,0,2,1,&joseki_variations[5430],NULL},
  {762,3,4,3,&joseki_variations[5431],NULL},
  {763,3,5,1,&joseki_variations[5442],&joseki[990]},
  {726,0,3,1,&joseki_variations[5440],NULL},
  {983,0,9,2,&joseki_variations[5434],NULL},
  {763,3,5,1,&joseki_variations[5439],&joseki[998]},
  {726,0,3,1,&joseki_variations[5436],NULL},
  {763,3,6,2,&joseki_variations[5437],NULL},
  {765,3,7,0,NULL,&joseki[1000]},
  {764,3,7,0,NULL,&joseki[1001]},
  {726,0,3,0,NULL,&joseki[999]},
  {763,3,6,1,&joseki_variations[5441],NULL},
  {764,3,7,0,NULL,&joseki[992]},
  {726,0,3,0,NULL,&joseki[991]},
  {835,3,6,1,&joseki_variations[5444],NULL},
  {870,0,2,1,&joseki_variations[5445],NULL},
  {872,3,8,1,&joseki_variations[5446],NULL},
  {907,3,3,1,&joseki_variations[5447],NULL},
  {908,0,6,1,&joseki_variations[5448],NULL},
  {944,0,4,1,&joseki_variations[5449],NULL},
  {725,3,2,1,&joseki_variations[5450],NULL},
  {762,3,4,1,&joseki_variations[5451],NULL},
  {799,0,7,1,&joseki_variations[5452],NULL},
  {800,3,8,1,&joseki_variations[5453],NULL},
  {801,0,9,1,&joseki_variations[5454],NULL},
  {834,3,4,0,NULL,&joseki[973]},
  {835,3,6,1,&joseki_variations[5456],NULL},
  {870,0,2,1,&joseki_variations[5457],NULL},
  {872,3,8,1,&joseki_variations[5458],NULL},
  {907,3,3,1,&joseki_variations[5459],NULL},
  {725,3,2,1,&joseki_variations[5460],NULL},
  {762,3,4,1,&joseki_variations[5461],NULL},
  {799,0,7,1,&joseki_variations[5462],NULL},
  {800,3,8,1,&joseki_variations[5463],NULL},
  {801,0,9,1,&joseki_variations[5464],NULL},
  {759,3,1,0,NULL,&joseki[968]},
  {872,3,6,1,&joseki_variations[5477],NULL},
  {870,0,1,1,&joseki_variations[5467],NULL},
  {872,3,7,1,&joseki_variations[5468],NULL},
  {725,3,2,1,&joseki_variations[5469],NULL},
  {762,3,4,1,&joseki_variations[5470],NULL},
  {799,0,7,1,&joseki_variations[5471],NULL},
  {800,3,8,1,&joseki_variations[5472],NULL},
  {801,0,9,2,&joseki_variations[5473],NULL},
  {838,3,11,0,NULL,&joseki[966]},
  {907,3,2,1,&joseki_variations[5475],&joseki[967]},
  {908,0,5,1,&joseki_variations[5476],NULL},
  {833,3,1,0,NULL,&joseki[972]},
  {725,3,2,1,&joseki_variations[5478],NULL},
  {762,3,4,1,&joseki_variations[5479],NULL},
  {799,0,7,1,&joseki_variations[5480],NULL},
  {801,0,8,1,&joseki_variations[5481],NULL},
  {800,3,8,0,NULL,&joseki[965]},
  {761,3,3,1,&joseki_variations[5483],NULL},
  {798,3,4,2,&joseki_variations[5484],NULL},
  {762,0,4,1,&joseki_variations[5490],NULL},
  {725,0,3,1,&joseki_variations[5486],NULL},
  {762,0,5,1,&joseki_variations[5487],NULL},
  {799,3,7,1,&joseki_variations[5488],NULL},
  {763,3,6,1,&joseki_variations[5489],NULL},
  {800,3,9,0,NULL,&joseki[858]},
  {799,3,6,1,&joseki_variations[5491],NULL},
  {763,3,5,0,NULL,&joseki[857]},
  {761,0,3,1,&joseki_variations[5493],NULL},
  {798,0,4,1,&joseki_variations[5494],NULL},
  {762,3,4,1,&joseki_variations[5495],NULL},
  {763,3,5,2,&joseki_variations[5496],NULL},
  {800,0,7,1,&joseki_variations[5517],NULL},
  {799,3,6,1,&joseki_variations[5498],NULL},
  {800,0,8,2,&joseki_variations[5499],NULL},
  {837,0,9,1,&joseki_variations[5515],NULL},
  {801,3,9,3,&joseki_variations[5501],NULL},
  {836,0,7,1,&joseki_variations[5513],NULL},
  {835,3,5,1,&joseki_variations[5509],NULL},
  {834,3,2,1,&joseki_variations[5504],NULL},
  {835,3,6,1,&joseki_variations[5505],NULL},
  {836,0,9,1,&joseki_variations[5506],NULL},
  {837,0,12,1,&joseki_variations[5507],NULL},
  {872,0,7,1,&joseki_variations[5508],NULL},
  {796,0,1,0,NULL,&joseki[415]},
  {836,0,8,1,&joseki_variations[5510],NULL},
  {837,0,11,1,&joseki_variations[5511],NULL},
  {872,0,6,1,&joseki_variations[5512],&joseki[413]},
  {834,3,2,0,NULL,&joseki[414]},
  {837,0,10,1,&joseki_variations[5514],NULL},
  {835,3,5,0,NULL,&joseki[412]},
  {801,3,9,1,&joseki_variations[5516],NULL},
  {836,0,7,0,NULL,&joseki[411]},
  {837,0,8,1,&joseki_variations[5518],NULL},
  {801,3,8,1,&joseki_variations[5519],NULL},
  {799,3,6,0,NULL,&joseki[410]},
  {834,0,3,1,&joseki_variations[5566],NULL},
  {834,3,3,1,&joseki_variations[5552],NULL},
  {833,3,2,1,&joseki_variations[5538],NULL},
  {797,3,3,1,&joseki_variations[5524],NULL},
  {834,3,4,1,&joseki_variations[5525],NULL},
  {724,3,2,1,&joseki_variations[5526],NULL},
  {761,0,3,1,&joseki_variations[5527],NULL},
  {798,0,6,1,&joseki_variations[5528],NULL},
  {835,3,8,1,&joseki_variations[5529],NULL},
  {872,0,9,1,&joseki_variations[5530],NULL},
  {762,3,4,1,&joseki_variations[5531],NULL},
  {799,3,8,1,&joseki_variations[5532],NULL},
  {836,0,11,1,&joseki_variations[5533],NULL},
  {763,3,5,1,&joseki_variations[5534],NULL},
  {800,0,10,1,&joseki_variations[5535],NULL},
  {837,0,14,1,&joseki_variations[5536],NULL},
  {801,3,11,1,&joseki_variations[5537],NULL},
  {760,0,2,0,NULL,&joseki[419]},
  {834,3,4,1,&joseki_variations[5539],NULL},
  {724,3,2,1,&joseki_variations[5540],NULL},
  {761,0,3,1,&joseki_variations[5541],NULL},
  {798,0,5,1,&joseki_variations[5542],NULL},
  {835,3,8,1,&joseki_variations[5543],NULL},
  {872,0,9,1,&joseki_variations[5544],NULL},
  {762,3,4,1,&joseki_variations[5545],NULL},
  {799,3,7,1,&joseki_variations[5546],NULL},
  {836,0,11,1,&joseki_variations[5547],NULL},
  {763,3,5,1,&joseki_variations[5548],NULL},
  {800,0,9,1,&joseki_variations[5549],NULL},
  {837,0,14,1,&joseki_variations[5550],NULL},
  {801,3,10,1,&joseki_variations[5551],NULL},
  {797,0,3,0,NULL,&joseki[417]},
  {724,3,2,1,&joseki_variations[5553],NULL},
  {761,0,3,1,&joseki_variations[5554],NULL},
  {798,0,5,1,&joseki_variations[5555],NULL},
  {835,3,7,1,&joseki_variations[5556],NULL},
  {872,0,8,1,&joseki_variations[5557],NULL},
  {762,3,4,1,&joseki_variations[5558],NULL},
  {799,3,7,1,&joseki_variations[5559],NULL},
  {836,0,10,1,&joseki_variations[5560],NULL},
  {763,3,5,1,&joseki_variations[5561],NULL},
  {800,0,9,1,&joseki_variations[5562],NULL},
  {837,0,13,1,&joseki_variations[5563],NULL},
  {801,3,10,2,&joseki_variations[5564],NULL},
  {833,3,2,0,NULL,&joseki[416]},
  {797,3,3,0,NULL,&joseki[418]},
  {870,3,2,1,&joseki_variations[5567],NULL},
  {871,3,5,1,&joseki_variations[5568],NULL},
  {724,3,2,1,&joseki_variations[5569],NULL},
  {761,3,3,1,&joseki_variations[5570],NULL},
  {798,3,5,1,&joseki_variations[5571],NULL},
  {835,0,7,1,&joseki_variations[5572],NULL},
  {872,3,10,2,&joseki_variations[5573],NULL},
  {725,0,3,1,&joseki_variations[5598],NULL},
  {688,3,1,1,&joseki_variations[5575],NULL},
  {725,0,4,1,&joseki_variations[5576],NULL},
  {762,0,6,1,&joseki_variations[5577],NULL},
  {799,0,9,1,&joseki_variations[5578],NULL},
  {836,3,12,2,&joseki_variations[5579],NULL},
  {763,0,7,1,&joseki_variations[5590],NULL},
  {726,0,5,1,&joseki_variations[5581],NULL},
  {763,0,8,1,&joseki_variations[5582],NULL},
  {800,3,12,1,&joseki_variations[5583],NULL},
  {837,3,16,1,&joseki_variations[5584],NULL},
  {727,0,6,1,&joseki_variations[5585],NULL},
  {764,3,10,1,&joseki_variations[5586],NULL},
  {801,0,15,1,&joseki_variations[5587],NULL},
  {728,0,7,1,&joseki_variations[5588],NULL},
  {765,3,12,1,&joseki_variations[5589],NULL},
  {760,3,2,0,NULL,&joseki[379]},
  {800,3,11,1,&joseki_variations[5591],NULL},
  {837,3,15,1,&joseki_variations[5592],NULL},
  {727,0,5,1,&joseki_variations[5593],NULL},
  {764,3,9,1,&joseki_variations[5594],NULL},
  {801,0,14,1,&joseki_variations[5595],NULL},
  {728,0,6,1,&joseki_variations[5596],NULL},
  {765,3,11,1,&joseki_variations[5597],NULL},
  {726,0,5,0,NULL,&joseki[378]},
  {762,0,5,1,&joseki_variations[5599],NULL},
  {799,0,8,1,&joseki_variations[5600],NULL},
  {836,3,11,1,&joseki_variations[5601],NULL},
  {763,0,6,1,&joseki_variations[5602],NULL},
  {800,3,10,1,&joseki_variations[5603],NULL},
  {837,3,14,1,&joseki_variations[5604],NULL},
  {727,0,4,1,&joseki_variations[5605],NULL},
  {764,3,8,1,&joseki_variations[5606],NULL},
  {801,0,13,1,&joseki_variations[5607],NULL},
  {728,0,5,1,&joseki_variations[5608],NULL},
  {765,3,10,1,&joseki_variations[5609],NULL},
  {688,3,1,0,NULL,&joseki[377]},
  {797,0,3,2,&joseki_variations[5945],NULL},
  {761,0,3,7,&joseki_variations[5808],NULL},
  {724,0,2,2,&joseki_variations[5653],NULL},
  {724,3,2,2,&joseki_variations[5614],NULL},
  {761,0,4,2,&joseki_variations[5638],NULL},
  {761,3,4,1,&joseki_variations[5616],NULL},
  {796,0,1,1,&joseki_variations[5617],NULL},
  {798,3,6,1,&joseki_variations[5618],NULL},
  {834,0,4,1,&joseki_variations[5619],NULL},
  {835,0,8,1,&joseki_variations[5620],NULL},
  {870,3,2,1,&joseki_variations[5621],NULL},
  {871,3,6,1,&joseki_variations[5622],NULL},
  {872,3,11,1,&joseki_variations[5623],NULL},
  {688,3,1,1,&joseki_variations[5624],NULL},
  {725,0,4,1,&joseki_variations[5625],NULL},
  {762,0,7,1,&joseki_variations[5626],NULL},
  {799,0,10,1,&joseki_variations[5627],NULL},
  {836,3,13,1,&joseki_variations[5628],NULL},
  {726,0,5,1,&joseki_variations[5629],NULL},
  {763,0,9,1,&joseki_variations[5630],NULL},
  {800,3,13,1,&joseki_variations[5631],NULL},
  {837,3,17,1,&joseki_variations[5632],NULL},
  {727,0,6,1,&joseki_variations[5633],NULL},
  {764,3,11,1,&joseki_variations[5634],NULL},
  {801,0,16,1,&joseki_variations[5635],NULL},
  {728,0,7,1,&joseki_variations[5636],NULL},
  {765,3,13,1,&joseki_variations[5637],NULL},
  {759,0,1,0,NULL,&joseki[380]},
  {763,0,5,1,&joseki_variations[5648],NULL},
  {798,3,5,2,&joseki_variations[5640],NULL},
  {872,3,6,1,&joseki_variations[5645],NULL},
  {871,3,3,1,&joseki_variations[5642],NULL},
  {762,0,5,1,&joseki_variations[5643],NULL},
  {763,0,6,1,&joseki_variations[5644],NULL},
  {722,3,1,0,NULL,&joseki[640]},
  {762,0,5,1,&joseki_variations[5646],NULL},
  {763,0,6,1,&joseki_variations[5647],NULL},
  {722,3,1,0,NULL,&joseki[227]},
  {798,3,5,2,&joseki_variations[5649],NULL},
  {872,3,6,1,&joseki_variations[5652],NULL},
  {871,3,3,1,&joseki_variations[5651],NULL},
  {762,0,5,0,NULL,&joseki[639]},
  {762,0,5,0,NULL,&joseki[226]},
  {761,0,4,2,&joseki_variations[5682],NULL},
  {797,3,3,1,&joseki_variations[5655],NULL},
  {834,3,4,1,&joseki_variations[5656],NULL},
  {761,3,4,1,&joseki_variations[5657],NULL},
  {798,0,6,1,&joseki_variations[5658],NULL},
  {835,0,8,1,&joseki_variations[5659],NULL},
  {872,3,9,1,&joseki_variations[5660],NULL},
  {725,3,3,1,&joseki_variations[5661],NULL},
  {762,0,6,1,&joseki_variations[5662],NULL},
  {726,0,4,2,&joseki_variations[5663],NULL},
  {800,0,10,2,&joseki_variations[5672],NULL},
  {799,0,9,1,&joseki_variations[5665],NULL},
  {873,3,13,1,&joseki_variations[5666],NULL},
  {800,0,11,1,&joseki_variations[5667],NULL},
  {837,3,14,1,&joseki_variations[5668],NULL},
  {838,0,15,1,&joseki_variations[5669],NULL},
  {875,3,18,1,&joseki_variations[5670],NULL},
  {839,0,16,1,&joseki_variations[5671],NULL},
  {945,3,5,0,NULL,&joseki[1109]},
  {908,3,5,0,NULL,&joseki[1102]},
  {837,3,13,1,&joseki_variations[5674],&joseki[1103]},
  {838,0,14,2,&joseki_variations[5675],&joseki[1104]},
  {875,3,16,1,&joseki_variations[5680],&joseki[1105]},
  {839,0,15,1,&joseki_variations[5677],NULL},
  {873,3,12,1,&joseki_variations[5678],NULL},
  {875,3,17,1,&joseki_variations[5679],NULL},
  {799,0,9,0,NULL,&joseki[1108]},
  {839,0,15,1,&joseki_variations[5681],&joseki[1106]},
  {873,3,12,0,NULL,&joseki[1107]},
  {798,3,5,2,&joseki_variations[5754],NULL},
  {762,3,5,1,&joseki_variations[5684],NULL},
  {797,3,3,1,&joseki_variations[5685],NULL},
  {798,3,6,4,&joseki_variations[5686],NULL},
  {801,0,8,1,&joseki_variations[5752],NULL},
  {872,3,7,1,&joseki_variations[5725],NULL},
  {835,0,7,1,&joseki_variations[5714],NULL},
  {799,0,8,1,&joseki_variations[5690],NULL},
  {763,3,6,1,&joseki_variations[5691],NULL},
  {800,3,10,1,&joseki_variations[5692],NULL},
  {764,3,7,1,&joseki_variations[5693],NULL},
  {801,0,12,1,&joseki_variations[5694],NULL},
  {802,0,13,1,&joseki_variations[5695],NULL},
  {729,3,3,1,&joseki_variations[5696],NULL},
  {834,3,4,1,&joseki_variations[5697],NULL},
  {835,0,8,1,&joseki_variations[5698],NULL},
  {836,0,11,1,&joseki_variations[5699],NULL},
  {837,0,14,3,&joseki_variations[5700],NULL},
  {872,3,9,1,&joseki_variations[5713],NULL},
  {871,0,5,1,&joseki_variations[5711],NULL},
  {870,3,1,1,&joseki_variations[5703],NULL},
  {871,0,6,1,&joseki_variations[5704],NULL},
  {872,3,11,2,&joseki_variations[5705],NULL},
  {908,0,7,1,&joseki_variations[5710],&joseki[927]},
  {907,3,2,1,&joseki_variations[5707],NULL},
  {908,0,8,1,&joseki_variations[5708],NULL},
  {945,0,9,1,&joseki_variations[5709],&joseki[929]},
  {722,3,1,0,NULL,&joseki[930]},
  {907,3,2,0,NULL,&joseki[928]},
  {872,3,10,1,&joseki_variations[5712],NULL},
  {870,3,1,0,NULL,&joseki[926]},
  {871,0,5,0,NULL,&joseki[925]},
  {872,3,8,1,&joseki_variations[5715],NULL},
  {799,0,8,1,&joseki_variations[5716],NULL},
  {836,0,10,1,&joseki_variations[5717],NULL},
  {763,3,6,1,&joseki_variations[5718],NULL},
  {800,3,10,1,&joseki_variations[5719],NULL},
  {837,0,13,1,&joseki_variations[5720],NULL},
  {764,3,7,1,&joseki_variations[5721],NULL},
  {801,0,12,1,&joseki_variations[5722],NULL},
  {802,0,13,1,&joseki_variations[5723],NULL},
  {729,3,3,1,&joseki_variations[5724],NULL},
  {834,3,4,0,NULL,&joseki[924]},
  {799,0,8,4,&joseki_variations[5726],NULL},
  {801,0,9,2,&joseki_variations[5749],NULL},
  {800,3,9,2,&joseki_variations[5741],NULL},
  {836,0,9,1,&joseki_variations[5733],NULL},
  {836,3,9,1,&joseki_variations[5730],NULL},
  {800,0,9,1,&joseki_variations[5731],NULL},
  {801,0,10,1,&joseki_variations[5732],NULL},
  {722,3,1,0,NULL,&joseki[933]},
  {763,3,6,1,&joseki_variations[5734],NULL},
  {800,3,10,1,&joseki_variations[5735],NULL},
  {837,0,12,1,&joseki_variations[5736],NULL},
  {764,3,7,1,&joseki_variations[5737],NULL},
  {801,0,12,1,&joseki_variations[5738],NULL},
  {802,0,13,1,&joseki_variations[5739],&joseki[921]},
  {729,3,3,1,&joseki_variations[5740],&joseki[922]},
  {835,0,7,0,NULL,&joseki[923]},
  {801,0,10,1,&joseki_variations[5747],NULL},
  {836,0,9,1,&joseki_variations[5743],NULL},
  {764,3,6,1,&joseki_variations[5744],NULL},
  {801,0,11,1,&joseki_variations[5745],NULL},
  {837,0,11,1,&joseki_variations[5746],&joseki[919]},
  {763,3,6,0,NULL,&joseki[920]},
  {836,0,9,1,&joseki_variations[5748],&joseki[917]},
  {764,3,6,0,NULL,&joseki[918]},
  {800,3,9,0,NULL,&joseki[916]},
  {836,3,9,1,&joseki_variations[5751],&joseki[931]},
  {800,0,9,0,NULL,&joseki[932]},
  {872,3,7,1,&joseki_variations[5753],NULL},
  {799,0,8,0,NULL,&joseki[915]},
  {872,3,6,3,&joseki_variations[5781],NULL},
  {871,3,3,3,&joseki_variations[5756],NULL},
  {762,3,5,1,&joseki_variations[5775],NULL},
  {725,0,3,1,&joseki_variations[5771],NULL},
  {725,3,3,1,&joseki_variations[5759],NULL},
  {762,3,6,2,&joseki_variations[5760],NULL},
  {763,0,7,1,&joseki_variations[5769],NULL},
  {799,0,8,1,&joseki_variations[5762],NULL},
  {726,3,4,1,&joseki_variations[5763],NULL},
  {763,0,8,1,&joseki_variations[5764],NULL},
  {800,0,11,2,&joseki_variations[5765],&joseki[621]},
  {764,3,9,1,&joseki_variations[5767],&joseki[622]},
  {797,0,3,0,NULL,&joseki[625]},
  {801,0,13,1,&joseki_variations[5768],&joseki[623]},
  {765,3,10,0,NULL,&joseki[624]},
  {799,0,8,1,&joseki_variations[5770],&joseki[619]},
  {726,3,4,0,NULL,&joseki[620]},
  {762,3,6,1,&joseki_variations[5772],NULL},
  {799,3,8,1,&joseki_variations[5773],NULL},
  {763,0,7,1,&joseki_variations[5774],NULL},
  {759,3,1,0,NULL,&joseki[616]},
  {763,0,6,3,&joseki_variations[5776],NULL},
  {799,3,7,1,&joseki_variations[5780],&joseki[614]},
  {725,3,3,0,NULL,&joseki[618]},
  {800,3,8,1,&joseki_variations[5779],&joseki[628]},
  {725,0,3,0,NULL,&joseki[629]},
  {725,0,3,0,NULL,&joseki[615]},
  {762,3,5,2,&joseki_variations[5800],NULL},
  {725,0,3,1,&joseki_variations[5796],NULL},
  {725,3,3,1,&joseki_variations[5784],NULL},
  {762,3,6,2,&joseki_variations[5785],NULL},
  {763,0,7,1,&joseki_variations[5794],NULL},
  {799,0,8,1,&joseki_variations[5787],NULL},
  {726,3,4,1,&joseki_variations[5788],NULL},
  {763,0,8,1,&joseki_variations[5789],NULL},
  {800,0,11,2,&joseki_variations[5790],&joseki[207]},
  {764,3,9,1,&joseki_variations[5792],&joseki[208]},
  {797,0,3,0,NULL,&joseki[211]},
  {801,0,13,1,&joseki_variations[5793],&joseki[209]},
  {765,3,10,0,NULL,&joseki[210]},
  {799,0,8,1,&joseki_variations[5795],&joseki[205]},
  {726,3,4,0,NULL,&joseki[206]},
  {762,3,6,1,&joseki_variations[5797],NULL},
  {799,3,8,1,&joseki_variations[5798],NULL},
  {763,0,7,1,&joseki_variations[5799],NULL},
  {759,3,1,0,NULL,&joseki[202]},
  {763,0,6,3,&joseki_variations[5803],NULL},
  {801,0,7,1,&joseki_variations[5802],NULL},
  {797,3,3,0,NULL,&joseki[914]},
  {799,3,7,1,&joseki_variations[5807],&joseki[200]},
  {725,3,3,0,NULL,&joseki[204]},
  {800,3,8,1,&joseki_variations[5806],&joseki[214]},
  {725,0,3,0,NULL,&joseki[215]},
  {725,0,3,0,NULL,&joseki[201]},
  {763,0,4,3,&joseki_variations[5923],NULL},
  {798,3,4,5,&joseki_variations[5864],NULL},
  {763,3,4,1,&joseki_variations[5854],NULL},
  {797,3,3,5,&joseki_variations[5828],NULL},
  {800,0,4,2,&joseki_variations[5818],NULL},
  {871,3,3,1,&joseki_variations[5816],NULL},
  {835,3,4,1,&joseki_variations[5815],NULL},
  {797,3,3,0,NULL,&joseki[1451]},
  {945,0,4,1,&joseki_variations[5817],NULL},
  {797,3,3,0,NULL,&joseki[1387]},
  {835,3,4,1,&joseki_variations[5827],NULL},
  {834,3,3,3,&joseki_variations[5820],NULL},
  {798,3,4,0,NULL,&joseki[1325]},
  {767,0,4,1,&joseki_variations[5825],NULL},
  {982,3,4,1,&joseki_variations[5823],NULL},
  {1056,0,5,1,&joseki_variations[5824],NULL},
  {798,3,4,0,NULL,&joseki[1360]},
  {945,3,4,1,&joseki_variations[5826],NULL},
  {798,3,4,0,NULL,&joseki[1351]},
  {797,3,3,0,NULL,&joseki[1121]},
  {798,3,5,2,&joseki_variations[5847],NULL},
  {800,0,5,1,&joseki_variations[5844],NULL},
  {835,3,5,1,&joseki_variations[5840],NULL},
  {871,3,4,1,&joseki_variations[5837],NULL},
  {798,0,5,1,&joseki_variations[5833],NULL},
  {800,3,6,1,&joseki_variations[5834],NULL},
  {834,0,4,1,&joseki_variations[5835],NULL},
  {835,3,7,1,&joseki_variations[5836],NULL},
  {722,3,1,0,NULL,&joseki[1485]},
  {945,0,5,1,&joseki_variations[5838],NULL},
  {725,0,2,1,&joseki_variations[5839],&joseki[1388]},
  {873,3,7,0,NULL,&joseki[1389]},
  {725,0,2,2,&joseki_variations[5841],&joseki[1452]},
  {800,0,6,1,&joseki_variations[5843],&joseki[1454]},
  {982,3,4,0,NULL,&joseki[1453]},
  {982,3,4,0,NULL,&joseki[1123]},
  {835,3,5,2,&joseki_variations[5845],NULL},
  {725,0,2,0,NULL,&joseki[1122]},
  {722,0,1,0,NULL,&joseki[1124]},
  {801,0,6,1,&joseki_variations[5852],NULL},
  {872,3,6,1,&joseki_variations[5849],NULL},
  {762,0,4,1,&joseki_variations[5850],NULL},
  {801,0,7,1,&joseki_variations[5851],NULL},
  {722,3,1,0,NULL,&joseki[909]},
  {872,3,6,1,&joseki_variations[5853],NULL},
  {762,0,4,0,NULL,&joseki[908]},
  {797,3,3,1,&joseki_variations[5855],NULL},
  {798,0,5,2,&joseki_variations[5856],NULL},
  {836,0,6,1,&joseki_variations[5862],NULL},
  {835,3,6,1,&joseki_variations[5858],NULL},
  {836,0,7,1,&joseki_variations[5859],NULL},
  {872,3,7,1,&joseki_variations[5860],NULL},
  {800,0,7,1,&joseki_variations[5861],&joseki[679]},
  {722,3,1,0,NULL,&joseki[680]},
  {872,3,6,1,&joseki_variations[5863],NULL},
  {835,3,6,0,NULL,&joseki[678]},
  {872,3,5,2,&joseki_variations[5915],NULL},
  {835,3,5,1,&joseki_variations[5892],NULL},
  {871,3,3,1,&joseki_variations[5889],NULL},
  {800,0,5,1,&joseki_variations[5880],NULL},
  {834,3,3,1,&joseki_variations[5869],NULL},
  {762,0,4,1,&joseki_variations[5870],NULL},
  {800,0,6,4,&joseki_variations[5871],NULL},
  {759,3,1,0,NULL,&joseki[1327]},
  {759,0,1,0,NULL,&joseki[1329]},
  {767,0,5,1,&joseki_variations[5877],NULL},
  {982,3,4,1,&joseki_variations[5875],NULL},
  {1056,0,5,1,&joseki_variations[5876],NULL},
  {759,3,1,0,NULL,&joseki[1362]},
  {945,3,4,2,&joseki_variations[5878],NULL},
  {759,3,1,0,NULL,&joseki[1353]},
  {759,0,1,0,NULL,&joseki[1354]},
  {834,3,3,4,&joseki_variations[5881],NULL},
  {762,0,4,0,NULL,&joseki[1326]},
  {759,0,1,0,NULL,&joseki[1331]},
  {767,0,4,1,&joseki_variations[5887],NULL},
  {982,3,4,1,&joseki_variations[5885],NULL},
  {1056,0,5,1,&joseki_variations[5886],NULL},
  {762,0,4,0,NULL,&joseki[1361]},
  {945,3,4,1,&joseki_variations[5888],NULL},
  {762,0,4,0,NULL,&joseki[1352]},
  {762,3,4,1,&joseki_variations[5890],NULL},
  {763,0,5,1,&joseki_variations[5891],NULL},
  {724,0,2,0,NULL,&joseki[613]},
  {762,0,4,2,&joseki_variations[5893],NULL},
  {799,0,6,2,&joseki_variations[5902],NULL},
  {836,0,7,1,&joseki_variations[5895],NULL},
  {871,3,3,1,&joseki_variations[5896],NULL},
  {946,0,7,1,&joseki_variations[5897],NULL},
  {873,3,9,1,&joseki_variations[5898],NULL},
  {763,0,5,1,&joseki_variations[5899],NULL},
  {837,0,9,1,&joseki_variations[5900],NULL},
  {801,3,7,1,&joseki_variations[5901],NULL},
  {759,3,1,0,NULL,&joseki[1170]},
  {836,3,8,1,&joseki_variations[5910],NULL},
  {801,3,7,1,&joseki_variations[5904],NULL},
  {836,0,8,1,&joseki_variations[5905],NULL},
  {837,0,9,1,&joseki_variations[5906],NULL},
  {871,3,3,1,&joseki_variations[5907],NULL},
  {946,0,7,1,&joseki_variations[5908],NULL},
  {873,3,10,1,&joseki_variations[5909],NULL},
  {759,3,1,0,NULL,&joseki[1164]},
  {763,0,5,1,&joseki_variations[5911],NULL},
  {800,3,8,1,&joseki_variations[5912],NULL},
  {837,3,11,1,&joseki_variations[5913],NULL},
  {801,0,9,1,&joseki_variations[5914],NULL},
  {722,3,1,0,NULL,&joseki[577]},
  {762,3,4,2,&joseki_variations[5919],NULL},
  {801,0,5,2,&joseki_variations[5917],NULL},
  {797,3,3,0,NULL,&joseki[907]},
  {762,3,4,0,NULL,&joseki[912]},
  {763,0,5,1,&joseki_variations[5922],NULL},
  {801,0,6,1,&joseki_variations[5921],NULL},
  {724,0,2,0,NULL,&joseki[913]},
  {724,0,2,0,NULL,&joseki[199]},
  {798,3,4,2,&joseki_variations[5934],NULL},
  {797,3,3,2,&joseki_variations[5927],NULL},
  {835,3,4,1,&joseki_variations[5926],NULL},
  {797,3,3,0,NULL,&joseki[1196]},
  {798,3,5,2,&joseki_variations[5930],NULL},
  {835,3,5,1,&joseki_variations[5929],NULL},
  {722,0,1,0,NULL,&joseki[1197]},
  {872,3,6,1,&joseki_variations[5933],NULL},
  {871,3,4,1,&joseki_variations[5932],NULL},
  {725,0,2,0,NULL,&joseki[606]},
  {725,0,2,0,NULL,&joseki[191]},
  {872,3,5,5,&joseki_variations[5940],NULL},
  {871,3,3,4,&joseki_variations[5936],NULL},
  {797,3,3,0,NULL,&joseki[605]},
  {762,3,4,0,NULL,&joseki[612]},
  {722,3,1,0,NULL,&joseki[630]},
  {724,3,2,0,NULL,&joseki[638]},
  {797,3,3,0,NULL,&joseki[190]},
  {759,3,1,0,NULL,&joseki[193]},
  {762,3,4,0,NULL,&joseki[198]},
  {722,3,1,0,NULL,&joseki[216]},
  {724,3,2,0,NULL,&joseki[225]},
  {724,0,2,2,&joseki_variations[5952],NULL},
  {834,0,4,1,&joseki_variations[5947],NULL},
  {761,0,3,1,&joseki_variations[5948],NULL},
  {798,3,5,1,&joseki_variations[5949],NULL},
  {800,3,6,1,&joseki_variations[5950],NULL},
  {835,3,7,1,&joseki_variations[5951],NULL},
  {759,3,1,0,NULL,&joseki[1475]},
  {761,3,4,1,&joseki_variations[5999],NULL},
  {761,0,4,1,&joseki_variations[5954],NULL},
  {798,3,6,4,&joseki_variations[5955],NULL},
  {872,3,7,1,&joseki_variations[5992],NULL},
  {835,3,7,2,&joseki_variations[5976],NULL},
  {871,3,4,1,&joseki_variations[5969],NULL},
  {833,0,1,1,&joseki_variations[5959],NULL},
  {835,3,8,1,&joseki_variations[5960],NULL},
  {870,3,2,1,&joseki_variations[5961],NULL},
  {872,3,10,1,&joseki_variations[5962],NULL},
  {725,3,3,1,&joseki_variations[5963],NULL},
  {762,3,6,1,&joseki_variations[5964],NULL},
  {799,0,9,1,&joseki_variations[5965],NULL},
  {800,0,10,1,&joseki_variations[5966],NULL},
  {727,3,4,1,&joseki_variations[5967],NULL},
  {801,0,12,1,&joseki_variations[5968],NULL},
  {759,3,1,0,NULL,&joseki[951]},
  {725,3,3,1,&joseki_variations[5970],NULL},
  {762,3,6,1,&joseki_variations[5971],NULL},
  {799,0,9,1,&joseki_variations[5972],NULL},
  {726,3,4,1,&joseki_variations[5973],NULL},
  {763,0,8,1,&joseki_variations[5974],NULL},
  {800,0,12,1,&joseki_variations[5975],NULL},
  {835,3,7,0,NULL,&joseki[626]},
  {872,3,8,1,&joseki_variations[5985],NULL},
  {871,3,4,1,&joseki_variations[5978],NULL},
  {725,3,3,1,&joseki_variations[5979],NULL},
  {762,3,6,1,&joseki_variations[5980],NULL},
  {799,0,9,1,&joseki_variations[5981],NULL},
  {726,3,4,1,&joseki_variations[5982],NULL},
  {763,0,8,1,&joseki_variations[5983],NULL},
  {800,0,12,1,&joseki_variations[5984],NULL},
  {796,0,1,0,NULL,&joseki[627]},
  {725,3,3,1,&joseki_variations[5986],NULL},
  {762,3,6,1,&joseki_variations[5987],NULL},
  {799,0,9,1,&joseki_variations[5988],NULL},
  {726,3,4,1,&joseki_variations[5989],NULL},
  {763,0,8,1,&joseki_variations[5990],NULL},
  {800,0,12,1,&joseki_variations[5991],NULL},
  {796,0,1,0,NULL,&joseki[213]},
  {725,3,3,1,&joseki_variations[5993],NULL},
  {762,3,6,1,&joseki_variations[5994],NULL},
  {799,0,9,1,&joseki_variations[5995],NULL},
  {726,3,4,1,&joseki_variations[5996],NULL},
  {763,0,8,1,&joseki_variations[5997],NULL},
  {800,0,12,1,&joseki_variations[5998],NULL},
  {835,3,7,0,NULL,&joseki[212]},
  {798,0,6,1,&joseki_variations[6000],NULL},
  {725,3,3,2,&joseki_variations[6001],NULL},
  {762,0,6,1,&joseki_variations[6006],NULL},
  {799,3,8,1,&joseki_variations[6003],NULL},
  {763,3,6,1,&joseki_variations[6004],NULL},
  {800,3,10,1,&joseki_variations[6005],NULL},
  {759,0,1,0,NULL,&joseki[183]},
  {763,3,7,1,&joseki_variations[6007],NULL},
  {800,3,10,1,&joseki_variations[6008],NULL},
  {799,3,9,0,NULL,&joseki[182]},
  {797,0,3,4,&joseki_variations[6145],NULL},
  {724,0,2,1,&joseki_variations[6104],NULL},
  {796,0,1,2,&joseki_variations[6051],NULL},
  {761,3,3,1,&joseki_variations[6013],NULL},
  {798,0,4,3,&joseki_variations[6014],NULL},
  {872,0,5,1,&joseki_variations[6042],NULL},
  {871,0,3,1,&joseki_variations[6039],NULL},
  {835,0,5,2,&joseki_variations[6017],NULL},
  {872,0,6,2,&joseki_variations[6029],NULL},
  {946,3,6,1,&joseki_variations[6019],NULL},
  {762,3,4,1,&joseki_variations[6020],NULL},
  {836,3,7,1,&joseki_variations[6021],NULL},
  {873,0,8,1,&joseki_variations[6022],NULL},
  {763,3,5,1,&joseki_variations[6023],NULL},
  {837,3,9,1,&joseki_variations[6024],NULL},
  {874,0,11,1,&joseki_variations[6025],NULL},
  {801,0,7,1,&joseki_variations[6026],NULL},
  {838,3,11,1,&joseki_variations[6027],NULL},
  {803,3,8,1,&joseki_variations[6028],&joseki[1182]},
  {871,0,3,0,NULL,&joseki[1183]},
  {762,3,4,1,&joseki_variations[6035],NULL},
  {725,3,2,1,&joseki_variations[6031],NULL},
  {799,3,6,1,&joseki_variations[6032],NULL},
  {801,3,7,2,&joseki_variations[6033],NULL},
  {768,3,5,0,NULL,&joseki[904]},
  {1019,0,3,0,NULL,&joseki[905]},
  {799,3,6,1,&joseki_variations[6036],NULL},
  {801,3,7,2,&joseki_variations[6037],NULL},
  {768,3,5,0,NULL,&joseki[898]},
  {1019,0,3,0,NULL,&joseki[899]},
  {762,3,4,1,&joseki_variations[6040],NULL},
  {800,3,6,1,&joseki_variations[6041],NULL},
  {767,3,5,0,NULL,&joseki[824]},
  {762,3,4,3,&joseki_variations[6043],NULL},
  {800,3,6,2,&joseki_variations[6049],NULL},
  {801,3,6,1,&joseki_variations[6048],NULL},
  {799,3,6,1,&joseki_variations[6046],NULL},
  {801,3,7,1,&joseki_variations[6047],NULL},
  {835,0,5,0,NULL,&joseki[897]},
  {799,3,6,0,NULL,&joseki[896]},
  {767,3,5,0,NULL,&joseki[798]},
  {1019,0,3,0,NULL,&joseki[799]},
  {797,3,4,2,&joseki_variations[6065],NULL},
  {797,0,4,1,&joseki_variations[6053],NULL},
  {833,0,2,1,&joseki_variations[6054],NULL},
  {834,3,6,1,&joseki_variations[6055],NULL},
  {870,3,3,1,&joseki_variations[6056],NULL},
  {871,3,8,1,&joseki_variations[6057],NULL},
  {908,3,9,1,&joseki_variations[6058],NULL},
  {724,0,2,1,&joseki_variations[6059],NULL},
  {761,3,4,1,&joseki_variations[6060],NULL},
  {798,3,7,1,&joseki_variations[6061],NULL},
  {835,0,10,1,&joseki_variations[6062],NULL},
  {725,3,3,1,&joseki_variations[6063],NULL},
  {763,3,6,1,&joseki_variations[6064],NULL},
  {836,3,12,0,NULL,&joseki[887]},
  {834,3,5,1,&joseki_variations[6091],NULL},
  {833,3,2,1,&joseki_variations[6067],NULL},
  {834,3,6,1,&joseki_variations[6068],NULL},
  {724,3,2,1,&joseki_variations[6069],NULL},
  {761,0,4,1,&joseki_variations[6070],NULL},
  {798,0,7,1,&joseki_variations[6071],NULL},
  {835,3,10,2,&joseki_variations[6072],NULL},
  {872,0,11,1,&joseki_variations[6083],NULL},
  {762,3,5,1,&joseki_variations[6074],NULL},
  {799,3,9,1,&joseki_variations[6075],NULL},
  {836,0,13,1,&joseki_variations[6076],NULL},
  {763,3,6,1,&joseki_variations[6077],NULL},
  {800,0,11,1,&joseki_variations[6078],NULL},
  {837,0,16,1,&joseki_variations[6079],NULL},
  {801,3,12,1,&joseki_variations[6080],NULL},
  {870,0,3,1,&joseki_variations[6081],NULL},
  {872,0,12,1,&joseki_variations[6082],NULL},
  {759,3,1,0,NULL,&joseki[422]},
  {762,3,5,1,&joseki_variations[6084],NULL},
  {799,3,9,1,&joseki_variations[6085],NULL},
  {836,0,13,1,&joseki_variations[6086],NULL},
  {763,3,6,1,&joseki_variations[6087],NULL},
  {800,0,11,1,&joseki_variations[6088],NULL},
  {837,0,16,1,&joseki_variations[6089],NULL},
  {801,3,12,1,&joseki_variations[6090],NULL},
  {870,0,3,0,NULL,&joseki[421]},
  {724,3,2,1,&joseki_variations[6092],NULL},
  {761,0,4,1,&joseki_variations[6093],NULL},
  {798,0,7,1,&joseki_variations[6094],NULL},
  {835,3,9,1,&joseki_variations[6095],NULL},
  {872,0,10,1,&joseki_variations[6096],NULL},
  {762,3,5,1,&joseki_variations[6097],NULL},
  {799,3,9,1,&joseki_variations[6098],NULL},
  {836,0,12,1,&joseki_variations[6099],NULL},
  {763,3,6,1,&joseki_variations[6100],NULL},
  {800,0,11,1,&joseki_variations[6101],NULL},
  {837,0,15,1,&joseki_variations[6102],NULL},
  {801,3,12,1,&joseki_variations[6103],NULL},
  {833,3,2,0,NULL,&joseki[420]},
  {761,3,4,3,&joseki_variations[6105],NULL},
  {798,3,5,3,&joseki_variations[6127],NULL},
  {798,0,5,1,&joseki_variations[6119],NULL},
  {725,3,3,1,&joseki_variations[6108],NULL},
  {763,3,6,1,&joseki_variations[6109],NULL},
  {795,0,1,1,&joseki_variations[6110],NULL},
  {797,0,4,1,&joseki_variations[6111],NULL},
  {798,3,7,1,&joseki_variations[6112],NULL},
  {833,0,2,1,&joseki_variations[6113],NULL},
  {834,3,6,1,&joseki_variations[6114],NULL},
  {835,0,10,1,&joseki_variations[6115],NULL},
  {870,3,3,1,&joseki_variations[6116],NULL},
  {871,3,8,1,&joseki_variations[6117],NULL},
  {908,3,9,1,&joseki_variations[6118],NULL},
  {836,3,12,0,NULL,&joseki[885]},
  {725,3,3,1,&joseki_variations[6120],NULL},
  {762,3,6,1,&joseki_variations[6121],NULL},
  {763,3,7,1,&joseki_variations[6122],NULL},
  {800,0,9,1,&joseki_variations[6123],NULL},
  {837,0,10,1,&joseki_variations[6124],NULL},
  {801,3,10,1,&joseki_variations[6125],NULL},
  {767,3,8,1,&joseki_variations[6126],&joseki[480]},
  {872,0,6,0,NULL,&joseki[481]},
  {872,3,6,1,&joseki_variations[6140],NULL},
  {833,0,1,1,&joseki_variations[6133],NULL},
  {871,3,3,1,&joseki_variations[6130],NULL},
  {725,3,3,1,&joseki_variations[6131],NULL},
  {763,0,6,1,&joseki_variations[6132],NULL},
  {762,3,6,0,NULL,&joseki[646]},
  {872,3,7,1,&joseki_variations[6134],NULL},
  {725,3,3,1,&joseki_variations[6135],NULL},
  {762,3,6,1,&joseki_variations[6136],NULL},
  {763,0,7,1,&joseki_variations[6137],NULL},
  {837,0,10,1,&joseki_variations[6138],NULL},
  {765,3,8,1,&joseki_variations[6139],NULL},
  {911,3,12,0,NULL,&joseki[99]},
  {725,3,3,1,&joseki_variations[6141],NULL},
  {763,0,6,1,&joseki_variations[6142],NULL},
  {837,0,8,1,&joseki_variations[6143],NULL},
  {765,3,7,1,&joseki_variations[6144],NULL},
  {762,3,6,0,NULL,&joseki[98]},
  {724,0,2,1,&joseki_variations[6208],NULL},
  {834,3,4,2,&joseki_variations[6183],NULL},
  {833,3,1,1,&joseki_variations[6175],NULL},
  {871,0,4,2,&joseki_variations[6149],NULL},
  {761,3,3,1,&joseki_variations[6169],NULL},
  {724,0,2,1,&joseki_variations[6151],NULL},
  {761,3,4,1,&joseki_variations[6152],NULL},
  {798,3,6,2,&joseki_variations[6153],NULL},
  {835,0,7,1,&joseki_variations[6163],NULL},
  {835,3,7,1,&joseki_variations[6155],NULL},
  {725,3,3,1,&joseki_variations[6156],NULL},
  {762,3,6,1,&joseki_variations[6157],NULL},
  {763,0,7,2,&joseki_variations[6158],NULL},
  {800,3,10,0,NULL,&joseki[691]},
  {837,0,11,1,&joseki_variations[6160],&joseki[692]},
  {872,3,9,1,&joseki_variations[6161],&joseki[693]},
  {908,0,5,1,&joseki_variations[6162],&joseki[694]},
  {909,3,11,0,NULL,&joseki[695]},
  {725,3,3,1,&joseki_variations[6164],NULL},
  {799,3,8,1,&joseki_variations[6165],NULL},
  {836,3,10,1,&joseki_variations[6166],NULL},
  {910,3,12,1,&joseki_variations[6167],NULL},
  {763,0,6,1,&joseki_variations[6168],NULL},
  {762,3,6,0,NULL,&joseki[662]},
  {763,0,4,1,&joseki_variations[6170],NULL},
  {765,3,5,1,&joseki_variations[6171],NULL},
  {798,3,5,1,&joseki_variations[6172],NULL},
  {800,3,7,1,&joseki_variations[6173],NULL},
  {835,3,6,1,&joseki_variations[6174],NULL},
  {724,3,2,0,NULL,&joseki[134]},
  {834,3,5,1,&joseki_variations[6176],NULL},
  {724,3,2,1,&joseki_variations[6177],NULL},
  {761,3,4,1,&joseki_variations[6178],NULL},
  {763,0,5,1,&joseki_variations[6179],NULL},
  {765,3,6,1,&joseki_variations[6180],NULL},
  {798,3,6,1,&joseki_variations[6181],NULL},
  {835,0,9,1,&joseki_variations[6182],NULL},
  {799,0,7,0,NULL,&joseki[34]},
  {724,3,2,1,&joseki_variations[6193],NULL},
  {724,0,2,1,&joseki_variations[6185],NULL},
  {761,3,4,1,&joseki_variations[6186],NULL},
  {798,3,6,1,&joseki_variations[6187],NULL},
  {725,3,3,3,&joseki_variations[6188],NULL},
  {763,3,6,1,&joseki_variations[6192],&joseki[843]},
  {835,3,8,0,NULL,&joseki[848]},
  {871,3,5,1,&joseki_variations[6191],NULL},
  {763,3,6,0,NULL,&joseki[870]},
  {833,0,1,0,NULL,&joseki[844]},
  {761,3,4,1,&joseki_variations[6194],NULL},
  {763,0,5,1,&joseki_variations[6195],NULL},
  {798,3,6,1,&joseki_variations[6196],NULL},
  {835,0,8,2,&joseki_variations[6197],&joseki[28]},
  {871,3,5,1,&joseki_variations[6203],NULL},
  {836,3,9,2,&joseki_variations[6199],NULL},
  {872,0,9,0,NULL,&joseki[31]},
  {871,3,5,1,&joseki_variations[6201],NULL},
  {872,0,10,1,&joseki_variations[6202],NULL},
  {799,0,7,0,NULL,&joseki[32]},
  {799,0,7,1,&joseki_variations[6204],&joseki[29]},
  {836,3,10,1,&joseki_variations[6205],NULL},
  {872,0,10,1,&joseki_variations[6206],&joseki[30]},
  {837,3,12,1,&joseki_variations[6207],NULL},
  {909,0,11,0,NULL,&joseki[33]},
  {761,3,4,1,&joseki_variations[6209],NULL},
  {798,3,6,2,&joseki_variations[6210],NULL},
  {835,3,7,1,&joseki_variations[6232],NULL},
  {833,0,1,1,&joseki_variations[6212],NULL},
  {834,3,5,2,&joseki_variations[6213],NULL},
  {870,0,2,1,&joseki_variations[6225],NULL},
  {725,3,3,2,&joseki_variations[6215],NULL},
  {763,3,6,1,&joseki_variations[6223],NULL},
  {835,0,9,1,&joseki_variations[6217],NULL},
  {870,3,2,1,&joseki_variations[6218],NULL},
  {871,3,7,1,&joseki_variations[6219],NULL},
  {908,3,8,1,&joseki_variations[6220],NULL},
  {763,3,6,2,&joseki_variations[6221],&joseki[883]},
  {795,0,1,0,NULL,&joseki[884]},
  {796,0,1,0,NULL,&joseki[886]},
  {871,3,6,1,&joseki_variations[6224],&joseki[845]},
  {870,0,2,0,NULL,&joseki[846]},
  {871,3,7,2,&joseki_variations[6226],NULL},
  {908,3,8,1,&joseki_variations[6230],NULL},
  {725,3,3,1,&joseki_variations[6228],NULL},
  {763,3,6,1,&joseki_variations[6229],NULL},
  {908,3,8,0,NULL,&joseki[847]},
  {725,3,3,1,&joseki_variations[6231],NULL},
  {763,3,6,0,NULL,&joseki[840]},
  {725,3,3,3,&joseki_variations[6233],NULL},
  {763,0,6,3,&joseki_variations[6246],NULL},
  {762,3,6,1,&joseki_variations[6239],NULL},
  {726,3,4,1,&joseki_variations[6236],NULL},
  {763,0,7,1,&joseki_variations[6237],NULL},
  {765,3,8,1,&joseki_variations[6238],NULL},
  {871,0,4,0,NULL,&joseki[25]},
  {763,0,7,3,&joseki_variations[6240],NULL},
  {765,3,8,1,&joseki_variations[6244],NULL},
  {871,0,4,0,NULL,&joseki[690]},
  {803,3,10,1,&joseki_variations[6243],NULL},
  {871,0,4,0,NULL,&joseki[725]},
  {871,0,4,1,&joseki_variations[6245],&joseki[21]},
  {800,3,10,0,NULL,&joseki[22]},
  {765,3,7,3,&joseki_variations[6250],NULL},
  {762,3,6,0,NULL,&joseki[689]},
  {803,3,9,1,&joseki_variations[6249],NULL},
  {762,3,6,0,NULL,&joseki[724]},
  {762,3,6,0,NULL,&joseki[20]},
  {834,3,4,0,NULL,&joseki[23]},
  {726,3,4,0,NULL,&joseki[24]},
  {760,0,2,3,&joseki_variations[6750],NULL},
  {726,3,1,1,&joseki_variations[6697],NULL},
  {723,3,1,2,&joseki_variations[6536],NULL},
  {796,0,2,2,&joseki_variations[6493],NULL},
  {723,0,1,4,&joseki_variations[6334],NULL},
  {760,3,2,2,&joseki_variations[6281],NULL},
  {834,0,2,1,&joseki_variations[6276],NULL},
  {761,0,2,1,&joseki_variations[6261],NULL},
  {796,3,2,1,&joseki_variations[6262],NULL},
  {797,0,3,2,&joseki_variations[6263],NULL},
  {800,0,5,1,&joseki_variations[6271],NULL},
  {798,3,5,1,&joseki_variations[6265],NULL},
  {800,0,6,1,&joseki_variations[6266],NULL},
  {834,3,4,1,&joseki_variations[6267],NULL},
  {836,3,7,1,&joseki_variations[6268],NULL},
  {908,0,5,1,&joseki_variations[6269],NULL},
  {946,3,8,1,&joseki_variations[6270],NULL},
  {760,0,2,0,NULL,&joseki[1285]},
  {834,3,4,1,&joseki_variations[6272],NULL},
  {836,3,6,1,&joseki_variations[6273],NULL},
  {908,0,5,1,&joseki_variations[6274],NULL},
  {946,3,7,1,&joseki_variations[6275],NULL},
  {798,3,5,0,NULL,&joseki[1284]},
  {761,3,2,1,&joseki_variations[6277],NULL},
  {872,0,4,1,&joseki_variations[6278],NULL},
  {946,3,5,1,&joseki_variations[6279],NULL},
  {800,3,3,1,&joseki_variations[6280],NULL},
  {767,3,3,0,NULL,&joseki[1251]},
  {762,3,3,1,&joseki_variations[6326],NULL},
  {797,0,3,2,&joseki_variations[6283],NULL},
  {761,3,3,3,&joseki_variations[6303],NULL},
  {761,0,3,3,&joseki_variations[6285],NULL},
  {763,0,4,1,&joseki_variations[6300],NULL},
  {871,3,4,1,&joseki_variations[6294],NULL},
  {798,3,5,1,&joseki_variations[6288],NULL},
  {799,3,6,1,&joseki_variations[6289],NULL},
  {834,3,4,1,&joseki_variations[6290],NULL},
  {835,0,7,1,&joseki_variations[6291],NULL},
  {871,3,5,1,&joseki_variations[6292],NULL},
  {945,0,6,1,&joseki_variations[6293],NULL},
  {723,0,1,0,NULL,&joseki[1407]},
  {945,0,5,1,&joseki_variations[6295],NULL},
  {798,3,5,2,&joseki_variations[6296],NULL},
  {723,3,1,0,NULL,&joseki[1393]},
  {835,0,6,1,&joseki_variations[6298],NULL},
  {799,3,6,1,&joseki_variations[6299],NULL},
  {834,3,4,0,NULL,&joseki[1406]},
  {798,3,5,1,&joseki_variations[6301],NULL},
  {835,3,6,1,&joseki_variations[6302],NULL},
  {723,3,1,0,NULL,&joseki[1202]},
  {764,0,4,1,&joseki_variations[6322],NULL},
  {763,3,4,1,&joseki_variations[6315],NULL},
  {798,0,5,1,&joseki_variations[6306],NULL},
  {762,3,4,1,&joseki_variations[6307],NULL},
  {763,3,5,1,&joseki_variations[6308],NULL},
  {800,0,8,1,&joseki_variations[6309],NULL},
  {764,0,6,2,&joseki_variations[6310],NULL},
  {804,0,10,1,&joseki_variations[6314],NULL},
  {801,0,10,1,&joseki_variations[6312],NULL},
  {804,0,11,1,&joseki_variations[6313],NULL},
  {722,3,1,0,NULL,&joseki[778]},
  {801,0,10,0,NULL,&joseki[777]},
  {764,0,5,1,&joseki_variations[6316],NULL},
  {798,0,5,2,&joseki_variations[6317],NULL},
  {804,0,8,1,&joseki_variations[6321],NULL},
  {800,0,7,1,&joseki_variations[6319],NULL},
  {804,0,9,1,&joseki_variations[6320],NULL},
  {762,3,4,0,NULL,&joseki[776]},
  {800,0,7,0,NULL,&joseki[775]},
  {798,0,5,1,&joseki_variations[6323],NULL},
  {804,0,7,2,&joseki_variations[6324],NULL},
  {763,3,4,0,NULL,&joseki[774]},
  {722,3,1,0,NULL,&joseki[783]},
  {763,0,4,1,&joseki_variations[6327],NULL},
  {797,0,3,1,&joseki_variations[6328],NULL},
  {798,3,4,1,&joseki_variations[6329],NULL},
  {800,3,7,1,&joseki_variations[6330],NULL},
  {801,0,8,1,&joseki_variations[6331],NULL},
  {834,0,4,1,&joseki_variations[6332],NULL},
  {837,3,9,1,&joseki_variations[6333],NULL},
  {723,3,1,0,NULL,&joseki[510]},
  {760,3,3,4,&joseki_variations[6391],NULL},
  {797,0,3,1,&joseki_variations[6374],NULL},
  {760,0,3,2,&joseki_variations[6347],NULL},
  {761,0,3,1,&joseki_variations[6338],NULL},
  {796,3,2,1,&joseki_variations[6339],NULL},
  {797,0,4,1,&joseki_variations[6340],NULL},
  {798,3,6,1,&joseki_variations[6341],NULL},
  {799,3,7,1,&joseki_variations[6342],NULL},
  {834,3,5,1,&joseki_variations[6343],NULL},
  {835,0,8,1,&joseki_variations[6344],NULL},
  {871,3,6,1,&joseki_variations[6345],NULL},
  {945,0,7,1,&joseki_variations[6346],NULL},
  {760,0,3,0,NULL,&joseki[1409]},
  {797,0,4,1,&joseki_variations[6358],NULL},
  {761,0,4,1,&joseki_variations[6349],NULL},
  {796,3,2,1,&joseki_variations[6350],NULL},
  {797,0,5,1,&joseki_variations[6351],NULL},
  {798,3,7,1,&joseki_variations[6352],NULL},
  {799,3,8,1,&joseki_variations[6353],NULL},
  {834,3,6,1,&joseki_variations[6354],NULL},
  {835,0,9,1,&joseki_variations[6355],NULL},
  {871,3,7,1,&joseki_variations[6356],NULL},
  {945,0,8,1,&joseki_variations[6357],NULL},
  {873,3,12,0,NULL,&joseki[1410]},
  {834,3,5,1,&joseki_variations[6359],NULL},
  {724,3,2,1,&joseki_variations[6360],NULL},
  {761,0,5,1,&joseki_variations[6361],NULL},
  {798,3,7,1,&joseki_variations[6362],NULL},
  {762,3,6,2,&joseki_variations[6363],NULL},
  {800,0,9,1,&joseki_variations[6373],NULL},
  {799,3,9,1,&joseki_variations[6365],NULL},
  {800,0,10,1,&joseki_variations[6366],NULL},
  {835,0,9,1,&joseki_variations[6367],&joseki[1337]},
  {836,3,12,1,&joseki_variations[6368],&joseki[1338]},
  {872,0,10,1,&joseki_variations[6369],&joseki[1339]},
  {945,3,6,1,&joseki_variations[6370],NULL},
  {873,0,14,1,&joseki_variations[6371],&joseki[1340]},
  {837,3,14,1,&joseki_variations[6372],&joseki[1341]},
  {871,0,6,0,NULL,&joseki[1342]},
  {799,3,9,0,NULL,&joseki[1336]},
  {834,3,4,2,&joseki_variations[6375],NULL},
  {761,0,3,1,&joseki_variations[6382],NULL},
  {724,3,2,1,&joseki_variations[6377],NULL},
  {761,0,4,1,&joseki_variations[6378],NULL},
  {798,3,6,1,&joseki_variations[6379],NULL},
  {762,3,5,1,&joseki_variations[6380],NULL},
  {800,0,8,1,&joseki_variations[6381],NULL},
  {760,0,3,0,NULL,&joseki[1335]},
  {798,3,5,2,&joseki_variations[6383],NULL},
  {762,3,4,1,&joseki_variations[6389],NULL},
  {835,0,7,1,&joseki_variations[6385],NULL},
  {799,3,6,1,&joseki_variations[6386],NULL},
  {871,3,5,1,&joseki_variations[6387],NULL},
  {945,0,6,1,&joseki_variations[6388],NULL},
  {796,3,2,0,NULL,&joseki[1408]},
  {800,0,7,1,&joseki_variations[6390],NULL},
  {724,3,2,0,NULL,&joseki[1334]},
  {797,3,4,1,&joseki_variations[6473],NULL},
  {796,3,2,1,&joseki_variations[6431],NULL},
  {724,0,2,1,&joseki_variations[6408],NULL},
  {834,3,4,1,&joseki_variations[6395],NULL},
  {761,0,4,1,&joseki_variations[6396],NULL},
  {798,3,5,3,&joseki_variations[6397],NULL},
  {762,0,5,1,&joseki_variations[6403],NULL},
  {800,0,6,1,&joseki_variations[6402],NULL},
  {762,3,5,1,&joseki_variations[6400],NULL},
  {800,0,7,1,&joseki_variations[6401],NULL},
  {797,0,4,0,NULL,&joseki[1333]},
  {762,3,5,0,NULL,&joseki[1332]},
  {800,0,7,2,&joseki_variations[6404],NULL},
  {796,3,2,0,NULL,&joseki[1330]},
  {767,0,6,1,&joseki_variations[6406],NULL},
  {945,3,5,1,&joseki_variations[6407],NULL},
  {796,3,2,0,NULL,&joseki[1355]},
  {761,0,5,1,&joseki_variations[6409],NULL},
  {725,3,3,1,&joseki_variations[6410],NULL},
  {762,3,7,1,&joseki_variations[6411],NULL},
  {763,3,8,1,&joseki_variations[6412],NULL},
  {727,3,4,1,&joseki_variations[6413],NULL},
  {764,0,10,1,&joseki_variations[6414],NULL},
  {728,3,5,1,&joseki_variations[6415],NULL},
  {765,0,12,1,&joseki_variations[6416],NULL},
  {795,3,1,1,&joseki_variations[6417],NULL},
  {796,3,3,1,&joseki_variations[6418],NULL},
  {797,3,6,1,&joseki_variations[6419],NULL},
  {798,0,9,1,&joseki_variations[6420],NULL},
  {799,3,12,1,&joseki_variations[6421],NULL},
  {800,0,14,1,&joseki_variations[6422],NULL},
  {801,3,17,1,&joseki_variations[6423],NULL},
  {833,0,4,1,&joseki_variations[6424],NULL},
  {834,3,8,1,&joseki_variations[6425],NULL},
  {835,3,12,1,&joseki_variations[6426],NULL},
  {836,0,16,1,&joseki_variations[6427],NULL},
  {837,0,19,1,&joseki_variations[6428],NULL},
  {871,0,9,1,&joseki_variations[6429],NULL},
  {872,0,14,1,&joseki_variations[6430],NULL},
  {832,0,2,0,NULL,&joseki[407]},
  {797,3,5,2,&joseki_variations[6432],NULL},
  {834,3,6,1,&joseki_variations[6454],NULL},
  {833,0,3,1,&joseki_variations[6434],NULL},
  {834,3,7,1,&joseki_variations[6435],NULL},
  {871,0,8,1,&joseki_variations[6436],NULL},
  {724,0,2,1,&joseki_variations[6437],NULL},
  {761,0,5,1,&joseki_variations[6438],NULL},
  {798,0,8,1,&joseki_variations[6439],NULL},
  {835,3,11,1,&joseki_variations[6440],NULL},
  {872,0,13,1,&joseki_variations[6441],NULL},
  {725,3,3,1,&joseki_variations[6442],NULL},
  {762,3,7,1,&joseki_variations[6443],NULL},
  {799,3,11,1,&joseki_variations[6444],NULL},
  {836,0,15,1,&joseki_variations[6445],NULL},
  {763,3,8,1,&joseki_variations[6446],NULL},
  {800,0,13,1,&joseki_variations[6447],NULL},
  {837,0,18,1,&joseki_variations[6448],NULL},
  {727,3,4,1,&joseki_variations[6449],NULL},
  {764,0,10,1,&joseki_variations[6450],NULL},
  {801,3,16,1,&joseki_variations[6451],NULL},
  {728,3,5,1,&joseki_variations[6452],NULL},
  {765,0,12,1,&joseki_variations[6453],NULL},
  {795,3,1,0,NULL,&joseki[406]},
  {871,0,7,1,&joseki_variations[6455],NULL},
  {724,0,2,1,&joseki_variations[6456],NULL},
  {761,0,5,1,&joseki_variations[6457],NULL},
  {798,0,8,1,&joseki_variations[6458],NULL},
  {835,3,10,1,&joseki_variations[6459],NULL},
  {872,0,12,1,&joseki_variations[6460],NULL},
  {725,3,3,1,&joseki_variations[6461],NULL},
  {762,3,7,1,&joseki_variations[6462],NULL},
  {799,3,11,1,&joseki_variations[6463],NULL},
  {836,0,14,1,&joseki_variations[6464],NULL},
  {763,3,8,1,&joseki_variations[6465],NULL},
  {800,0,13,1,&joseki_variations[6466],NULL},
  {837,0,17,1,&joseki_variations[6467],NULL},
  {727,3,4,1,&joseki_variations[6468],NULL},
  {764,0,10,1,&joseki_variations[6469],NULL},
  {801,3,16,1,&joseki_variations[6470],NULL},
  {728,3,5,1,&joseki_variations[6471],NULL},
  {765,0,12,1,&joseki_variations[6472],NULL},
  {833,0,3,0,NULL,&joseki[405]},
  {834,3,5,1,&joseki_variations[6474],NULL},
  {871,0,6,1,&joseki_variations[6475],NULL},
  {724,0,2,1,&joseki_variations[6476],NULL},
  {761,0,5,1,&joseki_variations[6477],NULL},
  {798,0,7,1,&joseki_variations[6478],NULL},
  {835,3,9,1,&joseki_variations[6479],NULL},
  {872,0,11,1,&joseki_variations[6480],NULL},
  {725,3,3,1,&joseki_variations[6481],NULL},
  {762,3,7,1,&joseki_variations[6482],NULL},
  {799,3,10,1,&joseki_variations[6483],NULL},
  {836,0,13,1,&joseki_variations[6484],NULL},
  {763,3,8,1,&joseki_variations[6485],NULL},
  {800,0,12,1,&joseki_variations[6486],NULL},
  {837,0,16,1,&joseki_variations[6487],NULL},
  {727,3,4,1,&joseki_variations[6488],NULL},
  {764,0,10,1,&joseki_variations[6489],NULL},
  {801,3,15,1,&joseki_variations[6490],NULL},
  {728,3,5,1,&joseki_variations[6491],NULL},
  {765,0,12,1,&joseki_variations[6492],NULL},
  {796,3,2,0,NULL,&joseki[404]},
  {870,3,3,1,&joseki_variations[6512],NULL},
  {723,3,1,1,&joseki_variations[6495],NULL},
  {760,3,3,1,&joseki_variations[6496],NULL},
  {797,0,5,2,&joseki_variations[6497],NULL},
  {834,3,6,1,&joseki_variations[6506],NULL},
  {833,3,3,1,&joseki_variations[6499],NULL},
  {834,3,7,1,&joseki_variations[6500],NULL},
  {724,0,2,1,&joseki_variations[6501],NULL},
  {761,0,5,1,&joseki_variations[6502],NULL},
  {763,0,6,1,&joseki_variations[6503],NULL},
  {798,3,8,1,&joseki_variations[6504],NULL},
  {835,3,11,1,&joseki_variations[6505],NULL},
  {722,0,1,0,NULL,&joseki[1213]},
  {724,0,2,1,&joseki_variations[6507],NULL},
  {761,0,5,1,&joseki_variations[6508],NULL},
  {763,0,6,1,&joseki_variations[6509],NULL},
  {798,3,8,1,&joseki_variations[6510],NULL},
  {835,3,10,1,&joseki_variations[6511],NULL},
  {833,3,3,0,NULL,&joseki[1212]},
  {723,0,1,1,&joseki_variations[6513],NULL},
  {760,3,3,1,&joseki_variations[6514],NULL},
  {834,0,5,1,&joseki_variations[6515],NULL},
  {871,3,7,1,&joseki_variations[6516],NULL},
  {724,3,2,1,&joseki_variations[6517],NULL},
  {761,3,5,1,&joseki_variations[6518],NULL},
  {798,3,7,1,&joseki_variations[6519],NULL},
  {835,0,9,1,&joseki_variations[6520],NULL},
  {872,3,12,1,&joseki_variations[6521],NULL},
  {688,3,1,1,&joseki_variations[6522],NULL},
  {725,0,4,1,&joseki_variations[6523],NULL},
  {762,0,8,1,&joseki_variations[6524],NULL},
  {799,0,11,1,&joseki_variations[6525],NULL},
  {836,3,14,1,&joseki_variations[6526],NULL},
  {726,0,5,1,&joseki_variations[6527],NULL},
  {763,0,10,1,&joseki_variations[6528],NULL},
  {800,3,14,1,&joseki_variations[6529],NULL},
  {837,3,18,1,&joseki_variations[6530],NULL},
  {727,0,6,1,&joseki_variations[6531],NULL},
  {764,3,12,1,&joseki_variations[6532],NULL},
  {801,0,17,1,&joseki_variations[6533],NULL},
  {728,0,7,1,&joseki_variations[6534],NULL},
  {765,3,14,1,&joseki_variations[6535],NULL},
  {722,3,1,0,NULL,&joseki[381]},
  {760,0,3,2,&joseki_variations[6635],NULL},
  {760,3,3,4,&joseki_variations[6538],NULL},
  {796,3,2,1,&joseki_variations[6602],NULL},
  {724,0,2,1,&joseki_variations[6584],NULL},
  {797,3,4,1,&joseki_variations[6571],NULL},
  {797,0,4,2,&joseki_variations[6542],NULL},
  {761,0,4,3,&joseki_variations[6554],NULL},
  {724,0,2,1,&joseki_variations[6544],NULL},
  {761,0,5,1,&joseki_variations[6545],NULL},
  {763,0,6,1,&joseki_variations[6546],NULL},
  {798,3,7,2,&joseki_variations[6547],NULL},
  {835,3,8,3,&joseki_variations[6551],NULL},
  {834,3,5,1,&joseki_variations[6549],NULL},
  {835,3,9,1,&joseki_variations[6550],NULL},
  {796,0,2,0,NULL,&joseki[1211]},
  {796,3,2,0,NULL,&joseki[1204]},
  {722,3,1,0,NULL,&joseki[1208]},
  {834,3,5,0,NULL,&joseki[1210]},
  {763,0,5,1,&joseki_variations[6568],NULL},
  {871,3,5,1,&joseki_variations[6563],NULL},
  {798,3,6,1,&joseki_variations[6557],NULL},
  {799,3,7,1,&joseki_variations[6558],NULL},
  {834,0,5,1,&joseki_variations[6559],NULL},
  {835,0,8,1,&joseki_variations[6560],NULL},
  {871,3,6,1,&joseki_variations[6561],NULL},
  {945,0,7,1,&joseki_variations[6562],NULL},
  {722,3,1,0,NULL,&joseki[1397]},
  {945,0,6,1,&joseki_variations[6564],NULL},
  {798,3,6,1,&joseki_variations[6565],NULL},
  {835,0,7,1,&joseki_variations[6566],&joseki[1394]},
  {799,3,7,1,&joseki_variations[6567],&joseki[1395]},
  {834,0,5,0,NULL,&joseki[1396]},
  {798,3,6,1,&joseki_variations[6569],NULL},
  {835,3,7,1,&joseki_variations[6570],NULL},
  {724,0,2,0,NULL,&joseki[1203]},
  {761,3,4,1,&joseki_variations[6572],NULL},
  {798,0,6,1,&joseki_variations[6573],NULL},
  {833,3,2,1,&joseki_variations[6574],NULL},
  {835,0,8,1,&joseki_variations[6575],NULL},
  {870,3,3,1,&joseki_variations[6576],NULL},
  {872,0,10,1,&joseki_variations[6577],NULL},
  {907,0,4,1,&joseki_variations[6578],NULL},
  {725,0,2,1,&joseki_variations[6579],NULL},
  {762,0,6,1,&joseki_variations[6580],NULL},
  {799,3,9,1,&joseki_variations[6581],NULL},
  {800,0,10,1,&joseki_variations[6582],NULL},
  {801,3,11,1,&joseki_variations[6583],NULL},
  {908,0,8,0,NULL,&joseki[971]},
  {761,3,5,1,&joseki_variations[6585],NULL},
  {762,0,6,1,&joseki_variations[6586],NULL},
  {763,0,7,1,&joseki_variations[6587],NULL},
  {795,0,1,1,&joseki_variations[6588],NULL},
  {797,0,5,1,&joseki_variations[6589],NULL},
  {798,3,8,1,&joseki_variations[6590],NULL},
  {799,0,10,1,&joseki_variations[6591],NULL},
  {800,3,12,1,&joseki_variations[6592],NULL},
  {801,0,13,1,&joseki_variations[6593],NULL},
  {833,0,3,1,&joseki_variations[6594],NULL},
  {834,0,7,1,&joseki_variations[6595],NULL},
  {835,0,11,1,&joseki_variations[6596],NULL},
  {836,3,14,1,&joseki_variations[6597],NULL},
  {837,3,17,1,&joseki_variations[6598],NULL},
  {870,3,4,1,&joseki_variations[6599],NULL},
  {871,3,9,1,&joseki_variations[6600],NULL},
  {872,3,14,1,&joseki_variations[6601],NULL},
  {722,3,1,0,NULL,&joseki[425]},
  {797,0,5,2,&joseki_variations[6603],NULL},
  {833,0,3,1,&joseki_variations[6610],NULL},
  {724,0,2,1,&joseki_variations[6605],NULL},
  {761,0,5,1,&joseki_variations[6606],NULL},
  {763,0,6,1,&joseki_variations[6607],NULL},
  {798,3,8,1,&joseki_variations[6608],NULL},
  {835,3,9,1,&joseki_variations[6609],NULL},
  {834,0,6,0,NULL,&joseki[1205]},
  {834,0,7,1,&joseki_variations[6611],NULL},
  {870,3,4,1,&joseki_variations[6612],NULL},
  {724,0,2,1,&joseki_variations[6613],NULL},
  {761,3,5,1,&joseki_variations[6614],NULL},
  {798,3,8,1,&joseki_variations[6615],NULL},
  {835,0,11,2,&joseki_variations[6616],NULL},
  {872,3,13,1,&joseki_variations[6627],NULL},
  {871,3,9,1,&joseki_variations[6618],NULL},
  {872,3,14,1,&joseki_variations[6619],NULL},
  {762,0,6,1,&joseki_variations[6620],NULL},
  {799,0,10,1,&joseki_variations[6621],NULL},
  {836,3,14,1,&joseki_variations[6622],NULL},
  {763,0,7,1,&joseki_variations[6623],NULL},
  {800,3,12,1,&joseki_variations[6624],NULL},
  {837,3,17,1,&joseki_variations[6625],NULL},
  {801,0,13,1,&joseki_variations[6626],NULL},
  {795,0,1,0,NULL,&joseki[424]},
  {762,0,6,1,&joseki_variations[6628],NULL},
  {799,0,10,1,&joseki_variations[6629],NULL},
  {836,3,14,1,&joseki_variations[6630],NULL},
  {763,0,7,1,&joseki_variations[6631],NULL},
  {800,3,12,1,&joseki_variations[6632],NULL},
  {837,3,17,1,&joseki_variations[6633],NULL},
  {801,0,13,1,&joseki_variations[6634],NULL},
  {871,3,9,0,NULL,&joseki[423]},
  {761,3,4,4,&joseki_variations[6664],NULL},
  {724,3,2,1,&joseki_variations[6637],NULL},
  {761,3,5,2,&joseki_variations[6638],NULL},
  {798,0,6,2,&joseki_variations[6652],NULL},
  {762,0,6,1,&joseki_variations[6640],NULL},
  {797,3,4,1,&joseki_variations[6641],NULL},
  {798,0,7,1,&joseki_variations[6642],NULL},
  {834,3,5,1,&joseki_variations[6643],NULL},
  {835,0,9,1,&joseki_variations[6644],NULL},
  {871,3,6,1,&joseki_variations[6645],NULL},
  {872,0,11,2,&joseki_variations[6646],NULL},
  {909,3,12,1,&joseki_variations[6651],NULL},
  {908,0,7,1,&joseki_variations[6648],NULL},
  {909,3,13,1,&joseki_variations[6649],NULL},
  {945,3,8,1,&joseki_variations[6650],&joseki[1066]},
  {722,0,1,0,NULL,&joseki[1067]},
  {908,0,7,0,NULL,&joseki[1065]},
  {872,0,7,1,&joseki_variations[6659],NULL},
  {871,0,4,1,&joseki_variations[6654],NULL},
  {725,3,3,1,&joseki_variations[6655],NULL},
  {762,0,7,1,&joseki_variations[6656],NULL},
  {799,0,9,1,&joseki_variations[6657],NULL},
  {763,3,8,1,&joseki_variations[6658],NULL},
  {800,3,11,0,NULL,&joseki[617]},
  {725,3,3,1,&joseki_variations[6660],NULL},
  {762,0,7,1,&joseki_variations[6661],NULL},
  {799,0,9,1,&joseki_variations[6662],NULL},
  {763,3,8,1,&joseki_variations[6663],NULL},
  {800,3,11,0,NULL,&joseki[203]},
  {763,3,5,1,&joseki_variations[6692],NULL},
  {871,0,4,1,&joseki_variations[6680],NULL},
  {798,0,5,1,&joseki_variations[6673],NULL},
  {797,3,4,1,&joseki_variations[6668],NULL},
  {798,0,6,1,&joseki_variations[6669],NULL},
  {800,0,7,1,&joseki_variations[6670],NULL},
  {834,3,5,1,&joseki_variations[6671],NULL},
  {835,0,8,1,&joseki_variations[6672],NULL},
  {722,3,1,0,NULL,&joseki[1476]},
  {834,0,4,1,&joseki_variations[6674],NULL},
  {762,3,5,1,&joseki_variations[6675],NULL},
  {800,3,7,2,&joseki_variations[6676],NULL},
  {767,3,6,0,NULL,&joseki[1328]},
  {982,0,5,1,&joseki_variations[6678],NULL},
  {1056,3,6,1,&joseki_variations[6679],NULL},
  {767,3,6,0,NULL,&joseki[1363]},
  {798,0,5,1,&joseki_variations[6681],NULL},
  {835,0,6,1,&joseki_variations[6682],NULL},
  {946,3,8,1,&joseki_variations[6683],NULL},
  {762,3,5,1,&joseki_variations[6684],NULL},
  {836,3,8,1,&joseki_variations[6685],NULL},
  {873,0,10,1,&joseki_variations[6686],NULL},
  {763,3,6,1,&joseki_variations[6687],NULL},
  {837,3,10,1,&joseki_variations[6688],NULL},
  {801,0,8,3,&joseki_variations[6689],NULL},
  {767,3,7,0,NULL,&joseki[1171]},
  {768,3,7,0,NULL,&joseki[1172]},
  {769,3,7,0,NULL,&joseki[1173]},
  {798,0,5,2,&joseki_variations[6693],NULL},
  {872,0,6,1,&joseki_variations[6696],NULL},
  {871,0,4,1,&joseki_variations[6695],NULL},
  {725,3,2,0,NULL,&joseki[608]},
  {725,3,2,0,NULL,&joseki[194]},
  {760,3,2,1,&joseki_variations[6698],NULL},
  {797,0,3,1,&joseki_variations[6699],NULL},
  {761,3,3,1,&joseki_variations[6700],NULL},
  {798,0,5,1,&joseki_variations[6701],NULL},
  {872,0,6,1,&joseki_variations[6702],NULL},
  {762,0,4,1,&joseki_variations[6703],NULL},
  {763,3,6,2,&joseki_variations[6704],NULL},
  {800,3,9,1,&joseki_variations[6733],NULL},
  {765,0,7,1,&joseki_variations[6706],NULL},
  {766,0,8,1,&joseki_variations[6707],NULL},
  {767,0,9,1,&joseki_variations[6708],NULL},
  {799,3,7,1,&joseki_variations[6709],NULL},
  {800,3,10,1,&joseki_variations[6710],NULL},
  {837,3,11,1,&joseki_variations[6711],NULL},
  {874,0,13,1,&joseki_variations[6712],NULL},
  {801,0,11,1,&joseki_variations[6713],NULL},
  {838,0,13,1,&joseki_variations[6714],NULL},
  {875,3,16,2,&joseki_variations[6715],NULL},
  {912,3,17,1,&joseki_variations[6725],NULL},
  {911,0,14,1,&joseki_variations[6717],NULL},
  {912,3,18,1,&joseki_variations[6718],NULL},
  {802,0,13,1,&joseki_variations[6719],NULL},
  {839,3,16,1,&joseki_variations[6720],NULL},
  {876,0,20,1,&joseki_variations[6721],NULL},
  {803,3,15,1,&joseki_variations[6722],NULL},
  {840,3,19,1,&joseki_variations[6723],NULL},
  {804,3,17,1,&joseki_variations[6724],NULL},
  {722,3,1,0,NULL,&joseki[81]},
  {802,0,13,1,&joseki_variations[6726],NULL},
  {839,3,16,1,&joseki_variations[6727],NULL},
  {876,0,20,1,&joseki_variations[6728],NULL},
  {803,3,15,1,&joseki_variations[6729],NULL},
  {840,3,19,1,&joseki_variations[6730],NULL},
  {804,3,17,1,&joseki_variations[6731],NULL},
  {805,3,18,1,&joseki_variations[6732],NULL},
  {911,0,14,0,NULL,&joseki[80]},
  {837,3,10,1,&joseki_variations[6734],NULL},
  {874,0,12,1,&joseki_variations[6735],NULL},
  {801,0,10,1,&joseki_variations[6736],NULL},
  {838,0,12,1,&joseki_variations[6737],NULL},
  {875,3,15,1,&joseki_variations[6738],NULL},
  {912,3,16,1,&joseki_variations[6739],NULL},
  {765,0,7,1,&joseki_variations[6740],NULL},
  {802,0,12,1,&joseki_variations[6741],NULL},
  {839,3,15,1,&joseki_variations[6742],NULL},
  {876,0,19,1,&joseki_variations[6743],NULL},
  {766,0,8,1,&joseki_variations[6744],NULL},
  {803,3,14,1,&joseki_variations[6745],NULL},
  {840,3,18,1,&joseki_variations[6746],NULL},
  {767,0,9,1,&joseki_variations[6747],NULL},
  {804,3,16,1,&joseki_variations[6748],NULL},
  {805,3,17,1,&joseki_variations[6749],NULL},
  {799,3,7,0,NULL,&joseki[79]},
  {797,3,3,1,&joseki_variations[6782],NULL},
  {761,0,3,2,&joseki_variations[6763],NULL},
  {762,0,3,1,&joseki_variations[6753],NULL},
  {763,3,4,1,&joseki_variations[6754],NULL},
  {796,3,2,1,&joseki_variations[6755],NULL},
  {797,3,4,1,&joseki_variations[6756],NULL},
  {798,0,5,1,&joseki_variations[6757],NULL},
  {800,3,8,1,&joseki_variations[6758],NULL},
  {834,0,5,1,&joseki_variations[6759],NULL},
  {835,3,7,1,&joseki_variations[6760],NULL},
  {871,0,6,1,&joseki_variations[6761],NULL},
  {872,3,9,1,&joseki_variations[6762],NULL},
  {799,3,7,0,NULL,&joseki[740]},
  {726,0,1,1,&joseki_variations[6773],NULL},
  {796,3,2,1,&joseki_variations[6765],NULL},
  {797,0,4,1,&joseki_variations[6766],NULL},
  {798,3,6,1,&joseki_variations[6767],NULL},
  {800,0,7,1,&joseki_variations[6768],NULL},
  {834,3,5,1,&joseki_variations[6769],NULL},
  {836,3,8,1,&joseki_variations[6770],NULL},
  {908,0,6,1,&joseki_variations[6771],NULL},
  {946,3,9,1,&joseki_variations[6772],NULL},
  {909,3,9,0,NULL,&joseki[1286]},
  {763,0,5,1,&joseki_variations[6774],NULL},
  {765,3,6,1,&joseki_variations[6775],NULL},
  {796,3,2,1,&joseki_variations[6776],NULL},
  {797,3,4,1,&joseki_variations[6777],NULL},
  {871,0,5,1,&joseki_variations[6778],NULL},
  {798,3,6,1,&joseki_variations[6779],NULL},
  {799,3,7,1,&joseki_variations[6780],NULL},
  {800,3,10,1,&joseki_variations[6781],NULL},
  {909,3,8,0,NULL,&joseki[143]},
  {761,0,3,2,&joseki_variations[6783],NULL},
  {763,0,4,2,&joseki_variations[6791],NULL},
  {798,3,5,1,&joseki_variations[6785],NULL},
  {799,3,6,1,&joseki_variations[6786],NULL},
  {726,0,1,1,&joseki_variations[6787],NULL},
  {763,0,5,1,&joseki_variations[6788],NULL},
  {800,3,9,1,&joseki_variations[6789],NULL},
  {765,3,6,1,&joseki_variations[6790],NULL},
  {839,3,11,0,NULL,&joseki[7]},
  {765,3,5,1,&joseki_variations[6798],NULL},
  {764,0,5,1,&joseki_variations[6793],NULL},
  {765,3,6,1,&joseki_variations[6794],NULL},
  {798,3,5,1,&joseki_variations[6795],NULL},
  {799,3,6,1,&joseki_variations[6796],NULL},
  {800,3,8,1,&joseki_variations[6797],NULL},
  {801,3,10,0,NULL,&joseki[9]},
  {798,3,5,1,&joseki_variations[6799],NULL},
  {799,3,6,1,&joseki_variations[6800],NULL},
  {800,3,8,2,&joseki_variations[6801],&joseki[5]},
  {726,0,1,0,NULL,&joseki[6]},
  {764,0,5,0,NULL,&joseki[8]},
  {763,0,2,4,&joseki_variations[7906],NULL},
  {797,3,2,7,&joseki_variations[7642],NULL},
  {761,3,2,8,&joseki_variations[7461],NULL},
  {797,0,2,5,&joseki_variations[7206],NULL},
  {798,3,2,10,&joseki_variations[7132],&joseki[1425]},
  {724,0,1,5,&joseki_variations[7017],NULL},
  {761,0,2,3,&joseki_variations[6993],NULL},
  {724,3,1,2,&joseki_variations[6836],NULL},
  {762,3,2,1,&joseki_variations[6828],NULL},
  {798,0,2,1,&joseki_variations[6825],NULL},
  {800,3,2,1,&joseki_variations[6824],NULL},
  {834,3,2,2,&joseki_variations[6815],NULL},
  {799,3,2,0,NULL,&joseki[1444]},
  {762,0,2,1,&joseki_variations[6817],NULL},
  {799,3,3,2,&joseki_variations[6818],NULL},
  {800,3,4,0,NULL,&joseki[1445]},
  {763,0,3,1,&joseki_variations[6820],NULL},
  {800,3,5,1,&joseki_variations[6821],NULL},
  {801,3,6,1,&joseki_variations[6822],&joseki[1446]},
  {1019,3,3,1,&joseki_variations[6823],&joseki[1447]},
  {1021,3,6,0,NULL,&joseki[1448]},
  {871,0,2,0,NULL,&joseki[1431]},
  {872,3,3,1,&joseki_variations[6826],NULL},
  {800,3,3,1,&joseki_variations[6827],NULL},
  {874,3,5,0,NULL,&joseki[818]},
  {763,0,3,1,&joseki_variations[6829],NULL},
  {796,3,1,1,&joseki_variations[6830],NULL},
  {798,3,3,1,&joseki_variations[6831],NULL},
  {872,3,4,1,&joseki_variations[6832],NULL},
  {799,3,5,1,&joseki_variations[6833],NULL},
  {800,3,7,1,&joseki_variations[6834],NULL},
  {837,0,8,1,&joseki_variations[6835],NULL},
  {724,0,1,0,NULL,&joseki[529]},
  {763,3,3,1,&joseki_variations[6934],NULL},
  {761,3,3,3,&joseki_variations[6838],NULL},
  {798,3,4,3,&joseki_variations[6884],NULL},
  {762,0,4,2,&joseki_variations[6851],NULL},
  {798,0,4,1,&joseki_variations[6841],NULL},
  {725,3,2,1,&joseki_variations[6842],NULL},
  {762,0,5,1,&joseki_variations[6843],NULL},
  {799,0,7,1,&joseki_variations[6844],NULL},
  {763,3,6,1,&joseki_variations[6845],NULL},
  {800,0,9,1,&joseki_variations[6846],NULL},
  {837,0,10,1,&joseki_variations[6847],NULL},
  {727,3,3,1,&joseki_variations[6848],NULL},
  {801,3,11,1,&joseki_variations[6849],NULL},
  {838,0,13,1,&joseki_variations[6850],&joseki[469]},
  {802,3,12,0,NULL,&joseki[470]},
  {763,0,5,2,&joseki_variations[6857],NULL},
  {796,3,1,1,&joseki_variations[6853],NULL},
  {797,3,3,1,&joseki_variations[6854],NULL},
  {798,0,6,1,&joseki_variations[6855],NULL},
  {834,0,4,1,&joseki_variations[6856],NULL},
  {836,0,9,0,NULL,&joseki[1435]},
  {764,0,6,1,&joseki_variations[6869],NULL},
  {796,0,1,1,&joseki_variations[6859],NULL},
  {798,3,5,1,&joseki_variations[6860],NULL},
  {799,0,7,1,&joseki_variations[6861],NULL},
  {800,3,9,1,&joseki_variations[6862],NULL},
  {834,0,3,1,&joseki_variations[6863],NULL},
  {835,0,7,1,&joseki_variations[6864],NULL},
  {836,3,10,1,&joseki_variations[6865],NULL},
  {870,3,2,1,&joseki_variations[6866],NULL},
  {871,3,5,1,&joseki_variations[6867],NULL},
  {872,3,10,1,&joseki_variations[6868],NULL},
  {723,0,1,0,NULL,&joseki[590]},
  {796,0,1,1,&joseki_variations[6870],NULL},
  {797,3,3,1,&joseki_variations[6871],NULL},
  {798,3,6,1,&joseki_variations[6872],NULL},
  {799,0,8,1,&joseki_variations[6873],NULL},
  {800,3,10,1,&joseki_variations[6874],NULL},
  {801,0,12,1,&joseki_variations[6875],NULL},
  {833,0,2,1,&joseki_variations[6876],NULL},
  {834,0,5,1,&joseki_variations[6877],NULL},
  {835,0,9,1,&joseki_variations[6878],NULL},
  {836,3,12,1,&joseki_variations[6879],NULL},
  {837,3,15,1,&joseki_variations[6880],NULL},
  {870,3,3,1,&joseki_variations[6881],NULL},
  {871,3,7,1,&joseki_variations[6882],NULL},
  {872,3,12,1,&joseki_variations[6883],NULL},
  {759,3,1,0,NULL,&joseki[344]},
  {762,0,4,1,&joseki_variations[6920],NULL},
  {833,0,1,1,&joseki_variations[6900],NULL},
  {725,0,2,1,&joseki_variations[6887],NULL},
  {762,3,5,1,&joseki_variations[6888],NULL},
  {799,3,7,1,&joseki_variations[6889],NULL},
  {726,0,3,1,&joseki_variations[6890],NULL},
  {763,0,7,1,&joseki_variations[6891],NULL},
  {800,3,10,1,&joseki_variations[6892],NULL},
  {837,0,11,1,&joseki_variations[6893],NULL},
  {874,3,12,1,&joseki_variations[6894],NULL},
  {801,0,11,1,&joseki_variations[6895],NULL},
  {838,3,13,1,&joseki_variations[6896],NULL},
  {875,3,15,1,&joseki_variations[6897],NULL},
  {802,0,12,1,&joseki_variations[6898],NULL},
  {839,0,15,1,&joseki_variations[6899],NULL},
  {797,0,2,0,NULL,&joseki[544]},
  {834,0,3,1,&joseki_variations[6901],NULL},
  {835,0,7,1,&joseki_variations[6902],NULL},
  {870,3,2,1,&joseki_variations[6903],NULL},
  {871,3,5,1,&joseki_variations[6904],NULL},
  {872,3,10,1,&joseki_variations[6905],NULL},
  {688,3,1,1,&joseki_variations[6906],NULL},
  {725,0,3,1,&joseki_variations[6907],NULL},
  {762,0,6,1,&joseki_variations[6908],NULL},
  {799,0,8,1,&joseki_variations[6909],NULL},
  {836,3,12,1,&joseki_variations[6910],NULL},
  {726,0,4,1,&joseki_variations[6911],NULL},
  {763,0,8,1,&joseki_variations[6912],NULL},
  {800,3,11,1,&joseki_variations[6913],NULL},
  {837,3,16,1,&joseki_variations[6914],NULL},
  {727,0,5,1,&joseki_variations[6915],NULL},
  {764,3,10,1,&joseki_variations[6916],NULL},
  {801,0,14,1,&joseki_variations[6917],NULL},
  {728,0,6,1,&joseki_variations[6918],NULL},
  {765,3,12,1,&joseki_variations[6919],NULL},
  {723,3,1,0,NULL,&joseki[399]},
  {799,0,6,1,&joseki_variations[6921],NULL},
  {763,0,5,1,&joseki_variations[6922],NULL},
  {800,3,8,1,&joseki_variations[6923],NULL},
  {764,0,6,1,&joseki_variations[6924],NULL},
  {801,0,10,1,&joseki_variations[6925],NULL},
  {833,0,1,1,&joseki_variations[6926],NULL},
  {834,0,3,1,&joseki_variations[6927],NULL},
  {835,0,7,1,&joseki_variations[6928],NULL},
  {836,3,10,1,&joseki_variations[6929],NULL},
  {837,3,13,1,&joseki_variations[6930],NULL},
  {870,3,2,1,&joseki_variations[6931],NULL},
  {871,3,5,1,&joseki_variations[6932],NULL},
  {872,3,10,1,&joseki_variations[6933],NULL},
  {797,3,2,0,NULL,&joseki[342]},
  {798,0,3,3,&joseki_variations[6935],NULL},
  {872,0,4,6,&joseki_variations[6951],NULL},
  {871,0,2,4,&joseki_variations[6942],NULL},
  {1020,0,4,1,&joseki_variations[6938],NULL},
  {803,0,5,1,&joseki_variations[6939],NULL},
  {873,0,4,1,&joseki_variations[6940],NULL},
  {837,3,5,1,&joseki_variations[6941],NULL},
  {729,3,2,0,NULL,&joseki[715]},
  {766,3,4,1,&joseki_variations[6949],&joseki[595]},
  {804,0,5,1,&joseki_variations[6948],NULL},
  {768,3,4,1,&joseki_variations[6947],NULL},
  {802,3,5,1,&joseki_variations[6946],NULL},
  {945,3,3,0,NULL,&joseki[602]},
  {802,3,5,0,NULL,&joseki[601]},
  {802,3,5,0,NULL,&joseki[600]},
  {945,3,3,1,&joseki_variations[6950],&joseki[596]},
  {723,3,1,0,NULL,&joseki[597]},
  {766,3,4,1,&joseki_variations[6992],&joseki[172]},
  {1019,0,2,0,NULL,&joseki[174]},
  {802,3,5,0,NULL,&joseki[175]},
  {1020,0,5,3,&joseki_variations[6963],NULL},
  {803,0,5,1,&joseki_variations[6961],NULL},
  {837,3,5,1,&joseki_variations[6957],NULL},
  {729,3,2,1,&joseki_variations[6958],NULL},
  {803,0,6,1,&joseki_variations[6959],NULL},
  {1019,0,2,1,&joseki_variations[6960],&joseki[731]},
  {766,3,5,0,NULL,&joseki[732]},
  {837,3,5,1,&joseki_variations[6962],NULL},
  {729,3,2,0,NULL,&joseki[730]},
  {803,0,5,1,&joseki_variations[6989],NULL},
  {837,3,5,2,&joseki_variations[6982],NULL},
  {800,3,5,1,&joseki_variations[6966],NULL},
  {837,3,6,3,&joseki_variations[6967],NULL},
  {801,0,6,1,&joseki_variations[6980],NULL},
  {764,0,4,1,&joseki_variations[6977],NULL},
  {727,3,2,1,&joseki_variations[6970],NULL},
  {764,0,5,1,&joseki_variations[6971],NULL},
  {801,0,8,2,&joseki_variations[6972],NULL},
  {803,0,9,1,&joseki_variations[6976],NULL},
  {728,0,3,1,&joseki_variations[6974],NULL},
  {803,0,10,1,&joseki_variations[6975],NULL},
  {726,3,2,0,NULL,&joseki[712]},
  {728,0,3,0,NULL,&joseki[711]},
  {801,0,7,1,&joseki_variations[6978],NULL},
  {803,0,8,1,&joseki_variations[6979],NULL},
  {727,3,2,0,NULL,&joseki[710]},
  {803,0,7,1,&joseki_variations[6981],NULL},
  {764,0,4,0,NULL,&joseki[709]},
  {729,3,2,1,&joseki_variations[6986],NULL},
  {801,0,5,1,&joseki_variations[6984],NULL},
  {803,0,6,1,&joseki_variations[6985],NULL},
  {800,3,5,0,NULL,&joseki[708]},
  {803,0,6,2,&joseki_variations[6987],NULL},
  {911,0,7,0,NULL,&joseki[705]},
  {911,3,7,0,NULL,&joseki[706]},
  {837,3,5,2,&joseki_variations[6990],NULL},
  {729,3,2,0,NULL,&joseki[704]},
  {801,0,5,0,NULL,&joseki[707]},
  {838,0,5,0,NULL,&joseki[173]},
  {726,0,1,1,&joseki_variations[7008],NULL},
  {763,0,3,1,&joseki_variations[7001],NULL},
  {798,3,3,1,&joseki_variations[6996],NULL},
  {799,3,4,1,&joseki_variations[6997],&joseki[1427]},
  {833,0,1,1,&joseki_variations[6998],&joseki[1428]},
  {909,3,5,1,&joseki_variations[6999],&joseki[1429]},
  {726,0,1,1,&joseki_variations[7000],NULL},
  {801,3,6,0,NULL,&joseki[1430]},
  {798,3,3,1,&joseki_variations[7002],NULL},
  {834,3,2,1,&joseki_variations[7003],NULL},
  {871,0,3,1,&joseki_variations[7004],NULL},
  {872,3,6,1,&joseki_variations[7005],NULL},
  {873,3,7,1,&joseki_variations[7006],NULL},
  {909,0,7,1,&joseki_variations[7007],NULL},
  {908,3,4,0,NULL,&joseki[669]},
  {763,0,4,1,&joseki_variations[7009],NULL},
  {765,3,5,1,&joseki_variations[7010],NULL},
  {796,3,1,1,&joseki_variations[7011],NULL},
  {797,3,3,1,&joseki_variations[7012],NULL},
  {871,0,4,1,&joseki_variations[7013],NULL},
  {798,3,5,1,&joseki_variations[7014],NULL},
  {799,3,6,1,&joseki_variations[7015],NULL},
  {800,3,9,1,&joseki_variations[7016],NULL},
  {759,0,1,0,NULL,&joseki[142]},
  {761,3,3,2,&joseki_variations[7110],NULL},
  {763,0,3,1,&joseki_variations[7106],NULL},
  {798,3,3,3,&joseki_variations[7052],NULL},
  {762,3,3,1,&joseki_variations[7044],NULL},
  {725,3,2,1,&joseki_variations[7022],NULL},
  {762,3,4,1,&joseki_variations[7023],NULL},
  {763,0,5,1,&joseki_variations[7024],NULL},
  {796,3,1,2,&joseki_variations[7025],NULL},
  {798,3,4,1,&joseki_variations[7039],NULL},
  {797,0,3,1,&joseki_variations[7027],NULL},
  {798,3,5,2,&joseki_variations[7028],NULL},
  {872,3,6,1,&joseki_variations[7035],NULL},
  {799,3,8,1,&joseki_variations[7030],NULL},
  {800,3,10,1,&joseki_variations[7031],NULL},
  {834,3,4,1,&joseki_variations[7032],NULL},
  {837,0,12,1,&joseki_variations[7033],NULL},
  {872,3,7,1,&joseki_variations[7034],NULL},
  {759,0,1,0,NULL,&joseki[533]},
  {799,3,8,1,&joseki_variations[7036],NULL},
  {800,3,10,1,&joseki_variations[7037],NULL},
  {837,0,11,1,&joseki_variations[7038],NULL},
  {834,3,4,0,NULL,&joseki[532]},
  {872,3,5,1,&joseki_variations[7040],NULL},
  {799,3,7,1,&joseki_variations[7041],NULL},
  {800,3,9,1,&joseki_variations[7042],NULL},
  {837,0,10,1,&joseki_variations[7043],NULL},
  {797,0,3,0,NULL,&joseki[531]},
  {763,0,4,1,&joseki_variations[7045],NULL},
  {796,3,1,1,&joseki_variations[7046],NULL},
  {798,3,4,1,&joseki_variations[7047],NULL},
  {872,3,5,1,&joseki_variations[7048],NULL},
  {799,3,6,1,&joseki_variations[7049],NULL},
  {800,3,8,1,&joseki_variations[7050],NULL},
  {837,0,9,1,&joseki_variations[7051],NULL},
  {725,3,2,0,NULL,&joseki[530]},
  {872,3,4,2,&joseki_variations[7074],NULL},
  {870,0,1,1,&joseki_variations[7062],NULL},
  {833,0,1,1,&joseki_variations[7055],NULL},
  {872,3,5,1,&joseki_variations[7056],NULL},
  {725,0,2,1,&joseki_variations[7057],NULL},
  {762,3,4,1,&joseki_variations[7058],NULL},
  {763,0,5,1,&joseki_variations[7059],NULL},
  {800,3,7,1,&joseki_variations[7060],NULL},
  {765,3,6,1,&joseki_variations[7061],NULL},
  {726,3,3,0,NULL,&joseki[167]},
  {872,3,5,1,&joseki_variations[7063],NULL},
  {725,0,2,1,&joseki_variations[7064],NULL},
  {762,3,4,2,&joseki_variations[7065],NULL},
  {763,0,5,1,&joseki_variations[7071],NULL},
  {726,3,3,1,&joseki_variations[7067],NULL},
  {763,0,6,1,&joseki_variations[7068],NULL},
  {800,3,8,1,&joseki_variations[7069],NULL},
  {765,3,7,1,&joseki_variations[7070],NULL},
  {834,0,2,0,NULL,&joseki[165]},
  {800,3,7,1,&joseki_variations[7072],NULL},
  {765,3,6,1,&joseki_variations[7073],NULL},
  {726,3,3,0,NULL,&joseki[164]},
  {762,3,3,1,&joseki_variations[7103],NULL},
  {725,0,2,1,&joseki_variations[7076],NULL},
  {762,3,4,2,&joseki_variations[7077],NULL},
  {763,0,5,2,&joseki_variations[7088],NULL},
  {726,0,3,1,&joseki_variations[7079],NULL},
  {763,0,6,1,&joseki_variations[7080],NULL},
  {800,3,8,2,&joseki_variations[7081],NULL},
  {764,3,7,1,&joseki_variations[7084],NULL},
  {765,3,7,1,&joseki_variations[7083],NULL},
  {801,3,9,0,NULL,&joseki[168]},
  {801,0,10,1,&joseki_variations[7085],NULL},
  {765,3,8,1,&joseki_variations[7086],NULL},
  {838,3,11,1,&joseki_variations[7087],&joseki[160]},
  {802,3,12,0,NULL,&joseki[161]},
  {765,3,6,1,&joseki_variations[7100],NULL},
  {800,3,7,3,&joseki_variations[7090],NULL},
  {764,3,6,1,&joseki_variations[7097],NULL},
  {801,0,8,1,&joseki_variations[7095],NULL},
  {765,3,6,2,&joseki_variations[7093],NULL},
  {870,0,1,0,NULL,&joseki[163]},
  {833,0,1,0,NULL,&joseki[166]},
  {765,3,6,1,&joseki_variations[7096],NULL},
  {837,3,8,0,NULL,&joseki[162]},
  {801,0,9,1,&joseki_variations[7098],NULL},
  {765,3,7,1,&joseki_variations[7099],NULL},
  {726,0,3,0,NULL,&joseki[159]},
  {800,3,7,1,&joseki_variations[7101],&joseki[156]},
  {801,0,8,1,&joseki_variations[7102],&joseki[157]},
  {764,3,6,0,NULL,&joseki[158]},
  {763,0,4,1,&joseki_variations[7104],NULL},
  {765,3,5,1,&joseki_variations[7105],NULL},
  {725,0,2,0,NULL,&joseki[155]},
  {765,3,4,1,&joseki_variations[7107],NULL},
  {798,3,3,1,&joseki_variations[7108],NULL},
  {872,3,4,1,&joseki_variations[7109],NULL},
  {762,3,3,0,NULL,&joseki[154]},
  {763,0,4,2,&joseki_variations[7124],NULL},
  {798,0,4,1,&joseki_variations[7112],NULL},
  {725,3,2,2,&joseki_variations[7113],NULL},
  {763,3,5,1,&joseki_variations[7120],NULL},
  {762,3,5,1,&joseki_variations[7115],NULL},
  {763,3,6,1,&joseki_variations[7116],NULL},
  {800,0,8,1,&joseki_variations[7117],NULL},
  {837,0,9,1,&joseki_variations[7118],NULL},
  {801,3,9,1,&joseki_variations[7119],NULL},
  {723,0,1,0,NULL,&joseki[479]},
  {800,0,7,1,&joseki_variations[7121],NULL},
  {837,0,8,1,&joseki_variations[7122],NULL},
  {801,3,8,1,&joseki_variations[7123],NULL},
  {762,3,5,0,NULL,&joseki[478]},
  {765,3,5,1,&joseki_variations[7128],NULL},
  {871,3,2,1,&joseki_variations[7126],NULL},
  {798,3,4,1,&joseki_variations[7127],NULL},
  {725,3,2,0,NULL,&joseki[645]},
  {798,3,4,1,&joseki_variations[7129],NULL},
  {837,0,6,1,&joseki_variations[7130],NULL},
  {872,3,5,1,&joseki_variations[7131],NULL},
  {725,3,2,0,NULL,&joseki[97]},
  {872,3,3,2,&joseki_variations[7176],NULL},
  {871,0,2,1,&joseki_variations[7167],NULL},
  {762,3,2,1,&joseki_variations[7150],NULL},
  {764,3,2,1,&joseki_variations[7148],NULL},
  {836,3,3,1,&joseki_variations[7145],NULL},
  {761,3,2,0,NULL,&joseki[830]},
  {909,3,3,1,&joseki_variations[7144],NULL},
  {871,3,2,1,&joseki_variations[7143],NULL},
  {908,3,2,1,&joseki_variations[7142],NULL},
  {761,0,2,0,NULL,&joseki[1426]},
  {761,3,2,0,NULL,&joseki[873]},
  {761,3,2,0,NULL,&joseki[867]},
  {761,3,2,0,NULL,&joseki[859]},
  {872,0,3,1,&joseki_variations[7146],NULL},
  {800,0,3,1,&joseki_variations[7147],NULL},
  {761,3,2,0,NULL,&joseki[809]},
  {804,3,4,1,&joseki_variations[7149],NULL},
  {797,3,2,0,NULL,&joseki[771]},
  {763,0,3,1,&joseki_variations[7151],NULL},
  {800,3,5,3,&joseki_variations[7152],NULL},
  {837,3,6,2,&joseki_variations[7162],NULL},
  {801,0,6,1,&joseki_variations[7159],NULL},
  {764,3,4,1,&joseki_variations[7155],NULL},
  {801,0,7,1,&joseki_variations[7156],NULL},
  {833,0,1,1,&joseki_variations[7157],NULL},
  {837,3,7,1,&joseki_variations[7158],NULL},
  {908,0,3,0,NULL,&joseki[493]},
  {833,0,1,1,&joseki_variations[7160],NULL},
  {837,3,7,1,&joseki_variations[7161],NULL},
  {764,3,4,0,NULL,&joseki[492]},
  {801,0,6,1,&joseki_variations[7166],NULL},
  {764,0,4,1,&joseki_variations[7164],NULL},
  {801,0,7,1,&joseki_variations[7165],NULL},
  {797,3,2,0,NULL,&joseki[494]},
  {833,0,1,0,NULL,&joseki[491]},
  {762,3,2,1,&joseki_variations[7168],NULL},
  {763,0,3,1,&joseki_variations[7169],NULL},
  {800,3,5,2,&joseki_variations[7170],NULL},
  {764,3,4,1,&joseki_variations[7173],NULL},
  {765,3,4,1,&joseki_variations[7172],NULL},
  {797,0,2,0,NULL,&joseki[145]},
  {801,0,7,1,&joseki_variations[7174],NULL},
  {765,3,5,1,&joseki_variations[7175],NULL},
  {797,0,2,0,NULL,&joseki[111]},
  {762,3,2,2,&joseki_variations[7179],NULL},
  {800,0,3,1,&joseki_variations[7178],NULL},
  {761,3,2,0,NULL,&joseki[800]},
  {726,0,1,1,&joseki_variations[7187],NULL},
  {763,0,3,2,&joseki_variations[7181],NULL},
  {800,0,5,1,&joseki_variations[7186],NULL},
  {799,3,4,1,&joseki_variations[7183],NULL},
  {800,3,6,1,&joseki_variations[7184],NULL},
  {837,0,7,1,&joseki_variations[7185],NULL},
  {796,3,1,0,NULL,&joseki[528]},
  {797,3,2,0,NULL,&joseki[177]},
  {763,0,4,1,&joseki_variations[7188],NULL},
  {800,0,6,1,&joseki_variations[7189],NULL},
  {837,0,7,1,&joseki_variations[7190],NULL},
  {874,3,9,1,&joseki_variations[7191],NULL},
  {801,3,7,1,&joseki_variations[7192],NULL},
  {838,3,9,1,&joseki_variations[7193],NULL},
  {875,0,12,1,&joseki_variations[7194],NULL},
  {912,0,13,1,&joseki_variations[7195],NULL},
  {765,3,5,1,&joseki_variations[7196],NULL},
  {802,3,9,1,&joseki_variations[7197],NULL},
  {839,0,12,1,&joseki_variations[7198],NULL},
  {876,3,16,1,&joseki_variations[7199],NULL},
  {766,3,6,1,&joseki_variations[7200],NULL},
  {803,0,11,1,&joseki_variations[7201],NULL},
  {840,0,15,1,&joseki_variations[7202],NULL},
  {767,3,7,1,&joseki_variations[7203],NULL},
  {804,0,13,1,&joseki_variations[7204],NULL},
  {805,0,14,1,&joseki_variations[7205],NULL},
  {797,3,2,0,NULL,&joseki[76]},
  {724,0,1,1,&joseki_variations[7419],NULL},
  {761,3,2,3,&joseki_variations[7347],NULL},
  {871,0,3,3,&joseki_variations[7275],NULL},
  {798,3,3,1,&joseki_variations[7259],NULL},
  {834,0,3,2,&joseki_variations[7211],NULL},
  {761,0,2,1,&joseki_variations[7241],NULL},
  {724,3,1,1,&joseki_variations[7213],NULL},
  {761,0,3,1,&joseki_variations[7214],NULL},
  {798,3,5,1,&joseki_variations[7215],NULL},
  {835,3,7,1,&joseki_variations[7216],NULL},
  {725,0,2,1,&joseki_variations[7217],NULL},
  {762,3,5,1,&joseki_variations[7218],NULL},
  {726,3,3,1,&joseki_variations[7219],&joseki[1087]},
  {872,0,8,2,&joseki_variations[7220],&joseki[1088]},
  {800,3,9,2,&joseki_variations[7228],&joseki[1089]},
  {799,0,8,1,&joseki_variations[7222],NULL},
  {873,0,12,1,&joseki_variations[7223],NULL},
  {800,3,10,1,&joseki_variations[7224],NULL},
  {837,0,13,1,&joseki_variations[7225],NULL},
  {838,3,14,1,&joseki_variations[7226],NULL},
  {875,3,17,1,&joseki_variations[7227],NULL},
  {763,3,7,0,NULL,&joseki[1095]},
  {837,0,12,2,&joseki_variations[7230],&joseki[1090]},
  {723,3,1,0,NULL,&joseki[1101]},
  {838,3,13,2,&joseki_variations[7232],&joseki[1091]},
  {801,3,10,0,NULL,&joseki[1100]},
  {873,0,11,2,&joseki_variations[7236],&joseki[1092]},
  {875,0,15,1,&joseki_variations[7234],&joseki[1096]},
  {839,3,14,1,&joseki_variations[7235],&joseki[1097]},
  {873,0,11,0,NULL,&joseki[1098]},
  {875,3,16,1,&joseki_variations[7240],&joseki[1093]},
  {875,0,16,1,&joseki_variations[7238],NULL},
  {839,3,14,1,&joseki_variations[7239],NULL},
  {876,3,18,0,NULL,&joseki[1099]},
  {799,0,8,0,NULL,&joseki[1094]},
  {798,3,4,1,&joseki_variations[7242],NULL},
  {835,3,6,2,&joseki_variations[7243],NULL},
  {762,3,3,1,&joseki_variations[7255],NULL},
  {872,3,7,1,&joseki_variations[7245],NULL},
  {725,0,1,1,&joseki_variations[7246],NULL},
  {762,3,4,2,&joseki_variations[7247],NULL},
  {763,3,5,1,&joseki_variations[7254],&joseki[1037]},
  {726,0,2,1,&joseki_variations[7249],NULL},
  {763,3,6,1,&joseki_variations[7250],NULL},
  {764,3,7,1,&joseki_variations[7251],&joseki[1039]},
  {908,0,4,1,&joseki_variations[7252],&joseki[1040]},
  {947,3,11,1,&joseki_variations[7253],&joseki[1041]},
  {945,0,5,0,NULL,&joseki[1042]},
  {726,0,2,0,NULL,&joseki[1038]},
  {872,3,7,2,&joseki_variations[7256],&joseki[1033]},
  {908,0,4,1,&joseki_variations[7258],&joseki[1034]},
  {725,0,1,0,NULL,&joseki[1036]},
  {800,3,6,0,NULL,&joseki[1035]},
  {762,3,2,1,&joseki_variations[7260],NULL},
  {763,0,3,1,&joseki_variations[7261],NULL},
  {800,3,6,2,&joseki_variations[7262],NULL},
  {837,3,7,1,&joseki_variations[7270],NULL},
  {801,0,7,1,&joseki_variations[7264],NULL},
  {833,0,1,1,&joseki_variations[7265],NULL},
  {837,3,8,1,&joseki_variations[7266],NULL},
  {870,0,2,1,&joseki_variations[7267],NULL},
  {871,3,5,1,&joseki_variations[7268],NULL},
  {907,3,3,1,&joseki_variations[7269],NULL},
  {908,3,7,0,NULL,&joseki[499]},
  {801,0,7,2,&joseki_variations[7271],NULL},
  {871,3,3,0,NULL,&joseki[497]},
  {870,0,1,1,&joseki_variations[7273],NULL},
  {871,3,4,1,&joseki_variations[7274],NULL},
  {907,3,2,0,NULL,&joseki[498]},
  {798,3,3,2,&joseki_variations[7315],NULL},
  {761,3,2,1,&joseki_variations[7294],NULL},
  {724,0,1,1,&joseki_variations[7278],NULL},
  {761,3,3,2,&joseki_variations[7279],NULL},
  {763,0,4,1,&joseki_variations[7288],NULL},
  {798,3,5,1,&joseki_variations[7281],NULL},
  {835,0,6,1,&joseki_variations[7282],NULL},
  {725,3,2,1,&joseki_variations[7283],NULL},
  {799,3,7,1,&joseki_variations[7284],NULL},
  {836,3,9,1,&joseki_variations[7285],NULL},
  {910,3,11,1,&joseki_variations[7286],NULL},
  {763,0,5,1,&joseki_variations[7287],NULL},
  {723,0,1,0,NULL,&joseki[661]},
  {798,3,5,1,&joseki_variations[7289],NULL},
  {835,0,6,1,&joseki_variations[7290],NULL},
  {799,3,6,1,&joseki_variations[7291],NULL},
  {836,3,8,1,&joseki_variations[7292],NULL},
  {910,3,10,1,&joseki_variations[7293],NULL},
  {725,3,2,0,NULL,&joseki[660]},
  {763,0,3,2,&joseki_variations[7295],NULL},
  {765,3,4,1,&joseki_variations[7308],NULL},
  {798,3,4,2,&joseki_variations[7297],NULL},
  {836,3,5,1,&joseki_variations[7306],NULL},
  {835,0,5,2,&joseki_variations[7299],NULL},
  {836,3,6,1,&joseki_variations[7304],NULL},
  {799,3,5,1,&joseki_variations[7301],NULL},
  {836,3,7,1,&joseki_variations[7302],NULL},
  {910,3,9,1,&joseki_variations[7303],NULL},
  {724,0,1,0,NULL,&joseki[659]},
  {910,3,8,1,&joseki_variations[7305],NULL},
  {799,3,5,0,NULL,&joseki[658]},
  {910,3,7,1,&joseki_variations[7307],&joseki[656]},
  {835,0,5,0,NULL,&joseki[657]},
  {798,3,4,1,&joseki_variations[7309],NULL},
  {800,3,6,2,&joseki_variations[7310],NULL},
  {835,3,5,1,&joseki_variations[7314],&joseki[132]},
  {835,0,5,1,&joseki_variations[7312],&joseki[135]},
  {836,3,6,1,&joseki_variations[7313],NULL},
  {873,0,8,0,NULL,&joseki[136]},
  {723,0,1,0,NULL,&joseki[133]},
  {762,3,2,2,&joseki_variations[7333],NULL},
  {725,3,1,1,&joseki_variations[7317],NULL},
  {762,3,3,1,&joseki_variations[7318],NULL},
  {726,0,2,1,&joseki_variations[7319],NULL},
  {763,0,5,2,&joseki_variations[7320],NULL},
  {800,3,8,1,&joseki_variations[7328],NULL},
  {764,3,6,1,&joseki_variations[7322],NULL},
  {765,3,7,1,&joseki_variations[7323],NULL},
  {799,3,6,1,&joseki_variations[7324],NULL},
  {800,3,9,1,&joseki_variations[7325],NULL},
  {837,0,10,1,&joseki_variations[7326],NULL},
  {801,0,11,1,&joseki_variations[7327],NULL},
  {873,0,8,0,NULL,&joseki[119]},
  {764,3,6,1,&joseki_variations[7329],NULL},
  {801,0,10,1,&joseki_variations[7330],NULL},
  {765,3,7,1,&joseki_variations[7331],NULL},
  {837,0,9,1,&joseki_variations[7332],&joseki[117]},
  {799,3,6,0,NULL,&joseki[118]},
  {763,0,3,1,&joseki_variations[7341],NULL},
  {726,0,1,1,&joseki_variations[7335],NULL},
  {763,0,4,1,&joseki_variations[7336],NULL},
  {800,3,7,1,&joseki_variations[7337],NULL},
  {764,3,5,1,&joseki_variations[7338],NULL},
  {801,0,9,1,&joseki_variations[7339],NULL},
  {765,3,6,1,&joseki_variations[7340],NULL},
  {725,3,1,0,NULL,&joseki[116]},
  {800,3,6,1,&joseki_variations[7342],NULL},
  {764,3,4,1,&joseki_variations[7343],NULL},
  {801,0,8,1,&joseki_variations[7344],NULL},
  {765,3,5,2,&joseki_variations[7345],NULL},
  {726,0,1,0,NULL,&joseki[115]},
  {838,3,9,0,NULL,&joseki[120]},
  {763,0,3,2,&joseki_variations[7405],NULL},
  {798,0,4,1,&joseki_variations[7398],NULL},
  {798,3,4,7,&joseki_variations[7350],NULL},
  {836,3,5,1,&joseki_variations[7394],NULL},
  {800,0,5,2,&joseki_variations[7386],NULL},
  {834,3,3,3,&joseki_variations[7381],&joseki[832]},
  {833,0,1,1,&joseki_variations[7360],NULL},
  {909,3,5,1,&joseki_variations[7359],NULL},
  {871,3,3,1,&joseki_variations[7358],NULL},
  {908,3,3,1,&joseki_variations[7357],NULL},
  {834,3,3,0,NULL,&joseki[875]},
  {834,3,3,0,NULL,&joseki[868]},
  {834,3,3,0,NULL,&joseki[861]},
  {834,3,4,5,&joseki_variations[7361],NULL},
  {871,3,5,2,&joseki_variations[7378],&joseki[834]},
  {870,0,2,1,&joseki_variations[7375],NULL},
  {909,3,7,1,&joseki_variations[7374],NULL},
  {908,3,5,1,&joseki_variations[7373],NULL},
  {870,3,2,2,&joseki_variations[7366],NULL},
  {908,3,6,1,&joseki_variations[7371],NULL},
  {835,0,7,1,&joseki_variations[7368],NULL},
  {871,3,6,1,&joseki_variations[7369],NULL},
  {908,3,7,1,&joseki_variations[7370],NULL},
  {724,0,1,0,NULL,&joseki[880]},
  {835,0,7,1,&joseki_variations[7372],&joseki[878]},
  {871,3,6,0,NULL,&joseki[879]},
  {870,3,2,0,NULL,&joseki[877]},
  {871,3,5,0,NULL,&joseki[863]},
  {871,3,6,2,&joseki_variations[7376],NULL},
  {908,3,7,0,NULL,&joseki[836]},
  {724,0,1,0,NULL,&joseki[837]},
  {870,0,2,0,NULL,&joseki[835]},
  {909,3,8,1,&joseki_variations[7380],NULL},
  {724,0,1,0,NULL,&joseki[864]},
  {833,0,1,0,NULL,&joseki[833]},
  {909,3,6,1,&joseki_variations[7385],NULL},
  {908,3,4,1,&joseki_variations[7384],NULL},
  {833,0,1,0,NULL,&joseki[876]},
  {833,0,1,0,NULL,&joseki[862]},
  {835,0,5,1,&joseki_variations[7390],NULL},
  {834,3,3,1,&joseki_variations[7388],NULL},
  {835,0,6,1,&joseki_variations[7389],NULL},
  {723,3,1,0,NULL,&joseki[1484]},
  {836,3,6,1,&joseki_variations[7391],NULL},
  {837,3,8,1,&joseki_variations[7392],NULL},
  {872,0,6,1,&joseki_variations[7393],NULL},
  {801,3,6,0,NULL,&joseki[813]},
  {872,0,5,1,&joseki_variations[7395],NULL},
  {800,0,5,1,&joseki_variations[7396],NULL},
  {837,3,7,1,&joseki_variations[7397],&joseki[811]},
  {835,0,5,0,NULL,&joseki[812]},
  {762,3,3,1,&joseki_variations[7399],NULL},
  {763,3,4,1,&joseki_variations[7400],NULL},
  {800,0,7,1,&joseki_variations[7401],NULL},
  {837,0,8,1,&joseki_variations[7402],NULL},
  {801,3,8,1,&joseki_variations[7403],NULL},
  {766,3,5,1,&joseki_variations[7404],&joseki[474]},
  {1019,0,3,0,NULL,&joseki[475]},
  {765,3,4,1,&joseki_variations[7417],NULL},
  {798,3,4,4,&joseki_variations[7407],NULL},
  {834,3,3,1,&joseki_variations[7416],NULL},
  {836,3,5,1,&joseki_variations[7414],NULL},
  {835,3,5,1,&joseki_variations[7413],&joseki[685]},
  {803,3,6,1,&joseki_variations[7411],NULL},
  {835,3,5,1,&joseki_variations[7412],&joseki[720]},
  {724,0,1,0,NULL,&joseki[721]},
  {724,0,1,0,NULL,&joseki[686]},
  {872,0,5,1,&joseki_variations[7415],NULL},
  {723,3,1,0,NULL,&joseki[677]},
  {723,0,1,0,NULL,&joseki[27]},
  {798,3,4,1,&joseki_variations[7418],NULL},
  {834,3,3,0,NULL,&joseki[26]},
  {761,3,3,2,&joseki_variations[7420],NULL},
  {763,0,4,2,&joseki_variations[7452],NULL},
  {798,3,5,3,&joseki_variations[7422],NULL},
  {835,3,6,1,&joseki_variations[7445],NULL},
  {833,0,1,1,&joseki_variations[7430],NULL},
  {834,3,3,3,&joseki_variations[7425],NULL},
  {725,3,2,1,&joseki_variations[7429],&joseki[841]},
  {835,3,7,0,NULL,&joseki[849]},
  {871,3,4,1,&joseki_variations[7428],NULL},
  {725,3,2,0,NULL,&joseki[869]},
  {723,0,1,0,NULL,&joseki[842]},
  {834,3,4,3,&joseki_variations[7431],NULL},
  {870,0,2,1,&joseki_variations[7442],NULL},
  {871,3,5,1,&joseki_variations[7439],NULL},
  {835,0,8,1,&joseki_variations[7434],NULL},
  {870,3,2,1,&joseki_variations[7435],NULL},
  {871,3,6,1,&joseki_variations[7436],NULL},
  {908,3,7,1,&joseki_variations[7437],NULL},
  {725,3,2,1,&joseki_variations[7438],&joseki[881]},
  {723,0,1,0,NULL,&joseki[882]},
  {909,3,9,1,&joseki_variations[7440],NULL},
  {725,3,2,1,&joseki_variations[7441],&joseki[865]},
  {723,0,1,0,NULL,&joseki[866]},
  {871,3,6,1,&joseki_variations[7443],NULL},
  {725,3,2,1,&joseki_variations[7444],&joseki[838]},
  {723,0,1,0,NULL,&joseki[839]},
  {725,3,2,1,&joseki_variations[7446],NULL},
  {763,0,5,3,&joseki_variations[7447],NULL},
  {765,3,6,1,&joseki_variations[7451],NULL},
  {723,0,1,0,NULL,&joseki[688]},
  {803,3,8,1,&joseki_variations[7450],NULL},
  {723,0,1,0,NULL,&joseki[723]},
  {723,0,1,0,NULL,&joseki[19]},
  {765,3,5,1,&joseki_variations[7458],NULL},
  {798,3,5,1,&joseki_variations[7454],NULL},
  {835,3,6,2,&joseki_variations[7455],NULL},
  {725,3,2,0,NULL,&joseki[687]},
  {803,3,7,1,&joseki_variations[7457],NULL},
  {725,3,2,0,NULL,&joseki[722]},
  {798,3,5,1,&joseki_variations[7459],NULL},
  {835,3,6,1,&joseki_variations[7460],NULL},
  {725,3,2,0,NULL,&joseki[18]},
  {763,0,3,3,&joseki_variations[7617],NULL},
  {763,3,3,2,&joseki_variations[7595],NULL},
  {798,0,3,5,&joseki_variations[7506],NULL},
  {798,3,3,4,&joseki_variations[7497],NULL},
  {800,3,3,2,&joseki_variations[7486],NULL},
  {762,3,3,1,&joseki_variations[7473],NULL},
  {871,0,2,1,&joseki_variations[7470],NULL},
  {835,0,3,1,&joseki_variations[7469],NULL},
  {723,3,1,0,NULL,&joseki[1450]},
  {945,3,3,2,&joseki_variations[7471],NULL},
  {723,3,1,0,NULL,&joseki[1386]},
  {797,3,2,0,NULL,&joseki[1390]},
  {763,3,4,1,&joseki_variations[7474],NULL},
  {796,0,1,1,&joseki_variations[7475],NULL},
  {798,0,4,1,&joseki_variations[7476],NULL},
  {801,0,7,1,&joseki_variations[7477],NULL},
  {835,0,5,1,&joseki_variations[7478],NULL},
  {946,3,6,1,&joseki_variations[7479],NULL},
  {836,3,7,1,&joseki_variations[7480],NULL},
  {873,0,8,1,&joseki_variations[7481],NULL},
  {837,3,9,1,&joseki_variations[7482],NULL},
  {874,0,11,1,&joseki_variations[7483],NULL},
  {838,3,11,2,&joseki_variations[7484],NULL},
  {769,3,5,0,NULL,&joseki[1179]},
  {768,3,5,0,NULL,&joseki[1180]},
  {835,0,3,2,&joseki_variations[7495],NULL},
  {834,0,2,3,&joseki_variations[7488],NULL},
  {723,3,1,0,NULL,&joseki[1324]},
  {767,3,3,1,&joseki_variations[7493],NULL},
  {982,0,3,1,&joseki_variations[7491],NULL},
  {1056,3,4,1,&joseki_variations[7492],NULL},
  {723,3,1,0,NULL,&joseki[1359]},
  {945,0,3,1,&joseki_variations[7494],NULL},
  {723,3,1,0,NULL,&joseki[1350]},
  {723,3,1,0,NULL,&joseki[1120]},
  {797,3,2,0,NULL,&joseki[1127]},
  {836,3,4,1,&joseki_variations[7503],NULL},
  {797,0,2,0,NULL,&joseki[831]},
  {909,3,4,1,&joseki_variations[7502],NULL},
  {908,3,2,1,&joseki_variations[7501],NULL},
  {797,0,2,0,NULL,&joseki[874]},
  {797,0,2,0,NULL,&joseki[860]},
  {872,0,4,1,&joseki_variations[7504],NULL},
  {800,0,4,1,&joseki_variations[7505],NULL},
  {797,0,2,0,NULL,&joseki[810]},
  {725,3,1,2,&joseki_variations[7582],NULL},
  {762,3,3,2,&joseki_variations[7574],NULL},
  {872,0,4,4,&joseki_variations[7560],NULL},
  {800,3,4,1,&joseki_variations[7558],NULL},
  {835,0,4,3,&joseki_variations[7511],NULL},
  {872,0,5,2,&joseki_variations[7551],NULL},
  {946,3,5,2,&joseki_variations[7528],NULL},
  {871,0,2,1,&joseki_variations[7514],NULL},
  {946,3,6,1,&joseki_variations[7515],NULL},
  {762,3,3,2,&joseki_variations[7516],NULL},
  {799,3,5,1,&joseki_variations[7523],NULL},
  {836,3,6,1,&joseki_variations[7518],NULL},
  {873,0,8,1,&joseki_variations[7519],NULL},
  {763,3,4,1,&joseki_variations[7520],NULL},
  {837,3,8,1,&joseki_variations[7521],NULL},
  {801,0,6,1,&joseki_variations[7522],NULL},
  {723,3,1,0,NULL,&joseki[1169]},
  {801,0,6,1,&joseki_variations[7524],NULL},
  {836,3,7,1,&joseki_variations[7525],NULL},
  {873,0,9,1,&joseki_variations[7526],NULL},
  {837,3,8,1,&joseki_variations[7527],NULL},
  {723,3,1,0,NULL,&joseki[1163]},
  {799,3,4,1,&joseki_variations[7546],NULL},
  {762,3,3,2,&joseki_variations[7530],NULL},
  {799,3,5,1,&joseki_variations[7541],NULL},
  {836,3,6,1,&joseki_variations[7532],NULL},
  {873,0,7,1,&joseki_variations[7533],NULL},
  {763,3,4,1,&joseki_variations[7534],NULL},
  {837,3,8,1,&joseki_variations[7535],NULL},
  {801,0,6,2,&joseki_variations[7536],NULL},
  {871,0,2,0,NULL,&joseki[1168]},
  {874,0,10,1,&joseki_variations[7538],NULL},
  {838,3,10,2,&joseki_variations[7539],NULL},
  {796,0,1,0,NULL,&joseki[1178]},
  {723,0,1,0,NULL,&joseki[1181]},
  {801,0,6,1,&joseki_variations[7542],NULL},
  {836,3,7,1,&joseki_variations[7543],NULL},
  {873,0,8,1,&joseki_variations[7544],NULL},
  {837,3,8,1,&joseki_variations[7545],NULL},
  {871,0,2,0,NULL,&joseki[1162]},
  {801,0,5,1,&joseki_variations[7547],NULL},
  {836,3,6,1,&joseki_variations[7548],NULL},
  {873,0,7,1,&joseki_variations[7549],NULL},
  {837,3,7,1,&joseki_variations[7550],NULL},
  {762,3,3,0,NULL,&joseki[1161]},
  {799,3,4,1,&joseki_variations[7556],NULL},
  {725,3,1,1,&joseki_variations[7553],NULL},
  {799,3,5,1,&joseki_variations[7554],NULL},
  {801,3,6,1,&joseki_variations[7555],NULL},
  {723,0,1,0,NULL,&joseki[903]},
  {801,3,5,1,&joseki_variations[7557],NULL},
  {725,3,1,0,NULL,&joseki[902]},
  {871,0,2,1,&joseki_variations[7559],NULL},
  {762,3,3,0,NULL,&joseki[822]},
  {800,3,4,1,&joseki_variations[7573],NULL},
  {762,3,3,2,&joseki_variations[7569],NULL},
  {801,3,4,3,&joseki_variations[7566],NULL},
  {799,3,4,1,&joseki_variations[7564],NULL},
  {801,3,5,1,&joseki_variations[7565],NULL},
  {835,0,4,0,NULL,&joseki[901]},
  {762,3,3,0,NULL,&joseki[894]},
  {799,3,4,0,NULL,&joseki[900]},
  {723,3,1,0,NULL,&joseki[906]},
  {800,3,5,1,&joseki_variations[7572],NULL},
  {801,3,5,1,&joseki_variations[7571],NULL},
  {723,0,1,0,NULL,&joseki[895]},
  {723,0,1,0,NULL,&joseki[797]},
  {762,3,3,0,NULL,&joseki[796]},
  {763,3,4,1,&joseki_variations[7578],NULL},
  {800,3,5,1,&joseki_variations[7576],NULL},
  {871,0,2,1,&joseki_variations[7577],NULL},
  {723,0,1,0,NULL,&joseki[823]},
  {800,0,6,1,&joseki_variations[7579],NULL},
  {837,0,7,1,&joseki_variations[7580],NULL},
  {801,3,7,1,&joseki_variations[7581],NULL},
  {797,0,2,0,NULL,&joseki[473]},
  {762,0,4,1,&joseki_variations[7588],NULL},
  {763,3,4,1,&joseki_variations[7584],NULL},
  {800,0,6,1,&joseki_variations[7585],NULL},
  {837,0,7,1,&joseki_variations[7586],NULL},
  {801,3,7,1,&joseki_variations[7587],NULL},
  {724,0,1,0,NULL,&joseki[477]},
  {799,0,6,1,&joseki_variations[7589],NULL},
  {763,3,5,1,&joseki_variations[7590],NULL},
  {800,0,8,1,&joseki_variations[7591],NULL},
  {837,0,9,1,&joseki_variations[7592],NULL},
  {727,3,2,1,&joseki_variations[7593],NULL},
  {801,3,10,1,&joseki_variations[7594],NULL},
  {724,3,1,0,NULL,&joseki[468]},
  {798,0,3,4,&joseki_variations[7598],NULL},
  {835,0,3,1,&joseki_variations[7597],NULL},
  {797,3,2,0,NULL,&joseki[1199]},
  {872,0,4,1,&joseki_variations[7616],NULL},
  {800,0,5,1,&joseki_variations[7612],NULL},
  {871,0,2,1,&joseki_variations[7611],NULL},
  {801,0,5,1,&joseki_variations[7602],NULL},
  {835,0,4,1,&joseki_variations[7603],NULL},
  {946,3,5,1,&joseki_variations[7604],NULL},
  {836,3,5,1,&joseki_variations[7605],NULL},
  {873,0,6,1,&joseki_variations[7606],NULL},
  {837,3,7,2,&joseki_variations[7607],NULL},
  {762,3,3,0,NULL,&joseki[1167]},
  {874,0,9,1,&joseki_variations[7609],NULL},
  {838,3,9,1,&joseki_variations[7610],NULL},
  {762,3,3,0,NULL,&joseki[1177]},
  {723,3,1,0,NULL,&joseki[604]},
  {837,0,6,1,&joseki_variations[7613],NULL},
  {801,3,6,2,&joseki_variations[7614],NULL},
  {762,3,3,0,NULL,&joseki[472]},
  {725,3,1,0,NULL,&joseki[476]},
  {723,3,1,0,NULL,&joseki[189]},
  {765,3,4,2,&joseki_variations[7633],NULL},
  {871,0,2,1,&joseki_variations[7626],NULL},
  {798,3,3,3,&joseki_variations[7620],NULL},
  {836,3,4,1,&joseki_variations[7624],NULL},
  {797,0,2,0,NULL,&joseki[684]},
  {803,3,5,1,&joseki_variations[7623],NULL},
  {797,0,2,0,NULL,&joseki[719]},
  {872,0,4,1,&joseki_variations[7625],NULL},
  {797,0,2,0,NULL,&joseki[676]},
  {798,3,3,2,&joseki_variations[7627],NULL},
  {836,3,4,1,&joseki_variations[7632],NULL},
  {872,3,5,1,&joseki_variations[7629],NULL},
  {873,3,6,1,&joseki_variations[7630],NULL},
  {909,0,6,1,&joseki_variations[7631],NULL},
  {797,0,2,0,NULL,&joseki[670]},
  {797,0,2,0,NULL,&joseki[655]},
  {798,3,3,2,&joseki_variations[7638],NULL},
  {797,0,2,1,&joseki_variations[7635],NULL},
  {798,3,4,1,&joseki_variations[7636],NULL},
  {835,3,5,1,&joseki_variations[7637],&joseki[16]},
  {724,0,1,0,NULL,&joseki[17]},
  {797,0,2,0,NULL,&joseki[15]},
  {800,3,5,1,&joseki_variations[7640],NULL},
  {871,0,2,1,&joseki_variations[7641],NULL},
  {797,0,2,0,NULL,&joseki[131]},
  {761,0,2,2,&joseki_variations[7828],NULL},
  {798,3,3,4,&joseki_variations[7789],NULL},
  {871,3,3,2,&joseki_variations[7745],NULL},
  {724,3,1,3,&joseki_variations[7702],NULL},
  {761,3,2,4,&joseki_variations[7669],NULL},
  {724,0,1,1,&joseki_variations[7657],NULL},
  {798,0,3,1,&joseki_variations[7649],&joseki[1432]},
  {834,0,3,1,&joseki_variations[7650],NULL},
  {835,3,5,1,&joseki_variations[7651],NULL},
  {871,0,4,1,&joseki_variations[7652],NULL},
  {872,3,7,1,&joseki_variations[7653],NULL},
  {762,0,2,1,&joseki_variations[7654],NULL},
  {763,3,3,1,&joseki_variations[7655],NULL},
  {800,3,6,1,&joseki_variations[7656],NULL},
  {796,3,1,0,NULL,&joseki[739]},
  {761,3,3,1,&joseki_variations[7658],NULL},
  {798,3,5,1,&joseki_variations[7659],NULL},
  {725,0,2,1,&joseki_variations[7660],NULL},
  {762,3,5,1,&joseki_variations[7661],NULL},
  {763,0,6,2,&joseki_variations[7662],NULL},
  {800,0,9,1,&joseki_variations[7668],NULL},
  {800,3,9,1,&joseki_variations[7664],NULL},
  {837,3,10,1,&joseki_variations[7665],NULL},
  {764,0,7,1,&joseki_variations[7666],NULL},
  {801,0,11,1,&joseki_variations[7667],NULL},
  {723,3,1,0,NULL,&joseki[496]},
  {723,3,1,0,NULL,&joseki[185]},
  {798,3,4,1,&joseki_variations[7697],NULL},
  {798,0,4,3,&joseki_variations[7681],NULL},
  {835,0,4,1,&joseki_variations[7679],NULL},
  {871,0,3,1,&joseki_variations[7673],NULL},
  {945,3,4,1,&joseki_variations[7674],NULL},
  {798,0,4,2,&joseki_variations[7675],&joseki[1391]},
  {759,3,1,0,NULL,&joseki[1392]},
  {835,3,5,1,&joseki_variations[7677],&joseki[1403]},
  {799,0,5,1,&joseki_variations[7678],&joseki[1404]},
  {759,3,1,0,NULL,&joseki[1405]},
  {763,3,3,1,&joseki_variations[7680],NULL},
  {798,0,4,0,NULL,&joseki[1200]},
  {834,3,3,1,&joseki_variations[7686],NULL},
  {835,0,5,1,&joseki_variations[7684],NULL},
  {762,0,3,0,NULL,&joseki[1433]},
  {763,3,3,1,&joseki_variations[7685],NULL},
  {759,3,1,0,NULL,&joseki[1201]},
  {835,0,6,3,&joseki_variations[7687],NULL},
  {872,3,7,1,&joseki_variations[7695],NULL},
  {871,3,4,1,&joseki_variations[7691],NULL},
  {800,0,5,1,&joseki_variations[7690],NULL},
  {723,3,1,0,NULL,&joseki[1474]},
  {872,0,8,1,&joseki_variations[7692],NULL},
  {909,3,9,1,&joseki_variations[7693],NULL},
  {762,0,3,1,&joseki_variations[7694],NULL},
  {724,3,1,0,NULL,&joseki[1062]},
  {762,0,3,1,&joseki_variations[7696],NULL},
  {724,3,1,0,NULL,&joseki[1045]},
  {725,0,1,1,&joseki_variations[7698],NULL},
  {762,3,4,1,&joseki_variations[7699],NULL},
  {763,0,5,1,&joseki_variations[7700],NULL},
  {800,0,8,1,&joseki_variations[7701],NULL},
  {724,0,1,0,NULL,&joseki[184]},
  {798,3,4,1,&joseki_variations[7740],NULL},
  {761,0,3,1,&joseki_variations[7734],NULL},
  {761,3,3,2,&joseki_variations[7705],NULL},
  {798,3,5,1,&joseki_variations[7719],NULL},
  {798,0,5,2,&joseki_variations[7707],NULL},
  {834,3,3,1,&joseki_variations[7710],NULL},
  {762,0,4,1,&joseki_variations[7709],NULL},
  {834,0,3,0,NULL,&joseki[1434]},
  {835,0,7,2,&joseki_variations[7711],NULL},
  {872,3,8,1,&joseki_variations[7717],NULL},
  {871,3,4,1,&joseki_variations[7713],NULL},
  {872,0,9,1,&joseki_variations[7714],NULL},
  {909,3,10,1,&joseki_variations[7715],NULL},
  {762,0,4,1,&joseki_variations[7716],NULL},
  {759,0,1,0,NULL,&joseki[1063]},
  {762,0,4,1,&joseki_variations[7718],NULL},
  {759,0,1,0,NULL,&joseki[1046]},
  {762,0,4,1,&joseki_variations[7720],NULL},
  {799,0,7,1,&joseki_variations[7721],NULL},
  {763,0,5,1,&joseki_variations[7722],NULL},
  {800,3,9,1,&joseki_variations[7723],NULL},
  {764,0,6,1,&joseki_variations[7724],NULL},
  {801,0,11,1,&joseki_variations[7725],NULL},
  {833,0,1,1,&joseki_variations[7726],NULL},
  {834,0,4,1,&joseki_variations[7727],NULL},
  {835,0,8,1,&joseki_variations[7728],NULL},
  {836,3,11,1,&joseki_variations[7729],NULL},
  {837,3,14,1,&joseki_variations[7730],NULL},
  {870,3,2,1,&joseki_variations[7731],NULL},
  {871,3,6,1,&joseki_variations[7732],NULL},
  {872,3,11,1,&joseki_variations[7733],NULL},
  {796,0,1,0,NULL,&joseki[343]},
  {798,3,5,1,&joseki_variations[7735],NULL},
  {725,0,2,1,&joseki_variations[7736],NULL},
  {762,3,5,1,&joseki_variations[7737],NULL},
  {763,0,6,1,&joseki_variations[7738],NULL},
  {800,0,9,1,&joseki_variations[7739],NULL},
  {723,3,1,0,NULL,&joseki[181]},
  {725,0,2,1,&joseki_variations[7741],NULL},
  {762,3,4,1,&joseki_variations[7742],NULL},
  {763,0,5,1,&joseki_variations[7743],NULL},
  {800,0,8,1,&joseki_variations[7744],NULL},
  {761,0,3,0,NULL,&joseki[180]},
  {763,3,2,1,&joseki_variations[7778],NULL},
  {761,3,2,2,&joseki_variations[7747],NULL},
  {763,3,3,1,&joseki_variations[7763],NULL},
  {798,0,4,1,&joseki_variations[7749],NULL},
  {835,0,5,1,&joseki_variations[7750],NULL},
  {872,0,7,1,&joseki_variations[7751],NULL},
  {762,3,3,1,&joseki_variations[7752],NULL},
  {799,3,6,1,&joseki_variations[7753],NULL},
  {836,3,8,1,&joseki_variations[7754],NULL},
  {873,0,11,1,&joseki_variations[7755],NULL},
  {763,3,4,1,&joseki_variations[7756],NULL},
  {800,0,8,1,&joseki_variations[7757],NULL},
  {837,0,11,1,&joseki_variations[7758],NULL},
  {764,0,5,1,&joseki_variations[7759],NULL},
  {801,3,10,1,&joseki_variations[7760],NULL},
  {765,0,6,2,&joseki_variations[7761],NULL},
  {874,3,15,0,NULL,&joseki[126]},
  {802,3,12,0,NULL,&joseki[127]},
  {764,0,4,1,&joseki_variations[7764],NULL},
  {765,0,5,1,&joseki_variations[7765],NULL},
  {798,0,4,1,&joseki_variations[7766],NULL},
  {835,0,5,1,&joseki_variations[7767],NULL},
  {799,3,5,1,&joseki_variations[7768],NULL},
  {800,0,7,2,&joseki_variations[7769],NULL},
  {837,0,9,1,&joseki_variations[7775],NULL},
  {801,3,9,1,&joseki_variations[7771],NULL},
  {836,3,7,1,&joseki_variations[7772],NULL},
  {873,0,9,1,&joseki_variations[7773],NULL},
  {837,0,10,1,&joseki_variations[7774],NULL},
  {762,3,3,0,NULL,&joseki[125]},
  {801,3,9,2,&joseki_variations[7776],NULL},
  {836,3,7,0,NULL,&joseki[124]},
  {802,3,11,0,NULL,&joseki[128]},
  {764,0,3,1,&joseki_variations[7779],NULL},
  {765,0,4,1,&joseki_variations[7780],NULL},
  {798,0,3,2,&joseki_variations[7781],NULL},
  {800,0,5,1,&joseki_variations[7787],NULL},
  {799,3,4,1,&joseki_variations[7783],NULL},
  {800,0,6,1,&joseki_variations[7784],NULL},
  {837,0,7,1,&joseki_variations[7785],NULL},
  {801,3,8,1,&joseki_variations[7786],NULL},
  {761,3,2,0,NULL,&joseki[123]},
  {801,3,7,1,&joseki_variations[7788],NULL},
  {799,3,4,0,NULL,&joseki[122]},
  {872,3,4,1,&joseki_variations[7807],NULL},
  {762,3,2,1,&joseki_variations[7804],NULL},
  {725,0,1,1,&joseki_variations[7795],NULL},
  {764,3,2,1,&joseki_variations[7793],NULL},
  {804,3,5,1,&joseki_variations[7794],NULL},
  {761,0,2,0,NULL,&joseki[772]},
  {762,3,3,1,&joseki_variations[7796],NULL},
  {763,0,4,2,&joseki_variations[7797],NULL},
  {800,0,7,1,&joseki_variations[7803],NULL},
  {800,3,7,1,&joseki_variations[7799],NULL},
  {837,3,8,1,&joseki_variations[7800],NULL},
  {764,0,5,1,&joseki_variations[7801],NULL},
  {801,0,9,1,&joseki_variations[7802],NULL},
  {761,3,2,0,NULL,&joseki[495]},
  {724,3,1,0,NULL,&joseki[179]},
  {763,0,3,1,&joseki_variations[7805],NULL},
  {800,0,6,1,&joseki_variations[7806],NULL},
  {725,0,1,0,NULL,&joseki[178]},
  {762,3,2,1,&joseki_variations[7808],NULL},
  {726,0,1,1,&joseki_variations[7809],NULL},
  {763,0,4,1,&joseki_variations[7810],NULL},
  {800,0,7,1,&joseki_variations[7811],NULL},
  {837,0,8,1,&joseki_variations[7812],NULL},
  {874,3,10,1,&joseki_variations[7813],NULL},
  {801,3,8,1,&joseki_variations[7814],NULL},
  {838,3,10,1,&joseki_variations[7815],NULL},
  {875,0,13,1,&joseki_variations[7816],NULL},
  {912,0,14,1,&joseki_variations[7817],NULL},
  {765,3,5,1,&joseki_variations[7818],NULL},
  {802,3,10,1,&joseki_variations[7819],NULL},
  {839,0,13,1,&joseki_variations[7820],NULL},
  {876,3,17,1,&joseki_variations[7821],NULL},
  {766,3,6,1,&joseki_variations[7822],NULL},
  {803,0,12,1,&joseki_variations[7823],NULL},
  {840,0,16,1,&joseki_variations[7824],NULL},
  {767,3,7,1,&joseki_variations[7825],NULL},
  {804,0,14,1,&joseki_variations[7826],NULL},
  {805,0,15,1,&joseki_variations[7827],NULL},
  {761,0,2,0,NULL,&joseki[77]},
  {763,0,3,2,&joseki_variations[7889],NULL},
  {798,3,4,6,&joseki_variations[7830],NULL},
  {799,3,5,1,&joseki_variations[7882],NULL},
  {762,0,3,1,&joseki_variations[7878],NULL},
  {872,3,5,1,&joseki_variations[7857],NULL},
  {762,3,3,1,&joseki_variations[7852],NULL},
  {725,0,1,1,&joseki_variations[7838],NULL},
  {764,3,3,1,&joseki_variations[7836],NULL},
  {804,3,6,1,&joseki_variations[7837],NULL},
  {759,3,1,0,NULL,&joseki[773]},
  {762,3,4,1,&joseki_variations[7839],NULL},
  {763,0,5,2,&joseki_variations[7840],NULL},
  {800,3,8,1,&joseki_variations[7849],NULL},
  {799,3,7,1,&joseki_variations[7842],NULL},
  {800,3,9,1,&joseki_variations[7843],NULL},
  {837,3,10,2,&joseki_variations[7844],NULL},
  {801,0,10,1,&joseki_variations[7848],NULL},
  {727,0,2,1,&joseki_variations[7846],NULL},
  {801,0,11,1,&joseki_variations[7847],NULL},
  {838,3,13,0,NULL,&joseki[489]},
  {727,0,2,0,NULL,&joseki[488]},
  {837,3,9,1,&joseki_variations[7850],NULL},
  {801,0,9,1,&joseki_variations[7851],NULL},
  {799,3,7,0,NULL,&joseki[487]},
  {763,0,4,1,&joseki_variations[7853],NULL},
  {800,3,7,1,&joseki_variations[7854],NULL},
  {837,3,8,1,&joseki_variations[7855],NULL},
  {801,0,8,1,&joseki_variations[7856],NULL},
  {725,0,1,0,NULL,&joseki[486]},
  {762,3,3,1,&joseki_variations[7858],NULL},
  {726,0,1,1,&joseki_variations[7859],NULL},
  {763,0,5,1,&joseki_variations[7860],NULL},
  {800,0,8,1,&joseki_variations[7861],NULL},
  {837,0,9,1,&joseki_variations[7862],NULL},
  {874,3,11,1,&joseki_variations[7863],NULL},
  {801,3,9,1,&joseki_variations[7864],NULL},
  {838,3,11,1,&joseki_variations[7865],NULL},
  {875,0,14,1,&joseki_variations[7866],NULL},
  {912,0,15,1,&joseki_variations[7867],NULL},
  {765,3,6,1,&joseki_variations[7868],NULL},
  {802,3,11,1,&joseki_variations[7869],NULL},
  {839,0,14,1,&joseki_variations[7870],NULL},
  {876,3,18,1,&joseki_variations[7871],NULL},
  {766,3,7,1,&joseki_variations[7872],NULL},
  {803,0,13,1,&joseki_variations[7873],NULL},
  {840,0,17,1,&joseki_variations[7874],NULL},
  {767,3,8,1,&joseki_variations[7875],NULL},
  {804,0,15,1,&joseki_variations[7876],NULL},
  {805,0,16,1,&joseki_variations[7877],NULL},
  {759,3,1,0,NULL,&joseki[78]},
  {799,3,6,1,&joseki_variations[7879],NULL},
  {763,0,4,1,&joseki_variations[7880],NULL},
  {765,3,5,1,&joseki_variations[7881],NULL},
  {838,3,8,0,NULL,&joseki[13]},
  {726,0,1,1,&joseki_variations[7883],NULL},
  {763,0,4,1,&joseki_variations[7884],NULL},
  {765,3,5,2,&joseki_variations[7885],NULL},
  {838,3,8,0,NULL,&joseki[11]},
  {800,3,8,1,&joseki_variations[7887],NULL},
  {871,0,3,1,&joseki_variations[7888],NULL},
  {796,3,1,0,NULL,&joseki[141]},
  {765,3,4,1,&joseki_variations[7895],NULL},
  {798,3,4,1,&joseki_variations[7891],NULL},
  {800,3,6,1,&joseki_variations[7892],NULL},
  {837,3,7,1,&joseki_variations[7893],NULL},
  {801,0,7,1,&joseki_variations[7894],NULL},
  {762,3,3,0,NULL,&joseki[485]},
  {798,3,4,2,&joseki_variations[7896],NULL},
  {799,3,5,4,&joseki_variations[7900],&joseki[3]},
  {800,3,6,1,&joseki_variations[7898],NULL},
  {871,0,3,1,&joseki_variations[7899],NULL},
  {799,3,5,0,NULL,&joseki[139]},
  {759,0,1,0,NULL,&joseki[4]},
  {726,0,1,0,NULL,&joseki[10]},
  {762,0,3,0,NULL,&joseki[12]},
  {800,3,7,1,&joseki_variations[7904],NULL},
  {871,0,3,1,&joseki_variations[7905],NULL},
  {726,0,1,0,NULL,&joseki[140]},
  {765,3,3,2,&joseki_variations[7951],NULL},
  {764,3,3,1,&joseki_variations[7945],NULL},
  {798,3,2,8,&joseki_variations[7915],NULL},
  {797,3,2,1,&joseki_variations[7910],NULL},
  {798,3,3,1,&joseki_variations[7911],NULL},
  {800,3,5,1,&joseki_variations[7912],NULL},
  {837,3,6,1,&joseki_variations[7913],NULL},
  {801,0,6,1,&joseki_variations[7914],NULL},
  {761,0,2,0,NULL,&joseki[484]},
  {872,3,3,2,&joseki_variations[7943],NULL},
  {800,3,4,2,&joseki_variations[7938],NULL},
  {871,3,2,1,&joseki_variations[7937],NULL},
  {836,3,3,2,&joseki_variations[7933],NULL},
  {871,0,2,1,&joseki_variations[7929],NULL},
  {834,3,2,1,&joseki_variations[7924],NULL},
  {761,3,2,0,NULL,&joseki[683]},
  {803,3,4,1,&joseki_variations[7923],NULL},
  {761,3,2,0,NULL,&joseki[718]},
  {871,0,3,1,&joseki_variations[7925],NULL},
  {872,3,5,1,&joseki_variations[7926],NULL},
  {873,3,6,1,&joseki_variations[7927],NULL},
  {909,0,6,1,&joseki_variations[7928],NULL},
  {761,0,2,0,NULL,&joseki[668]},
  {872,3,4,1,&joseki_variations[7930],NULL},
  {873,3,5,1,&joseki_variations[7931],NULL},
  {909,0,5,1,&joseki_variations[7932],NULL},
  {834,3,2,0,NULL,&joseki[667]},
  {871,0,2,1,&joseki_variations[7936],NULL},
  {872,0,3,1,&joseki_variations[7935],NULL},
  {761,3,2,0,NULL,&joseki[675]},
  {761,3,2,0,NULL,&joseki[654]},
  {761,3,2,0,NULL,&joseki[644]},
  {837,3,5,1,&joseki_variations[7940],NULL},
  {762,3,2,0,NULL,&joseki[564]},
  {801,0,5,2,&joseki_variations[7941],NULL},
  {797,3,2,0,NULL,&joseki[483]},
  {762,3,2,0,NULL,&joseki[490]},
  {761,3,2,0,NULL,&joseki[233]},
  {797,3,2,0,NULL,&joseki[234]},
  {765,3,4,1,&joseki_variations[7946],NULL},
  {871,0,2,1,&joseki_variations[7947],NULL},
  {798,3,2,1,&joseki_variations[7948],NULL},
  {800,3,4,1,&joseki_variations[7949],NULL},
  {801,0,6,1,&joseki_variations[7950],NULL},
  {762,3,2,0,NULL,&joseki[110]},
  {797,3,2,1,&joseki_variations[7964],NULL},
  {798,3,2,4,&joseki_variations[7953],NULL},
  {761,3,2,0,NULL,&joseki[14]},
  {800,3,4,1,&joseki_variations[7960],&joseki[35]},
  {837,0,4,1,&joseki_variations[7958],NULL},
  {1020,3,3,1,&joseki_variations[7957],NULL},
  {797,3,2,0,NULL,&joseki[698]},
  {872,3,3,1,&joseki_variations[7959],NULL},
  {761,3,2,0,NULL,&joseki[96]},
  {871,0,2,3,&joseki_variations[7961],NULL},
  {761,3,2,0,NULL,&joseki[130]},
  {797,3,2,0,NULL,&joseki[137]},
  {762,3,2,0,NULL,&joseki[144]},
  {798,3,3,2,&joseki_variations[7965],NULL},
  {761,0,2,0,NULL,&joseki[2]},
  {800,3,5,1,&joseki_variations[7967],NULL},
  {871,0,3,1,&joseki_variations[7968],NULL},
  {761,0,2,0,NULL,&joseki[138]},
  {798,3,1,11,&joseki_variations[8011],NULL},
  {764,3,2,3,&joseki_variations[7985],NULL},
  {797,0,1,1,&joseki_variations[7980],NULL},
  {798,0,1,2,&joseki_variations[7973],NULL},
  {872,0,2,1,&joseki_variations[7977],NULL},
  {800,3,3,1,&joseki_variations[7975],NULL},
  {871,0,1,1,&joseki_variations[7976],NULL},
  {764,3,2,0,NULL,&joseki[827]},
  {800,3,3,1,&joseki_variations[7978],NULL},
  {804,3,4,1,&joseki_variations[7979],NULL},
  {764,3,2,0,NULL,&joseki[803]},
  {798,3,2,1,&joseki_variations[7981],NULL},
  {800,3,4,1,&joseki_variations[7982],NULL},
  {837,3,5,1,&joseki_variations[7983],NULL},
  {801,0,5,1,&joseki_variations[7984],NULL},
  {762,3,1,0,NULL,&joseki[508]},
  {765,3,3,1,&joseki_variations[8004],NULL},
  {798,3,1,3,&joseki_variations[7994],NULL},
  {798,0,1,2,&joseki_variations[7988],NULL},
  {872,0,2,1,&joseki_variations[7992],NULL},
  {800,3,3,1,&joseki_variations[7990],NULL},
  {871,0,1,1,&joseki_variations[7991],NULL},
  {762,0,1,0,NULL,&joseki[828]},
  {800,3,3,1,&joseki_variations[7993],NULL},
  {762,0,1,0,NULL,&joseki[804]},
  {800,3,3,1,&joseki_variations[8002],NULL},
  {799,0,2,1,&joseki_variations[7998],NULL},
  {804,3,4,1,&joseki_variations[7997],NULL},
  {801,3,4,0,NULL,&joseki[756]},
  {800,3,4,1,&joseki_variations[7999],NULL},
  {801,0,6,1,&joseki_variations[8000],NULL},
  {837,3,5,1,&joseki_variations[8001],&joseki[547]},
  {762,0,1,0,NULL,&joseki[548]},
  {801,0,5,1,&joseki_variations[8003],NULL},
  {799,0,2,0,NULL,&joseki[546]},
  {797,0,1,1,&joseki_variations[8005],NULL},
  {871,0,2,1,&joseki_variations[8006],NULL},
  {798,3,2,1,&joseki_variations[8007],NULL},
  {800,3,4,1,&joseki_variations[8008],NULL},
  {801,0,6,2,&joseki_variations[8009],NULL},
  {762,3,1,0,NULL,&joseki[113]},
  {760,3,1,0,NULL,&joseki[121]},
  {765,3,2,4,&joseki_variations[8100],&joseki[0]},
  {872,3,2,4,&joseki_variations[8072],&joseki[146]},
  {800,3,3,3,&joseki_variations[8053],&joseki[237]},
  {804,3,3,3,&joseki_variations[8050],NULL},
  {799,0,2,1,&joseki_variations[8047],NULL},
  {871,3,1,1,&joseki_variations[8046],&joseki[592]},
  {837,3,3,1,&joseki_variations[8045],NULL},
  {871,0,1,3,&joseki_variations[8037],&joseki[651]},
  {872,0,2,2,&joseki_variations[8033],&joseki[672]},
  {1020,3,2,2,&joseki_variations[8026],NULL},
  {803,3,3,2,&joseki_variations[8022],&joseki[716]},
  {760,0,1,0,NULL,&joseki[717]},
  {837,0,3,1,&joseki_variations[8024],&joseki[726]},
  {872,3,2,1,&joseki_variations[8025],&joseki[727]},
  {724,0,1,0,NULL,&joseki[728]},
  {765,3,2,1,&joseki_variations[8032],&joseki[696]},
  {803,3,3,1,&joseki_variations[8028],&joseki[699]},
  {837,0,3,2,&joseki_variations[8029],&joseki[700]},
  {872,3,2,0,NULL,&joseki[701]},
  {873,3,2,1,&joseki_variations[8031],NULL},
  {724,0,1,0,NULL,&joseki[713]},
  {760,0,1,0,NULL,&joseki[697]},
  {836,3,2,1,&joseki_variations[8036],&joseki[673]},
  {800,3,3,1,&joseki_variations[8035],NULL},
  {801,0,4,0,NULL,&joseki[682]},
  {760,0,1,0,NULL,&joseki[674]},
  {836,3,2,1,&joseki_variations[8044],&joseki[652]},
  {872,3,3,1,&joseki_variations[8041],&joseki[663]},
  {767,3,2,1,&joseki_variations[8040],NULL},
  {872,3,3,0,NULL,&joseki[671]},
  {909,0,4,1,&joseki_variations[8042],&joseki[664]},
  {873,3,4,1,&joseki_variations[8043],&joseki[665]},
  {760,0,1,0,NULL,&joseki[666]},
  {760,0,1,0,NULL,&joseki[653]},
  {802,0,3,0,NULL,&joseki[650]},
  {724,0,1,0,NULL,&joseki[593]},
  {800,3,4,2,&joseki_variations[8048],NULL},
  {762,3,1,0,NULL,&joseki[565]},
  {836,3,3,0,NULL,&joseki[573]},
  {800,3,3,0,NULL,&joseki[235]},
  {762,3,1,0,NULL,&joseki[733]},
  {765,3,2,0,NULL,&joseki[743]},
  {764,3,2,1,&joseki_variations[8068],NULL},
  {765,3,2,1,&joseki_variations[8066],NULL},
  {801,0,4,4,&joseki_variations[8056],&joseki[238]},
  {804,3,5,1,&joseki_variations[8065],NULL},
  {837,3,4,4,&joseki_variations[8060],&joseki[239]},
  {762,3,1,0,NULL,&joseki[515]},
  {764,3,2,0,NULL,&joseki[545]},
  {762,0,1,0,NULL,&joseki[240]},
  {761,0,1,0,NULL,&joseki[462]},
  {838,0,6,1,&joseki_variations[8064],NULL},
  {725,0,1,0,NULL,&joseki[500]},
  {762,3,1,0,NULL,&joseki[482]},
  {837,3,4,0,NULL,&joseki[236]},
  {871,0,1,1,&joseki_variations[8067],NULL},
  {760,0,1,0,NULL,&joseki[129]},
  {801,0,5,1,&joseki_variations[8069],NULL},
  {765,3,3,1,&joseki_variations[8070],NULL},
  {871,0,1,1,&joseki_variations[8071],NULL},
  {797,0,1,0,NULL,&joseki[112]},
  {800,3,3,1,&joseki_variations[8087],NULL},
  {837,0,3,2,&joseki_variations[8078],NULL},
  {945,0,1,2,&joseki_variations[8076],&joseki[147]},
  {724,0,1,0,NULL,&joseki[150]},
  {874,3,4,0,NULL,&joseki[148]},
  {910,3,3,0,NULL,&joseki[149]},
  {765,3,2,3,&joseki_variations[8082],NULL},
  {1020,3,3,1,&joseki_variations[8080],NULL},
  {803,3,3,1,&joseki_variations[8081],NULL},
  {724,0,1,0,NULL,&joseki[702]},
  {839,0,5,1,&joseki_variations[8086],NULL},
  {911,0,5,1,&joseki_variations[8085],NULL},
  {724,0,1,0,NULL,&joseki[105]},
  {946,3,3,0,NULL,&joseki[104]},
  {762,3,1,0,NULL,&joseki[100]},
  {837,0,4,1,&joseki_variations[8088],NULL},
  {801,3,4,1,&joseki_variations[8089],NULL},
  {838,3,6,1,&joseki_variations[8090],NULL},
  {875,0,8,1,&joseki_variations[8091],NULL},
  {728,0,1,1,&joseki_variations[8092],NULL},
  {765,3,3,1,&joseki_variations[8093],NULL},
  {802,3,7,1,&joseki_variations[8094],NULL},
  {839,0,10,1,&joseki_variations[8095],NULL},
  {876,0,13,1,&joseki_variations[8096],NULL},
  {766,0,4,1,&joseki_variations[8097],NULL},
  {803,0,9,1,&joseki_variations[8098],NULL},
  {840,3,13,1,&joseki_variations[8099],NULL},
  {874,3,6,0,NULL,&joseki[58]},
  {760,0,1,0,NULL,&joseki[1]},
  {837,0,3,1,&joseki_variations[8119],NULL},
  {766,0,3,1,&joseki_variations[8107],NULL},
  {871,0,1,1,&joseki_variations[8104],&joseki[106]},
  {800,3,3,1,&joseki_variations[8105],&joseki[107]},
  {801,0,4,1,&joseki_variations[8106],&joseki[108]},
  {764,3,2,0,NULL,&joseki[109]},
  {872,3,2,1,&joseki_variations[8108],NULL},
  {800,3,3,1,&joseki_variations[8109],NULL},
  {837,0,4,1,&joseki_variations[8110],NULL},
  {801,3,4,1,&joseki_variations[8111],NULL},
  {838,3,6,1,&joseki_variations[8112],NULL},
  {875,0,8,1,&joseki_variations[8113],NULL},
  {802,3,6,1,&joseki_variations[8114],NULL},
  {839,0,9,1,&joseki_variations[8115],NULL},
  {876,0,12,1,&joseki_variations[8116],NULL},
  {803,0,8,1,&joseki_variations[8117],NULL},
  {840,3,12,1,&joseki_variations[8118],NULL},
  {728,0,1,0,NULL,&joseki[57]},
  {872,3,2,4,&joseki_variations[8120],&joseki[36]},
  {803,0,4,1,&joseki_variations[8181],NULL},
  {766,3,3,2,&joseki_variations[8159],NULL},
  {802,3,4,3,&joseki_variations[8138],NULL},
  {801,3,3,1,&joseki_variations[8124],NULL},
  {838,3,5,1,&joseki_variations[8125],NULL},
  {802,3,5,1,&joseki_variations[8126],NULL},
  {839,0,8,2,&joseki_variations[8127],NULL},
  {876,0,10,1,&joseki_variations[8134],NULL},
  {875,0,7,1,&joseki_variations[8129],NULL},
  {876,0,11,1,&joseki_variations[8130],NULL},
  {766,0,3,1,&joseki_variations[8131],NULL},
  {803,0,7,1,&joseki_variations[8132],NULL},
  {840,3,11,1,&joseki_variations[8133],NULL},
  {800,3,3,0,NULL,&joseki[56]},
  {766,0,3,1,&joseki_variations[8135],NULL},
  {803,0,7,1,&joseki_variations[8136],NULL},
  {840,3,11,1,&joseki_variations[8137],NULL},
  {875,0,7,0,NULL,&joseki[55]},
  {803,0,5,1,&joseki_variations[8157],NULL},
  {839,0,6,3,&joseki_variations[8147],NULL},
  {838,3,4,1,&joseki_variations[8141],NULL},
  {839,0,7,1,&joseki_variations[8142],NULL},
  {766,0,3,1,&joseki_variations[8143],NULL},
  {803,0,6,1,&joseki_variations[8144],NULL},
  {840,3,10,1,&joseki_variations[8145],NULL},
  {876,0,9,1,&joseki_variations[8146],&joseki[53]},
  {801,3,3,0,NULL,&joseki[54]},
  {766,3,3,1,&joseki_variations[8155],NULL},
  {803,0,5,1,&joseki_variations[8153],NULL},
  {766,0,3,1,&joseki_variations[8150],NULL},
  {803,0,6,1,&joseki_variations[8151],NULL},
  {840,3,9,1,&joseki_variations[8152],NULL},
  {838,3,4,0,NULL,&joseki[52]},
  {840,3,8,1,&joseki_variations[8154],NULL},
  {766,0,3,0,NULL,&joseki[51]},
  {803,0,6,1,&joseki_variations[8156],NULL},
  {804,0,7,0,NULL,&joseki[50]},
  {839,0,6,1,&joseki_variations[8158],&joseki[48]},
  {766,3,3,0,NULL,&joseki[49]},
  {803,0,5,2,&joseki_variations[8175],NULL},
  {802,3,4,1,&joseki_variations[8161],NULL},
  {803,0,6,3,&joseki_variations[8162],NULL},
  {804,0,7,1,&joseki_variations[8173],NULL},
  {839,0,6,1,&joseki_variations[8168],NULL},
  {767,3,4,1,&joseki_variations[8165],NULL},
  {804,0,8,1,&joseki_variations[8166],NULL},
  {805,0,9,1,&joseki_variations[8167],NULL},
  {839,0,6,0,NULL,&joseki[47]},
  {767,3,4,1,&joseki_variations[8169],NULL},
  {804,0,8,1,&joseki_variations[8170],NULL},
  {805,0,9,1,&joseki_variations[8171],&joseki[42]},
  {769,3,5,1,&joseki_variations[8172],&joseki[43]},
  {801,0,3,0,NULL,&joseki[44]},
  {839,0,6,1,&joseki_variations[8174],&joseki[40]},
  {767,3,4,0,NULL,&joseki[41]},
  {804,0,6,1,&joseki_variations[8180],&joseki[38]},
  {767,3,4,1,&joseki_variations[8177],NULL},
  {804,0,7,1,&joseki_variations[8178],NULL},
  {805,0,8,1,&joseki_variations[8179],&joseki[45]},
  {802,3,4,0,NULL,&joseki[46]},
  {802,3,4,0,NULL,&joseki[39]},
  {766,3,3,0,NULL,&joseki[37]}
};


struct corner_db joseki_db = {
  14,
  14,
  14,
  joseki_variations
};
